#include <tree_sitter/parser.h>

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic push
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 11
#define STATE_COUNT 1037
#define LARGE_STATE_COUNT 96
#define SYMBOL_COUNT 219
#define ALIAS_COUNT 0
#define TOKEN_COUNT 101
#define EXTERNAL_TOKEN_COUNT 6
#define FIELD_COUNT 25
#define MAX_ALIAS_SEQUENCE_LENGTH 9

enum {
  sym_identifier = 1,
  anon_sym_import = 2,
  anon_sym_DOT = 3,
  anon_sym_from = 4,
  anon_sym___future__ = 5,
  anon_sym_LPAREN = 6,
  anon_sym_RPAREN = 7,
  anon_sym_COMMA = 8,
  anon_sym_as = 9,
  anon_sym_STAR = 10,
  anon_sym_print = 11,
  anon_sym_GT_GT = 12,
  anon_sym_assert = 13,
  anon_sym_COLON_EQ = 14,
  anon_sym_return = 15,
  anon_sym_del = 16,
  anon_sym_raise = 17,
  anon_sym_pass = 18,
  anon_sym_break = 19,
  anon_sym_continue = 20,
  anon_sym_if = 21,
  anon_sym_COLON = 22,
  anon_sym_elif = 23,
  anon_sym_else = 24,
  anon_sym_async = 25,
  anon_sym_for = 26,
  anon_sym_in = 27,
  anon_sym_while = 28,
  anon_sym_try = 29,
  anon_sym_except = 30,
  anon_sym_finally = 31,
  anon_sym_with = 32,
  anon_sym_def = 33,
  anon_sym_DASH_GT = 34,
  anon_sym_EQ = 35,
  anon_sym_STAR_STAR = 36,
  anon_sym_global = 37,
  anon_sym_nonlocal = 38,
  anon_sym_exec = 39,
  anon_sym_class = 40,
  anon_sym_AT = 41,
  anon_sym_not = 42,
  anon_sym_and = 43,
  anon_sym_or = 44,
  anon_sym_PLUS = 45,
  anon_sym_DASH = 46,
  anon_sym_SLASH = 47,
  anon_sym_PERCENT = 48,
  anon_sym_SLASH_SLASH = 49,
  anon_sym_PIPE = 50,
  anon_sym_AMP = 51,
  anon_sym_CARET = 52,
  anon_sym_LT_LT = 53,
  anon_sym_TILDE = 54,
  anon_sym_LT = 55,
  anon_sym_LT_EQ = 56,
  anon_sym_EQ_EQ = 57,
  anon_sym_BANG_EQ = 58,
  anon_sym_GT_EQ = 59,
  anon_sym_GT = 60,
  anon_sym_LT_GT = 61,
  anon_sym_is = 62,
  anon_sym_lambda = 63,
  anon_sym_PLUS_EQ = 64,
  anon_sym_DASH_EQ = 65,
  anon_sym_STAR_EQ = 66,
  anon_sym_SLASH_EQ = 67,
  anon_sym_AT_EQ = 68,
  anon_sym_SLASH_SLASH_EQ = 69,
  anon_sym_PERCENT_EQ = 70,
  anon_sym_STAR_STAR_EQ = 71,
  anon_sym_GT_GT_EQ = 72,
  anon_sym_LT_LT_EQ = 73,
  anon_sym_AMP_EQ = 74,
  anon_sym_CARET_EQ = 75,
  anon_sym_PIPE_EQ = 76,
  anon_sym_yield = 77,
  anon_sym_LBRACK = 78,
  anon_sym_RBRACK = 79,
  sym_ellipsis = 80,
  anon_sym_LBRACE = 81,
  anon_sym_RBRACE = 82,
  sym_escape_sequence = 83,
  sym__not_escape_sequence = 84,
  aux_sym_format_specifier_token1 = 85,
  sym_type_conversion = 86,
  sym_integer = 87,
  sym_float = 88,
  sym_true = 89,
  sym_false = 90,
  sym_none = 91,
  anon_sym_await = 92,
  sym_comment = 93,
  sym__semicolon = 94,
  sym__newline = 95,
  sym__indent = 96,
  sym__dedent = 97,
  sym__string_start = 98,
  sym__string_content = 99,
  sym__string_end = 100,
  sym_module = 101,
  sym__statement = 102,
  sym__simple_statements = 103,
  sym_import_statement = 104,
  sym_import_prefix = 105,
  sym_relative_import = 106,
  sym_future_import_statement = 107,
  sym_import_from_statement = 108,
  sym__import_list = 109,
  sym_aliased_import = 110,
  sym_wildcard_import = 111,
  sym_print_statement = 112,
  sym_chevron = 113,
  sym_assert_statement = 114,
  sym_expression_statement = 115,
  sym_named_expression = 116,
  sym_return_statement = 117,
  sym_delete_statement = 118,
  sym_raise_statement = 119,
  sym_pass_statement = 120,
  sym_break_statement = 121,
  sym_continue_statement = 122,
  sym_if_statement = 123,
  sym_elif_clause = 124,
  sym_else_clause = 125,
  sym_for_statement = 126,
  sym_while_statement = 127,
  sym_try_statement = 128,
  sym_except_clause = 129,
  sym_finally_clause = 130,
  sym_with_statement = 131,
  sym_with_item = 132,
  sym_function_definition = 133,
  sym_parameters = 134,
  sym_lambda_parameters = 135,
  sym__parameters = 136,
  sym_default_parameter = 137,
  sym_typed_default_parameter = 138,
  sym_list_splat = 139,
  sym_dictionary_splat = 140,
  sym_global_statement = 141,
  sym_nonlocal_statement = 142,
  sym_exec_statement = 143,
  sym_class_definition = 144,
  sym_parenthesized_list_splat = 145,
  sym_argument_list = 146,
  sym_decorated_definition = 147,
  sym_decorator = 148,
  sym_block = 149,
  sym_variables = 150,
  sym_expression_list = 151,
  sym_dotted_name = 152,
  sym__expression_within_for_in_clause = 153,
  sym__expression = 154,
  sym__primary_expression = 155,
  sym_not_operator = 156,
  sym_boolean_operator = 157,
  sym_binary_operator = 158,
  sym_unary_operator = 159,
  sym_comparison_operator = 160,
  sym_lambda = 161,
  sym_lambda_within_for_in_clause = 162,
  sym_assignment = 163,
  sym_augmented_assignment = 164,
  sym__right_hand_side = 165,
  sym_yield = 166,
  sym_attribute = 167,
  sym_subscript = 168,
  sym_slice = 169,
  sym_call = 170,
  sym_typed_parameter = 171,
  sym_type = 172,
  sym_keyword_argument = 173,
  sym_list = 174,
  sym__comprehension_clauses = 175,
  sym_list_comprehension = 176,
  sym_dictionary = 177,
  sym_dictionary_comprehension = 178,
  sym_pair = 179,
  sym_set = 180,
  sym_set_comprehension = 181,
  sym_parenthesized_expression = 182,
  sym_tuple = 183,
  sym_generator_expression = 184,
  sym_for_in_clause = 185,
  sym_if_clause = 186,
  sym_conditional_expression = 187,
  sym_concatenated_string = 188,
  sym_string = 189,
  sym_interpolation = 190,
  sym_format_specifier = 191,
  sym_format_expression = 192,
  sym_await = 193,
  aux_sym_module_repeat1 = 194,
  aux_sym__simple_statements_repeat1 = 195,
  aux_sym_import_prefix_repeat1 = 196,
  aux_sym__import_list_repeat1 = 197,
  aux_sym_print_statement_repeat1 = 198,
  aux_sym_assert_statement_repeat1 = 199,
  aux_sym_if_statement_repeat1 = 200,
  aux_sym_try_statement_repeat1 = 201,
  aux_sym_with_statement_repeat1 = 202,
  aux_sym__parameters_repeat1 = 203,
  aux_sym_global_statement_repeat1 = 204,
  aux_sym_argument_list_repeat1 = 205,
  aux_sym_decorated_definition_repeat1 = 206,
  aux_sym_variables_repeat1 = 207,
  aux_sym_dotted_name_repeat1 = 208,
  aux_sym_comparison_operator_repeat1 = 209,
  aux_sym_subscript_repeat1 = 210,
  aux_sym_list_repeat1 = 211,
  aux_sym__comprehension_clauses_repeat1 = 212,
  aux_sym_dictionary_repeat1 = 213,
  aux_sym_tuple_repeat1 = 214,
  aux_sym_for_in_clause_repeat1 = 215,
  aux_sym_concatenated_string_repeat1 = 216,
  aux_sym_string_repeat1 = 217,
  aux_sym_format_specifier_repeat1 = 218,
};

static const char *ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_identifier] = "identifier",
  [anon_sym_import] = "import",
  [anon_sym_DOT] = ".",
  [anon_sym_from] = "from",
  [anon_sym___future__] = "__future__",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_COMMA] = ",",
  [anon_sym_as] = "as",
  [anon_sym_STAR] = "*",
  [anon_sym_print] = "print",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_assert] = "assert",
  [anon_sym_COLON_EQ] = ":=",
  [anon_sym_return] = "return",
  [anon_sym_del] = "del",
  [anon_sym_raise] = "raise",
  [anon_sym_pass] = "pass",
  [anon_sym_break] = "break",
  [anon_sym_continue] = "continue",
  [anon_sym_if] = "if",
  [anon_sym_COLON] = ":",
  [anon_sym_elif] = "elif",
  [anon_sym_else] = "else",
  [anon_sym_async] = "async",
  [anon_sym_for] = "for",
  [anon_sym_in] = "in",
  [anon_sym_while] = "while",
  [anon_sym_try] = "try",
  [anon_sym_except] = "except",
  [anon_sym_finally] = "finally",
  [anon_sym_with] = "with",
  [anon_sym_def] = "def",
  [anon_sym_DASH_GT] = "->",
  [anon_sym_EQ] = "=",
  [anon_sym_STAR_STAR] = "**",
  [anon_sym_global] = "global",
  [anon_sym_nonlocal] = "nonlocal",
  [anon_sym_exec] = "exec",
  [anon_sym_class] = "class",
  [anon_sym_AT] = "@",
  [anon_sym_not] = "not",
  [anon_sym_and] = "and",
  [anon_sym_or] = "or",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [anon_sym_SLASH_SLASH] = "//",
  [anon_sym_PIPE] = "|",
  [anon_sym_AMP] = "&",
  [anon_sym_CARET] = "^",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_TILDE] = "~",
  [anon_sym_LT] = "<",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_GT] = ">",
  [anon_sym_LT_GT] = "<>",
  [anon_sym_is] = "is",
  [anon_sym_lambda] = "lambda",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_AT_EQ] = "@=",
  [anon_sym_SLASH_SLASH_EQ] = "//=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_STAR_STAR_EQ] = "**=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_yield] = "yield",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [sym_ellipsis] = "ellipsis",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [sym_escape_sequence] = "escape_sequence",
  [sym__not_escape_sequence] = "_not_escape_sequence",
  [aux_sym_format_specifier_token1] = "format_specifier_token1",
  [sym_type_conversion] = "type_conversion",
  [sym_integer] = "integer",
  [sym_float] = "float",
  [sym_true] = "true",
  [sym_false] = "false",
  [sym_none] = "none",
  [anon_sym_await] = "await",
  [sym_comment] = "comment",
  [sym__semicolon] = "_semicolon",
  [sym__newline] = "_newline",
  [sym__indent] = "_indent",
  [sym__dedent] = "_dedent",
  [sym__string_start] = "\"",
  [sym__string_content] = "_string_content",
  [sym__string_end] = "\"",
  [sym_module] = "module",
  [sym__statement] = "_statement",
  [sym__simple_statements] = "_simple_statements",
  [sym_import_statement] = "import_statement",
  [sym_import_prefix] = "import_prefix",
  [sym_relative_import] = "relative_import",
  [sym_future_import_statement] = "future_import_statement",
  [sym_import_from_statement] = "import_from_statement",
  [sym__import_list] = "_import_list",
  [sym_aliased_import] = "aliased_import",
  [sym_wildcard_import] = "wildcard_import",
  [sym_print_statement] = "print_statement",
  [sym_chevron] = "chevron",
  [sym_assert_statement] = "assert_statement",
  [sym_expression_statement] = "expression_statement",
  [sym_named_expression] = "named_expression",
  [sym_return_statement] = "return_statement",
  [sym_delete_statement] = "delete_statement",
  [sym_raise_statement] = "raise_statement",
  [sym_pass_statement] = "pass_statement",
  [sym_break_statement] = "break_statement",
  [sym_continue_statement] = "continue_statement",
  [sym_if_statement] = "if_statement",
  [sym_elif_clause] = "elif_clause",
  [sym_else_clause] = "else_clause",
  [sym_for_statement] = "for_statement",
  [sym_while_statement] = "while_statement",
  [sym_try_statement] = "try_statement",
  [sym_except_clause] = "except_clause",
  [sym_finally_clause] = "finally_clause",
  [sym_with_statement] = "with_statement",
  [sym_with_item] = "with_item",
  [sym_function_definition] = "function_definition",
  [sym_parameters] = "parameters",
  [sym_lambda_parameters] = "lambda_parameters",
  [sym__parameters] = "_parameters",
  [sym_default_parameter] = "default_parameter",
  [sym_typed_default_parameter] = "typed_default_parameter",
  [sym_list_splat] = "list_splat",
  [sym_dictionary_splat] = "dictionary_splat",
  [sym_global_statement] = "global_statement",
  [sym_nonlocal_statement] = "nonlocal_statement",
  [sym_exec_statement] = "exec_statement",
  [sym_class_definition] = "class_definition",
  [sym_parenthesized_list_splat] = "parenthesized_expression",
  [sym_argument_list] = "argument_list",
  [sym_decorated_definition] = "decorated_definition",
  [sym_decorator] = "decorator",
  [sym_block] = "block",
  [sym_variables] = "variables",
  [sym_expression_list] = "expression_list",
  [sym_dotted_name] = "dotted_name",
  [sym__expression_within_for_in_clause] = "_expression_within_for_in_clause",
  [sym__expression] = "_expression",
  [sym__primary_expression] = "_primary_expression",
  [sym_not_operator] = "not_operator",
  [sym_boolean_operator] = "boolean_operator",
  [sym_binary_operator] = "binary_operator",
  [sym_unary_operator] = "unary_operator",
  [sym_comparison_operator] = "comparison_operator",
  [sym_lambda] = "lambda",
  [sym_lambda_within_for_in_clause] = "lambda",
  [sym_assignment] = "assignment",
  [sym_augmented_assignment] = "augmented_assignment",
  [sym__right_hand_side] = "_right_hand_side",
  [sym_yield] = "yield",
  [sym_attribute] = "attribute",
  [sym_subscript] = "subscript",
  [sym_slice] = "slice",
  [sym_call] = "call",
  [sym_typed_parameter] = "typed_parameter",
  [sym_type] = "type",
  [sym_keyword_argument] = "keyword_argument",
  [sym_list] = "list",
  [sym__comprehension_clauses] = "_comprehension_clauses",
  [sym_list_comprehension] = "list_comprehension",
  [sym_dictionary] = "dictionary",
  [sym_dictionary_comprehension] = "dictionary_comprehension",
  [sym_pair] = "pair",
  [sym_set] = "set",
  [sym_set_comprehension] = "set_comprehension",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_tuple] = "tuple",
  [sym_generator_expression] = "generator_expression",
  [sym_for_in_clause] = "for_in_clause",
  [sym_if_clause] = "if_clause",
  [sym_conditional_expression] = "conditional_expression",
  [sym_concatenated_string] = "concatenated_string",
  [sym_string] = "string",
  [sym_interpolation] = "interpolation",
  [sym_format_specifier] = "format_specifier",
  [sym_format_expression] = "format_expression",
  [sym_await] = "await",
  [aux_sym_module_repeat1] = "module_repeat1",
  [aux_sym__simple_statements_repeat1] = "_simple_statements_repeat1",
  [aux_sym_import_prefix_repeat1] = "import_prefix_repeat1",
  [aux_sym__import_list_repeat1] = "_import_list_repeat1",
  [aux_sym_print_statement_repeat1] = "print_statement_repeat1",
  [aux_sym_assert_statement_repeat1] = "assert_statement_repeat1",
  [aux_sym_if_statement_repeat1] = "if_statement_repeat1",
  [aux_sym_try_statement_repeat1] = "try_statement_repeat1",
  [aux_sym_with_statement_repeat1] = "with_statement_repeat1",
  [aux_sym__parameters_repeat1] = "_parameters_repeat1",
  [aux_sym_global_statement_repeat1] = "global_statement_repeat1",
  [aux_sym_argument_list_repeat1] = "argument_list_repeat1",
  [aux_sym_decorated_definition_repeat1] = "decorated_definition_repeat1",
  [aux_sym_variables_repeat1] = "variables_repeat1",
  [aux_sym_dotted_name_repeat1] = "dotted_name_repeat1",
  [aux_sym_comparison_operator_repeat1] = "comparison_operator_repeat1",
  [aux_sym_subscript_repeat1] = "subscript_repeat1",
  [aux_sym_list_repeat1] = "list_repeat1",
  [aux_sym__comprehension_clauses_repeat1] = "_comprehension_clauses_repeat1",
  [aux_sym_dictionary_repeat1] = "dictionary_repeat1",
  [aux_sym_tuple_repeat1] = "tuple_repeat1",
  [aux_sym_for_in_clause_repeat1] = "for_in_clause_repeat1",
  [aux_sym_concatenated_string_repeat1] = "concatenated_string_repeat1",
  [aux_sym_string_repeat1] = "string_repeat1",
  [aux_sym_format_specifier_repeat1] = "format_specifier_repeat1",
};

static TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_identifier] = sym_identifier,
  [anon_sym_import] = anon_sym_import,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_from] = anon_sym_from,
  [anon_sym___future__] = anon_sym___future__,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_as] = anon_sym_as,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_print] = anon_sym_print,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_assert] = anon_sym_assert,
  [anon_sym_COLON_EQ] = anon_sym_COLON_EQ,
  [anon_sym_return] = anon_sym_return,
  [anon_sym_del] = anon_sym_del,
  [anon_sym_raise] = anon_sym_raise,
  [anon_sym_pass] = anon_sym_pass,
  [anon_sym_break] = anon_sym_break,
  [anon_sym_continue] = anon_sym_continue,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_elif] = anon_sym_elif,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_async] = anon_sym_async,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_in] = anon_sym_in,
  [anon_sym_while] = anon_sym_while,
  [anon_sym_try] = anon_sym_try,
  [anon_sym_except] = anon_sym_except,
  [anon_sym_finally] = anon_sym_finally,
  [anon_sym_with] = anon_sym_with,
  [anon_sym_def] = anon_sym_def,
  [anon_sym_DASH_GT] = anon_sym_DASH_GT,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_STAR_STAR] = anon_sym_STAR_STAR,
  [anon_sym_global] = anon_sym_global,
  [anon_sym_nonlocal] = anon_sym_nonlocal,
  [anon_sym_exec] = anon_sym_exec,
  [anon_sym_class] = anon_sym_class,
  [anon_sym_AT] = anon_sym_AT,
  [anon_sym_not] = anon_sym_not,
  [anon_sym_and] = anon_sym_and,
  [anon_sym_or] = anon_sym_or,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_SLASH_SLASH] = anon_sym_SLASH_SLASH,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_LT_GT] = anon_sym_LT_GT,
  [anon_sym_is] = anon_sym_is,
  [anon_sym_lambda] = anon_sym_lambda,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_STAR_EQ] = anon_sym_STAR_EQ,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [anon_sym_AT_EQ] = anon_sym_AT_EQ,
  [anon_sym_SLASH_SLASH_EQ] = anon_sym_SLASH_SLASH_EQ,
  [anon_sym_PERCENT_EQ] = anon_sym_PERCENT_EQ,
  [anon_sym_STAR_STAR_EQ] = anon_sym_STAR_STAR_EQ,
  [anon_sym_GT_GT_EQ] = anon_sym_GT_GT_EQ,
  [anon_sym_LT_LT_EQ] = anon_sym_LT_LT_EQ,
  [anon_sym_AMP_EQ] = anon_sym_AMP_EQ,
  [anon_sym_CARET_EQ] = anon_sym_CARET_EQ,
  [anon_sym_PIPE_EQ] = anon_sym_PIPE_EQ,
  [anon_sym_yield] = anon_sym_yield,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [sym_ellipsis] = sym_ellipsis,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [sym_escape_sequence] = sym_escape_sequence,
  [sym__not_escape_sequence] = sym__not_escape_sequence,
  [aux_sym_format_specifier_token1] = aux_sym_format_specifier_token1,
  [sym_type_conversion] = sym_type_conversion,
  [sym_integer] = sym_integer,
  [sym_float] = sym_float,
  [sym_true] = sym_true,
  [sym_false] = sym_false,
  [sym_none] = sym_none,
  [anon_sym_await] = anon_sym_await,
  [sym_comment] = sym_comment,
  [sym__semicolon] = sym__semicolon,
  [sym__newline] = sym__newline,
  [sym__indent] = sym__indent,
  [sym__dedent] = sym__dedent,
  [sym__string_start] = sym__string_start,
  [sym__string_content] = sym__string_content,
  [sym__string_end] = sym__string_start,
  [sym_module] = sym_module,
  [sym__statement] = sym__statement,
  [sym__simple_statements] = sym__simple_statements,
  [sym_import_statement] = sym_import_statement,
  [sym_import_prefix] = sym_import_prefix,
  [sym_relative_import] = sym_relative_import,
  [sym_future_import_statement] = sym_future_import_statement,
  [sym_import_from_statement] = sym_import_from_statement,
  [sym__import_list] = sym__import_list,
  [sym_aliased_import] = sym_aliased_import,
  [sym_wildcard_import] = sym_wildcard_import,
  [sym_print_statement] = sym_print_statement,
  [sym_chevron] = sym_chevron,
  [sym_assert_statement] = sym_assert_statement,
  [sym_expression_statement] = sym_expression_statement,
  [sym_named_expression] = sym_named_expression,
  [sym_return_statement] = sym_return_statement,
  [sym_delete_statement] = sym_delete_statement,
  [sym_raise_statement] = sym_raise_statement,
  [sym_pass_statement] = sym_pass_statement,
  [sym_break_statement] = sym_break_statement,
  [sym_continue_statement] = sym_continue_statement,
  [sym_if_statement] = sym_if_statement,
  [sym_elif_clause] = sym_elif_clause,
  [sym_else_clause] = sym_else_clause,
  [sym_for_statement] = sym_for_statement,
  [sym_while_statement] = sym_while_statement,
  [sym_try_statement] = sym_try_statement,
  [sym_except_clause] = sym_except_clause,
  [sym_finally_clause] = sym_finally_clause,
  [sym_with_statement] = sym_with_statement,
  [sym_with_item] = sym_with_item,
  [sym_function_definition] = sym_function_definition,
  [sym_parameters] = sym_parameters,
  [sym_lambda_parameters] = sym_lambda_parameters,
  [sym__parameters] = sym__parameters,
  [sym_default_parameter] = sym_default_parameter,
  [sym_typed_default_parameter] = sym_typed_default_parameter,
  [sym_list_splat] = sym_list_splat,
  [sym_dictionary_splat] = sym_dictionary_splat,
  [sym_global_statement] = sym_global_statement,
  [sym_nonlocal_statement] = sym_nonlocal_statement,
  [sym_exec_statement] = sym_exec_statement,
  [sym_class_definition] = sym_class_definition,
  [sym_parenthesized_list_splat] = sym_parenthesized_expression,
  [sym_argument_list] = sym_argument_list,
  [sym_decorated_definition] = sym_decorated_definition,
  [sym_decorator] = sym_decorator,
  [sym_block] = sym_block,
  [sym_variables] = sym_variables,
  [sym_expression_list] = sym_expression_list,
  [sym_dotted_name] = sym_dotted_name,
  [sym__expression_within_for_in_clause] = sym__expression_within_for_in_clause,
  [sym__expression] = sym__expression,
  [sym__primary_expression] = sym__primary_expression,
  [sym_not_operator] = sym_not_operator,
  [sym_boolean_operator] = sym_boolean_operator,
  [sym_binary_operator] = sym_binary_operator,
  [sym_unary_operator] = sym_unary_operator,
  [sym_comparison_operator] = sym_comparison_operator,
  [sym_lambda] = sym_lambda,
  [sym_lambda_within_for_in_clause] = sym_lambda,
  [sym_assignment] = sym_assignment,
  [sym_augmented_assignment] = sym_augmented_assignment,
  [sym__right_hand_side] = sym__right_hand_side,
  [sym_yield] = sym_yield,
  [sym_attribute] = sym_attribute,
  [sym_subscript] = sym_subscript,
  [sym_slice] = sym_slice,
  [sym_call] = sym_call,
  [sym_typed_parameter] = sym_typed_parameter,
  [sym_type] = sym_type,
  [sym_keyword_argument] = sym_keyword_argument,
  [sym_list] = sym_list,
  [sym__comprehension_clauses] = sym__comprehension_clauses,
  [sym_list_comprehension] = sym_list_comprehension,
  [sym_dictionary] = sym_dictionary,
  [sym_dictionary_comprehension] = sym_dictionary_comprehension,
  [sym_pair] = sym_pair,
  [sym_set] = sym_set,
  [sym_set_comprehension] = sym_set_comprehension,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_tuple] = sym_tuple,
  [sym_generator_expression] = sym_generator_expression,
  [sym_for_in_clause] = sym_for_in_clause,
  [sym_if_clause] = sym_if_clause,
  [sym_conditional_expression] = sym_conditional_expression,
  [sym_concatenated_string] = sym_concatenated_string,
  [sym_string] = sym_string,
  [sym_interpolation] = sym_interpolation,
  [sym_format_specifier] = sym_format_specifier,
  [sym_format_expression] = sym_format_expression,
  [sym_await] = sym_await,
  [aux_sym_module_repeat1] = aux_sym_module_repeat1,
  [aux_sym__simple_statements_repeat1] = aux_sym__simple_statements_repeat1,
  [aux_sym_import_prefix_repeat1] = aux_sym_import_prefix_repeat1,
  [aux_sym__import_list_repeat1] = aux_sym__import_list_repeat1,
  [aux_sym_print_statement_repeat1] = aux_sym_print_statement_repeat1,
  [aux_sym_assert_statement_repeat1] = aux_sym_assert_statement_repeat1,
  [aux_sym_if_statement_repeat1] = aux_sym_if_statement_repeat1,
  [aux_sym_try_statement_repeat1] = aux_sym_try_statement_repeat1,
  [aux_sym_with_statement_repeat1] = aux_sym_with_statement_repeat1,
  [aux_sym__parameters_repeat1] = aux_sym__parameters_repeat1,
  [aux_sym_global_statement_repeat1] = aux_sym_global_statement_repeat1,
  [aux_sym_argument_list_repeat1] = aux_sym_argument_list_repeat1,
  [aux_sym_decorated_definition_repeat1] = aux_sym_decorated_definition_repeat1,
  [aux_sym_variables_repeat1] = aux_sym_variables_repeat1,
  [aux_sym_dotted_name_repeat1] = aux_sym_dotted_name_repeat1,
  [aux_sym_comparison_operator_repeat1] = aux_sym_comparison_operator_repeat1,
  [aux_sym_subscript_repeat1] = aux_sym_subscript_repeat1,
  [aux_sym_list_repeat1] = aux_sym_list_repeat1,
  [aux_sym__comprehension_clauses_repeat1] = aux_sym__comprehension_clauses_repeat1,
  [aux_sym_dictionary_repeat1] = aux_sym_dictionary_repeat1,
  [aux_sym_tuple_repeat1] = aux_sym_tuple_repeat1,
  [aux_sym_for_in_clause_repeat1] = aux_sym_for_in_clause_repeat1,
  [aux_sym_concatenated_string_repeat1] = aux_sym_concatenated_string_repeat1,
  [aux_sym_string_repeat1] = aux_sym_string_repeat1,
  [aux_sym_format_specifier_repeat1] = aux_sym_format_specifier_repeat1,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_import] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_from] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___future__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_as] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_print] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_assert] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_del] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_raise] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_pass] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_break] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_continue] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_elif] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_async] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_in] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_try] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_except] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_finally] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_with] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_def] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_global] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_nonlocal] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_exec] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_class] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_not] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_and] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_or] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_is] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_lambda] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_yield] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [sym_ellipsis] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [sym__not_escape_sequence] = {
    .visible = false,
    .named = true,
  },
  [aux_sym_format_specifier_token1] = {
    .visible = false,
    .named = false,
  },
  [sym_type_conversion] = {
    .visible = true,
    .named = true,
  },
  [sym_integer] = {
    .visible = true,
    .named = true,
  },
  [sym_float] = {
    .visible = true,
    .named = true,
  },
  [sym_true] = {
    .visible = true,
    .named = true,
  },
  [sym_false] = {
    .visible = true,
    .named = true,
  },
  [sym_none] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_await] = {
    .visible = true,
    .named = false,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym__semicolon] = {
    .visible = false,
    .named = true,
  },
  [sym__newline] = {
    .visible = false,
    .named = true,
  },
  [sym__indent] = {
    .visible = false,
    .named = true,
  },
  [sym__dedent] = {
    .visible = false,
    .named = true,
  },
  [sym__string_start] = {
    .visible = true,
    .named = false,
  },
  [sym__string_content] = {
    .visible = false,
    .named = true,
  },
  [sym__string_end] = {
    .visible = true,
    .named = false,
  },
  [sym_module] = {
    .visible = true,
    .named = true,
  },
  [sym__statement] = {
    .visible = false,
    .named = true,
  },
  [sym__simple_statements] = {
    .visible = false,
    .named = true,
  },
  [sym_import_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_import_prefix] = {
    .visible = true,
    .named = true,
  },
  [sym_relative_import] = {
    .visible = true,
    .named = true,
  },
  [sym_future_import_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_import_from_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__import_list] = {
    .visible = false,
    .named = true,
  },
  [sym_aliased_import] = {
    .visible = true,
    .named = true,
  },
  [sym_wildcard_import] = {
    .visible = true,
    .named = true,
  },
  [sym_print_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_chevron] = {
    .visible = true,
    .named = true,
  },
  [sym_assert_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_named_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_delete_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_raise_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_pass_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_elif_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_except_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_finally_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_with_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_with_item] = {
    .visible = true,
    .named = true,
  },
  [sym_function_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_lambda_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym__parameters] = {
    .visible = false,
    .named = true,
  },
  [sym_default_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_typed_default_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_list_splat] = {
    .visible = true,
    .named = true,
  },
  [sym_dictionary_splat] = {
    .visible = true,
    .named = true,
  },
  [sym_global_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_nonlocal_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_exec_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_class_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_list_splat] = {
    .visible = true,
    .named = true,
  },
  [sym_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_decorated_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_decorator] = {
    .visible = true,
    .named = true,
  },
  [sym_block] = {
    .visible = true,
    .named = true,
  },
  [sym_variables] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_list] = {
    .visible = true,
    .named = true,
  },
  [sym_dotted_name] = {
    .visible = true,
    .named = true,
  },
  [sym__expression_within_for_in_clause] = {
    .visible = false,
    .named = true,
  },
  [sym__expression] = {
    .visible = false,
    .named = true,
  },
  [sym__primary_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_not_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_boolean_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_comparison_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_lambda] = {
    .visible = true,
    .named = true,
  },
  [sym_lambda_within_for_in_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment] = {
    .visible = true,
    .named = true,
  },
  [sym_augmented_assignment] = {
    .visible = true,
    .named = true,
  },
  [sym__right_hand_side] = {
    .visible = false,
    .named = true,
  },
  [sym_yield] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript] = {
    .visible = true,
    .named = true,
  },
  [sym_slice] = {
    .visible = true,
    .named = true,
  },
  [sym_call] = {
    .visible = true,
    .named = true,
  },
  [sym_typed_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_type] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_argument] = {
    .visible = true,
    .named = true,
  },
  [sym_list] = {
    .visible = true,
    .named = true,
  },
  [sym__comprehension_clauses] = {
    .visible = false,
    .named = true,
  },
  [sym_list_comprehension] = {
    .visible = true,
    .named = true,
  },
  [sym_dictionary] = {
    .visible = true,
    .named = true,
  },
  [sym_dictionary_comprehension] = {
    .visible = true,
    .named = true,
  },
  [sym_pair] = {
    .visible = true,
    .named = true,
  },
  [sym_set] = {
    .visible = true,
    .named = true,
  },
  [sym_set_comprehension] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_tuple] = {
    .visible = true,
    .named = true,
  },
  [sym_generator_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_for_in_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_if_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_conditional_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_concatenated_string] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym_interpolation] = {
    .visible = true,
    .named = true,
  },
  [sym_format_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_format_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_await] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_module_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__simple_statements_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_import_prefix_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__import_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_print_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_assert_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_if_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_try_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_with_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_global_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_decorated_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_variables_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_dotted_name_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_comparison_operator_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_subscript_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__comprehension_clauses_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_dictionary_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_tuple_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_for_in_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_concatenated_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_format_specifier_repeat1] = {
    .visible = false,
    .named = false,
  },
};

enum {
  field_alias = 1,
  field_alternative = 2,
  field_argument = 3,
  field_arguments = 4,
  field_attribute = 5,
  field_body = 6,
  field_cause = 7,
  field_code = 8,
  field_condition = 9,
  field_consequence = 10,
  field_definition = 11,
  field_function = 12,
  field_key = 13,
  field_left = 14,
  field_module_name = 15,
  field_name = 16,
  field_object = 17,
  field_operator = 18,
  field_parameters = 19,
  field_return_type = 20,
  field_right = 21,
  field_subscript = 22,
  field_superclasses = 23,
  field_type = 24,
  field_value = 25,
};

static const char *ts_field_names[] = {
  [0] = NULL,
  [field_alias] = "alias",
  [field_alternative] = "alternative",
  [field_argument] = "argument",
  [field_arguments] = "arguments",
  [field_attribute] = "attribute",
  [field_body] = "body",
  [field_cause] = "cause",
  [field_code] = "code",
  [field_condition] = "condition",
  [field_consequence] = "consequence",
  [field_definition] = "definition",
  [field_function] = "function",
  [field_key] = "key",
  [field_left] = "left",
  [field_module_name] = "module_name",
  [field_name] = "name",
  [field_object] = "object",
  [field_operator] = "operator",
  [field_parameters] = "parameters",
  [field_return_type] = "return_type",
  [field_right] = "right",
  [field_subscript] = "subscript",
  [field_superclasses] = "superclasses",
  [field_type] = "type",
  [field_value] = "value",
};

static const TSFieldMapSlice ts_field_map_slices[93] = {
  [2] = {.index = 0, .length = 1},
  [3] = {.index = 1, .length = 1},
  [4] = {.index = 2, .length = 1},
  [5] = {.index = 3, .length = 1},
  [6] = {.index = 4, .length = 1},
  [7] = {.index = 5, .length = 2},
  [9] = {.index = 7, .length = 2},
  [10] = {.index = 9, .length = 1},
  [11] = {.index = 10, .length = 2},
  [12] = {.index = 12, .length = 1},
  [13] = {.index = 13, .length = 2},
  [14] = {.index = 15, .length = 1},
  [15] = {.index = 16, .length = 1},
  [16] = {.index = 17, .length = 2},
  [17] = {.index = 19, .length = 2},
  [18] = {.index = 21, .length = 2},
  [19] = {.index = 23, .length = 3},
  [20] = {.index = 26, .length = 2},
  [21] = {.index = 28, .length = 1},
  [22] = {.index = 29, .length = 2},
  [23] = {.index = 31, .length = 2},
  [24] = {.index = 33, .length = 1},
  [25] = {.index = 34, .length = 2},
  [26] = {.index = 36, .length = 1},
  [27] = {.index = 37, .length = 2},
  [28] = {.index = 39, .length = 1},
  [29] = {.index = 40, .length = 2},
  [30] = {.index = 42, .length = 2},
  [31] = {.index = 16, .length = 1},
  [32] = {.index = 44, .length = 1},
  [33] = {.index = 45, .length = 2},
  [34] = {.index = 47, .length = 2},
  [35] = {.index = 49, .length = 1},
  [38] = {.index = 17, .length = 2},
  [39] = {.index = 50, .length = 1},
  [40] = {.index = 51, .length = 2},
  [41] = {.index = 53, .length = 2},
  [42] = {.index = 55, .length = 2},
  [43] = {.index = 57, .length = 3},
  [44] = {.index = 60, .length = 1},
  [45] = {.index = 61, .length = 3},
  [46] = {.index = 64, .length = 3},
  [47] = {.index = 67, .length = 1},
  [48] = {.index = 68, .length = 3},
  [49] = {.index = 71, .length = 3},
  [50] = {.index = 74, .length = 2},
  [51] = {.index = 76, .length = 2},
  [52] = {.index = 78, .length = 3},
  [53] = {.index = 81, .length = 3},
  [54] = {.index = 84, .length = 3},
  [55] = {.index = 87, .length = 3},
  [56] = {.index = 90, .length = 3},
  [57] = {.index = 93, .length = 1},
  [58] = {.index = 94, .length = 2},
  [59] = {.index = 96, .length = 2},
  [60] = {.index = 98, .length = 4},
  [61] = {.index = 102, .length = 4},
  [62] = {.index = 106, .length = 4},
  [63] = {.index = 110, .length = 2},
  [64] = {.index = 112, .length = 2},
  [65] = {.index = 114, .length = 1},
  [66] = {.index = 115, .length = 3},
  [67] = {.index = 118, .length = 3},
  [68] = {.index = 121, .length = 4},
  [70] = {.index = 125, .length = 4},
  [71] = {.index = 129, .length = 4},
  [72] = {.index = 133, .length = 3},
  [73] = {.index = 133, .length = 3},
  [74] = {.index = 136, .length = 2},
  [75] = {.index = 138, .length = 3},
  [76] = {.index = 141, .length = 5},
  [77] = {.index = 146, .length = 3},
  [78] = {.index = 149, .length = 2},
  [79] = {.index = 151, .length = 4},
  [80] = {.index = 155, .length = 4},
  [81] = {.index = 159, .length = 4},
  [83] = {.index = 163, .length = 4},
  [84] = {.index = 167, .length = 3},
  [85] = {.index = 170, .length = 4},
  [86] = {.index = 174, .length = 4},
  [87] = {.index = 178, .length = 4},
  [88] = {.index = 182, .length = 5},
  [89] = {.index = 187, .length = 5},
  [90] = {.index = 192, .length = 5},
  [91] = {.index = 197, .length = 5},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_name, 1, .inherited = true},
  [1] =
    {field_name, 0},
  [2] =
    {field_argument, 1},
  [3] =
    {field_value, 0},
  [4] =
    {field_code, 1},
  [5] =
    {field_argument, 1},
    {field_operator, 0},
  [7] =
    {field_arguments, 1},
    {field_function, 0},
  [9] =
    {field_definition, 1},
  [10] =
    {field_name, 0},
    {field_name, 1, .inherited = true},
  [12] =
    {field_argument, 2, .inherited = true},
  [13] =
    {field_argument, 1},
    {field_argument, 2, .inherited = true},
  [15] =
    {field_cause, 2},
  [16] =
    {field_body, 2},
  [17] =
    {field_name, 0},
    {field_value, 2},
  [19] =
    {field_left, 0},
    {field_type, 2},
  [21] =
    {field_left, 0},
    {field_right, 2},
  [23] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [26] =
    {field_attribute, 2},
    {field_object, 0},
  [28] =
    {field_name, 1},
  [29] =
    {field_name, 0, .inherited = true},
    {field_name, 1, .inherited = true},
  [31] =
    {field_alias, 2},
    {field_name, 0},
  [33] =
    {field_name, 3, .inherited = true},
  [34] =
    {field_module_name, 1},
    {field_name, 3, .inherited = true},
  [36] =
    {field_body, 1},
  [37] =
    {field_argument, 0, .inherited = true},
    {field_argument, 1, .inherited = true},
  [39] =
    {field_cause, 3},
  [40] =
    {field_condition, 1},
    {field_consequence, 3},
  [42] =
    {field_body, 3},
    {field_condition, 1},
  [44] =
    {field_body, 3},
  [45] =
    {field_alias, 2},
    {field_value, 0},
  [47] =
    {field_body, 3},
    {field_name, 1},
  [49] =
    {field_arguments, 2},
  [50] =
    {field_type, 2},
  [51] =
    {field_body, 3},
    {field_parameters, 1},
  [53] =
    {field_key, 0},
    {field_value, 2},
  [55] =
    {field_subscript, 2},
    {field_value, 0},
  [57] =
    {field_condition, 1},
    {field_consequence, 3},
    {field_consequence, 4},
  [60] =
    {field_alternative, 0},
  [61] =
    {field_alternative, 4},
    {field_condition, 1},
    {field_consequence, 3},
  [64] =
    {field_alternative, 4, .inherited = true},
    {field_condition, 1},
    {field_consequence, 3},
  [67] =
    {field_body, 4},
  [68] =
    {field_body, 3},
    {field_body, 4},
    {field_condition, 1},
  [71] =
    {field_alternative, 4},
    {field_body, 3},
    {field_condition, 1},
  [74] =
    {field_body, 2},
    {field_body, 3},
  [76] =
    {field_body, 3},
    {field_body, 4},
  [78] =
    {field_body, 4},
    {field_name, 1},
    {field_parameters, 2},
  [81] =
    {field_body, 3},
    {field_body, 4},
    {field_name, 1},
  [84] =
    {field_body, 4},
    {field_name, 1},
    {field_superclasses, 2},
  [87] =
    {field_left, 0},
    {field_right, 4},
    {field_type, 2},
  [90] =
    {field_subscript, 2},
    {field_subscript, 3},
    {field_value, 0},
  [93] =
    {field_name, 4, .inherited = true},
  [94] =
    {field_module_name, 1},
    {field_name, 4, .inherited = true},
  [96] =
    {field_left, 1},
    {field_right, 3},
  [98] =
    {field_alternative, 5},
    {field_condition, 1},
    {field_consequence, 3},
    {field_consequence, 4},
  [102] =
    {field_alternative, 5, .inherited = true},
    {field_condition, 1},
    {field_consequence, 3},
    {field_consequence, 4},
  [106] =
    {field_alternative, 4, .inherited = true},
    {field_alternative, 5},
    {field_condition, 1},
    {field_consequence, 3},
  [110] =
    {field_alternative, 0, .inherited = true},
    {field_alternative, 1, .inherited = true},
  [112] =
    {field_body, 4},
    {field_body, 5},
  [114] =
    {field_body, 5},
  [115] =
    {field_body, 5},
    {field_name, 2},
    {field_parameters, 3},
  [118] =
    {field_body, 5},
    {field_left, 1},
    {field_right, 3},
  [121] =
    {field_alternative, 5},
    {field_body, 3},
    {field_body, 4},
    {field_condition, 1},
  [125] =
    {field_body, 4},
    {field_body, 5},
    {field_name, 1},
    {field_parameters, 2},
  [129] =
    {field_body, 4},
    {field_body, 5},
    {field_name, 1},
    {field_superclasses, 2},
  [133] =
    {field_name, 0},
    {field_type, 2},
    {field_value, 4},
  [136] =
    {field_left, 2},
    {field_right, 4},
  [138] =
    {field_left, 1},
    {field_right, 3},
    {field_right, 4},
  [141] =
    {field_alternative, 5, .inherited = true},
    {field_alternative, 6},
    {field_condition, 1},
    {field_consequence, 3},
    {field_consequence, 4},
  [146] =
    {field_body, 6},
    {field_left, 2},
    {field_right, 4},
  [149] =
    {field_body, 5},
    {field_body, 6},
  [151] =
    {field_body, 5},
    {field_body, 6},
    {field_name, 2},
    {field_parameters, 3},
  [155] =
    {field_body, 5},
    {field_body, 6},
    {field_left, 1},
    {field_right, 3},
  [159] =
    {field_alternative, 6},
    {field_body, 5},
    {field_left, 1},
    {field_right, 3},
  [163] =
    {field_body, 6},
    {field_name, 1},
    {field_parameters, 2},
    {field_return_type, 4},
  [167] =
    {field_left, 2},
    {field_right, 4},
    {field_right, 5},
  [170] =
    {field_body, 6},
    {field_body, 7},
    {field_left, 2},
    {field_right, 4},
  [174] =
    {field_alternative, 7},
    {field_body, 6},
    {field_left, 2},
    {field_right, 4},
  [178] =
    {field_body, 7},
    {field_name, 2},
    {field_parameters, 3},
    {field_return_type, 5},
  [182] =
    {field_alternative, 7},
    {field_body, 5},
    {field_body, 6},
    {field_left, 1},
    {field_right, 3},
  [187] =
    {field_body, 6},
    {field_body, 7},
    {field_name, 1},
    {field_parameters, 2},
    {field_return_type, 4},
  [192] =
    {field_alternative, 8},
    {field_body, 6},
    {field_body, 7},
    {field_left, 2},
    {field_right, 4},
  [197] =
    {field_body, 7},
    {field_body, 8},
    {field_name, 2},
    {field_parameters, 3},
    {field_return_type, 5},
};

static TSSymbol ts_alias_sequences[93][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [1] = {
    [0] = sym_identifier,
  },
  [8] = {
    [0] = sym_list_splat,
  },
  [29] = {
    [3] = sym_block,
  },
  [30] = {
    [3] = sym_block,
  },
  [31] = {
    [2] = sym_block,
  },
  [32] = {
    [3] = sym_block,
  },
  [34] = {
    [3] = sym_block,
  },
  [36] = {
    [1] = sym_list_splat,
  },
  [37] = {
    [1] = sym_identifier,
  },
  [38] = {
    [0] = sym_identifier,
  },
  [45] = {
    [3] = sym_block,
  },
  [46] = {
    [3] = sym_block,
  },
  [47] = {
    [4] = sym_block,
  },
  [49] = {
    [3] = sym_block,
  },
  [52] = {
    [4] = sym_block,
  },
  [54] = {
    [4] = sym_block,
  },
  [62] = {
    [3] = sym_block,
  },
  [65] = {
    [5] = sym_block,
  },
  [66] = {
    [5] = sym_block,
  },
  [67] = {
    [5] = sym_block,
  },
  [69] = {
    [2] = sym_block,
  },
  [72] = {
    [0] = sym_identifier,
  },
  [77] = {
    [6] = sym_block,
  },
  [81] = {
    [5] = sym_block,
  },
  [82] = {
    [3] = sym_block,
  },
  [83] = {
    [6] = sym_block,
  },
  [86] = {
    [6] = sym_block,
  },
  [87] = {
    [7] = sym_block,
  },
  [92] = {
    [5] = sym_block,
  },
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(39);
      if (lookahead == '!') ADVANCE(14);
      if (lookahead == '#') ADVANCE(111);
      if (lookahead == '%') ADVANCE(58);
      if (lookahead == '&') ADVANCE(61);
      if (lookahead == '(') ADVANCE(42);
      if (lookahead == ')') ADVANCE(43);
      if (lookahead == '*') ADVANCE(45);
      if (lookahead == '+') ADVANCE(54);
      if (lookahead == ',') ADVANCE(44);
      if (lookahead == '-') ADVANCE(56);
      if (lookahead == '.') ADVANCE(41);
      if (lookahead == '/') ADVANCE(57);
      if (lookahead == '0') ADVANCE(100);
      if (lookahead == ':') ADVANCE(49);
      if (lookahead == ';') ADVANCE(112);
      if (lookahead == '<') ADVANCE(65);
      if (lookahead == '=') ADVANCE(51);
      if (lookahead == '>') ADVANCE(70);
      if (lookahead == '@') ADVANCE(53);
      if (lookahead == '[') ADVANCE(85);
      if (lookahead == '\\') SKIP(35)
      if (lookahead == ']') ADVANCE(86);
      if (lookahead == '^') ADVANCE(62);
      if (lookahead == '{') ADVANCE(88);
      if (lookahead == '|') ADVANCE(60);
      if (lookahead == '}') ADVANCE(89);
      if (lookahead == '~') ADVANCE(64);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\f' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(0)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(99);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969)) ADVANCE(110);
      END_STATE();
    case 1:
      if (lookahead == '\n') SKIP(10)
      END_STATE();
    case 2:
      if (lookahead == '\n') SKIP(10)
      if (lookahead == '\r') SKIP(1)
      END_STATE();
    case 3:
      if (lookahead == '\n') ADVANCE(91);
      END_STATE();
    case 4:
      if (lookahead == '\n') SKIP(4)
      if (lookahead == '#') ADVANCE(95);
      if (lookahead == '\\') ADVANCE(93);
      if (lookahead == '{') ADVANCE(88);
      if (lookahead == '}') ADVANCE(89);
      if (lookahead == '\t' ||
          lookahead == '\f' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) ADVANCE(94);
      if (lookahead != 0) ADVANCE(96);
      END_STATE();
    case 5:
      if (lookahead == '\n') SKIP(11)
      END_STATE();
    case 6:
      if (lookahead == '\n') SKIP(11)
      if (lookahead == '\r') SKIP(5)
      END_STATE();
    case 7:
      if (lookahead == '\n') SKIP(9)
      END_STATE();
    case 8:
      if (lookahead == '\n') SKIP(9)
      if (lookahead == '\r') SKIP(7)
      END_STATE();
    case 9:
      if (lookahead == '!') ADVANCE(14);
      if (lookahead == '#') ADVANCE(111);
      if (lookahead == '%') ADVANCE(58);
      if (lookahead == '&') ADVANCE(61);
      if (lookahead == '(') ADVANCE(42);
      if (lookahead == ')') ADVANCE(43);
      if (lookahead == '*') ADVANCE(45);
      if (lookahead == '+') ADVANCE(54);
      if (lookahead == ',') ADVANCE(44);
      if (lookahead == '-') ADVANCE(55);
      if (lookahead == '.') ADVANCE(40);
      if (lookahead == '/') ADVANCE(57);
      if (lookahead == ':') ADVANCE(49);
      if (lookahead == ';') ADVANCE(112);
      if (lookahead == '<') ADVANCE(65);
      if (lookahead == '=') ADVANCE(51);
      if (lookahead == '>') ADVANCE(70);
      if (lookahead == '@') ADVANCE(53);
      if (lookahead == '[') ADVANCE(85);
      if (lookahead == '\\') SKIP(8)
      if (lookahead == ']') ADVANCE(86);
      if (lookahead == '^') ADVANCE(62);
      if (lookahead == '|') ADVANCE(60);
      if (lookahead == '}') ADVANCE(89);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\f' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(9)
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969)) ADVANCE(110);
      END_STATE();
    case 10:
      if (lookahead == '!') ADVANCE(14);
      if (lookahead == '#') ADVANCE(111);
      if (lookahead == '%') ADVANCE(58);
      if (lookahead == '&') ADVANCE(61);
      if (lookahead == '(') ADVANCE(42);
      if (lookahead == ')') ADVANCE(43);
      if (lookahead == '*') ADVANCE(45);
      if (lookahead == '+') ADVANCE(54);
      if (lookahead == ',') ADVANCE(44);
      if (lookahead == '-') ADVANCE(55);
      if (lookahead == '.') ADVANCE(40);
      if (lookahead == '/') ADVANCE(57);
      if (lookahead == ':') ADVANCE(48);
      if (lookahead == ';') ADVANCE(112);
      if (lookahead == '<') ADVANCE(65);
      if (lookahead == '=') ADVANCE(51);
      if (lookahead == '>') ADVANCE(70);
      if (lookahead == '@') ADVANCE(53);
      if (lookahead == '[') ADVANCE(85);
      if (lookahead == '\\') SKIP(2)
      if (lookahead == ']') ADVANCE(86);
      if (lookahead == '^') ADVANCE(62);
      if (lookahead == '|') ADVANCE(60);
      if (lookahead == '}') ADVANCE(89);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\f' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(10)
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969)) ADVANCE(110);
      END_STATE();
    case 11:
      if (lookahead == '#') ADVANCE(111);
      if (lookahead == '-') ADVANCE(15);
      if (lookahead == ':') ADVANCE(48);
      if (lookahead == '\\') SKIP(6)
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\f' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(11)
      END_STATE();
    case 12:
      if (lookahead == '#') ADVANCE(111);
      if (lookahead == '\\') ADVANCE(92);
      if (lookahead == '{') ADVANCE(88);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\f' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(12)
      END_STATE();
    case 13:
      if (lookahead == '.') ADVANCE(87);
      END_STATE();
    case 14:
      if (lookahead == '=') ADVANCE(68);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(97);
      END_STATE();
    case 15:
      if (lookahead == '>') ADVANCE(50);
      END_STATE();
    case 16:
      if (lookahead == '_') ADVANCE(20);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(102);
      END_STATE();
    case 17:
      if (lookahead == '_') ADVANCE(21);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(103);
      END_STATE();
    case 18:
      if (lookahead == '_') ADVANCE(25);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(104);
      END_STATE();
    case 19:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(22);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(107);
      END_STATE();
    case 20:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(102);
      END_STATE();
    case 21:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(103);
      END_STATE();
    case 22:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(107);
      END_STATE();
    case 23:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(90);
      END_STATE();
    case 24:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(23);
      END_STATE();
    case 25:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(104);
      END_STATE();
    case 26:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(90);
      END_STATE();
    case 27:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(26);
      END_STATE();
    case 28:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(27);
      END_STATE();
    case 29:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(28);
      END_STATE();
    case 30:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(29);
      END_STATE();
    case 31:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(30);
      END_STATE();
    case 32:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(31);
      END_STATE();
    case 33:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(32);
      END_STATE();
    case 34:
      if (eof) ADVANCE(39);
      if (lookahead == '\n') SKIP(0)
      END_STATE();
    case 35:
      if (eof) ADVANCE(39);
      if (lookahead == '\n') SKIP(0)
      if (lookahead == '\r') SKIP(34)
      END_STATE();
    case 36:
      if (eof) ADVANCE(39);
      if (lookahead == '\n') SKIP(38)
      END_STATE();
    case 37:
      if (eof) ADVANCE(39);
      if (lookahead == '\n') SKIP(38)
      if (lookahead == '\r') SKIP(36)
      END_STATE();
    case 38:
      if (eof) ADVANCE(39);
      if (lookahead == '!') ADVANCE(14);
      if (lookahead == '#') ADVANCE(111);
      if (lookahead == '%') ADVANCE(58);
      if (lookahead == '&') ADVANCE(61);
      if (lookahead == '(') ADVANCE(42);
      if (lookahead == ')') ADVANCE(43);
      if (lookahead == '*') ADVANCE(45);
      if (lookahead == '+') ADVANCE(54);
      if (lookahead == ',') ADVANCE(44);
      if (lookahead == '-') ADVANCE(55);
      if (lookahead == '.') ADVANCE(41);
      if (lookahead == '/') ADVANCE(57);
      if (lookahead == '0') ADVANCE(100);
      if (lookahead == ':') ADVANCE(48);
      if (lookahead == ';') ADVANCE(112);
      if (lookahead == '<') ADVANCE(65);
      if (lookahead == '=') ADVANCE(51);
      if (lookahead == '>') ADVANCE(70);
      if (lookahead == '@') ADVANCE(53);
      if (lookahead == '[') ADVANCE(85);
      if (lookahead == '\\') SKIP(37)
      if (lookahead == ']') ADVANCE(86);
      if (lookahead == '^') ADVANCE(62);
      if (lookahead == '{') ADVANCE(88);
      if (lookahead == '|') ADVANCE(60);
      if (lookahead == '}') ADVANCE(89);
      if (lookahead == '~') ADVANCE(64);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\f' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(38)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(99);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969)) ADVANCE(110);
      END_STATE();
    case 39:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 40:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 41:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(13);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(106);
      END_STATE();
    case 42:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 43:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 44:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 45:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(52);
      if (lookahead == '=') ADVANCE(74);
      END_STATE();
    case 46:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=') ADVANCE(80);
      END_STATE();
    case 47:
      ACCEPT_TOKEN(anon_sym_COLON_EQ);
      END_STATE();
    case 48:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 49:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == '=') ADVANCE(47);
      END_STATE();
    case 50:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      END_STATE();
    case 51:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(67);
      END_STATE();
    case 52:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      if (lookahead == '=') ADVANCE(79);
      END_STATE();
    case 53:
      ACCEPT_TOKEN(anon_sym_AT);
      if (lookahead == '=') ADVANCE(76);
      END_STATE();
    case 54:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '=') ADVANCE(72);
      END_STATE();
    case 55:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '=') ADVANCE(73);
      END_STATE();
    case 56:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '=') ADVANCE(73);
      if (lookahead == '>') ADVANCE(50);
      END_STATE();
    case 57:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '/') ADVANCE(59);
      if (lookahead == '=') ADVANCE(75);
      END_STATE();
    case 58:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(78);
      END_STATE();
    case 59:
      ACCEPT_TOKEN(anon_sym_SLASH_SLASH);
      if (lookahead == '=') ADVANCE(77);
      END_STATE();
    case 60:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(84);
      END_STATE();
    case 61:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '=') ADVANCE(82);
      END_STATE();
    case 62:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(83);
      END_STATE();
    case 63:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=') ADVANCE(81);
      END_STATE();
    case 64:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 65:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(63);
      if (lookahead == '=') ADVANCE(66);
      if (lookahead == '>') ADVANCE(71);
      END_STATE();
    case 66:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 67:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      END_STATE();
    case 68:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      END_STATE();
    case 69:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 70:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(69);
      if (lookahead == '>') ADVANCE(46);
      END_STATE();
    case 71:
      ACCEPT_TOKEN(anon_sym_LT_GT);
      END_STATE();
    case 72:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 73:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 74:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 76:
      ACCEPT_TOKEN(anon_sym_AT_EQ);
      END_STATE();
    case 77:
      ACCEPT_TOKEN(anon_sym_SLASH_SLASH_EQ);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(anon_sym_STAR_STAR_EQ);
      END_STATE();
    case 80:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 81:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 83:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 85:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 86:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(sym_ellipsis);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 91:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (lookahead == '\\') ADVANCE(92);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(sym__not_escape_sequence);
      if (lookahead == '\n') ADVANCE(91);
      if (lookahead == '\r') ADVANCE(3);
      if (lookahead == 'U') ADVANCE(33);
      if (lookahead == 'u') ADVANCE(29);
      if (lookahead == 'x') ADVANCE(27);
      if (lookahead == '"' ||
          lookahead == '\'' ||
          lookahead == '\\' ||
          lookahead == 'a' ||
          lookahead == 'b' ||
          lookahead == 'f' ||
          lookahead == 'n' ||
          lookahead == 'r' ||
          ('t' <= lookahead && lookahead <= 'v')) ADVANCE(90);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(24);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(aux_sym_format_specifier_token1);
      if (lookahead == '\r') ADVANCE(96);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(96);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(aux_sym_format_specifier_token1);
      if (lookahead == '#') ADVANCE(95);
      if (lookahead == '\\') ADVANCE(93);
      if (lookahead == '\t' ||
          lookahead == '\f' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) ADVANCE(94);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(96);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(aux_sym_format_specifier_token1);
      if (lookahead == '{' ||
          lookahead == '}') ADVANCE(111);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(95);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(aux_sym_format_specifier_token1);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(96);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(sym_type_conversion);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(sym_integer);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '.') ADVANCE(108);
      if (lookahead == '_') ADVANCE(101);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(19);
      if (lookahead == 'J' ||
          lookahead == 'L' ||
          lookahead == 'j' ||
          lookahead == 'l') ADVANCE(98);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(99);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '.') ADVANCE(108);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(16);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(17);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(18);
      if (lookahead == '_') ADVANCE(101);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(19);
      if (lookahead == 'J' ||
          lookahead == 'L' ||
          lookahead == 'j' ||
          lookahead == 'l') ADVANCE(98);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(99);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '.') ADVANCE(108);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(19);
      if (lookahead == 'J' ||
          lookahead == 'L' ||
          lookahead == 'j' ||
          lookahead == 'l') ADVANCE(98);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(99);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(20);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(102);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(98);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(21);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(98);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(103);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(25);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(98);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(104);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(sym_float);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '_') ADVANCE(108);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(19);
      if (lookahead == 'J' ||
          lookahead == 'L' ||
          lookahead == 'j' ||
          lookahead == 'l') ADVANCE(105);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(106);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '_') ADVANCE(109);
      if (lookahead == 'J' ||
          lookahead == 'L' ||
          lookahead == 'j' ||
          lookahead == 'l') ADVANCE(105);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(107);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(19);
      if (lookahead == 'J' ||
          lookahead == 'L' ||
          lookahead == 'j' ||
          lookahead == 'l') ADVANCE(105);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(106);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == 'J' ||
          lookahead == 'L' ||
          lookahead == 'j' ||
          lookahead == 'l') ADVANCE(105);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(107);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(sym_identifier);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969)) ADVANCE(110);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(111);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(sym__semicolon);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (lookahead == 'F') ADVANCE(1);
      if (lookahead == 'N') ADVANCE(2);
      if (lookahead == 'T') ADVANCE(3);
      if (lookahead == '\\') SKIP(4)
      if (lookahead == '_') ADVANCE(5);
      if (lookahead == 'a') ADVANCE(6);
      if (lookahead == 'b') ADVANCE(7);
      if (lookahead == 'c') ADVANCE(8);
      if (lookahead == 'd') ADVANCE(9);
      if (lookahead == 'e') ADVANCE(10);
      if (lookahead == 'f') ADVANCE(11);
      if (lookahead == 'g') ADVANCE(12);
      if (lookahead == 'i') ADVANCE(13);
      if (lookahead == 'l') ADVANCE(14);
      if (lookahead == 'n') ADVANCE(15);
      if (lookahead == 'o') ADVANCE(16);
      if (lookahead == 'p') ADVANCE(17);
      if (lookahead == 'r') ADVANCE(18);
      if (lookahead == 't') ADVANCE(19);
      if (lookahead == 'w') ADVANCE(20);
      if (lookahead == 'y') ADVANCE(21);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\f' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(0)
      END_STATE();
    case 1:
      if (lookahead == 'a') ADVANCE(22);
      END_STATE();
    case 2:
      if (lookahead == 'o') ADVANCE(23);
      END_STATE();
    case 3:
      if (lookahead == 'r') ADVANCE(24);
      END_STATE();
    case 4:
      if (lookahead == '\n') SKIP(0)
      if (lookahead == '\r') SKIP(25)
      END_STATE();
    case 5:
      if (lookahead == '_') ADVANCE(26);
      END_STATE();
    case 6:
      if (lookahead == 'n') ADVANCE(27);
      if (lookahead == 's') ADVANCE(28);
      if (lookahead == 'w') ADVANCE(29);
      END_STATE();
    case 7:
      if (lookahead == 'r') ADVANCE(30);
      END_STATE();
    case 8:
      if (lookahead == 'l') ADVANCE(31);
      if (lookahead == 'o') ADVANCE(32);
      END_STATE();
    case 9:
      if (lookahead == 'e') ADVANCE(33);
      END_STATE();
    case 10:
      if (lookahead == 'l') ADVANCE(34);
      if (lookahead == 'x') ADVANCE(35);
      END_STATE();
    case 11:
      if (lookahead == 'i') ADVANCE(36);
      if (lookahead == 'o') ADVANCE(37);
      if (lookahead == 'r') ADVANCE(38);
      END_STATE();
    case 12:
      if (lookahead == 'l') ADVANCE(39);
      END_STATE();
    case 13:
      if (lookahead == 'f') ADVANCE(40);
      if (lookahead == 'm') ADVANCE(41);
      if (lookahead == 'n') ADVANCE(42);
      if (lookahead == 's') ADVANCE(43);
      END_STATE();
    case 14:
      if (lookahead == 'a') ADVANCE(44);
      END_STATE();
    case 15:
      if (lookahead == 'o') ADVANCE(45);
      END_STATE();
    case 16:
      if (lookahead == 'r') ADVANCE(46);
      END_STATE();
    case 17:
      if (lookahead == 'a') ADVANCE(47);
      if (lookahead == 'r') ADVANCE(48);
      END_STATE();
    case 18:
      if (lookahead == 'a') ADVANCE(49);
      if (lookahead == 'e') ADVANCE(50);
      END_STATE();
    case 19:
      if (lookahead == 'r') ADVANCE(51);
      END_STATE();
    case 20:
      if (lookahead == 'h') ADVANCE(52);
      if (lookahead == 'i') ADVANCE(53);
      END_STATE();
    case 21:
      if (lookahead == 'i') ADVANCE(54);
      END_STATE();
    case 22:
      if (lookahead == 'l') ADVANCE(55);
      END_STATE();
    case 23:
      if (lookahead == 'n') ADVANCE(56);
      END_STATE();
    case 24:
      if (lookahead == 'u') ADVANCE(57);
      END_STATE();
    case 25:
      if (lookahead == '\n') SKIP(0)
      END_STATE();
    case 26:
      if (lookahead == 'f') ADVANCE(58);
      END_STATE();
    case 27:
      if (lookahead == 'd') ADVANCE(59);
      END_STATE();
    case 28:
      ACCEPT_TOKEN(anon_sym_as);
      if (lookahead == 's') ADVANCE(60);
      if (lookahead == 'y') ADVANCE(61);
      END_STATE();
    case 29:
      if (lookahead == 'a') ADVANCE(62);
      END_STATE();
    case 30:
      if (lookahead == 'e') ADVANCE(63);
      END_STATE();
    case 31:
      if (lookahead == 'a') ADVANCE(64);
      END_STATE();
    case 32:
      if (lookahead == 'n') ADVANCE(65);
      END_STATE();
    case 33:
      if (lookahead == 'f') ADVANCE(66);
      if (lookahead == 'l') ADVANCE(67);
      END_STATE();
    case 34:
      if (lookahead == 'i') ADVANCE(68);
      if (lookahead == 's') ADVANCE(69);
      END_STATE();
    case 35:
      if (lookahead == 'c') ADVANCE(70);
      if (lookahead == 'e') ADVANCE(71);
      END_STATE();
    case 36:
      if (lookahead == 'n') ADVANCE(72);
      END_STATE();
    case 37:
      if (lookahead == 'r') ADVANCE(73);
      END_STATE();
    case 38:
      if (lookahead == 'o') ADVANCE(74);
      END_STATE();
    case 39:
      if (lookahead == 'o') ADVANCE(75);
      END_STATE();
    case 40:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 41:
      if (lookahead == 'p') ADVANCE(76);
      END_STATE();
    case 42:
      ACCEPT_TOKEN(anon_sym_in);
      END_STATE();
    case 43:
      ACCEPT_TOKEN(anon_sym_is);
      END_STATE();
    case 44:
      if (lookahead == 'm') ADVANCE(77);
      END_STATE();
    case 45:
      if (lookahead == 'n') ADVANCE(78);
      if (lookahead == 't') ADVANCE(79);
      END_STATE();
    case 46:
      ACCEPT_TOKEN(anon_sym_or);
      END_STATE();
    case 47:
      if (lookahead == 's') ADVANCE(80);
      END_STATE();
    case 48:
      if (lookahead == 'i') ADVANCE(81);
      END_STATE();
    case 49:
      if (lookahead == 'i') ADVANCE(82);
      END_STATE();
    case 50:
      if (lookahead == 't') ADVANCE(83);
      END_STATE();
    case 51:
      if (lookahead == 'y') ADVANCE(84);
      END_STATE();
    case 52:
      if (lookahead == 'i') ADVANCE(85);
      END_STATE();
    case 53:
      if (lookahead == 't') ADVANCE(86);
      END_STATE();
    case 54:
      if (lookahead == 'e') ADVANCE(87);
      END_STATE();
    case 55:
      if (lookahead == 's') ADVANCE(88);
      END_STATE();
    case 56:
      if (lookahead == 'e') ADVANCE(89);
      END_STATE();
    case 57:
      if (lookahead == 'e') ADVANCE(90);
      END_STATE();
    case 58:
      if (lookahead == 'u') ADVANCE(91);
      END_STATE();
    case 59:
      ACCEPT_TOKEN(anon_sym_and);
      END_STATE();
    case 60:
      if (lookahead == 'e') ADVANCE(92);
      END_STATE();
    case 61:
      if (lookahead == 'n') ADVANCE(93);
      END_STATE();
    case 62:
      if (lookahead == 'i') ADVANCE(94);
      END_STATE();
    case 63:
      if (lookahead == 'a') ADVANCE(95);
      END_STATE();
    case 64:
      if (lookahead == 's') ADVANCE(96);
      END_STATE();
    case 65:
      if (lookahead == 't') ADVANCE(97);
      END_STATE();
    case 66:
      ACCEPT_TOKEN(anon_sym_def);
      END_STATE();
    case 67:
      ACCEPT_TOKEN(anon_sym_del);
      END_STATE();
    case 68:
      if (lookahead == 'f') ADVANCE(98);
      END_STATE();
    case 69:
      if (lookahead == 'e') ADVANCE(99);
      END_STATE();
    case 70:
      if (lookahead == 'e') ADVANCE(100);
      END_STATE();
    case 71:
      if (lookahead == 'c') ADVANCE(101);
      END_STATE();
    case 72:
      if (lookahead == 'a') ADVANCE(102);
      END_STATE();
    case 73:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 74:
      if (lookahead == 'm') ADVANCE(103);
      END_STATE();
    case 75:
      if (lookahead == 'b') ADVANCE(104);
      END_STATE();
    case 76:
      if (lookahead == 'o') ADVANCE(105);
      END_STATE();
    case 77:
      if (lookahead == 'b') ADVANCE(106);
      END_STATE();
    case 78:
      if (lookahead == 'l') ADVANCE(107);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(anon_sym_not);
      END_STATE();
    case 80:
      if (lookahead == 's') ADVANCE(108);
      END_STATE();
    case 81:
      if (lookahead == 'n') ADVANCE(109);
      END_STATE();
    case 82:
      if (lookahead == 's') ADVANCE(110);
      END_STATE();
    case 83:
      if (lookahead == 'u') ADVANCE(111);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(anon_sym_try);
      END_STATE();
    case 85:
      if (lookahead == 'l') ADVANCE(112);
      END_STATE();
    case 86:
      if (lookahead == 'h') ADVANCE(113);
      END_STATE();
    case 87:
      if (lookahead == 'l') ADVANCE(114);
      END_STATE();
    case 88:
      if (lookahead == 'e') ADVANCE(115);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(sym_none);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(sym_true);
      END_STATE();
    case 91:
      if (lookahead == 't') ADVANCE(116);
      END_STATE();
    case 92:
      if (lookahead == 'r') ADVANCE(117);
      END_STATE();
    case 93:
      if (lookahead == 'c') ADVANCE(118);
      END_STATE();
    case 94:
      if (lookahead == 't') ADVANCE(119);
      END_STATE();
    case 95:
      if (lookahead == 'k') ADVANCE(120);
      END_STATE();
    case 96:
      if (lookahead == 's') ADVANCE(121);
      END_STATE();
    case 97:
      if (lookahead == 'i') ADVANCE(122);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(anon_sym_elif);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 100:
      if (lookahead == 'p') ADVANCE(123);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(anon_sym_exec);
      END_STATE();
    case 102:
      if (lookahead == 'l') ADVANCE(124);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(anon_sym_from);
      END_STATE();
    case 104:
      if (lookahead == 'a') ADVANCE(125);
      END_STATE();
    case 105:
      if (lookahead == 'r') ADVANCE(126);
      END_STATE();
    case 106:
      if (lookahead == 'd') ADVANCE(127);
      END_STATE();
    case 107:
      if (lookahead == 'o') ADVANCE(128);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(anon_sym_pass);
      END_STATE();
    case 109:
      if (lookahead == 't') ADVANCE(129);
      END_STATE();
    case 110:
      if (lookahead == 'e') ADVANCE(130);
      END_STATE();
    case 111:
      if (lookahead == 'r') ADVANCE(131);
      END_STATE();
    case 112:
      if (lookahead == 'e') ADVANCE(132);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(anon_sym_with);
      END_STATE();
    case 114:
      if (lookahead == 'd') ADVANCE(133);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(sym_false);
      END_STATE();
    case 116:
      if (lookahead == 'u') ADVANCE(134);
      END_STATE();
    case 117:
      if (lookahead == 't') ADVANCE(135);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(anon_sym_async);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(anon_sym_await);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(anon_sym_break);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(anon_sym_class);
      END_STATE();
    case 122:
      if (lookahead == 'n') ADVANCE(136);
      END_STATE();
    case 123:
      if (lookahead == 't') ADVANCE(137);
      END_STATE();
    case 124:
      if (lookahead == 'l') ADVANCE(138);
      END_STATE();
    case 125:
      if (lookahead == 'l') ADVANCE(139);
      END_STATE();
    case 126:
      if (lookahead == 't') ADVANCE(140);
      END_STATE();
    case 127:
      if (lookahead == 'a') ADVANCE(141);
      END_STATE();
    case 128:
      if (lookahead == 'c') ADVANCE(142);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(anon_sym_print);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(anon_sym_raise);
      END_STATE();
    case 131:
      if (lookahead == 'n') ADVANCE(143);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(anon_sym_yield);
      END_STATE();
    case 134:
      if (lookahead == 'r') ADVANCE(144);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(anon_sym_assert);
      END_STATE();
    case 136:
      if (lookahead == 'u') ADVANCE(145);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(anon_sym_except);
      END_STATE();
    case 138:
      if (lookahead == 'y') ADVANCE(146);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(anon_sym_global);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(anon_sym_import);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(anon_sym_lambda);
      END_STATE();
    case 142:
      if (lookahead == 'a') ADVANCE(147);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(anon_sym_return);
      END_STATE();
    case 144:
      if (lookahead == 'e') ADVANCE(148);
      END_STATE();
    case 145:
      if (lookahead == 'e') ADVANCE(149);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(anon_sym_finally);
      END_STATE();
    case 147:
      if (lookahead == 'l') ADVANCE(150);
      END_STATE();
    case 148:
      if (lookahead == '_') ADVANCE(151);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(anon_sym_continue);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(anon_sym_nonlocal);
      END_STATE();
    case 151:
      if (lookahead == '_') ADVANCE(152);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(anon_sym___future__);
      END_STATE();
    default:
      return false;
  }
}

static TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 38, .external_lex_state = 2},
  [2] = {.lex_state = 38, .external_lex_state = 3},
  [3] = {.lex_state = 38, .external_lex_state = 3},
  [4] = {.lex_state = 38, .external_lex_state = 3},
  [5] = {.lex_state = 38, .external_lex_state = 3},
  [6] = {.lex_state = 38, .external_lex_state = 3},
  [7] = {.lex_state = 38, .external_lex_state = 3},
  [8] = {.lex_state = 38, .external_lex_state = 3},
  [9] = {.lex_state = 38, .external_lex_state = 3},
  [10] = {.lex_state = 38, .external_lex_state = 3},
  [11] = {.lex_state = 38, .external_lex_state = 3},
  [12] = {.lex_state = 38, .external_lex_state = 3},
  [13] = {.lex_state = 38, .external_lex_state = 3},
  [14] = {.lex_state = 38, .external_lex_state = 3},
  [15] = {.lex_state = 38, .external_lex_state = 3},
  [16] = {.lex_state = 38, .external_lex_state = 3},
  [17] = {.lex_state = 38, .external_lex_state = 3},
  [18] = {.lex_state = 38, .external_lex_state = 3},
  [19] = {.lex_state = 38, .external_lex_state = 3},
  [20] = {.lex_state = 38, .external_lex_state = 3},
  [21] = {.lex_state = 38, .external_lex_state = 3},
  [22] = {.lex_state = 38, .external_lex_state = 3},
  [23] = {.lex_state = 38, .external_lex_state = 3},
  [24] = {.lex_state = 38, .external_lex_state = 3},
  [25] = {.lex_state = 38, .external_lex_state = 3},
  [26] = {.lex_state = 38, .external_lex_state = 3},
  [27] = {.lex_state = 38, .external_lex_state = 3},
  [28] = {.lex_state = 38, .external_lex_state = 3},
  [29] = {.lex_state = 38, .external_lex_state = 3},
  [30] = {.lex_state = 38, .external_lex_state = 3},
  [31] = {.lex_state = 38, .external_lex_state = 3},
  [32] = {.lex_state = 38, .external_lex_state = 3},
  [33] = {.lex_state = 38, .external_lex_state = 3},
  [34] = {.lex_state = 38, .external_lex_state = 3},
  [35] = {.lex_state = 38, .external_lex_state = 3},
  [36] = {.lex_state = 38, .external_lex_state = 3},
  [37] = {.lex_state = 38, .external_lex_state = 3},
  [38] = {.lex_state = 38, .external_lex_state = 3},
  [39] = {.lex_state = 38, .external_lex_state = 3},
  [40] = {.lex_state = 38, .external_lex_state = 3},
  [41] = {.lex_state = 38, .external_lex_state = 3},
  [42] = {.lex_state = 38, .external_lex_state = 2},
  [43] = {.lex_state = 38, .external_lex_state = 3},
  [44] = {.lex_state = 38, .external_lex_state = 3},
  [45] = {.lex_state = 38, .external_lex_state = 2},
  [46] = {.lex_state = 38, .external_lex_state = 3},
  [47] = {.lex_state = 38, .external_lex_state = 3},
  [48] = {.lex_state = 38, .external_lex_state = 4},
  [49] = {.lex_state = 38, .external_lex_state = 5},
  [50] = {.lex_state = 38, .external_lex_state = 5},
  [51] = {.lex_state = 38, .external_lex_state = 5},
  [52] = {.lex_state = 38, .external_lex_state = 5},
  [53] = {.lex_state = 38, .external_lex_state = 5},
  [54] = {.lex_state = 38, .external_lex_state = 5},
  [55] = {.lex_state = 38, .external_lex_state = 5},
  [56] = {.lex_state = 38, .external_lex_state = 5},
  [57] = {.lex_state = 38, .external_lex_state = 5},
  [58] = {.lex_state = 38, .external_lex_state = 5},
  [59] = {.lex_state = 38, .external_lex_state = 5},
  [60] = {.lex_state = 38, .external_lex_state = 5},
  [61] = {.lex_state = 38, .external_lex_state = 5},
  [62] = {.lex_state = 38, .external_lex_state = 5},
  [63] = {.lex_state = 38, .external_lex_state = 5},
  [64] = {.lex_state = 38, .external_lex_state = 5},
  [65] = {.lex_state = 38, .external_lex_state = 5},
  [66] = {.lex_state = 38, .external_lex_state = 5},
  [67] = {.lex_state = 38, .external_lex_state = 5},
  [68] = {.lex_state = 38, .external_lex_state = 5},
  [69] = {.lex_state = 38, .external_lex_state = 5},
  [70] = {.lex_state = 38, .external_lex_state = 5},
  [71] = {.lex_state = 38, .external_lex_state = 5},
  [72] = {.lex_state = 38, .external_lex_state = 5},
  [73] = {.lex_state = 38, .external_lex_state = 5},
  [74] = {.lex_state = 38, .external_lex_state = 5},
  [75] = {.lex_state = 38, .external_lex_state = 5},
  [76] = {.lex_state = 38, .external_lex_state = 5},
  [77] = {.lex_state = 38, .external_lex_state = 5},
  [78] = {.lex_state = 38, .external_lex_state = 5},
  [79] = {.lex_state = 38, .external_lex_state = 5},
  [80] = {.lex_state = 38, .external_lex_state = 5},
  [81] = {.lex_state = 38, .external_lex_state = 5},
  [82] = {.lex_state = 38, .external_lex_state = 5},
  [83] = {.lex_state = 38, .external_lex_state = 5},
  [84] = {.lex_state = 38, .external_lex_state = 5},
  [85] = {.lex_state = 38, .external_lex_state = 5},
  [86] = {.lex_state = 38, .external_lex_state = 5},
  [87] = {.lex_state = 38, .external_lex_state = 5},
  [88] = {.lex_state = 38, .external_lex_state = 5},
  [89] = {.lex_state = 38, .external_lex_state = 4},
  [90] = {.lex_state = 38, .external_lex_state = 4},
  [91] = {.lex_state = 38, .external_lex_state = 4},
  [92] = {.lex_state = 38, .external_lex_state = 4},
  [93] = {.lex_state = 38, .external_lex_state = 4},
  [94] = {.lex_state = 38, .external_lex_state = 4},
  [95] = {.lex_state = 38, .external_lex_state = 2},
  [96] = {.lex_state = 38, .external_lex_state = 4},
  [97] = {.lex_state = 38, .external_lex_state = 4},
  [98] = {.lex_state = 38, .external_lex_state = 4},
  [99] = {.lex_state = 38, .external_lex_state = 4},
  [100] = {.lex_state = 38, .external_lex_state = 2},
  [101] = {.lex_state = 38, .external_lex_state = 2},
  [102] = {.lex_state = 38, .external_lex_state = 2},
  [103] = {.lex_state = 38, .external_lex_state = 2},
  [104] = {.lex_state = 38, .external_lex_state = 2},
  [105] = {.lex_state = 38, .external_lex_state = 2},
  [106] = {.lex_state = 38, .external_lex_state = 2},
  [107] = {.lex_state = 38, .external_lex_state = 2},
  [108] = {.lex_state = 38, .external_lex_state = 2},
  [109] = {.lex_state = 10, .external_lex_state = 6},
  [110] = {.lex_state = 38, .external_lex_state = 2},
  [111] = {.lex_state = 38, .external_lex_state = 2},
  [112] = {.lex_state = 38, .external_lex_state = 2},
  [113] = {.lex_state = 38, .external_lex_state = 2},
  [114] = {.lex_state = 38, .external_lex_state = 2},
  [115] = {.lex_state = 38, .external_lex_state = 2},
  [116] = {.lex_state = 38, .external_lex_state = 2},
  [117] = {.lex_state = 10, .external_lex_state = 4},
  [118] = {.lex_state = 38, .external_lex_state = 2},
  [119] = {.lex_state = 38, .external_lex_state = 2},
  [120] = {.lex_state = 10, .external_lex_state = 4},
  [121] = {.lex_state = 38, .external_lex_state = 2},
  [122] = {.lex_state = 10, .external_lex_state = 4},
  [123] = {.lex_state = 38, .external_lex_state = 2},
  [124] = {.lex_state = 38, .external_lex_state = 2},
  [125] = {.lex_state = 10, .external_lex_state = 6},
  [126] = {.lex_state = 38, .external_lex_state = 2},
  [127] = {.lex_state = 10, .external_lex_state = 6},
  [128] = {.lex_state = 10, .external_lex_state = 6},
  [129] = {.lex_state = 10, .external_lex_state = 6},
  [130] = {.lex_state = 38, .external_lex_state = 2},
  [131] = {.lex_state = 10, .external_lex_state = 6},
  [132] = {.lex_state = 10, .external_lex_state = 6},
  [133] = {.lex_state = 10, .external_lex_state = 6},
  [134] = {.lex_state = 10, .external_lex_state = 6},
  [135] = {.lex_state = 10, .external_lex_state = 6},
  [136] = {.lex_state = 10, .external_lex_state = 6},
  [137] = {.lex_state = 10, .external_lex_state = 4},
  [138] = {.lex_state = 9, .external_lex_state = 6},
  [139] = {.lex_state = 10, .external_lex_state = 4},
  [140] = {.lex_state = 10, .external_lex_state = 4},
  [141] = {.lex_state = 38, .external_lex_state = 4},
  [142] = {.lex_state = 10, .external_lex_state = 6},
  [143] = {.lex_state = 38, .external_lex_state = 2},
  [144] = {.lex_state = 38, .external_lex_state = 2},
  [145] = {.lex_state = 10, .external_lex_state = 6},
  [146] = {.lex_state = 38, .external_lex_state = 2},
  [147] = {.lex_state = 10, .external_lex_state = 6},
  [148] = {.lex_state = 10, .external_lex_state = 6},
  [149] = {.lex_state = 38, .external_lex_state = 2},
  [150] = {.lex_state = 38, .external_lex_state = 2},
  [151] = {.lex_state = 38, .external_lex_state = 2},
  [152] = {.lex_state = 10, .external_lex_state = 6},
  [153] = {.lex_state = 38, .external_lex_state = 2},
  [154] = {.lex_state = 10, .external_lex_state = 6},
  [155] = {.lex_state = 10, .external_lex_state = 6},
  [156] = {.lex_state = 10, .external_lex_state = 6},
  [157] = {.lex_state = 38, .external_lex_state = 2},
  [158] = {.lex_state = 10, .external_lex_state = 6},
  [159] = {.lex_state = 38, .external_lex_state = 2},
  [160] = {.lex_state = 10, .external_lex_state = 6},
  [161] = {.lex_state = 38, .external_lex_state = 2},
  [162] = {.lex_state = 10, .external_lex_state = 6},
  [163] = {.lex_state = 10, .external_lex_state = 6},
  [164] = {.lex_state = 10, .external_lex_state = 6},
  [165] = {.lex_state = 10, .external_lex_state = 6},
  [166] = {.lex_state = 10, .external_lex_state = 6},
  [167] = {.lex_state = 38, .external_lex_state = 4},
  [168] = {.lex_state = 10, .external_lex_state = 6},
  [169] = {.lex_state = 38, .external_lex_state = 2},
  [170] = {.lex_state = 10, .external_lex_state = 6},
  [171] = {.lex_state = 10, .external_lex_state = 6},
  [172] = {.lex_state = 10, .external_lex_state = 6},
  [173] = {.lex_state = 10, .external_lex_state = 6},
  [174] = {.lex_state = 10, .external_lex_state = 6},
  [175] = {.lex_state = 10, .external_lex_state = 6},
  [176] = {.lex_state = 10, .external_lex_state = 6},
  [177] = {.lex_state = 10, .external_lex_state = 6},
  [178] = {.lex_state = 38, .external_lex_state = 2},
  [179] = {.lex_state = 38, .external_lex_state = 2},
  [180] = {.lex_state = 10, .external_lex_state = 6},
  [181] = {.lex_state = 38, .external_lex_state = 2},
  [182] = {.lex_state = 10, .external_lex_state = 6},
  [183] = {.lex_state = 38, .external_lex_state = 2},
  [184] = {.lex_state = 10, .external_lex_state = 6},
  [185] = {.lex_state = 10, .external_lex_state = 6},
  [186] = {.lex_state = 10, .external_lex_state = 6},
  [187] = {.lex_state = 38, .external_lex_state = 3},
  [188] = {.lex_state = 10, .external_lex_state = 6},
  [189] = {.lex_state = 38, .external_lex_state = 2},
  [190] = {.lex_state = 10, .external_lex_state = 6},
  [191] = {.lex_state = 38, .external_lex_state = 3},
  [192] = {.lex_state = 38, .external_lex_state = 2},
  [193] = {.lex_state = 38, .external_lex_state = 2},
  [194] = {.lex_state = 38, .external_lex_state = 2},
  [195] = {.lex_state = 38, .external_lex_state = 2},
  [196] = {.lex_state = 38, .external_lex_state = 2},
  [197] = {.lex_state = 38, .external_lex_state = 4},
  [198] = {.lex_state = 38, .external_lex_state = 2},
  [199] = {.lex_state = 38, .external_lex_state = 2},
  [200] = {.lex_state = 38, .external_lex_state = 2},
  [201] = {.lex_state = 38, .external_lex_state = 2},
  [202] = {.lex_state = 38, .external_lex_state = 2},
  [203] = {.lex_state = 38, .external_lex_state = 2},
  [204] = {.lex_state = 38, .external_lex_state = 2},
  [205] = {.lex_state = 38, .external_lex_state = 2},
  [206] = {.lex_state = 38, .external_lex_state = 2},
  [207] = {.lex_state = 38, .external_lex_state = 2},
  [208] = {.lex_state = 38, .external_lex_state = 2},
  [209] = {.lex_state = 38, .external_lex_state = 2},
  [210] = {.lex_state = 38, .external_lex_state = 2},
  [211] = {.lex_state = 38, .external_lex_state = 2},
  [212] = {.lex_state = 38, .external_lex_state = 2},
  [213] = {.lex_state = 38, .external_lex_state = 2},
  [214] = {.lex_state = 38, .external_lex_state = 2},
  [215] = {.lex_state = 38, .external_lex_state = 2},
  [216] = {.lex_state = 38, .external_lex_state = 2},
  [217] = {.lex_state = 38, .external_lex_state = 2},
  [218] = {.lex_state = 38, .external_lex_state = 2},
  [219] = {.lex_state = 38, .external_lex_state = 2},
  [220] = {.lex_state = 38, .external_lex_state = 2},
  [221] = {.lex_state = 38, .external_lex_state = 2},
  [222] = {.lex_state = 38, .external_lex_state = 2},
  [223] = {.lex_state = 38, .external_lex_state = 2},
  [224] = {.lex_state = 38, .external_lex_state = 2},
  [225] = {.lex_state = 38, .external_lex_state = 2},
  [226] = {.lex_state = 38, .external_lex_state = 2},
  [227] = {.lex_state = 38, .external_lex_state = 2},
  [228] = {.lex_state = 38, .external_lex_state = 3},
  [229] = {.lex_state = 38, .external_lex_state = 4},
  [230] = {.lex_state = 38, .external_lex_state = 2},
  [231] = {.lex_state = 38, .external_lex_state = 4},
  [232] = {.lex_state = 38, .external_lex_state = 2},
  [233] = {.lex_state = 38, .external_lex_state = 2},
  [234] = {.lex_state = 38, .external_lex_state = 2},
  [235] = {.lex_state = 38, .external_lex_state = 2},
  [236] = {.lex_state = 38, .external_lex_state = 2},
  [237] = {.lex_state = 38, .external_lex_state = 2},
  [238] = {.lex_state = 38, .external_lex_state = 2},
  [239] = {.lex_state = 38, .external_lex_state = 2},
  [240] = {.lex_state = 38, .external_lex_state = 2},
  [241] = {.lex_state = 38, .external_lex_state = 2},
  [242] = {.lex_state = 38, .external_lex_state = 3},
  [243] = {.lex_state = 38, .external_lex_state = 4},
  [244] = {.lex_state = 38, .external_lex_state = 2},
  [245] = {.lex_state = 38, .external_lex_state = 4},
  [246] = {.lex_state = 38, .external_lex_state = 2},
  [247] = {.lex_state = 38, .external_lex_state = 3},
  [248] = {.lex_state = 38, .external_lex_state = 2},
  [249] = {.lex_state = 38, .external_lex_state = 3},
  [250] = {.lex_state = 38, .external_lex_state = 3},
  [251] = {.lex_state = 38, .external_lex_state = 2},
  [252] = {.lex_state = 38, .external_lex_state = 2},
  [253] = {.lex_state = 38, .external_lex_state = 2},
  [254] = {.lex_state = 38, .external_lex_state = 2},
  [255] = {.lex_state = 38, .external_lex_state = 2},
  [256] = {.lex_state = 38, .external_lex_state = 3},
  [257] = {.lex_state = 38, .external_lex_state = 2},
  [258] = {.lex_state = 38, .external_lex_state = 2},
  [259] = {.lex_state = 38, .external_lex_state = 2},
  [260] = {.lex_state = 38, .external_lex_state = 3},
  [261] = {.lex_state = 38, .external_lex_state = 3},
  [262] = {.lex_state = 38, .external_lex_state = 3},
  [263] = {.lex_state = 38, .external_lex_state = 2},
  [264] = {.lex_state = 38, .external_lex_state = 3},
  [265] = {.lex_state = 38, .external_lex_state = 2},
  [266] = {.lex_state = 38, .external_lex_state = 2},
  [267] = {.lex_state = 38, .external_lex_state = 2},
  [268] = {.lex_state = 38, .external_lex_state = 2},
  [269] = {.lex_state = 38, .external_lex_state = 2},
  [270] = {.lex_state = 38, .external_lex_state = 2},
  [271] = {.lex_state = 38, .external_lex_state = 2},
  [272] = {.lex_state = 38, .external_lex_state = 2},
  [273] = {.lex_state = 38, .external_lex_state = 2},
  [274] = {.lex_state = 38, .external_lex_state = 2},
  [275] = {.lex_state = 38, .external_lex_state = 2},
  [276] = {.lex_state = 38, .external_lex_state = 2},
  [277] = {.lex_state = 38, .external_lex_state = 2},
  [278] = {.lex_state = 38, .external_lex_state = 2},
  [279] = {.lex_state = 38, .external_lex_state = 3},
  [280] = {.lex_state = 38, .external_lex_state = 2},
  [281] = {.lex_state = 38, .external_lex_state = 2},
  [282] = {.lex_state = 38, .external_lex_state = 2},
  [283] = {.lex_state = 38, .external_lex_state = 2},
  [284] = {.lex_state = 38, .external_lex_state = 2},
  [285] = {.lex_state = 38, .external_lex_state = 2},
  [286] = {.lex_state = 38, .external_lex_state = 2},
  [287] = {.lex_state = 38, .external_lex_state = 2},
  [288] = {.lex_state = 38, .external_lex_state = 2},
  [289] = {.lex_state = 38, .external_lex_state = 3},
  [290] = {.lex_state = 38, .external_lex_state = 2},
  [291] = {.lex_state = 38, .external_lex_state = 3},
  [292] = {.lex_state = 38, .external_lex_state = 2},
  [293] = {.lex_state = 38, .external_lex_state = 2},
  [294] = {.lex_state = 38, .external_lex_state = 3},
  [295] = {.lex_state = 38, .external_lex_state = 2},
  [296] = {.lex_state = 38, .external_lex_state = 2},
  [297] = {.lex_state = 38, .external_lex_state = 3},
  [298] = {.lex_state = 38, .external_lex_state = 3},
  [299] = {.lex_state = 38, .external_lex_state = 2},
  [300] = {.lex_state = 38, .external_lex_state = 2},
  [301] = {.lex_state = 38, .external_lex_state = 2},
  [302] = {.lex_state = 38, .external_lex_state = 2},
  [303] = {.lex_state = 38, .external_lex_state = 2},
  [304] = {.lex_state = 38, .external_lex_state = 2},
  [305] = {.lex_state = 38, .external_lex_state = 2},
  [306] = {.lex_state = 38, .external_lex_state = 2},
  [307] = {.lex_state = 38, .external_lex_state = 2},
  [308] = {.lex_state = 38, .external_lex_state = 2},
  [309] = {.lex_state = 38, .external_lex_state = 2},
  [310] = {.lex_state = 38, .external_lex_state = 2},
  [311] = {.lex_state = 38, .external_lex_state = 2},
  [312] = {.lex_state = 38, .external_lex_state = 2},
  [313] = {.lex_state = 38, .external_lex_state = 2},
  [314] = {.lex_state = 38, .external_lex_state = 3},
  [315] = {.lex_state = 38, .external_lex_state = 2},
  [316] = {.lex_state = 38, .external_lex_state = 2},
  [317] = {.lex_state = 38, .external_lex_state = 2},
  [318] = {.lex_state = 38, .external_lex_state = 2},
  [319] = {.lex_state = 38, .external_lex_state = 2},
  [320] = {.lex_state = 38, .external_lex_state = 2},
  [321] = {.lex_state = 38, .external_lex_state = 2},
  [322] = {.lex_state = 38, .external_lex_state = 2},
  [323] = {.lex_state = 38, .external_lex_state = 2},
  [324] = {.lex_state = 38, .external_lex_state = 2},
  [325] = {.lex_state = 38, .external_lex_state = 2},
  [326] = {.lex_state = 38, .external_lex_state = 2},
  [327] = {.lex_state = 38, .external_lex_state = 2},
  [328] = {.lex_state = 38, .external_lex_state = 2},
  [329] = {.lex_state = 38, .external_lex_state = 2},
  [330] = {.lex_state = 38, .external_lex_state = 2},
  [331] = {.lex_state = 38, .external_lex_state = 2},
  [332] = {.lex_state = 38, .external_lex_state = 2},
  [333] = {.lex_state = 38, .external_lex_state = 2},
  [334] = {.lex_state = 38, .external_lex_state = 2},
  [335] = {.lex_state = 38, .external_lex_state = 2},
  [336] = {.lex_state = 38, .external_lex_state = 2},
  [337] = {.lex_state = 38, .external_lex_state = 2},
  [338] = {.lex_state = 38, .external_lex_state = 2},
  [339] = {.lex_state = 38, .external_lex_state = 2},
  [340] = {.lex_state = 38, .external_lex_state = 2},
  [341] = {.lex_state = 38, .external_lex_state = 2},
  [342] = {.lex_state = 38, .external_lex_state = 2},
  [343] = {.lex_state = 38, .external_lex_state = 2},
  [344] = {.lex_state = 38, .external_lex_state = 2},
  [345] = {.lex_state = 38, .external_lex_state = 2},
  [346] = {.lex_state = 38, .external_lex_state = 2},
  [347] = {.lex_state = 38, .external_lex_state = 2},
  [348] = {.lex_state = 38, .external_lex_state = 2},
  [349] = {.lex_state = 38, .external_lex_state = 2},
  [350] = {.lex_state = 38, .external_lex_state = 2},
  [351] = {.lex_state = 38, .external_lex_state = 2},
  [352] = {.lex_state = 38, .external_lex_state = 2},
  [353] = {.lex_state = 38, .external_lex_state = 2},
  [354] = {.lex_state = 38, .external_lex_state = 2},
  [355] = {.lex_state = 38, .external_lex_state = 2},
  [356] = {.lex_state = 38, .external_lex_state = 3},
  [357] = {.lex_state = 38, .external_lex_state = 2},
  [358] = {.lex_state = 38, .external_lex_state = 3},
  [359] = {.lex_state = 38, .external_lex_state = 2},
  [360] = {.lex_state = 38, .external_lex_state = 2},
  [361] = {.lex_state = 38, .external_lex_state = 3},
  [362] = {.lex_state = 38, .external_lex_state = 2},
  [363] = {.lex_state = 38, .external_lex_state = 2},
  [364] = {.lex_state = 38, .external_lex_state = 2},
  [365] = {.lex_state = 38, .external_lex_state = 3},
  [366] = {.lex_state = 38, .external_lex_state = 3},
  [367] = {.lex_state = 38, .external_lex_state = 3},
  [368] = {.lex_state = 38, .external_lex_state = 3},
  [369] = {.lex_state = 38, .external_lex_state = 3},
  [370] = {.lex_state = 38, .external_lex_state = 2},
  [371] = {.lex_state = 38, .external_lex_state = 2},
  [372] = {.lex_state = 38, .external_lex_state = 2},
  [373] = {.lex_state = 38, .external_lex_state = 3},
  [374] = {.lex_state = 38, .external_lex_state = 3},
  [375] = {.lex_state = 38, .external_lex_state = 3},
  [376] = {.lex_state = 38, .external_lex_state = 2},
  [377] = {.lex_state = 10, .external_lex_state = 2},
  [378] = {.lex_state = 10, .external_lex_state = 2},
  [379] = {.lex_state = 38, .external_lex_state = 3},
  [380] = {.lex_state = 38, .external_lex_state = 2},
  [381] = {.lex_state = 10, .external_lex_state = 2},
  [382] = {.lex_state = 38, .external_lex_state = 3},
  [383] = {.lex_state = 10},
  [384] = {.lex_state = 38, .external_lex_state = 2},
  [385] = {.lex_state = 38, .external_lex_state = 3},
  [386] = {.lex_state = 38, .external_lex_state = 2},
  [387] = {.lex_state = 38, .external_lex_state = 3},
  [388] = {.lex_state = 38, .external_lex_state = 3},
  [389] = {.lex_state = 38, .external_lex_state = 3},
  [390] = {.lex_state = 38, .external_lex_state = 3},
  [391] = {.lex_state = 38, .external_lex_state = 3},
  [392] = {.lex_state = 38, .external_lex_state = 3},
  [393] = {.lex_state = 38, .external_lex_state = 3},
  [394] = {.lex_state = 38, .external_lex_state = 3},
  [395] = {.lex_state = 38, .external_lex_state = 3},
  [396] = {.lex_state = 38, .external_lex_state = 3},
  [397] = {.lex_state = 38, .external_lex_state = 3},
  [398] = {.lex_state = 38, .external_lex_state = 3},
  [399] = {.lex_state = 38, .external_lex_state = 3},
  [400] = {.lex_state = 38, .external_lex_state = 3},
  [401] = {.lex_state = 38, .external_lex_state = 3},
  [402] = {.lex_state = 38, .external_lex_state = 3},
  [403] = {.lex_state = 38, .external_lex_state = 3},
  [404] = {.lex_state = 38, .external_lex_state = 2},
  [405] = {.lex_state = 38, .external_lex_state = 3},
  [406] = {.lex_state = 38, .external_lex_state = 3},
  [407] = {.lex_state = 38, .external_lex_state = 2},
  [408] = {.lex_state = 38, .external_lex_state = 2},
  [409] = {.lex_state = 38, .external_lex_state = 2},
  [410] = {.lex_state = 10},
  [411] = {.lex_state = 38, .external_lex_state = 3},
  [412] = {.lex_state = 38, .external_lex_state = 2},
  [413] = {.lex_state = 38, .external_lex_state = 2},
  [414] = {.lex_state = 38, .external_lex_state = 2},
  [415] = {.lex_state = 38, .external_lex_state = 3},
  [416] = {.lex_state = 38, .external_lex_state = 3},
  [417] = {.lex_state = 38, .external_lex_state = 3},
  [418] = {.lex_state = 38, .external_lex_state = 3},
  [419] = {.lex_state = 38, .external_lex_state = 3},
  [420] = {.lex_state = 38, .external_lex_state = 2},
  [421] = {.lex_state = 10},
  [422] = {.lex_state = 38, .external_lex_state = 2},
  [423] = {.lex_state = 10},
  [424] = {.lex_state = 10},
  [425] = {.lex_state = 38, .external_lex_state = 2},
  [426] = {.lex_state = 10},
  [427] = {.lex_state = 10},
  [428] = {.lex_state = 38, .external_lex_state = 3},
  [429] = {.lex_state = 10},
  [430] = {.lex_state = 38, .external_lex_state = 2},
  [431] = {.lex_state = 10},
  [432] = {.lex_state = 10},
  [433] = {.lex_state = 38, .external_lex_state = 2},
  [434] = {.lex_state = 38, .external_lex_state = 3},
  [435] = {.lex_state = 38, .external_lex_state = 3},
  [436] = {.lex_state = 10},
  [437] = {.lex_state = 38, .external_lex_state = 2},
  [438] = {.lex_state = 38, .external_lex_state = 3},
  [439] = {.lex_state = 38, .external_lex_state = 3},
  [440] = {.lex_state = 38, .external_lex_state = 2},
  [441] = {.lex_state = 38, .external_lex_state = 2},
  [442] = {.lex_state = 38, .external_lex_state = 2},
  [443] = {.lex_state = 38, .external_lex_state = 3},
  [444] = {.lex_state = 38, .external_lex_state = 2},
  [445] = {.lex_state = 38, .external_lex_state = 2},
  [446] = {.lex_state = 38, .external_lex_state = 2},
  [447] = {.lex_state = 38, .external_lex_state = 2},
  [448] = {.lex_state = 38, .external_lex_state = 3},
  [449] = {.lex_state = 38, .external_lex_state = 3},
  [450] = {.lex_state = 38, .external_lex_state = 3},
  [451] = {.lex_state = 38, .external_lex_state = 2},
  [452] = {.lex_state = 38, .external_lex_state = 2},
  [453] = {.lex_state = 38, .external_lex_state = 2},
  [454] = {.lex_state = 38, .external_lex_state = 2},
  [455] = {.lex_state = 38, .external_lex_state = 2},
  [456] = {.lex_state = 38, .external_lex_state = 2},
  [457] = {.lex_state = 38, .external_lex_state = 3},
  [458] = {.lex_state = 38, .external_lex_state = 3},
  [459] = {.lex_state = 38, .external_lex_state = 2},
  [460] = {.lex_state = 38, .external_lex_state = 2},
  [461] = {.lex_state = 38, .external_lex_state = 2},
  [462] = {.lex_state = 38, .external_lex_state = 2},
  [463] = {.lex_state = 38, .external_lex_state = 2},
  [464] = {.lex_state = 38, .external_lex_state = 2},
  [465] = {.lex_state = 38, .external_lex_state = 2},
  [466] = {.lex_state = 38, .external_lex_state = 2},
  [467] = {.lex_state = 38, .external_lex_state = 2},
  [468] = {.lex_state = 38, .external_lex_state = 2},
  [469] = {.lex_state = 9},
  [470] = {.lex_state = 10, .external_lex_state = 2},
  [471] = {.lex_state = 10, .external_lex_state = 2},
  [472] = {.lex_state = 10},
  [473] = {.lex_state = 10},
  [474] = {.lex_state = 10},
  [475] = {.lex_state = 10},
  [476] = {.lex_state = 10},
  [477] = {.lex_state = 10},
  [478] = {.lex_state = 10},
  [479] = {.lex_state = 10},
  [480] = {.lex_state = 10},
  [481] = {.lex_state = 10},
  [482] = {.lex_state = 10},
  [483] = {.lex_state = 10},
  [484] = {.lex_state = 10},
  [485] = {.lex_state = 10},
  [486] = {.lex_state = 10},
  [487] = {.lex_state = 10},
  [488] = {.lex_state = 10},
  [489] = {.lex_state = 10},
  [490] = {.lex_state = 10},
  [491] = {.lex_state = 10},
  [492] = {.lex_state = 10},
  [493] = {.lex_state = 10},
  [494] = {.lex_state = 10},
  [495] = {.lex_state = 10},
  [496] = {.lex_state = 10},
  [497] = {.lex_state = 10},
  [498] = {.lex_state = 10},
  [499] = {.lex_state = 10},
  [500] = {.lex_state = 10},
  [501] = {.lex_state = 10},
  [502] = {.lex_state = 10},
  [503] = {.lex_state = 10},
  [504] = {.lex_state = 9},
  [505] = {.lex_state = 10, .external_lex_state = 2},
  [506] = {.lex_state = 10, .external_lex_state = 2},
  [507] = {.lex_state = 10, .external_lex_state = 2},
  [508] = {.lex_state = 38, .external_lex_state = 2},
  [509] = {.lex_state = 38, .external_lex_state = 2},
  [510] = {.lex_state = 10},
  [511] = {.lex_state = 10},
  [512] = {.lex_state = 38, .external_lex_state = 2},
  [513] = {.lex_state = 38, .external_lex_state = 2},
  [514] = {.lex_state = 10},
  [515] = {.lex_state = 10},
  [516] = {.lex_state = 10},
  [517] = {.lex_state = 38, .external_lex_state = 2},
  [518] = {.lex_state = 10},
  [519] = {.lex_state = 10},
  [520] = {.lex_state = 10},
  [521] = {.lex_state = 10},
  [522] = {.lex_state = 38, .external_lex_state = 2},
  [523] = {.lex_state = 38, .external_lex_state = 2},
  [524] = {.lex_state = 38, .external_lex_state = 2},
  [525] = {.lex_state = 38, .external_lex_state = 2},
  [526] = {.lex_state = 10},
  [527] = {.lex_state = 38, .external_lex_state = 2},
  [528] = {.lex_state = 38, .external_lex_state = 2},
  [529] = {.lex_state = 10},
  [530] = {.lex_state = 38, .external_lex_state = 2},
  [531] = {.lex_state = 38, .external_lex_state = 2},
  [532] = {.lex_state = 10, .external_lex_state = 2},
  [533] = {.lex_state = 38, .external_lex_state = 2},
  [534] = {.lex_state = 38, .external_lex_state = 2},
  [535] = {.lex_state = 38, .external_lex_state = 2},
  [536] = {.lex_state = 38, .external_lex_state = 2},
  [537] = {.lex_state = 38, .external_lex_state = 2},
  [538] = {.lex_state = 38, .external_lex_state = 2},
  [539] = {.lex_state = 38, .external_lex_state = 2},
  [540] = {.lex_state = 38, .external_lex_state = 2},
  [541] = {.lex_state = 38, .external_lex_state = 2},
  [542] = {.lex_state = 38, .external_lex_state = 2},
  [543] = {.lex_state = 38, .external_lex_state = 2},
  [544] = {.lex_state = 38, .external_lex_state = 2},
  [545] = {.lex_state = 38, .external_lex_state = 2},
  [546] = {.lex_state = 38, .external_lex_state = 2},
  [547] = {.lex_state = 9},
  [548] = {.lex_state = 38, .external_lex_state = 6},
  [549] = {.lex_state = 38, .external_lex_state = 2},
  [550] = {.lex_state = 38, .external_lex_state = 2},
  [551] = {.lex_state = 38, .external_lex_state = 2},
  [552] = {.lex_state = 38, .external_lex_state = 2},
  [553] = {.lex_state = 38, .external_lex_state = 2},
  [554] = {.lex_state = 38, .external_lex_state = 2},
  [555] = {.lex_state = 38, .external_lex_state = 2},
  [556] = {.lex_state = 38, .external_lex_state = 2},
  [557] = {.lex_state = 38, .external_lex_state = 6},
  [558] = {.lex_state = 38, .external_lex_state = 2},
  [559] = {.lex_state = 38, .external_lex_state = 2},
  [560] = {.lex_state = 38, .external_lex_state = 2},
  [561] = {.lex_state = 38, .external_lex_state = 2},
  [562] = {.lex_state = 38, .external_lex_state = 2},
  [563] = {.lex_state = 38, .external_lex_state = 2},
  [564] = {.lex_state = 10, .external_lex_state = 2},
  [565] = {.lex_state = 38, .external_lex_state = 2},
  [566] = {.lex_state = 10},
  [567] = {.lex_state = 10},
  [568] = {.lex_state = 10},
  [569] = {.lex_state = 10},
  [570] = {.lex_state = 10},
  [571] = {.lex_state = 10},
  [572] = {.lex_state = 10},
  [573] = {.lex_state = 10},
  [574] = {.lex_state = 10},
  [575] = {.lex_state = 10},
  [576] = {.lex_state = 10},
  [577] = {.lex_state = 10},
  [578] = {.lex_state = 10},
  [579] = {.lex_state = 10},
  [580] = {.lex_state = 10},
  [581] = {.lex_state = 10},
  [582] = {.lex_state = 10},
  [583] = {.lex_state = 10},
  [584] = {.lex_state = 10},
  [585] = {.lex_state = 10},
  [586] = {.lex_state = 10},
  [587] = {.lex_state = 10},
  [588] = {.lex_state = 10},
  [589] = {.lex_state = 10},
  [590] = {.lex_state = 10},
  [591] = {.lex_state = 10},
  [592] = {.lex_state = 10},
  [593] = {.lex_state = 10},
  [594] = {.lex_state = 10},
  [595] = {.lex_state = 10},
  [596] = {.lex_state = 10},
  [597] = {.lex_state = 38},
  [598] = {.lex_state = 38},
  [599] = {.lex_state = 38, .external_lex_state = 6},
  [600] = {.lex_state = 38, .external_lex_state = 6},
  [601] = {.lex_state = 38, .external_lex_state = 6},
  [602] = {.lex_state = 38, .external_lex_state = 6},
  [603] = {.lex_state = 38, .external_lex_state = 6},
  [604] = {.lex_state = 38, .external_lex_state = 6},
  [605] = {.lex_state = 38, .external_lex_state = 6},
  [606] = {.lex_state = 38, .external_lex_state = 6},
  [607] = {.lex_state = 38, .external_lex_state = 6},
  [608] = {.lex_state = 38, .external_lex_state = 6},
  [609] = {.lex_state = 38, .external_lex_state = 6},
  [610] = {.lex_state = 10},
  [611] = {.lex_state = 10},
  [612] = {.lex_state = 38, .external_lex_state = 6},
  [613] = {.lex_state = 38, .external_lex_state = 6},
  [614] = {.lex_state = 38, .external_lex_state = 6},
  [615] = {.lex_state = 38, .external_lex_state = 6},
  [616] = {.lex_state = 38},
  [617] = {.lex_state = 38},
  [618] = {.lex_state = 38},
  [619] = {.lex_state = 38},
  [620] = {.lex_state = 38},
  [621] = {.lex_state = 38},
  [622] = {.lex_state = 38},
  [623] = {.lex_state = 0},
  [624] = {.lex_state = 38},
  [625] = {.lex_state = 0},
  [626] = {.lex_state = 38},
  [627] = {.lex_state = 38},
  [628] = {.lex_state = 38},
  [629] = {.lex_state = 0},
  [630] = {.lex_state = 0},
  [631] = {.lex_state = 0},
  [632] = {.lex_state = 38},
  [633] = {.lex_state = 38},
  [634] = {.lex_state = 0},
  [635] = {.lex_state = 38},
  [636] = {.lex_state = 38},
  [637] = {.lex_state = 38},
  [638] = {.lex_state = 38},
  [639] = {.lex_state = 38},
  [640] = {.lex_state = 38},
  [641] = {.lex_state = 0},
  [642] = {.lex_state = 38},
  [643] = {.lex_state = 38},
  [644] = {.lex_state = 0},
  [645] = {.lex_state = 0},
  [646] = {.lex_state = 38},
  [647] = {.lex_state = 38},
  [648] = {.lex_state = 38},
  [649] = {.lex_state = 0},
  [650] = {.lex_state = 0},
  [651] = {.lex_state = 0},
  [652] = {.lex_state = 0},
  [653] = {.lex_state = 0},
  [654] = {.lex_state = 0},
  [655] = {.lex_state = 0},
  [656] = {.lex_state = 0},
  [657] = {.lex_state = 0},
  [658] = {.lex_state = 0},
  [659] = {.lex_state = 0},
  [660] = {.lex_state = 0},
  [661] = {.lex_state = 0},
  [662] = {.lex_state = 0},
  [663] = {.lex_state = 0},
  [664] = {.lex_state = 0},
  [665] = {.lex_state = 0},
  [666] = {.lex_state = 0},
  [667] = {.lex_state = 0},
  [668] = {.lex_state = 38},
  [669] = {.lex_state = 0},
  [670] = {.lex_state = 0},
  [671] = {.lex_state = 0},
  [672] = {.lex_state = 0},
  [673] = {.lex_state = 38},
  [674] = {.lex_state = 12, .external_lex_state = 7},
  [675] = {.lex_state = 12, .external_lex_state = 7},
  [676] = {.lex_state = 0},
  [677] = {.lex_state = 0},
  [678] = {.lex_state = 12, .external_lex_state = 7},
  [679] = {.lex_state = 0},
  [680] = {.lex_state = 0, .external_lex_state = 6},
  [681] = {.lex_state = 10, .external_lex_state = 6},
  [682] = {.lex_state = 38},
  [683] = {.lex_state = 10},
  [684] = {.lex_state = 0, .external_lex_state = 6},
  [685] = {.lex_state = 12, .external_lex_state = 7},
  [686] = {.lex_state = 10, .external_lex_state = 6},
  [687] = {.lex_state = 12, .external_lex_state = 7},
  [688] = {.lex_state = 38},
  [689] = {.lex_state = 38},
  [690] = {.lex_state = 0},
  [691] = {.lex_state = 0, .external_lex_state = 6},
  [692] = {.lex_state = 12, .external_lex_state = 7},
  [693] = {.lex_state = 0},
  [694] = {.lex_state = 12, .external_lex_state = 7},
  [695] = {.lex_state = 12, .external_lex_state = 7},
  [696] = {.lex_state = 0},
  [697] = {.lex_state = 38},
  [698] = {.lex_state = 38},
  [699] = {.lex_state = 10, .external_lex_state = 6},
  [700] = {.lex_state = 0},
  [701] = {.lex_state = 0},
  [702] = {.lex_state = 38},
  [703] = {.lex_state = 12, .external_lex_state = 7},
  [704] = {.lex_state = 38},
  [705] = {.lex_state = 38},
  [706] = {.lex_state = 38},
  [707] = {.lex_state = 10},
  [708] = {.lex_state = 10, .external_lex_state = 6},
  [709] = {.lex_state = 38},
  [710] = {.lex_state = 0},
  [711] = {.lex_state = 38},
  [712] = {.lex_state = 38},
  [713] = {.lex_state = 0},
  [714] = {.lex_state = 0, .external_lex_state = 6},
  [715] = {.lex_state = 10},
  [716] = {.lex_state = 38},
  [717] = {.lex_state = 38},
  [718] = {.lex_state = 0},
  [719] = {.lex_state = 38},
  [720] = {.lex_state = 38},
  [721] = {.lex_state = 0},
  [722] = {.lex_state = 38},
  [723] = {.lex_state = 38},
  [724] = {.lex_state = 10},
  [725] = {.lex_state = 0},
  [726] = {.lex_state = 0, .external_lex_state = 6},
  [727] = {.lex_state = 38},
  [728] = {.lex_state = 38},
  [729] = {.lex_state = 38},
  [730] = {.lex_state = 38},
  [731] = {.lex_state = 38},
  [732] = {.lex_state = 0, .external_lex_state = 6},
  [733] = {.lex_state = 38},
  [734] = {.lex_state = 38},
  [735] = {.lex_state = 4},
  [736] = {.lex_state = 12, .external_lex_state = 7},
  [737] = {.lex_state = 0},
  [738] = {.lex_state = 0, .external_lex_state = 6},
  [739] = {.lex_state = 0},
  [740] = {.lex_state = 0},
  [741] = {.lex_state = 38},
  [742] = {.lex_state = 0},
  [743] = {.lex_state = 0},
  [744] = {.lex_state = 0},
  [745] = {.lex_state = 0, .external_lex_state = 6},
  [746] = {.lex_state = 0},
  [747] = {.lex_state = 0},
  [748] = {.lex_state = 0},
  [749] = {.lex_state = 0},
  [750] = {.lex_state = 12, .external_lex_state = 7},
  [751] = {.lex_state = 0, .external_lex_state = 6},
  [752] = {.lex_state = 0},
  [753] = {.lex_state = 0, .external_lex_state = 6},
  [754] = {.lex_state = 4},
  [755] = {.lex_state = 12, .external_lex_state = 7},
  [756] = {.lex_state = 10},
  [757] = {.lex_state = 0, .external_lex_state = 6},
  [758] = {.lex_state = 0, .external_lex_state = 6},
  [759] = {.lex_state = 38},
  [760] = {.lex_state = 38},
  [761] = {.lex_state = 0},
  [762] = {.lex_state = 4},
  [763] = {.lex_state = 0},
  [764] = {.lex_state = 38},
  [765] = {.lex_state = 0},
  [766] = {.lex_state = 0},
  [767] = {.lex_state = 0, .external_lex_state = 6},
  [768] = {.lex_state = 38},
  [769] = {.lex_state = 38},
  [770] = {.lex_state = 38},
  [771] = {.lex_state = 0},
  [772] = {.lex_state = 38},
  [773] = {.lex_state = 10},
  [774] = {.lex_state = 0, .external_lex_state = 6},
  [775] = {.lex_state = 0},
  [776] = {.lex_state = 38},
  [777] = {.lex_state = 0},
  [778] = {.lex_state = 0, .external_lex_state = 6},
  [779] = {.lex_state = 38},
  [780] = {.lex_state = 38},
  [781] = {.lex_state = 0, .external_lex_state = 6},
  [782] = {.lex_state = 0},
  [783] = {.lex_state = 38},
  [784] = {.lex_state = 38},
  [785] = {.lex_state = 0},
  [786] = {.lex_state = 0, .external_lex_state = 6},
  [787] = {.lex_state = 0, .external_lex_state = 6},
  [788] = {.lex_state = 0, .external_lex_state = 6},
  [789] = {.lex_state = 0},
  [790] = {.lex_state = 0, .external_lex_state = 6},
  [791] = {.lex_state = 0, .external_lex_state = 6},
  [792] = {.lex_state = 0, .external_lex_state = 6},
  [793] = {.lex_state = 38},
  [794] = {.lex_state = 0},
  [795] = {.lex_state = 38},
  [796] = {.lex_state = 0, .external_lex_state = 6},
  [797] = {.lex_state = 0},
  [798] = {.lex_state = 0, .external_lex_state = 6},
  [799] = {.lex_state = 0, .external_lex_state = 6},
  [800] = {.lex_state = 38},
  [801] = {.lex_state = 0, .external_lex_state = 6},
  [802] = {.lex_state = 38},
  [803] = {.lex_state = 10},
  [804] = {.lex_state = 0},
  [805] = {.lex_state = 0, .external_lex_state = 6},
  [806] = {.lex_state = 38},
  [807] = {.lex_state = 38},
  [808] = {.lex_state = 0},
  [809] = {.lex_state = 0},
  [810] = {.lex_state = 38},
  [811] = {.lex_state = 38},
  [812] = {.lex_state = 0},
  [813] = {.lex_state = 0},
  [814] = {.lex_state = 0},
  [815] = {.lex_state = 0, .external_lex_state = 6},
  [816] = {.lex_state = 0},
  [817] = {.lex_state = 0},
  [818] = {.lex_state = 0},
  [819] = {.lex_state = 0, .external_lex_state = 6},
  [820] = {.lex_state = 0, .external_lex_state = 6},
  [821] = {.lex_state = 0},
  [822] = {.lex_state = 38},
  [823] = {.lex_state = 0},
  [824] = {.lex_state = 0, .external_lex_state = 6},
  [825] = {.lex_state = 0},
  [826] = {.lex_state = 0, .external_lex_state = 6},
  [827] = {.lex_state = 38},
  [828] = {.lex_state = 0, .external_lex_state = 6},
  [829] = {.lex_state = 0},
  [830] = {.lex_state = 0},
  [831] = {.lex_state = 0, .external_lex_state = 6},
  [832] = {.lex_state = 0},
  [833] = {.lex_state = 0},
  [834] = {.lex_state = 38},
  [835] = {.lex_state = 38},
  [836] = {.lex_state = 0},
  [837] = {.lex_state = 38},
  [838] = {.lex_state = 0, .external_lex_state = 6},
  [839] = {.lex_state = 0},
  [840] = {.lex_state = 0},
  [841] = {.lex_state = 0},
  [842] = {.lex_state = 0},
  [843] = {.lex_state = 0},
  [844] = {.lex_state = 0, .external_lex_state = 6},
  [845] = {.lex_state = 0},
  [846] = {.lex_state = 0},
  [847] = {.lex_state = 38},
  [848] = {.lex_state = 38},
  [849] = {.lex_state = 0},
  [850] = {.lex_state = 0},
  [851] = {.lex_state = 38},
  [852] = {.lex_state = 0},
  [853] = {.lex_state = 38},
  [854] = {.lex_state = 38},
  [855] = {.lex_state = 0},
  [856] = {.lex_state = 38},
  [857] = {.lex_state = 0},
  [858] = {.lex_state = 0},
  [859] = {.lex_state = 0},
  [860] = {.lex_state = 0},
  [861] = {.lex_state = 0, .external_lex_state = 6},
  [862] = {.lex_state = 0},
  [863] = {.lex_state = 0},
  [864] = {.lex_state = 0},
  [865] = {.lex_state = 0},
  [866] = {.lex_state = 0},
  [867] = {.lex_state = 38},
  [868] = {.lex_state = 38},
  [869] = {.lex_state = 0},
  [870] = {.lex_state = 38},
  [871] = {.lex_state = 0},
  [872] = {.lex_state = 0},
  [873] = {.lex_state = 38},
  [874] = {.lex_state = 0},
  [875] = {.lex_state = 0, .external_lex_state = 6},
  [876] = {.lex_state = 38},
  [877] = {.lex_state = 0},
  [878] = {.lex_state = 38},
  [879] = {.lex_state = 38},
  [880] = {.lex_state = 0},
  [881] = {.lex_state = 38},
  [882] = {.lex_state = 0, .external_lex_state = 6},
  [883] = {.lex_state = 4},
  [884] = {.lex_state = 0},
  [885] = {.lex_state = 0, .external_lex_state = 6},
  [886] = {.lex_state = 0},
  [887] = {.lex_state = 0},
  [888] = {.lex_state = 0},
  [889] = {.lex_state = 0},
  [890] = {.lex_state = 0},
  [891] = {.lex_state = 0, .external_lex_state = 6},
  [892] = {.lex_state = 0},
  [893] = {.lex_state = 0, .external_lex_state = 6},
  [894] = {.lex_state = 0},
  [895] = {.lex_state = 38},
  [896] = {.lex_state = 0},
  [897] = {.lex_state = 0},
  [898] = {.lex_state = 0},
  [899] = {.lex_state = 0},
  [900] = {.lex_state = 0},
  [901] = {.lex_state = 0, .external_lex_state = 6},
  [902] = {.lex_state = 0},
  [903] = {.lex_state = 0},
  [904] = {.lex_state = 0},
  [905] = {.lex_state = 38},
  [906] = {.lex_state = 38},
  [907] = {.lex_state = 0},
  [908] = {.lex_state = 0},
  [909] = {.lex_state = 0, .external_lex_state = 6},
  [910] = {.lex_state = 0},
  [911] = {.lex_state = 0, .external_lex_state = 6},
  [912] = {.lex_state = 0},
  [913] = {.lex_state = 0, .external_lex_state = 6},
  [914] = {.lex_state = 0},
  [915] = {.lex_state = 11},
  [916] = {.lex_state = 0},
  [917] = {.lex_state = 0},
  [918] = {.lex_state = 0},
  [919] = {.lex_state = 0},
  [920] = {.lex_state = 0, .external_lex_state = 6},
  [921] = {.lex_state = 0, .external_lex_state = 6},
  [922] = {.lex_state = 0, .external_lex_state = 6},
  [923] = {.lex_state = 0, .external_lex_state = 6},
  [924] = {.lex_state = 0},
  [925] = {.lex_state = 0, .external_lex_state = 6},
  [926] = {.lex_state = 11},
  [927] = {.lex_state = 11},
  [928] = {.lex_state = 0, .external_lex_state = 6},
  [929] = {.lex_state = 0, .external_lex_state = 6},
  [930] = {.lex_state = 38},
  [931] = {.lex_state = 11},
  [932] = {.lex_state = 0},
  [933] = {.lex_state = 0},
  [934] = {.lex_state = 0, .external_lex_state = 6},
  [935] = {.lex_state = 38},
  [936] = {.lex_state = 0, .external_lex_state = 6},
  [937] = {.lex_state = 0},
  [938] = {.lex_state = 0},
  [939] = {.lex_state = 11},
  [940] = {.lex_state = 0, .external_lex_state = 6},
  [941] = {.lex_state = 0},
  [942] = {.lex_state = 0},
  [943] = {.lex_state = 0, .external_lex_state = 6},
  [944] = {.lex_state = 0, .external_lex_state = 6},
  [945] = {.lex_state = 0},
  [946] = {.lex_state = 11},
  [947] = {.lex_state = 0},
  [948] = {.lex_state = 0},
  [949] = {.lex_state = 0, .external_lex_state = 6},
  [950] = {.lex_state = 0, .external_lex_state = 6},
  [951] = {.lex_state = 0},
  [952] = {.lex_state = 0},
  [953] = {.lex_state = 0},
  [954] = {.lex_state = 0},
  [955] = {.lex_state = 38},
  [956] = {.lex_state = 0},
  [957] = {.lex_state = 0},
  [958] = {.lex_state = 0},
  [959] = {.lex_state = 0},
  [960] = {.lex_state = 0},
  [961] = {.lex_state = 38},
  [962] = {.lex_state = 0},
  [963] = {.lex_state = 0},
  [964] = {.lex_state = 0},
  [965] = {.lex_state = 0},
  [966] = {.lex_state = 0},
  [967] = {.lex_state = 0},
  [968] = {.lex_state = 0},
  [969] = {.lex_state = 0},
  [970] = {.lex_state = 0},
  [971] = {.lex_state = 38},
  [972] = {.lex_state = 38},
  [973] = {.lex_state = 0},
  [974] = {.lex_state = 0},
  [975] = {.lex_state = 0},
  [976] = {.lex_state = 0},
  [977] = {.lex_state = 0},
  [978] = {.lex_state = 38},
  [979] = {.lex_state = 0},
  [980] = {.lex_state = 0},
  [981] = {.lex_state = 0},
  [982] = {.lex_state = 0},
  [983] = {.lex_state = 0},
  [984] = {.lex_state = 0},
  [985] = {.lex_state = 0},
  [986] = {.lex_state = 0},
  [987] = {.lex_state = 0},
  [988] = {.lex_state = 0},
  [989] = {.lex_state = 0},
  [990] = {.lex_state = 0},
  [991] = {.lex_state = 0},
  [992] = {.lex_state = 38},
  [993] = {.lex_state = 0},
  [994] = {.lex_state = 0},
  [995] = {.lex_state = 0},
  [996] = {.lex_state = 0},
  [997] = {.lex_state = 0},
  [998] = {.lex_state = 38},
  [999] = {.lex_state = 0},
  [1000] = {.lex_state = 38},
  [1001] = {.lex_state = 0},
  [1002] = {.lex_state = 0},
  [1003] = {.lex_state = 38},
  [1004] = {.lex_state = 0},
  [1005] = {.lex_state = 38},
  [1006] = {.lex_state = 38},
  [1007] = {.lex_state = 38},
  [1008] = {.lex_state = 0},
  [1009] = {.lex_state = 38},
  [1010] = {.lex_state = 0},
  [1011] = {.lex_state = 38},
  [1012] = {.lex_state = 38},
  [1013] = {.lex_state = 0},
  [1014] = {.lex_state = 0},
  [1015] = {.lex_state = 0},
  [1016] = {.lex_state = 0},
  [1017] = {.lex_state = 38},
  [1018] = {.lex_state = 38},
  [1019] = {.lex_state = 0},
  [1020] = {.lex_state = 38},
  [1021] = {.lex_state = 0},
  [1022] = {.lex_state = 0},
  [1023] = {.lex_state = 0},
  [1024] = {.lex_state = 0},
  [1025] = {.lex_state = 0},
  [1026] = {.lex_state = 0},
  [1027] = {.lex_state = 0, .external_lex_state = 6},
  [1028] = {.lex_state = 38},
  [1029] = {.lex_state = 38},
  [1030] = {.lex_state = 0},
  [1031] = {.lex_state = 0},
  [1032] = {.lex_state = 0},
  [1033] = {.lex_state = 0},
  [1034] = {.lex_state = 0},
  [1035] = {.lex_state = 0},
  [1036] = {.lex_state = 38},
};

enum {
  ts_external_token__newline = 0,
  ts_external_token__indent = 1,
  ts_external_token__dedent = 2,
  ts_external_token__string_start = 3,
  ts_external_token__string_content = 4,
  ts_external_token__string_end = 5,
};

static TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token__newline] = sym__newline,
  [ts_external_token__indent] = sym__indent,
  [ts_external_token__dedent] = sym__dedent,
  [ts_external_token__string_start] = sym__string_start,
  [ts_external_token__string_content] = sym__string_content,
  [ts_external_token__string_end] = sym__string_end,
};

static bool ts_external_scanner_states[8][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token__newline] = true,
    [ts_external_token__indent] = true,
    [ts_external_token__dedent] = true,
    [ts_external_token__string_start] = true,
    [ts_external_token__string_content] = true,
    [ts_external_token__string_end] = true,
  },
  [2] = {
    [ts_external_token__string_start] = true,
  },
  [3] = {
    [ts_external_token__dedent] = true,
    [ts_external_token__string_start] = true,
  },
  [4] = {
    [ts_external_token__newline] = true,
    [ts_external_token__string_start] = true,
  },
  [5] = {
    [ts_external_token__indent] = true,
    [ts_external_token__string_start] = true,
  },
  [6] = {
    [ts_external_token__newline] = true,
  },
  [7] = {
    [ts_external_token__string_content] = true,
    [ts_external_token__string_end] = true,
  },
};

static uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_identifier] = ACTIONS(1),
    [anon_sym_import] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_from] = ACTIONS(1),
    [anon_sym___future__] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_as] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_print] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_assert] = ACTIONS(1),
    [anon_sym_COLON_EQ] = ACTIONS(1),
    [anon_sym_return] = ACTIONS(1),
    [anon_sym_del] = ACTIONS(1),
    [anon_sym_raise] = ACTIONS(1),
    [anon_sym_pass] = ACTIONS(1),
    [anon_sym_break] = ACTIONS(1),
    [anon_sym_continue] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_elif] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_async] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_in] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_try] = ACTIONS(1),
    [anon_sym_except] = ACTIONS(1),
    [anon_sym_finally] = ACTIONS(1),
    [anon_sym_with] = ACTIONS(1),
    [anon_sym_def] = ACTIONS(1),
    [anon_sym_DASH_GT] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_STAR_STAR] = ACTIONS(1),
    [anon_sym_global] = ACTIONS(1),
    [anon_sym_nonlocal] = ACTIONS(1),
    [anon_sym_exec] = ACTIONS(1),
    [anon_sym_class] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [anon_sym_not] = ACTIONS(1),
    [anon_sym_and] = ACTIONS(1),
    [anon_sym_or] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_SLASH_SLASH] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_LT_GT] = ACTIONS(1),
    [anon_sym_is] = ACTIONS(1),
    [anon_sym_lambda] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [anon_sym_AT_EQ] = ACTIONS(1),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_LT_LT_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_yield] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [sym_ellipsis] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [sym_type_conversion] = ACTIONS(1),
    [sym_integer] = ACTIONS(1),
    [sym_float] = ACTIONS(1),
    [sym_true] = ACTIONS(1),
    [sym_false] = ACTIONS(1),
    [sym_none] = ACTIONS(1),
    [anon_sym_await] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(1),
    [sym__newline] = ACTIONS(1),
    [sym__indent] = ACTIONS(1),
    [sym__dedent] = ACTIONS(1),
    [sym__string_start] = ACTIONS(1),
    [sym__string_content] = ACTIONS(1),
    [sym__string_end] = ACTIONS(1),
  },
  [1] = {
    [sym_module] = STATE(994),
    [sym__statement] = STATE(42),
    [sym__simple_statements] = STATE(42),
    [sym_import_statement] = STATE(831),
    [sym_future_import_statement] = STATE(831),
    [sym_import_from_statement] = STATE(831),
    [sym_print_statement] = STATE(831),
    [sym_assert_statement] = STATE(831),
    [sym_expression_statement] = STATE(831),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(831),
    [sym_delete_statement] = STATE(831),
    [sym_raise_statement] = STATE(831),
    [sym_pass_statement] = STATE(831),
    [sym_break_statement] = STATE(831),
    [sym_continue_statement] = STATE(831),
    [sym_if_statement] = STATE(42),
    [sym_for_statement] = STATE(42),
    [sym_while_statement] = STATE(42),
    [sym_try_statement] = STATE(42),
    [sym_with_statement] = STATE(42),
    [sym_function_definition] = STATE(42),
    [sym_global_statement] = STATE(831),
    [sym_nonlocal_statement] = STATE(831),
    [sym_exec_statement] = STATE(831),
    [sym_class_definition] = STATE(42),
    [sym_decorated_definition] = STATE(42),
    [sym_decorator] = STATE(669),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(109),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(109),
    [sym_unary_operator] = STATE(109),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(936),
    [sym_augmented_assignment] = STATE(936),
    [sym_yield] = STATE(936),
    [sym_attribute] = STATE(109),
    [sym_subscript] = STATE(109),
    [sym_call] = STATE(109),
    [sym_list] = STATE(109),
    [sym_list_comprehension] = STATE(109),
    [sym_dictionary] = STATE(109),
    [sym_dictionary_comprehension] = STATE(109),
    [sym_set] = STATE(109),
    [sym_set_comprehension] = STATE(109),
    [sym_parenthesized_expression] = STATE(109),
    [sym_tuple] = STATE(109),
    [sym_generator_expression] = STATE(109),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(109),
    [sym_string] = STATE(117),
    [sym_await] = STATE(601),
    [aux_sym_module_repeat1] = STATE(42),
    [aux_sym_decorated_definition_repeat1] = STATE(669),
    [ts_builtin_sym_end] = ACTIONS(5),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_try] = ACTIONS(39),
    [anon_sym_with] = ACTIONS(41),
    [anon_sym_def] = ACTIONS(43),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_class] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(73),
  },
  [2] = {
    [sym__statement] = STATE(44),
    [sym__simple_statements] = STATE(44),
    [sym_import_statement] = STATE(861),
    [sym_future_import_statement] = STATE(861),
    [sym_import_from_statement] = STATE(861),
    [sym_print_statement] = STATE(861),
    [sym_assert_statement] = STATE(861),
    [sym_expression_statement] = STATE(861),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(861),
    [sym_delete_statement] = STATE(861),
    [sym_raise_statement] = STATE(861),
    [sym_pass_statement] = STATE(861),
    [sym_break_statement] = STATE(861),
    [sym_continue_statement] = STATE(861),
    [sym_if_statement] = STATE(44),
    [sym_for_statement] = STATE(44),
    [sym_while_statement] = STATE(44),
    [sym_try_statement] = STATE(44),
    [sym_with_statement] = STATE(44),
    [sym_function_definition] = STATE(44),
    [sym_global_statement] = STATE(861),
    [sym_nonlocal_statement] = STATE(861),
    [sym_exec_statement] = STATE(861),
    [sym_class_definition] = STATE(44),
    [sym_decorated_definition] = STATE(44),
    [sym_decorator] = STATE(667),
    [sym_block] = STATE(355),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(109),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(109),
    [sym_unary_operator] = STATE(109),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(936),
    [sym_augmented_assignment] = STATE(936),
    [sym_yield] = STATE(936),
    [sym_attribute] = STATE(109),
    [sym_subscript] = STATE(109),
    [sym_call] = STATE(109),
    [sym_list] = STATE(109),
    [sym_list_comprehension] = STATE(109),
    [sym_dictionary] = STATE(109),
    [sym_dictionary_comprehension] = STATE(109),
    [sym_set] = STATE(109),
    [sym_set_comprehension] = STATE(109),
    [sym_parenthesized_expression] = STATE(109),
    [sym_tuple] = STATE(109),
    [sym_generator_expression] = STATE(109),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(109),
    [sym_string] = STATE(117),
    [sym_await] = STATE(601),
    [aux_sym_module_repeat1] = STATE(44),
    [aux_sym_decorated_definition_repeat1] = STATE(667),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_async] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_with] = ACTIONS(85),
    [anon_sym_def] = ACTIONS(87),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_class] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(91),
    [sym__string_start] = ACTIONS(73),
  },
  [3] = {
    [sym__statement] = STATE(47),
    [sym__simple_statements] = STATE(47),
    [sym_import_statement] = STATE(861),
    [sym_future_import_statement] = STATE(861),
    [sym_import_from_statement] = STATE(861),
    [sym_print_statement] = STATE(861),
    [sym_assert_statement] = STATE(861),
    [sym_expression_statement] = STATE(861),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(861),
    [sym_delete_statement] = STATE(861),
    [sym_raise_statement] = STATE(861),
    [sym_pass_statement] = STATE(861),
    [sym_break_statement] = STATE(861),
    [sym_continue_statement] = STATE(861),
    [sym_if_statement] = STATE(47),
    [sym_for_statement] = STATE(47),
    [sym_while_statement] = STATE(47),
    [sym_try_statement] = STATE(47),
    [sym_with_statement] = STATE(47),
    [sym_function_definition] = STATE(47),
    [sym_global_statement] = STATE(861),
    [sym_nonlocal_statement] = STATE(861),
    [sym_exec_statement] = STATE(861),
    [sym_class_definition] = STATE(47),
    [sym_decorated_definition] = STATE(47),
    [sym_decorator] = STATE(667),
    [sym_block] = STATE(367),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(109),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(109),
    [sym_unary_operator] = STATE(109),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(936),
    [sym_augmented_assignment] = STATE(936),
    [sym_yield] = STATE(936),
    [sym_attribute] = STATE(109),
    [sym_subscript] = STATE(109),
    [sym_call] = STATE(109),
    [sym_list] = STATE(109),
    [sym_list_comprehension] = STATE(109),
    [sym_dictionary] = STATE(109),
    [sym_dictionary_comprehension] = STATE(109),
    [sym_set] = STATE(109),
    [sym_set_comprehension] = STATE(109),
    [sym_parenthesized_expression] = STATE(109),
    [sym_tuple] = STATE(109),
    [sym_generator_expression] = STATE(109),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(109),
    [sym_string] = STATE(117),
    [sym_await] = STATE(601),
    [aux_sym_module_repeat1] = STATE(47),
    [aux_sym_decorated_definition_repeat1] = STATE(667),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_async] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_with] = ACTIONS(85),
    [anon_sym_def] = ACTIONS(87),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_class] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(93),
    [sym__string_start] = ACTIONS(73),
  },
  [4] = {
    [sym__statement] = STATE(43),
    [sym__simple_statements] = STATE(43),
    [sym_import_statement] = STATE(861),
    [sym_future_import_statement] = STATE(861),
    [sym_import_from_statement] = STATE(861),
    [sym_print_statement] = STATE(861),
    [sym_assert_statement] = STATE(861),
    [sym_expression_statement] = STATE(861),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(861),
    [sym_delete_statement] = STATE(861),
    [sym_raise_statement] = STATE(861),
    [sym_pass_statement] = STATE(861),
    [sym_break_statement] = STATE(861),
    [sym_continue_statement] = STATE(861),
    [sym_if_statement] = STATE(43),
    [sym_for_statement] = STATE(43),
    [sym_while_statement] = STATE(43),
    [sym_try_statement] = STATE(43),
    [sym_with_statement] = STATE(43),
    [sym_function_definition] = STATE(43),
    [sym_global_statement] = STATE(861),
    [sym_nonlocal_statement] = STATE(861),
    [sym_exec_statement] = STATE(861),
    [sym_class_definition] = STATE(43),
    [sym_decorated_definition] = STATE(43),
    [sym_decorator] = STATE(667),
    [sym_block] = STATE(743),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(109),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(109),
    [sym_unary_operator] = STATE(109),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(936),
    [sym_augmented_assignment] = STATE(936),
    [sym_yield] = STATE(936),
    [sym_attribute] = STATE(109),
    [sym_subscript] = STATE(109),
    [sym_call] = STATE(109),
    [sym_list] = STATE(109),
    [sym_list_comprehension] = STATE(109),
    [sym_dictionary] = STATE(109),
    [sym_dictionary_comprehension] = STATE(109),
    [sym_set] = STATE(109),
    [sym_set_comprehension] = STATE(109),
    [sym_parenthesized_expression] = STATE(109),
    [sym_tuple] = STATE(109),
    [sym_generator_expression] = STATE(109),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(109),
    [sym_string] = STATE(117),
    [sym_await] = STATE(601),
    [aux_sym_module_repeat1] = STATE(43),
    [aux_sym_decorated_definition_repeat1] = STATE(667),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_async] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_with] = ACTIONS(85),
    [anon_sym_def] = ACTIONS(87),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_class] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(95),
    [sym__string_start] = ACTIONS(73),
  },
  [5] = {
    [sym__statement] = STATE(44),
    [sym__simple_statements] = STATE(44),
    [sym_import_statement] = STATE(861),
    [sym_future_import_statement] = STATE(861),
    [sym_import_from_statement] = STATE(861),
    [sym_print_statement] = STATE(861),
    [sym_assert_statement] = STATE(861),
    [sym_expression_statement] = STATE(861),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(861),
    [sym_delete_statement] = STATE(861),
    [sym_raise_statement] = STATE(861),
    [sym_pass_statement] = STATE(861),
    [sym_break_statement] = STATE(861),
    [sym_continue_statement] = STATE(861),
    [sym_if_statement] = STATE(44),
    [sym_for_statement] = STATE(44),
    [sym_while_statement] = STATE(44),
    [sym_try_statement] = STATE(44),
    [sym_with_statement] = STATE(44),
    [sym_function_definition] = STATE(44),
    [sym_global_statement] = STATE(861),
    [sym_nonlocal_statement] = STATE(861),
    [sym_exec_statement] = STATE(861),
    [sym_class_definition] = STATE(44),
    [sym_decorated_definition] = STATE(44),
    [sym_decorator] = STATE(667),
    [sym_block] = STATE(441),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(109),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(109),
    [sym_unary_operator] = STATE(109),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(936),
    [sym_augmented_assignment] = STATE(936),
    [sym_yield] = STATE(936),
    [sym_attribute] = STATE(109),
    [sym_subscript] = STATE(109),
    [sym_call] = STATE(109),
    [sym_list] = STATE(109),
    [sym_list_comprehension] = STATE(109),
    [sym_dictionary] = STATE(109),
    [sym_dictionary_comprehension] = STATE(109),
    [sym_set] = STATE(109),
    [sym_set_comprehension] = STATE(109),
    [sym_parenthesized_expression] = STATE(109),
    [sym_tuple] = STATE(109),
    [sym_generator_expression] = STATE(109),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(109),
    [sym_string] = STATE(117),
    [sym_await] = STATE(601),
    [aux_sym_module_repeat1] = STATE(44),
    [aux_sym_decorated_definition_repeat1] = STATE(667),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_async] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_with] = ACTIONS(85),
    [anon_sym_def] = ACTIONS(87),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_class] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(91),
    [sym__string_start] = ACTIONS(73),
  },
  [6] = {
    [sym__statement] = STATE(44),
    [sym__simple_statements] = STATE(44),
    [sym_import_statement] = STATE(861),
    [sym_future_import_statement] = STATE(861),
    [sym_import_from_statement] = STATE(861),
    [sym_print_statement] = STATE(861),
    [sym_assert_statement] = STATE(861),
    [sym_expression_statement] = STATE(861),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(861),
    [sym_delete_statement] = STATE(861),
    [sym_raise_statement] = STATE(861),
    [sym_pass_statement] = STATE(861),
    [sym_break_statement] = STATE(861),
    [sym_continue_statement] = STATE(861),
    [sym_if_statement] = STATE(44),
    [sym_for_statement] = STATE(44),
    [sym_while_statement] = STATE(44),
    [sym_try_statement] = STATE(44),
    [sym_with_statement] = STATE(44),
    [sym_function_definition] = STATE(44),
    [sym_global_statement] = STATE(861),
    [sym_nonlocal_statement] = STATE(861),
    [sym_exec_statement] = STATE(861),
    [sym_class_definition] = STATE(44),
    [sym_decorated_definition] = STATE(44),
    [sym_decorator] = STATE(667),
    [sym_block] = STATE(460),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(109),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(109),
    [sym_unary_operator] = STATE(109),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(936),
    [sym_augmented_assignment] = STATE(936),
    [sym_yield] = STATE(936),
    [sym_attribute] = STATE(109),
    [sym_subscript] = STATE(109),
    [sym_call] = STATE(109),
    [sym_list] = STATE(109),
    [sym_list_comprehension] = STATE(109),
    [sym_dictionary] = STATE(109),
    [sym_dictionary_comprehension] = STATE(109),
    [sym_set] = STATE(109),
    [sym_set_comprehension] = STATE(109),
    [sym_parenthesized_expression] = STATE(109),
    [sym_tuple] = STATE(109),
    [sym_generator_expression] = STATE(109),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(109),
    [sym_string] = STATE(117),
    [sym_await] = STATE(601),
    [aux_sym_module_repeat1] = STATE(44),
    [aux_sym_decorated_definition_repeat1] = STATE(667),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_async] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_with] = ACTIONS(85),
    [anon_sym_def] = ACTIONS(87),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_class] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(91),
    [sym__string_start] = ACTIONS(73),
  },
  [7] = {
    [sym__statement] = STATE(44),
    [sym__simple_statements] = STATE(44),
    [sym_import_statement] = STATE(861),
    [sym_future_import_statement] = STATE(861),
    [sym_import_from_statement] = STATE(861),
    [sym_print_statement] = STATE(861),
    [sym_assert_statement] = STATE(861),
    [sym_expression_statement] = STATE(861),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(861),
    [sym_delete_statement] = STATE(861),
    [sym_raise_statement] = STATE(861),
    [sym_pass_statement] = STATE(861),
    [sym_break_statement] = STATE(861),
    [sym_continue_statement] = STATE(861),
    [sym_if_statement] = STATE(44),
    [sym_for_statement] = STATE(44),
    [sym_while_statement] = STATE(44),
    [sym_try_statement] = STATE(44),
    [sym_with_statement] = STATE(44),
    [sym_function_definition] = STATE(44),
    [sym_global_statement] = STATE(861),
    [sym_nonlocal_statement] = STATE(861),
    [sym_exec_statement] = STATE(861),
    [sym_class_definition] = STATE(44),
    [sym_decorated_definition] = STATE(44),
    [sym_decorator] = STATE(667),
    [sym_block] = STATE(364),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(109),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(109),
    [sym_unary_operator] = STATE(109),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(936),
    [sym_augmented_assignment] = STATE(936),
    [sym_yield] = STATE(936),
    [sym_attribute] = STATE(109),
    [sym_subscript] = STATE(109),
    [sym_call] = STATE(109),
    [sym_list] = STATE(109),
    [sym_list_comprehension] = STATE(109),
    [sym_dictionary] = STATE(109),
    [sym_dictionary_comprehension] = STATE(109),
    [sym_set] = STATE(109),
    [sym_set_comprehension] = STATE(109),
    [sym_parenthesized_expression] = STATE(109),
    [sym_tuple] = STATE(109),
    [sym_generator_expression] = STATE(109),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(109),
    [sym_string] = STATE(117),
    [sym_await] = STATE(601),
    [aux_sym_module_repeat1] = STATE(44),
    [aux_sym_decorated_definition_repeat1] = STATE(667),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_async] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_with] = ACTIONS(85),
    [anon_sym_def] = ACTIONS(87),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_class] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(91),
    [sym__string_start] = ACTIONS(73),
  },
  [8] = {
    [sym__statement] = STATE(44),
    [sym__simple_statements] = STATE(44),
    [sym_import_statement] = STATE(861),
    [sym_future_import_statement] = STATE(861),
    [sym_import_from_statement] = STATE(861),
    [sym_print_statement] = STATE(861),
    [sym_assert_statement] = STATE(861),
    [sym_expression_statement] = STATE(861),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(861),
    [sym_delete_statement] = STATE(861),
    [sym_raise_statement] = STATE(861),
    [sym_pass_statement] = STATE(861),
    [sym_break_statement] = STATE(861),
    [sym_continue_statement] = STATE(861),
    [sym_if_statement] = STATE(44),
    [sym_for_statement] = STATE(44),
    [sym_while_statement] = STATE(44),
    [sym_try_statement] = STATE(44),
    [sym_with_statement] = STATE(44),
    [sym_function_definition] = STATE(44),
    [sym_global_statement] = STATE(861),
    [sym_nonlocal_statement] = STATE(861),
    [sym_exec_statement] = STATE(861),
    [sym_class_definition] = STATE(44),
    [sym_decorated_definition] = STATE(44),
    [sym_decorator] = STATE(667),
    [sym_block] = STATE(444),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(109),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(109),
    [sym_unary_operator] = STATE(109),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(936),
    [sym_augmented_assignment] = STATE(936),
    [sym_yield] = STATE(936),
    [sym_attribute] = STATE(109),
    [sym_subscript] = STATE(109),
    [sym_call] = STATE(109),
    [sym_list] = STATE(109),
    [sym_list_comprehension] = STATE(109),
    [sym_dictionary] = STATE(109),
    [sym_dictionary_comprehension] = STATE(109),
    [sym_set] = STATE(109),
    [sym_set_comprehension] = STATE(109),
    [sym_parenthesized_expression] = STATE(109),
    [sym_tuple] = STATE(109),
    [sym_generator_expression] = STATE(109),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(109),
    [sym_string] = STATE(117),
    [sym_await] = STATE(601),
    [aux_sym_module_repeat1] = STATE(44),
    [aux_sym_decorated_definition_repeat1] = STATE(667),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_async] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_with] = ACTIONS(85),
    [anon_sym_def] = ACTIONS(87),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_class] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(91),
    [sym__string_start] = ACTIONS(73),
  },
  [9] = {
    [sym__statement] = STATE(44),
    [sym__simple_statements] = STATE(44),
    [sym_import_statement] = STATE(861),
    [sym_future_import_statement] = STATE(861),
    [sym_import_from_statement] = STATE(861),
    [sym_print_statement] = STATE(861),
    [sym_assert_statement] = STATE(861),
    [sym_expression_statement] = STATE(861),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(861),
    [sym_delete_statement] = STATE(861),
    [sym_raise_statement] = STATE(861),
    [sym_pass_statement] = STATE(861),
    [sym_break_statement] = STATE(861),
    [sym_continue_statement] = STATE(861),
    [sym_if_statement] = STATE(44),
    [sym_for_statement] = STATE(44),
    [sym_while_statement] = STATE(44),
    [sym_try_statement] = STATE(44),
    [sym_with_statement] = STATE(44),
    [sym_function_definition] = STATE(44),
    [sym_global_statement] = STATE(861),
    [sym_nonlocal_statement] = STATE(861),
    [sym_exec_statement] = STATE(861),
    [sym_class_definition] = STATE(44),
    [sym_decorated_definition] = STATE(44),
    [sym_decorator] = STATE(667),
    [sym_block] = STATE(300),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(109),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(109),
    [sym_unary_operator] = STATE(109),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(936),
    [sym_augmented_assignment] = STATE(936),
    [sym_yield] = STATE(936),
    [sym_attribute] = STATE(109),
    [sym_subscript] = STATE(109),
    [sym_call] = STATE(109),
    [sym_list] = STATE(109),
    [sym_list_comprehension] = STATE(109),
    [sym_dictionary] = STATE(109),
    [sym_dictionary_comprehension] = STATE(109),
    [sym_set] = STATE(109),
    [sym_set_comprehension] = STATE(109),
    [sym_parenthesized_expression] = STATE(109),
    [sym_tuple] = STATE(109),
    [sym_generator_expression] = STATE(109),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(109),
    [sym_string] = STATE(117),
    [sym_await] = STATE(601),
    [aux_sym_module_repeat1] = STATE(44),
    [aux_sym_decorated_definition_repeat1] = STATE(667),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_async] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_with] = ACTIONS(85),
    [anon_sym_def] = ACTIONS(87),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_class] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(91),
    [sym__string_start] = ACTIONS(73),
  },
  [10] = {
    [sym__statement] = STATE(44),
    [sym__simple_statements] = STATE(44),
    [sym_import_statement] = STATE(861),
    [sym_future_import_statement] = STATE(861),
    [sym_import_from_statement] = STATE(861),
    [sym_print_statement] = STATE(861),
    [sym_assert_statement] = STATE(861),
    [sym_expression_statement] = STATE(861),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(861),
    [sym_delete_statement] = STATE(861),
    [sym_raise_statement] = STATE(861),
    [sym_pass_statement] = STATE(861),
    [sym_break_statement] = STATE(861),
    [sym_continue_statement] = STATE(861),
    [sym_if_statement] = STATE(44),
    [sym_for_statement] = STATE(44),
    [sym_while_statement] = STATE(44),
    [sym_try_statement] = STATE(44),
    [sym_with_statement] = STATE(44),
    [sym_function_definition] = STATE(44),
    [sym_global_statement] = STATE(861),
    [sym_nonlocal_statement] = STATE(861),
    [sym_exec_statement] = STATE(861),
    [sym_class_definition] = STATE(44),
    [sym_decorated_definition] = STATE(44),
    [sym_decorator] = STATE(667),
    [sym_block] = STATE(461),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(109),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(109),
    [sym_unary_operator] = STATE(109),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(936),
    [sym_augmented_assignment] = STATE(936),
    [sym_yield] = STATE(936),
    [sym_attribute] = STATE(109),
    [sym_subscript] = STATE(109),
    [sym_call] = STATE(109),
    [sym_list] = STATE(109),
    [sym_list_comprehension] = STATE(109),
    [sym_dictionary] = STATE(109),
    [sym_dictionary_comprehension] = STATE(109),
    [sym_set] = STATE(109),
    [sym_set_comprehension] = STATE(109),
    [sym_parenthesized_expression] = STATE(109),
    [sym_tuple] = STATE(109),
    [sym_generator_expression] = STATE(109),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(109),
    [sym_string] = STATE(117),
    [sym_await] = STATE(601),
    [aux_sym_module_repeat1] = STATE(44),
    [aux_sym_decorated_definition_repeat1] = STATE(667),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_async] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_with] = ACTIONS(85),
    [anon_sym_def] = ACTIONS(87),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_class] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(91),
    [sym__string_start] = ACTIONS(73),
  },
  [11] = {
    [sym__statement] = STATE(44),
    [sym__simple_statements] = STATE(44),
    [sym_import_statement] = STATE(861),
    [sym_future_import_statement] = STATE(861),
    [sym_import_from_statement] = STATE(861),
    [sym_print_statement] = STATE(861),
    [sym_assert_statement] = STATE(861),
    [sym_expression_statement] = STATE(861),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(861),
    [sym_delete_statement] = STATE(861),
    [sym_raise_statement] = STATE(861),
    [sym_pass_statement] = STATE(861),
    [sym_break_statement] = STATE(861),
    [sym_continue_statement] = STATE(861),
    [sym_if_statement] = STATE(44),
    [sym_for_statement] = STATE(44),
    [sym_while_statement] = STATE(44),
    [sym_try_statement] = STATE(44),
    [sym_with_statement] = STATE(44),
    [sym_function_definition] = STATE(44),
    [sym_global_statement] = STATE(861),
    [sym_nonlocal_statement] = STATE(861),
    [sym_exec_statement] = STATE(861),
    [sym_class_definition] = STATE(44),
    [sym_decorated_definition] = STATE(44),
    [sym_decorator] = STATE(667),
    [sym_block] = STATE(363),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(109),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(109),
    [sym_unary_operator] = STATE(109),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(936),
    [sym_augmented_assignment] = STATE(936),
    [sym_yield] = STATE(936),
    [sym_attribute] = STATE(109),
    [sym_subscript] = STATE(109),
    [sym_call] = STATE(109),
    [sym_list] = STATE(109),
    [sym_list_comprehension] = STATE(109),
    [sym_dictionary] = STATE(109),
    [sym_dictionary_comprehension] = STATE(109),
    [sym_set] = STATE(109),
    [sym_set_comprehension] = STATE(109),
    [sym_parenthesized_expression] = STATE(109),
    [sym_tuple] = STATE(109),
    [sym_generator_expression] = STATE(109),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(109),
    [sym_string] = STATE(117),
    [sym_await] = STATE(601),
    [aux_sym_module_repeat1] = STATE(44),
    [aux_sym_decorated_definition_repeat1] = STATE(667),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_async] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_with] = ACTIONS(85),
    [anon_sym_def] = ACTIONS(87),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_class] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(91),
    [sym__string_start] = ACTIONS(73),
  },
  [12] = {
    [sym__statement] = STATE(44),
    [sym__simple_statements] = STATE(44),
    [sym_import_statement] = STATE(861),
    [sym_future_import_statement] = STATE(861),
    [sym_import_from_statement] = STATE(861),
    [sym_print_statement] = STATE(861),
    [sym_assert_statement] = STATE(861),
    [sym_expression_statement] = STATE(861),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(861),
    [sym_delete_statement] = STATE(861),
    [sym_raise_statement] = STATE(861),
    [sym_pass_statement] = STATE(861),
    [sym_break_statement] = STATE(861),
    [sym_continue_statement] = STATE(861),
    [sym_if_statement] = STATE(44),
    [sym_for_statement] = STATE(44),
    [sym_while_statement] = STATE(44),
    [sym_try_statement] = STATE(44),
    [sym_with_statement] = STATE(44),
    [sym_function_definition] = STATE(44),
    [sym_global_statement] = STATE(861),
    [sym_nonlocal_statement] = STATE(861),
    [sym_exec_statement] = STATE(861),
    [sym_class_definition] = STATE(44),
    [sym_decorated_definition] = STATE(44),
    [sym_decorator] = STATE(667),
    [sym_block] = STATE(384),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(109),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(109),
    [sym_unary_operator] = STATE(109),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(936),
    [sym_augmented_assignment] = STATE(936),
    [sym_yield] = STATE(936),
    [sym_attribute] = STATE(109),
    [sym_subscript] = STATE(109),
    [sym_call] = STATE(109),
    [sym_list] = STATE(109),
    [sym_list_comprehension] = STATE(109),
    [sym_dictionary] = STATE(109),
    [sym_dictionary_comprehension] = STATE(109),
    [sym_set] = STATE(109),
    [sym_set_comprehension] = STATE(109),
    [sym_parenthesized_expression] = STATE(109),
    [sym_tuple] = STATE(109),
    [sym_generator_expression] = STATE(109),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(109),
    [sym_string] = STATE(117),
    [sym_await] = STATE(601),
    [aux_sym_module_repeat1] = STATE(44),
    [aux_sym_decorated_definition_repeat1] = STATE(667),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_async] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_with] = ACTIONS(85),
    [anon_sym_def] = ACTIONS(87),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_class] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(91),
    [sym__string_start] = ACTIONS(73),
  },
  [13] = {
    [sym__statement] = STATE(47),
    [sym__simple_statements] = STATE(47),
    [sym_import_statement] = STATE(861),
    [sym_future_import_statement] = STATE(861),
    [sym_import_from_statement] = STATE(861),
    [sym_print_statement] = STATE(861),
    [sym_assert_statement] = STATE(861),
    [sym_expression_statement] = STATE(861),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(861),
    [sym_delete_statement] = STATE(861),
    [sym_raise_statement] = STATE(861),
    [sym_pass_statement] = STATE(861),
    [sym_break_statement] = STATE(861),
    [sym_continue_statement] = STATE(861),
    [sym_if_statement] = STATE(47),
    [sym_for_statement] = STATE(47),
    [sym_while_statement] = STATE(47),
    [sym_try_statement] = STATE(47),
    [sym_with_statement] = STATE(47),
    [sym_function_definition] = STATE(47),
    [sym_global_statement] = STATE(861),
    [sym_nonlocal_statement] = STATE(861),
    [sym_exec_statement] = STATE(861),
    [sym_class_definition] = STATE(47),
    [sym_decorated_definition] = STATE(47),
    [sym_decorator] = STATE(667),
    [sym_block] = STATE(314),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(109),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(109),
    [sym_unary_operator] = STATE(109),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(936),
    [sym_augmented_assignment] = STATE(936),
    [sym_yield] = STATE(936),
    [sym_attribute] = STATE(109),
    [sym_subscript] = STATE(109),
    [sym_call] = STATE(109),
    [sym_list] = STATE(109),
    [sym_list_comprehension] = STATE(109),
    [sym_dictionary] = STATE(109),
    [sym_dictionary_comprehension] = STATE(109),
    [sym_set] = STATE(109),
    [sym_set_comprehension] = STATE(109),
    [sym_parenthesized_expression] = STATE(109),
    [sym_tuple] = STATE(109),
    [sym_generator_expression] = STATE(109),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(109),
    [sym_string] = STATE(117),
    [sym_await] = STATE(601),
    [aux_sym_module_repeat1] = STATE(47),
    [aux_sym_decorated_definition_repeat1] = STATE(667),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_async] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_with] = ACTIONS(85),
    [anon_sym_def] = ACTIONS(87),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_class] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(93),
    [sym__string_start] = ACTIONS(73),
  },
  [14] = {
    [sym__statement] = STATE(47),
    [sym__simple_statements] = STATE(47),
    [sym_import_statement] = STATE(861),
    [sym_future_import_statement] = STATE(861),
    [sym_import_from_statement] = STATE(861),
    [sym_print_statement] = STATE(861),
    [sym_assert_statement] = STATE(861),
    [sym_expression_statement] = STATE(861),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(861),
    [sym_delete_statement] = STATE(861),
    [sym_raise_statement] = STATE(861),
    [sym_pass_statement] = STATE(861),
    [sym_break_statement] = STATE(861),
    [sym_continue_statement] = STATE(861),
    [sym_if_statement] = STATE(47),
    [sym_for_statement] = STATE(47),
    [sym_while_statement] = STATE(47),
    [sym_try_statement] = STATE(47),
    [sym_with_statement] = STATE(47),
    [sym_function_definition] = STATE(47),
    [sym_global_statement] = STATE(861),
    [sym_nonlocal_statement] = STATE(861),
    [sym_exec_statement] = STATE(861),
    [sym_class_definition] = STATE(47),
    [sym_decorated_definition] = STATE(47),
    [sym_decorator] = STATE(667),
    [sym_block] = STATE(247),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(109),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(109),
    [sym_unary_operator] = STATE(109),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(936),
    [sym_augmented_assignment] = STATE(936),
    [sym_yield] = STATE(936),
    [sym_attribute] = STATE(109),
    [sym_subscript] = STATE(109),
    [sym_call] = STATE(109),
    [sym_list] = STATE(109),
    [sym_list_comprehension] = STATE(109),
    [sym_dictionary] = STATE(109),
    [sym_dictionary_comprehension] = STATE(109),
    [sym_set] = STATE(109),
    [sym_set_comprehension] = STATE(109),
    [sym_parenthesized_expression] = STATE(109),
    [sym_tuple] = STATE(109),
    [sym_generator_expression] = STATE(109),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(109),
    [sym_string] = STATE(117),
    [sym_await] = STATE(601),
    [aux_sym_module_repeat1] = STATE(47),
    [aux_sym_decorated_definition_repeat1] = STATE(667),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_async] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_with] = ACTIONS(85),
    [anon_sym_def] = ACTIONS(87),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_class] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(93),
    [sym__string_start] = ACTIONS(73),
  },
  [15] = {
    [sym__statement] = STATE(43),
    [sym__simple_statements] = STATE(43),
    [sym_import_statement] = STATE(861),
    [sym_future_import_statement] = STATE(861),
    [sym_import_from_statement] = STATE(861),
    [sym_print_statement] = STATE(861),
    [sym_assert_statement] = STATE(861),
    [sym_expression_statement] = STATE(861),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(861),
    [sym_delete_statement] = STATE(861),
    [sym_raise_statement] = STATE(861),
    [sym_pass_statement] = STATE(861),
    [sym_break_statement] = STATE(861),
    [sym_continue_statement] = STATE(861),
    [sym_if_statement] = STATE(43),
    [sym_for_statement] = STATE(43),
    [sym_while_statement] = STATE(43),
    [sym_try_statement] = STATE(43),
    [sym_with_statement] = STATE(43),
    [sym_function_definition] = STATE(43),
    [sym_global_statement] = STATE(861),
    [sym_nonlocal_statement] = STATE(861),
    [sym_exec_statement] = STATE(861),
    [sym_class_definition] = STATE(43),
    [sym_decorated_definition] = STATE(43),
    [sym_decorator] = STATE(667),
    [sym_block] = STATE(763),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(109),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(109),
    [sym_unary_operator] = STATE(109),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(936),
    [sym_augmented_assignment] = STATE(936),
    [sym_yield] = STATE(936),
    [sym_attribute] = STATE(109),
    [sym_subscript] = STATE(109),
    [sym_call] = STATE(109),
    [sym_list] = STATE(109),
    [sym_list_comprehension] = STATE(109),
    [sym_dictionary] = STATE(109),
    [sym_dictionary_comprehension] = STATE(109),
    [sym_set] = STATE(109),
    [sym_set_comprehension] = STATE(109),
    [sym_parenthesized_expression] = STATE(109),
    [sym_tuple] = STATE(109),
    [sym_generator_expression] = STATE(109),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(109),
    [sym_string] = STATE(117),
    [sym_await] = STATE(601),
    [aux_sym_module_repeat1] = STATE(43),
    [aux_sym_decorated_definition_repeat1] = STATE(667),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_async] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_with] = ACTIONS(85),
    [anon_sym_def] = ACTIONS(87),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_class] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(95),
    [sym__string_start] = ACTIONS(73),
  },
  [16] = {
    [sym__statement] = STATE(47),
    [sym__simple_statements] = STATE(47),
    [sym_import_statement] = STATE(861),
    [sym_future_import_statement] = STATE(861),
    [sym_import_from_statement] = STATE(861),
    [sym_print_statement] = STATE(861),
    [sym_assert_statement] = STATE(861),
    [sym_expression_statement] = STATE(861),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(861),
    [sym_delete_statement] = STATE(861),
    [sym_raise_statement] = STATE(861),
    [sym_pass_statement] = STATE(861),
    [sym_break_statement] = STATE(861),
    [sym_continue_statement] = STATE(861),
    [sym_if_statement] = STATE(47),
    [sym_for_statement] = STATE(47),
    [sym_while_statement] = STATE(47),
    [sym_try_statement] = STATE(47),
    [sym_with_statement] = STATE(47),
    [sym_function_definition] = STATE(47),
    [sym_global_statement] = STATE(861),
    [sym_nonlocal_statement] = STATE(861),
    [sym_exec_statement] = STATE(861),
    [sym_class_definition] = STATE(47),
    [sym_decorated_definition] = STATE(47),
    [sym_decorator] = STATE(667),
    [sym_block] = STATE(387),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(109),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(109),
    [sym_unary_operator] = STATE(109),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(936),
    [sym_augmented_assignment] = STATE(936),
    [sym_yield] = STATE(936),
    [sym_attribute] = STATE(109),
    [sym_subscript] = STATE(109),
    [sym_call] = STATE(109),
    [sym_list] = STATE(109),
    [sym_list_comprehension] = STATE(109),
    [sym_dictionary] = STATE(109),
    [sym_dictionary_comprehension] = STATE(109),
    [sym_set] = STATE(109),
    [sym_set_comprehension] = STATE(109),
    [sym_parenthesized_expression] = STATE(109),
    [sym_tuple] = STATE(109),
    [sym_generator_expression] = STATE(109),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(109),
    [sym_string] = STATE(117),
    [sym_await] = STATE(601),
    [aux_sym_module_repeat1] = STATE(47),
    [aux_sym_decorated_definition_repeat1] = STATE(667),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_async] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_with] = ACTIONS(85),
    [anon_sym_def] = ACTIONS(87),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_class] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(93),
    [sym__string_start] = ACTIONS(73),
  },
  [17] = {
    [sym__statement] = STATE(44),
    [sym__simple_statements] = STATE(44),
    [sym_import_statement] = STATE(861),
    [sym_future_import_statement] = STATE(861),
    [sym_import_from_statement] = STATE(861),
    [sym_print_statement] = STATE(861),
    [sym_assert_statement] = STATE(861),
    [sym_expression_statement] = STATE(861),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(861),
    [sym_delete_statement] = STATE(861),
    [sym_raise_statement] = STATE(861),
    [sym_pass_statement] = STATE(861),
    [sym_break_statement] = STATE(861),
    [sym_continue_statement] = STATE(861),
    [sym_if_statement] = STATE(44),
    [sym_for_statement] = STATE(44),
    [sym_while_statement] = STATE(44),
    [sym_try_statement] = STATE(44),
    [sym_with_statement] = STATE(44),
    [sym_function_definition] = STATE(44),
    [sym_global_statement] = STATE(861),
    [sym_nonlocal_statement] = STATE(861),
    [sym_exec_statement] = STATE(861),
    [sym_class_definition] = STATE(44),
    [sym_decorated_definition] = STATE(44),
    [sym_decorator] = STATE(667),
    [sym_block] = STATE(386),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(109),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(109),
    [sym_unary_operator] = STATE(109),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(936),
    [sym_augmented_assignment] = STATE(936),
    [sym_yield] = STATE(936),
    [sym_attribute] = STATE(109),
    [sym_subscript] = STATE(109),
    [sym_call] = STATE(109),
    [sym_list] = STATE(109),
    [sym_list_comprehension] = STATE(109),
    [sym_dictionary] = STATE(109),
    [sym_dictionary_comprehension] = STATE(109),
    [sym_set] = STATE(109),
    [sym_set_comprehension] = STATE(109),
    [sym_parenthesized_expression] = STATE(109),
    [sym_tuple] = STATE(109),
    [sym_generator_expression] = STATE(109),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(109),
    [sym_string] = STATE(117),
    [sym_await] = STATE(601),
    [aux_sym_module_repeat1] = STATE(44),
    [aux_sym_decorated_definition_repeat1] = STATE(667),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_async] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_with] = ACTIONS(85),
    [anon_sym_def] = ACTIONS(87),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_class] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(91),
    [sym__string_start] = ACTIONS(73),
  },
  [18] = {
    [sym__statement] = STATE(47),
    [sym__simple_statements] = STATE(47),
    [sym_import_statement] = STATE(861),
    [sym_future_import_statement] = STATE(861),
    [sym_import_from_statement] = STATE(861),
    [sym_print_statement] = STATE(861),
    [sym_assert_statement] = STATE(861),
    [sym_expression_statement] = STATE(861),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(861),
    [sym_delete_statement] = STATE(861),
    [sym_raise_statement] = STATE(861),
    [sym_pass_statement] = STATE(861),
    [sym_break_statement] = STATE(861),
    [sym_continue_statement] = STATE(861),
    [sym_if_statement] = STATE(47),
    [sym_for_statement] = STATE(47),
    [sym_while_statement] = STATE(47),
    [sym_try_statement] = STATE(47),
    [sym_with_statement] = STATE(47),
    [sym_function_definition] = STATE(47),
    [sym_global_statement] = STATE(861),
    [sym_nonlocal_statement] = STATE(861),
    [sym_exec_statement] = STATE(861),
    [sym_class_definition] = STATE(47),
    [sym_decorated_definition] = STATE(47),
    [sym_decorator] = STATE(667),
    [sym_block] = STATE(400),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(109),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(109),
    [sym_unary_operator] = STATE(109),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(936),
    [sym_augmented_assignment] = STATE(936),
    [sym_yield] = STATE(936),
    [sym_attribute] = STATE(109),
    [sym_subscript] = STATE(109),
    [sym_call] = STATE(109),
    [sym_list] = STATE(109),
    [sym_list_comprehension] = STATE(109),
    [sym_dictionary] = STATE(109),
    [sym_dictionary_comprehension] = STATE(109),
    [sym_set] = STATE(109),
    [sym_set_comprehension] = STATE(109),
    [sym_parenthesized_expression] = STATE(109),
    [sym_tuple] = STATE(109),
    [sym_generator_expression] = STATE(109),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(109),
    [sym_string] = STATE(117),
    [sym_await] = STATE(601),
    [aux_sym_module_repeat1] = STATE(47),
    [aux_sym_decorated_definition_repeat1] = STATE(667),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_async] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_with] = ACTIONS(85),
    [anon_sym_def] = ACTIONS(87),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_class] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(93),
    [sym__string_start] = ACTIONS(73),
  },
  [19] = {
    [sym__statement] = STATE(44),
    [sym__simple_statements] = STATE(44),
    [sym_import_statement] = STATE(861),
    [sym_future_import_statement] = STATE(861),
    [sym_import_from_statement] = STATE(861),
    [sym_print_statement] = STATE(861),
    [sym_assert_statement] = STATE(861),
    [sym_expression_statement] = STATE(861),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(861),
    [sym_delete_statement] = STATE(861),
    [sym_raise_statement] = STATE(861),
    [sym_pass_statement] = STATE(861),
    [sym_break_statement] = STATE(861),
    [sym_continue_statement] = STATE(861),
    [sym_if_statement] = STATE(44),
    [sym_for_statement] = STATE(44),
    [sym_while_statement] = STATE(44),
    [sym_try_statement] = STATE(44),
    [sym_with_statement] = STATE(44),
    [sym_function_definition] = STATE(44),
    [sym_global_statement] = STATE(861),
    [sym_nonlocal_statement] = STATE(861),
    [sym_exec_statement] = STATE(861),
    [sym_class_definition] = STATE(44),
    [sym_decorated_definition] = STATE(44),
    [sym_decorator] = STATE(667),
    [sym_block] = STATE(452),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(109),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(109),
    [sym_unary_operator] = STATE(109),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(936),
    [sym_augmented_assignment] = STATE(936),
    [sym_yield] = STATE(936),
    [sym_attribute] = STATE(109),
    [sym_subscript] = STATE(109),
    [sym_call] = STATE(109),
    [sym_list] = STATE(109),
    [sym_list_comprehension] = STATE(109),
    [sym_dictionary] = STATE(109),
    [sym_dictionary_comprehension] = STATE(109),
    [sym_set] = STATE(109),
    [sym_set_comprehension] = STATE(109),
    [sym_parenthesized_expression] = STATE(109),
    [sym_tuple] = STATE(109),
    [sym_generator_expression] = STATE(109),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(109),
    [sym_string] = STATE(117),
    [sym_await] = STATE(601),
    [aux_sym_module_repeat1] = STATE(44),
    [aux_sym_decorated_definition_repeat1] = STATE(667),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_async] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_with] = ACTIONS(85),
    [anon_sym_def] = ACTIONS(87),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_class] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(91),
    [sym__string_start] = ACTIONS(73),
  },
  [20] = {
    [sym__statement] = STATE(44),
    [sym__simple_statements] = STATE(44),
    [sym_import_statement] = STATE(861),
    [sym_future_import_statement] = STATE(861),
    [sym_import_from_statement] = STATE(861),
    [sym_print_statement] = STATE(861),
    [sym_assert_statement] = STATE(861),
    [sym_expression_statement] = STATE(861),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(861),
    [sym_delete_statement] = STATE(861),
    [sym_raise_statement] = STATE(861),
    [sym_pass_statement] = STATE(861),
    [sym_break_statement] = STATE(861),
    [sym_continue_statement] = STATE(861),
    [sym_if_statement] = STATE(44),
    [sym_for_statement] = STATE(44),
    [sym_while_statement] = STATE(44),
    [sym_try_statement] = STATE(44),
    [sym_with_statement] = STATE(44),
    [sym_function_definition] = STATE(44),
    [sym_global_statement] = STATE(861),
    [sym_nonlocal_statement] = STATE(861),
    [sym_exec_statement] = STATE(861),
    [sym_class_definition] = STATE(44),
    [sym_decorated_definition] = STATE(44),
    [sym_decorator] = STATE(667),
    [sym_block] = STATE(455),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(109),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(109),
    [sym_unary_operator] = STATE(109),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(936),
    [sym_augmented_assignment] = STATE(936),
    [sym_yield] = STATE(936),
    [sym_attribute] = STATE(109),
    [sym_subscript] = STATE(109),
    [sym_call] = STATE(109),
    [sym_list] = STATE(109),
    [sym_list_comprehension] = STATE(109),
    [sym_dictionary] = STATE(109),
    [sym_dictionary_comprehension] = STATE(109),
    [sym_set] = STATE(109),
    [sym_set_comprehension] = STATE(109),
    [sym_parenthesized_expression] = STATE(109),
    [sym_tuple] = STATE(109),
    [sym_generator_expression] = STATE(109),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(109),
    [sym_string] = STATE(117),
    [sym_await] = STATE(601),
    [aux_sym_module_repeat1] = STATE(44),
    [aux_sym_decorated_definition_repeat1] = STATE(667),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_async] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_with] = ACTIONS(85),
    [anon_sym_def] = ACTIONS(87),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_class] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(91),
    [sym__string_start] = ACTIONS(73),
  },
  [21] = {
    [sym__statement] = STATE(44),
    [sym__simple_statements] = STATE(44),
    [sym_import_statement] = STATE(861),
    [sym_future_import_statement] = STATE(861),
    [sym_import_from_statement] = STATE(861),
    [sym_print_statement] = STATE(861),
    [sym_assert_statement] = STATE(861),
    [sym_expression_statement] = STATE(861),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(861),
    [sym_delete_statement] = STATE(861),
    [sym_raise_statement] = STATE(861),
    [sym_pass_statement] = STATE(861),
    [sym_break_statement] = STATE(861),
    [sym_continue_statement] = STATE(861),
    [sym_if_statement] = STATE(44),
    [sym_for_statement] = STATE(44),
    [sym_while_statement] = STATE(44),
    [sym_try_statement] = STATE(44),
    [sym_with_statement] = STATE(44),
    [sym_function_definition] = STATE(44),
    [sym_global_statement] = STATE(861),
    [sym_nonlocal_statement] = STATE(861),
    [sym_exec_statement] = STATE(861),
    [sym_class_definition] = STATE(44),
    [sym_decorated_definition] = STATE(44),
    [sym_decorator] = STATE(667),
    [sym_block] = STATE(465),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(109),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(109),
    [sym_unary_operator] = STATE(109),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(936),
    [sym_augmented_assignment] = STATE(936),
    [sym_yield] = STATE(936),
    [sym_attribute] = STATE(109),
    [sym_subscript] = STATE(109),
    [sym_call] = STATE(109),
    [sym_list] = STATE(109),
    [sym_list_comprehension] = STATE(109),
    [sym_dictionary] = STATE(109),
    [sym_dictionary_comprehension] = STATE(109),
    [sym_set] = STATE(109),
    [sym_set_comprehension] = STATE(109),
    [sym_parenthesized_expression] = STATE(109),
    [sym_tuple] = STATE(109),
    [sym_generator_expression] = STATE(109),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(109),
    [sym_string] = STATE(117),
    [sym_await] = STATE(601),
    [aux_sym_module_repeat1] = STATE(44),
    [aux_sym_decorated_definition_repeat1] = STATE(667),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_async] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_with] = ACTIONS(85),
    [anon_sym_def] = ACTIONS(87),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_class] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(91),
    [sym__string_start] = ACTIONS(73),
  },
  [22] = {
    [sym__statement] = STATE(44),
    [sym__simple_statements] = STATE(44),
    [sym_import_statement] = STATE(861),
    [sym_future_import_statement] = STATE(861),
    [sym_import_from_statement] = STATE(861),
    [sym_print_statement] = STATE(861),
    [sym_assert_statement] = STATE(861),
    [sym_expression_statement] = STATE(861),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(861),
    [sym_delete_statement] = STATE(861),
    [sym_raise_statement] = STATE(861),
    [sym_pass_statement] = STATE(861),
    [sym_break_statement] = STATE(861),
    [sym_continue_statement] = STATE(861),
    [sym_if_statement] = STATE(44),
    [sym_for_statement] = STATE(44),
    [sym_while_statement] = STATE(44),
    [sym_try_statement] = STATE(44),
    [sym_with_statement] = STATE(44),
    [sym_function_definition] = STATE(44),
    [sym_global_statement] = STATE(861),
    [sym_nonlocal_statement] = STATE(861),
    [sym_exec_statement] = STATE(861),
    [sym_class_definition] = STATE(44),
    [sym_decorated_definition] = STATE(44),
    [sym_decorator] = STATE(667),
    [sym_block] = STATE(422),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(109),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(109),
    [sym_unary_operator] = STATE(109),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(936),
    [sym_augmented_assignment] = STATE(936),
    [sym_yield] = STATE(936),
    [sym_attribute] = STATE(109),
    [sym_subscript] = STATE(109),
    [sym_call] = STATE(109),
    [sym_list] = STATE(109),
    [sym_list_comprehension] = STATE(109),
    [sym_dictionary] = STATE(109),
    [sym_dictionary_comprehension] = STATE(109),
    [sym_set] = STATE(109),
    [sym_set_comprehension] = STATE(109),
    [sym_parenthesized_expression] = STATE(109),
    [sym_tuple] = STATE(109),
    [sym_generator_expression] = STATE(109),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(109),
    [sym_string] = STATE(117),
    [sym_await] = STATE(601),
    [aux_sym_module_repeat1] = STATE(44),
    [aux_sym_decorated_definition_repeat1] = STATE(667),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_async] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_with] = ACTIONS(85),
    [anon_sym_def] = ACTIONS(87),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_class] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(91),
    [sym__string_start] = ACTIONS(73),
  },
  [23] = {
    [sym__statement] = STATE(44),
    [sym__simple_statements] = STATE(44),
    [sym_import_statement] = STATE(861),
    [sym_future_import_statement] = STATE(861),
    [sym_import_from_statement] = STATE(861),
    [sym_print_statement] = STATE(861),
    [sym_assert_statement] = STATE(861),
    [sym_expression_statement] = STATE(861),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(861),
    [sym_delete_statement] = STATE(861),
    [sym_raise_statement] = STATE(861),
    [sym_pass_statement] = STATE(861),
    [sym_break_statement] = STATE(861),
    [sym_continue_statement] = STATE(861),
    [sym_if_statement] = STATE(44),
    [sym_for_statement] = STATE(44),
    [sym_while_statement] = STATE(44),
    [sym_try_statement] = STATE(44),
    [sym_with_statement] = STATE(44),
    [sym_function_definition] = STATE(44),
    [sym_global_statement] = STATE(861),
    [sym_nonlocal_statement] = STATE(861),
    [sym_exec_statement] = STATE(861),
    [sym_class_definition] = STATE(44),
    [sym_decorated_definition] = STATE(44),
    [sym_decorator] = STATE(667),
    [sym_block] = STATE(315),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(109),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(109),
    [sym_unary_operator] = STATE(109),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(936),
    [sym_augmented_assignment] = STATE(936),
    [sym_yield] = STATE(936),
    [sym_attribute] = STATE(109),
    [sym_subscript] = STATE(109),
    [sym_call] = STATE(109),
    [sym_list] = STATE(109),
    [sym_list_comprehension] = STATE(109),
    [sym_dictionary] = STATE(109),
    [sym_dictionary_comprehension] = STATE(109),
    [sym_set] = STATE(109),
    [sym_set_comprehension] = STATE(109),
    [sym_parenthesized_expression] = STATE(109),
    [sym_tuple] = STATE(109),
    [sym_generator_expression] = STATE(109),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(109),
    [sym_string] = STATE(117),
    [sym_await] = STATE(601),
    [aux_sym_module_repeat1] = STATE(44),
    [aux_sym_decorated_definition_repeat1] = STATE(667),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_async] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_with] = ACTIONS(85),
    [anon_sym_def] = ACTIONS(87),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_class] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(91),
    [sym__string_start] = ACTIONS(73),
  },
  [24] = {
    [sym__statement] = STATE(47),
    [sym__simple_statements] = STATE(47),
    [sym_import_statement] = STATE(861),
    [sym_future_import_statement] = STATE(861),
    [sym_import_from_statement] = STATE(861),
    [sym_print_statement] = STATE(861),
    [sym_assert_statement] = STATE(861),
    [sym_expression_statement] = STATE(861),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(861),
    [sym_delete_statement] = STATE(861),
    [sym_raise_statement] = STATE(861),
    [sym_pass_statement] = STATE(861),
    [sym_break_statement] = STATE(861),
    [sym_continue_statement] = STATE(861),
    [sym_if_statement] = STATE(47),
    [sym_for_statement] = STATE(47),
    [sym_while_statement] = STATE(47),
    [sym_try_statement] = STATE(47),
    [sym_with_statement] = STATE(47),
    [sym_function_definition] = STATE(47),
    [sym_global_statement] = STATE(861),
    [sym_nonlocal_statement] = STATE(861),
    [sym_exec_statement] = STATE(861),
    [sym_class_definition] = STATE(47),
    [sym_decorated_definition] = STATE(47),
    [sym_decorator] = STATE(667),
    [sym_block] = STATE(417),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(109),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(109),
    [sym_unary_operator] = STATE(109),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(936),
    [sym_augmented_assignment] = STATE(936),
    [sym_yield] = STATE(936),
    [sym_attribute] = STATE(109),
    [sym_subscript] = STATE(109),
    [sym_call] = STATE(109),
    [sym_list] = STATE(109),
    [sym_list_comprehension] = STATE(109),
    [sym_dictionary] = STATE(109),
    [sym_dictionary_comprehension] = STATE(109),
    [sym_set] = STATE(109),
    [sym_set_comprehension] = STATE(109),
    [sym_parenthesized_expression] = STATE(109),
    [sym_tuple] = STATE(109),
    [sym_generator_expression] = STATE(109),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(109),
    [sym_string] = STATE(117),
    [sym_await] = STATE(601),
    [aux_sym_module_repeat1] = STATE(47),
    [aux_sym_decorated_definition_repeat1] = STATE(667),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_async] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_with] = ACTIONS(85),
    [anon_sym_def] = ACTIONS(87),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_class] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(93),
    [sym__string_start] = ACTIONS(73),
  },
  [25] = {
    [sym__statement] = STATE(44),
    [sym__simple_statements] = STATE(44),
    [sym_import_statement] = STATE(861),
    [sym_future_import_statement] = STATE(861),
    [sym_import_from_statement] = STATE(861),
    [sym_print_statement] = STATE(861),
    [sym_assert_statement] = STATE(861),
    [sym_expression_statement] = STATE(861),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(861),
    [sym_delete_statement] = STATE(861),
    [sym_raise_statement] = STATE(861),
    [sym_pass_statement] = STATE(861),
    [sym_break_statement] = STATE(861),
    [sym_continue_statement] = STATE(861),
    [sym_if_statement] = STATE(44),
    [sym_for_statement] = STATE(44),
    [sym_while_statement] = STATE(44),
    [sym_try_statement] = STATE(44),
    [sym_with_statement] = STATE(44),
    [sym_function_definition] = STATE(44),
    [sym_global_statement] = STATE(861),
    [sym_nonlocal_statement] = STATE(861),
    [sym_exec_statement] = STATE(861),
    [sym_class_definition] = STATE(44),
    [sym_decorated_definition] = STATE(44),
    [sym_decorator] = STATE(667),
    [sym_block] = STATE(305),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(109),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(109),
    [sym_unary_operator] = STATE(109),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(936),
    [sym_augmented_assignment] = STATE(936),
    [sym_yield] = STATE(936),
    [sym_attribute] = STATE(109),
    [sym_subscript] = STATE(109),
    [sym_call] = STATE(109),
    [sym_list] = STATE(109),
    [sym_list_comprehension] = STATE(109),
    [sym_dictionary] = STATE(109),
    [sym_dictionary_comprehension] = STATE(109),
    [sym_set] = STATE(109),
    [sym_set_comprehension] = STATE(109),
    [sym_parenthesized_expression] = STATE(109),
    [sym_tuple] = STATE(109),
    [sym_generator_expression] = STATE(109),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(109),
    [sym_string] = STATE(117),
    [sym_await] = STATE(601),
    [aux_sym_module_repeat1] = STATE(44),
    [aux_sym_decorated_definition_repeat1] = STATE(667),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_async] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_with] = ACTIONS(85),
    [anon_sym_def] = ACTIONS(87),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_class] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(91),
    [sym__string_start] = ACTIONS(73),
  },
  [26] = {
    [sym__statement] = STATE(47),
    [sym__simple_statements] = STATE(47),
    [sym_import_statement] = STATE(861),
    [sym_future_import_statement] = STATE(861),
    [sym_import_from_statement] = STATE(861),
    [sym_print_statement] = STATE(861),
    [sym_assert_statement] = STATE(861),
    [sym_expression_statement] = STATE(861),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(861),
    [sym_delete_statement] = STATE(861),
    [sym_raise_statement] = STATE(861),
    [sym_pass_statement] = STATE(861),
    [sym_break_statement] = STATE(861),
    [sym_continue_statement] = STATE(861),
    [sym_if_statement] = STATE(47),
    [sym_for_statement] = STATE(47),
    [sym_while_statement] = STATE(47),
    [sym_try_statement] = STATE(47),
    [sym_with_statement] = STATE(47),
    [sym_function_definition] = STATE(47),
    [sym_global_statement] = STATE(861),
    [sym_nonlocal_statement] = STATE(861),
    [sym_exec_statement] = STATE(861),
    [sym_class_definition] = STATE(47),
    [sym_decorated_definition] = STATE(47),
    [sym_decorator] = STATE(667),
    [sym_block] = STATE(398),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(109),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(109),
    [sym_unary_operator] = STATE(109),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(936),
    [sym_augmented_assignment] = STATE(936),
    [sym_yield] = STATE(936),
    [sym_attribute] = STATE(109),
    [sym_subscript] = STATE(109),
    [sym_call] = STATE(109),
    [sym_list] = STATE(109),
    [sym_list_comprehension] = STATE(109),
    [sym_dictionary] = STATE(109),
    [sym_dictionary_comprehension] = STATE(109),
    [sym_set] = STATE(109),
    [sym_set_comprehension] = STATE(109),
    [sym_parenthesized_expression] = STATE(109),
    [sym_tuple] = STATE(109),
    [sym_generator_expression] = STATE(109),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(109),
    [sym_string] = STATE(117),
    [sym_await] = STATE(601),
    [aux_sym_module_repeat1] = STATE(47),
    [aux_sym_decorated_definition_repeat1] = STATE(667),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_async] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_with] = ACTIONS(85),
    [anon_sym_def] = ACTIONS(87),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_class] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(93),
    [sym__string_start] = ACTIONS(73),
  },
  [27] = {
    [sym__statement] = STATE(44),
    [sym__simple_statements] = STATE(44),
    [sym_import_statement] = STATE(861),
    [sym_future_import_statement] = STATE(861),
    [sym_import_from_statement] = STATE(861),
    [sym_print_statement] = STATE(861),
    [sym_assert_statement] = STATE(861),
    [sym_expression_statement] = STATE(861),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(861),
    [sym_delete_statement] = STATE(861),
    [sym_raise_statement] = STATE(861),
    [sym_pass_statement] = STATE(861),
    [sym_break_statement] = STATE(861),
    [sym_continue_statement] = STATE(861),
    [sym_if_statement] = STATE(44),
    [sym_for_statement] = STATE(44),
    [sym_while_statement] = STATE(44),
    [sym_try_statement] = STATE(44),
    [sym_with_statement] = STATE(44),
    [sym_function_definition] = STATE(44),
    [sym_global_statement] = STATE(861),
    [sym_nonlocal_statement] = STATE(861),
    [sym_exec_statement] = STATE(861),
    [sym_class_definition] = STATE(44),
    [sym_decorated_definition] = STATE(44),
    [sym_decorator] = STATE(667),
    [sym_block] = STATE(456),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(109),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(109),
    [sym_unary_operator] = STATE(109),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(936),
    [sym_augmented_assignment] = STATE(936),
    [sym_yield] = STATE(936),
    [sym_attribute] = STATE(109),
    [sym_subscript] = STATE(109),
    [sym_call] = STATE(109),
    [sym_list] = STATE(109),
    [sym_list_comprehension] = STATE(109),
    [sym_dictionary] = STATE(109),
    [sym_dictionary_comprehension] = STATE(109),
    [sym_set] = STATE(109),
    [sym_set_comprehension] = STATE(109),
    [sym_parenthesized_expression] = STATE(109),
    [sym_tuple] = STATE(109),
    [sym_generator_expression] = STATE(109),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(109),
    [sym_string] = STATE(117),
    [sym_await] = STATE(601),
    [aux_sym_module_repeat1] = STATE(44),
    [aux_sym_decorated_definition_repeat1] = STATE(667),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_async] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_with] = ACTIONS(85),
    [anon_sym_def] = ACTIONS(87),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_class] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(91),
    [sym__string_start] = ACTIONS(73),
  },
  [28] = {
    [sym__statement] = STATE(47),
    [sym__simple_statements] = STATE(47),
    [sym_import_statement] = STATE(861),
    [sym_future_import_statement] = STATE(861),
    [sym_import_from_statement] = STATE(861),
    [sym_print_statement] = STATE(861),
    [sym_assert_statement] = STATE(861),
    [sym_expression_statement] = STATE(861),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(861),
    [sym_delete_statement] = STATE(861),
    [sym_raise_statement] = STATE(861),
    [sym_pass_statement] = STATE(861),
    [sym_break_statement] = STATE(861),
    [sym_continue_statement] = STATE(861),
    [sym_if_statement] = STATE(47),
    [sym_for_statement] = STATE(47),
    [sym_while_statement] = STATE(47),
    [sym_try_statement] = STATE(47),
    [sym_with_statement] = STATE(47),
    [sym_function_definition] = STATE(47),
    [sym_global_statement] = STATE(861),
    [sym_nonlocal_statement] = STATE(861),
    [sym_exec_statement] = STATE(861),
    [sym_class_definition] = STATE(47),
    [sym_decorated_definition] = STATE(47),
    [sym_decorator] = STATE(667),
    [sym_block] = STATE(438),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(109),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(109),
    [sym_unary_operator] = STATE(109),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(936),
    [sym_augmented_assignment] = STATE(936),
    [sym_yield] = STATE(936),
    [sym_attribute] = STATE(109),
    [sym_subscript] = STATE(109),
    [sym_call] = STATE(109),
    [sym_list] = STATE(109),
    [sym_list_comprehension] = STATE(109),
    [sym_dictionary] = STATE(109),
    [sym_dictionary_comprehension] = STATE(109),
    [sym_set] = STATE(109),
    [sym_set_comprehension] = STATE(109),
    [sym_parenthesized_expression] = STATE(109),
    [sym_tuple] = STATE(109),
    [sym_generator_expression] = STATE(109),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(109),
    [sym_string] = STATE(117),
    [sym_await] = STATE(601),
    [aux_sym_module_repeat1] = STATE(47),
    [aux_sym_decorated_definition_repeat1] = STATE(667),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_async] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_with] = ACTIONS(85),
    [anon_sym_def] = ACTIONS(87),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_class] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(93),
    [sym__string_start] = ACTIONS(73),
  },
  [29] = {
    [sym__statement] = STATE(47),
    [sym__simple_statements] = STATE(47),
    [sym_import_statement] = STATE(861),
    [sym_future_import_statement] = STATE(861),
    [sym_import_from_statement] = STATE(861),
    [sym_print_statement] = STATE(861),
    [sym_assert_statement] = STATE(861),
    [sym_expression_statement] = STATE(861),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(861),
    [sym_delete_statement] = STATE(861),
    [sym_raise_statement] = STATE(861),
    [sym_pass_statement] = STATE(861),
    [sym_break_statement] = STATE(861),
    [sym_continue_statement] = STATE(861),
    [sym_if_statement] = STATE(47),
    [sym_for_statement] = STATE(47),
    [sym_while_statement] = STATE(47),
    [sym_try_statement] = STATE(47),
    [sym_with_statement] = STATE(47),
    [sym_function_definition] = STATE(47),
    [sym_global_statement] = STATE(861),
    [sym_nonlocal_statement] = STATE(861),
    [sym_exec_statement] = STATE(861),
    [sym_class_definition] = STATE(47),
    [sym_decorated_definition] = STATE(47),
    [sym_decorator] = STATE(667),
    [sym_block] = STATE(394),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(109),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(109),
    [sym_unary_operator] = STATE(109),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(936),
    [sym_augmented_assignment] = STATE(936),
    [sym_yield] = STATE(936),
    [sym_attribute] = STATE(109),
    [sym_subscript] = STATE(109),
    [sym_call] = STATE(109),
    [sym_list] = STATE(109),
    [sym_list_comprehension] = STATE(109),
    [sym_dictionary] = STATE(109),
    [sym_dictionary_comprehension] = STATE(109),
    [sym_set] = STATE(109),
    [sym_set_comprehension] = STATE(109),
    [sym_parenthesized_expression] = STATE(109),
    [sym_tuple] = STATE(109),
    [sym_generator_expression] = STATE(109),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(109),
    [sym_string] = STATE(117),
    [sym_await] = STATE(601),
    [aux_sym_module_repeat1] = STATE(47),
    [aux_sym_decorated_definition_repeat1] = STATE(667),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_async] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_with] = ACTIONS(85),
    [anon_sym_def] = ACTIONS(87),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_class] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(93),
    [sym__string_start] = ACTIONS(73),
  },
  [30] = {
    [sym__statement] = STATE(47),
    [sym__simple_statements] = STATE(47),
    [sym_import_statement] = STATE(861),
    [sym_future_import_statement] = STATE(861),
    [sym_import_from_statement] = STATE(861),
    [sym_print_statement] = STATE(861),
    [sym_assert_statement] = STATE(861),
    [sym_expression_statement] = STATE(861),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(861),
    [sym_delete_statement] = STATE(861),
    [sym_raise_statement] = STATE(861),
    [sym_pass_statement] = STATE(861),
    [sym_break_statement] = STATE(861),
    [sym_continue_statement] = STATE(861),
    [sym_if_statement] = STATE(47),
    [sym_for_statement] = STATE(47),
    [sym_while_statement] = STATE(47),
    [sym_try_statement] = STATE(47),
    [sym_with_statement] = STATE(47),
    [sym_function_definition] = STATE(47),
    [sym_global_statement] = STATE(861),
    [sym_nonlocal_statement] = STATE(861),
    [sym_exec_statement] = STATE(861),
    [sym_class_definition] = STATE(47),
    [sym_decorated_definition] = STATE(47),
    [sym_decorator] = STATE(667),
    [sym_block] = STATE(458),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(109),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(109),
    [sym_unary_operator] = STATE(109),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(936),
    [sym_augmented_assignment] = STATE(936),
    [sym_yield] = STATE(936),
    [sym_attribute] = STATE(109),
    [sym_subscript] = STATE(109),
    [sym_call] = STATE(109),
    [sym_list] = STATE(109),
    [sym_list_comprehension] = STATE(109),
    [sym_dictionary] = STATE(109),
    [sym_dictionary_comprehension] = STATE(109),
    [sym_set] = STATE(109),
    [sym_set_comprehension] = STATE(109),
    [sym_parenthesized_expression] = STATE(109),
    [sym_tuple] = STATE(109),
    [sym_generator_expression] = STATE(109),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(109),
    [sym_string] = STATE(117),
    [sym_await] = STATE(601),
    [aux_sym_module_repeat1] = STATE(47),
    [aux_sym_decorated_definition_repeat1] = STATE(667),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_async] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_with] = ACTIONS(85),
    [anon_sym_def] = ACTIONS(87),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_class] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(93),
    [sym__string_start] = ACTIONS(73),
  },
  [31] = {
    [sym__statement] = STATE(47),
    [sym__simple_statements] = STATE(47),
    [sym_import_statement] = STATE(861),
    [sym_future_import_statement] = STATE(861),
    [sym_import_from_statement] = STATE(861),
    [sym_print_statement] = STATE(861),
    [sym_assert_statement] = STATE(861),
    [sym_expression_statement] = STATE(861),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(861),
    [sym_delete_statement] = STATE(861),
    [sym_raise_statement] = STATE(861),
    [sym_pass_statement] = STATE(861),
    [sym_break_statement] = STATE(861),
    [sym_continue_statement] = STATE(861),
    [sym_if_statement] = STATE(47),
    [sym_for_statement] = STATE(47),
    [sym_while_statement] = STATE(47),
    [sym_try_statement] = STATE(47),
    [sym_with_statement] = STATE(47),
    [sym_function_definition] = STATE(47),
    [sym_global_statement] = STATE(861),
    [sym_nonlocal_statement] = STATE(861),
    [sym_exec_statement] = STATE(861),
    [sym_class_definition] = STATE(47),
    [sym_decorated_definition] = STATE(47),
    [sym_decorator] = STATE(667),
    [sym_block] = STATE(428),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(109),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(109),
    [sym_unary_operator] = STATE(109),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(936),
    [sym_augmented_assignment] = STATE(936),
    [sym_yield] = STATE(936),
    [sym_attribute] = STATE(109),
    [sym_subscript] = STATE(109),
    [sym_call] = STATE(109),
    [sym_list] = STATE(109),
    [sym_list_comprehension] = STATE(109),
    [sym_dictionary] = STATE(109),
    [sym_dictionary_comprehension] = STATE(109),
    [sym_set] = STATE(109),
    [sym_set_comprehension] = STATE(109),
    [sym_parenthesized_expression] = STATE(109),
    [sym_tuple] = STATE(109),
    [sym_generator_expression] = STATE(109),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(109),
    [sym_string] = STATE(117),
    [sym_await] = STATE(601),
    [aux_sym_module_repeat1] = STATE(47),
    [aux_sym_decorated_definition_repeat1] = STATE(667),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_async] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_with] = ACTIONS(85),
    [anon_sym_def] = ACTIONS(87),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_class] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(93),
    [sym__string_start] = ACTIONS(73),
  },
  [32] = {
    [sym__statement] = STATE(44),
    [sym__simple_statements] = STATE(44),
    [sym_import_statement] = STATE(861),
    [sym_future_import_statement] = STATE(861),
    [sym_import_from_statement] = STATE(861),
    [sym_print_statement] = STATE(861),
    [sym_assert_statement] = STATE(861),
    [sym_expression_statement] = STATE(861),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(861),
    [sym_delete_statement] = STATE(861),
    [sym_raise_statement] = STATE(861),
    [sym_pass_statement] = STATE(861),
    [sym_break_statement] = STATE(861),
    [sym_continue_statement] = STATE(861),
    [sym_if_statement] = STATE(44),
    [sym_for_statement] = STATE(44),
    [sym_while_statement] = STATE(44),
    [sym_try_statement] = STATE(44),
    [sym_with_statement] = STATE(44),
    [sym_function_definition] = STATE(44),
    [sym_global_statement] = STATE(861),
    [sym_nonlocal_statement] = STATE(861),
    [sym_exec_statement] = STATE(861),
    [sym_class_definition] = STATE(44),
    [sym_decorated_definition] = STATE(44),
    [sym_decorator] = STATE(667),
    [sym_block] = STATE(237),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(109),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(109),
    [sym_unary_operator] = STATE(109),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(936),
    [sym_augmented_assignment] = STATE(936),
    [sym_yield] = STATE(936),
    [sym_attribute] = STATE(109),
    [sym_subscript] = STATE(109),
    [sym_call] = STATE(109),
    [sym_list] = STATE(109),
    [sym_list_comprehension] = STATE(109),
    [sym_dictionary] = STATE(109),
    [sym_dictionary_comprehension] = STATE(109),
    [sym_set] = STATE(109),
    [sym_set_comprehension] = STATE(109),
    [sym_parenthesized_expression] = STATE(109),
    [sym_tuple] = STATE(109),
    [sym_generator_expression] = STATE(109),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(109),
    [sym_string] = STATE(117),
    [sym_await] = STATE(601),
    [aux_sym_module_repeat1] = STATE(44),
    [aux_sym_decorated_definition_repeat1] = STATE(667),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_async] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_with] = ACTIONS(85),
    [anon_sym_def] = ACTIONS(87),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_class] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(91),
    [sym__string_start] = ACTIONS(73),
  },
  [33] = {
    [sym__statement] = STATE(47),
    [sym__simple_statements] = STATE(47),
    [sym_import_statement] = STATE(861),
    [sym_future_import_statement] = STATE(861),
    [sym_import_from_statement] = STATE(861),
    [sym_print_statement] = STATE(861),
    [sym_assert_statement] = STATE(861),
    [sym_expression_statement] = STATE(861),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(861),
    [sym_delete_statement] = STATE(861),
    [sym_raise_statement] = STATE(861),
    [sym_pass_statement] = STATE(861),
    [sym_break_statement] = STATE(861),
    [sym_continue_statement] = STATE(861),
    [sym_if_statement] = STATE(47),
    [sym_for_statement] = STATE(47),
    [sym_while_statement] = STATE(47),
    [sym_try_statement] = STATE(47),
    [sym_with_statement] = STATE(47),
    [sym_function_definition] = STATE(47),
    [sym_global_statement] = STATE(861),
    [sym_nonlocal_statement] = STATE(861),
    [sym_exec_statement] = STATE(861),
    [sym_class_definition] = STATE(47),
    [sym_decorated_definition] = STATE(47),
    [sym_decorator] = STATE(667),
    [sym_block] = STATE(361),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(109),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(109),
    [sym_unary_operator] = STATE(109),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(936),
    [sym_augmented_assignment] = STATE(936),
    [sym_yield] = STATE(936),
    [sym_attribute] = STATE(109),
    [sym_subscript] = STATE(109),
    [sym_call] = STATE(109),
    [sym_list] = STATE(109),
    [sym_list_comprehension] = STATE(109),
    [sym_dictionary] = STATE(109),
    [sym_dictionary_comprehension] = STATE(109),
    [sym_set] = STATE(109),
    [sym_set_comprehension] = STATE(109),
    [sym_parenthesized_expression] = STATE(109),
    [sym_tuple] = STATE(109),
    [sym_generator_expression] = STATE(109),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(109),
    [sym_string] = STATE(117),
    [sym_await] = STATE(601),
    [aux_sym_module_repeat1] = STATE(47),
    [aux_sym_decorated_definition_repeat1] = STATE(667),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_async] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_with] = ACTIONS(85),
    [anon_sym_def] = ACTIONS(87),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_class] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(93),
    [sym__string_start] = ACTIONS(73),
  },
  [34] = {
    [sym__statement] = STATE(47),
    [sym__simple_statements] = STATE(47),
    [sym_import_statement] = STATE(861),
    [sym_future_import_statement] = STATE(861),
    [sym_import_from_statement] = STATE(861),
    [sym_print_statement] = STATE(861),
    [sym_assert_statement] = STATE(861),
    [sym_expression_statement] = STATE(861),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(861),
    [sym_delete_statement] = STATE(861),
    [sym_raise_statement] = STATE(861),
    [sym_pass_statement] = STATE(861),
    [sym_break_statement] = STATE(861),
    [sym_continue_statement] = STATE(861),
    [sym_if_statement] = STATE(47),
    [sym_for_statement] = STATE(47),
    [sym_while_statement] = STATE(47),
    [sym_try_statement] = STATE(47),
    [sym_with_statement] = STATE(47),
    [sym_function_definition] = STATE(47),
    [sym_global_statement] = STATE(861),
    [sym_nonlocal_statement] = STATE(861),
    [sym_exec_statement] = STATE(861),
    [sym_class_definition] = STATE(47),
    [sym_decorated_definition] = STATE(47),
    [sym_decorator] = STATE(667),
    [sym_block] = STATE(450),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(109),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(109),
    [sym_unary_operator] = STATE(109),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(936),
    [sym_augmented_assignment] = STATE(936),
    [sym_yield] = STATE(936),
    [sym_attribute] = STATE(109),
    [sym_subscript] = STATE(109),
    [sym_call] = STATE(109),
    [sym_list] = STATE(109),
    [sym_list_comprehension] = STATE(109),
    [sym_dictionary] = STATE(109),
    [sym_dictionary_comprehension] = STATE(109),
    [sym_set] = STATE(109),
    [sym_set_comprehension] = STATE(109),
    [sym_parenthesized_expression] = STATE(109),
    [sym_tuple] = STATE(109),
    [sym_generator_expression] = STATE(109),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(109),
    [sym_string] = STATE(117),
    [sym_await] = STATE(601),
    [aux_sym_module_repeat1] = STATE(47),
    [aux_sym_decorated_definition_repeat1] = STATE(667),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_async] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_with] = ACTIONS(85),
    [anon_sym_def] = ACTIONS(87),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_class] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(93),
    [sym__string_start] = ACTIONS(73),
  },
  [35] = {
    [sym__statement] = STATE(47),
    [sym__simple_statements] = STATE(47),
    [sym_import_statement] = STATE(861),
    [sym_future_import_statement] = STATE(861),
    [sym_import_from_statement] = STATE(861),
    [sym_print_statement] = STATE(861),
    [sym_assert_statement] = STATE(861),
    [sym_expression_statement] = STATE(861),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(861),
    [sym_delete_statement] = STATE(861),
    [sym_raise_statement] = STATE(861),
    [sym_pass_statement] = STATE(861),
    [sym_break_statement] = STATE(861),
    [sym_continue_statement] = STATE(861),
    [sym_if_statement] = STATE(47),
    [sym_for_statement] = STATE(47),
    [sym_while_statement] = STATE(47),
    [sym_try_statement] = STATE(47),
    [sym_with_statement] = STATE(47),
    [sym_function_definition] = STATE(47),
    [sym_global_statement] = STATE(861),
    [sym_nonlocal_statement] = STATE(861),
    [sym_exec_statement] = STATE(861),
    [sym_class_definition] = STATE(47),
    [sym_decorated_definition] = STATE(47),
    [sym_decorator] = STATE(667),
    [sym_block] = STATE(291),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(109),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(109),
    [sym_unary_operator] = STATE(109),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(936),
    [sym_augmented_assignment] = STATE(936),
    [sym_yield] = STATE(936),
    [sym_attribute] = STATE(109),
    [sym_subscript] = STATE(109),
    [sym_call] = STATE(109),
    [sym_list] = STATE(109),
    [sym_list_comprehension] = STATE(109),
    [sym_dictionary] = STATE(109),
    [sym_dictionary_comprehension] = STATE(109),
    [sym_set] = STATE(109),
    [sym_set_comprehension] = STATE(109),
    [sym_parenthesized_expression] = STATE(109),
    [sym_tuple] = STATE(109),
    [sym_generator_expression] = STATE(109),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(109),
    [sym_string] = STATE(117),
    [sym_await] = STATE(601),
    [aux_sym_module_repeat1] = STATE(47),
    [aux_sym_decorated_definition_repeat1] = STATE(667),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_async] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_with] = ACTIONS(85),
    [anon_sym_def] = ACTIONS(87),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_class] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(93),
    [sym__string_start] = ACTIONS(73),
  },
  [36] = {
    [sym__statement] = STATE(47),
    [sym__simple_statements] = STATE(47),
    [sym_import_statement] = STATE(861),
    [sym_future_import_statement] = STATE(861),
    [sym_import_from_statement] = STATE(861),
    [sym_print_statement] = STATE(861),
    [sym_assert_statement] = STATE(861),
    [sym_expression_statement] = STATE(861),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(861),
    [sym_delete_statement] = STATE(861),
    [sym_raise_statement] = STATE(861),
    [sym_pass_statement] = STATE(861),
    [sym_break_statement] = STATE(861),
    [sym_continue_statement] = STATE(861),
    [sym_if_statement] = STATE(47),
    [sym_for_statement] = STATE(47),
    [sym_while_statement] = STATE(47),
    [sym_try_statement] = STATE(47),
    [sym_with_statement] = STATE(47),
    [sym_function_definition] = STATE(47),
    [sym_global_statement] = STATE(861),
    [sym_nonlocal_statement] = STATE(861),
    [sym_exec_statement] = STATE(861),
    [sym_class_definition] = STATE(47),
    [sym_decorated_definition] = STATE(47),
    [sym_decorator] = STATE(667),
    [sym_block] = STATE(297),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(109),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(109),
    [sym_unary_operator] = STATE(109),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(936),
    [sym_augmented_assignment] = STATE(936),
    [sym_yield] = STATE(936),
    [sym_attribute] = STATE(109),
    [sym_subscript] = STATE(109),
    [sym_call] = STATE(109),
    [sym_list] = STATE(109),
    [sym_list_comprehension] = STATE(109),
    [sym_dictionary] = STATE(109),
    [sym_dictionary_comprehension] = STATE(109),
    [sym_set] = STATE(109),
    [sym_set_comprehension] = STATE(109),
    [sym_parenthesized_expression] = STATE(109),
    [sym_tuple] = STATE(109),
    [sym_generator_expression] = STATE(109),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(109),
    [sym_string] = STATE(117),
    [sym_await] = STATE(601),
    [aux_sym_module_repeat1] = STATE(47),
    [aux_sym_decorated_definition_repeat1] = STATE(667),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_async] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_with] = ACTIONS(85),
    [anon_sym_def] = ACTIONS(87),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_class] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(93),
    [sym__string_start] = ACTIONS(73),
  },
  [37] = {
    [sym__statement] = STATE(47),
    [sym__simple_statements] = STATE(47),
    [sym_import_statement] = STATE(861),
    [sym_future_import_statement] = STATE(861),
    [sym_import_from_statement] = STATE(861),
    [sym_print_statement] = STATE(861),
    [sym_assert_statement] = STATE(861),
    [sym_expression_statement] = STATE(861),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(861),
    [sym_delete_statement] = STATE(861),
    [sym_raise_statement] = STATE(861),
    [sym_pass_statement] = STATE(861),
    [sym_break_statement] = STATE(861),
    [sym_continue_statement] = STATE(861),
    [sym_if_statement] = STATE(47),
    [sym_for_statement] = STATE(47),
    [sym_while_statement] = STATE(47),
    [sym_try_statement] = STATE(47),
    [sym_with_statement] = STATE(47),
    [sym_function_definition] = STATE(47),
    [sym_global_statement] = STATE(861),
    [sym_nonlocal_statement] = STATE(861),
    [sym_exec_statement] = STATE(861),
    [sym_class_definition] = STATE(47),
    [sym_decorated_definition] = STATE(47),
    [sym_decorator] = STATE(667),
    [sym_block] = STATE(373),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(109),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(109),
    [sym_unary_operator] = STATE(109),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(936),
    [sym_augmented_assignment] = STATE(936),
    [sym_yield] = STATE(936),
    [sym_attribute] = STATE(109),
    [sym_subscript] = STATE(109),
    [sym_call] = STATE(109),
    [sym_list] = STATE(109),
    [sym_list_comprehension] = STATE(109),
    [sym_dictionary] = STATE(109),
    [sym_dictionary_comprehension] = STATE(109),
    [sym_set] = STATE(109),
    [sym_set_comprehension] = STATE(109),
    [sym_parenthesized_expression] = STATE(109),
    [sym_tuple] = STATE(109),
    [sym_generator_expression] = STATE(109),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(109),
    [sym_string] = STATE(117),
    [sym_await] = STATE(601),
    [aux_sym_module_repeat1] = STATE(47),
    [aux_sym_decorated_definition_repeat1] = STATE(667),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_async] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_with] = ACTIONS(85),
    [anon_sym_def] = ACTIONS(87),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_class] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(93),
    [sym__string_start] = ACTIONS(73),
  },
  [38] = {
    [sym__statement] = STATE(47),
    [sym__simple_statements] = STATE(47),
    [sym_import_statement] = STATE(861),
    [sym_future_import_statement] = STATE(861),
    [sym_import_from_statement] = STATE(861),
    [sym_print_statement] = STATE(861),
    [sym_assert_statement] = STATE(861),
    [sym_expression_statement] = STATE(861),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(861),
    [sym_delete_statement] = STATE(861),
    [sym_raise_statement] = STATE(861),
    [sym_pass_statement] = STATE(861),
    [sym_break_statement] = STATE(861),
    [sym_continue_statement] = STATE(861),
    [sym_if_statement] = STATE(47),
    [sym_for_statement] = STATE(47),
    [sym_while_statement] = STATE(47),
    [sym_try_statement] = STATE(47),
    [sym_with_statement] = STATE(47),
    [sym_function_definition] = STATE(47),
    [sym_global_statement] = STATE(861),
    [sym_nonlocal_statement] = STATE(861),
    [sym_exec_statement] = STATE(861),
    [sym_class_definition] = STATE(47),
    [sym_decorated_definition] = STATE(47),
    [sym_decorator] = STATE(667),
    [sym_block] = STATE(356),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(109),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(109),
    [sym_unary_operator] = STATE(109),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(936),
    [sym_augmented_assignment] = STATE(936),
    [sym_yield] = STATE(936),
    [sym_attribute] = STATE(109),
    [sym_subscript] = STATE(109),
    [sym_call] = STATE(109),
    [sym_list] = STATE(109),
    [sym_list_comprehension] = STATE(109),
    [sym_dictionary] = STATE(109),
    [sym_dictionary_comprehension] = STATE(109),
    [sym_set] = STATE(109),
    [sym_set_comprehension] = STATE(109),
    [sym_parenthesized_expression] = STATE(109),
    [sym_tuple] = STATE(109),
    [sym_generator_expression] = STATE(109),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(109),
    [sym_string] = STATE(117),
    [sym_await] = STATE(601),
    [aux_sym_module_repeat1] = STATE(47),
    [aux_sym_decorated_definition_repeat1] = STATE(667),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_async] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_with] = ACTIONS(85),
    [anon_sym_def] = ACTIONS(87),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_class] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(93),
    [sym__string_start] = ACTIONS(73),
  },
  [39] = {
    [sym__statement] = STATE(44),
    [sym__simple_statements] = STATE(44),
    [sym_import_statement] = STATE(861),
    [sym_future_import_statement] = STATE(861),
    [sym_import_from_statement] = STATE(861),
    [sym_print_statement] = STATE(861),
    [sym_assert_statement] = STATE(861),
    [sym_expression_statement] = STATE(861),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(861),
    [sym_delete_statement] = STATE(861),
    [sym_raise_statement] = STATE(861),
    [sym_pass_statement] = STATE(861),
    [sym_break_statement] = STATE(861),
    [sym_continue_statement] = STATE(861),
    [sym_if_statement] = STATE(44),
    [sym_for_statement] = STATE(44),
    [sym_while_statement] = STATE(44),
    [sym_try_statement] = STATE(44),
    [sym_with_statement] = STATE(44),
    [sym_function_definition] = STATE(44),
    [sym_global_statement] = STATE(861),
    [sym_nonlocal_statement] = STATE(861),
    [sym_exec_statement] = STATE(861),
    [sym_class_definition] = STATE(44),
    [sym_decorated_definition] = STATE(44),
    [sym_decorator] = STATE(667),
    [sym_block] = STATE(370),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(109),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(109),
    [sym_unary_operator] = STATE(109),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(936),
    [sym_augmented_assignment] = STATE(936),
    [sym_yield] = STATE(936),
    [sym_attribute] = STATE(109),
    [sym_subscript] = STATE(109),
    [sym_call] = STATE(109),
    [sym_list] = STATE(109),
    [sym_list_comprehension] = STATE(109),
    [sym_dictionary] = STATE(109),
    [sym_dictionary_comprehension] = STATE(109),
    [sym_set] = STATE(109),
    [sym_set_comprehension] = STATE(109),
    [sym_parenthesized_expression] = STATE(109),
    [sym_tuple] = STATE(109),
    [sym_generator_expression] = STATE(109),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(109),
    [sym_string] = STATE(117),
    [sym_await] = STATE(601),
    [aux_sym_module_repeat1] = STATE(44),
    [aux_sym_decorated_definition_repeat1] = STATE(667),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_async] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_with] = ACTIONS(85),
    [anon_sym_def] = ACTIONS(87),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_class] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(91),
    [sym__string_start] = ACTIONS(73),
  },
  [40] = {
    [sym__statement] = STATE(47),
    [sym__simple_statements] = STATE(47),
    [sym_import_statement] = STATE(861),
    [sym_future_import_statement] = STATE(861),
    [sym_import_from_statement] = STATE(861),
    [sym_print_statement] = STATE(861),
    [sym_assert_statement] = STATE(861),
    [sym_expression_statement] = STATE(861),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(861),
    [sym_delete_statement] = STATE(861),
    [sym_raise_statement] = STATE(861),
    [sym_pass_statement] = STATE(861),
    [sym_break_statement] = STATE(861),
    [sym_continue_statement] = STATE(861),
    [sym_if_statement] = STATE(47),
    [sym_for_statement] = STATE(47),
    [sym_while_statement] = STATE(47),
    [sym_try_statement] = STATE(47),
    [sym_with_statement] = STATE(47),
    [sym_function_definition] = STATE(47),
    [sym_global_statement] = STATE(861),
    [sym_nonlocal_statement] = STATE(861),
    [sym_exec_statement] = STATE(861),
    [sym_class_definition] = STATE(47),
    [sym_decorated_definition] = STATE(47),
    [sym_decorator] = STATE(667),
    [sym_block] = STATE(382),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(109),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(109),
    [sym_unary_operator] = STATE(109),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(936),
    [sym_augmented_assignment] = STATE(936),
    [sym_yield] = STATE(936),
    [sym_attribute] = STATE(109),
    [sym_subscript] = STATE(109),
    [sym_call] = STATE(109),
    [sym_list] = STATE(109),
    [sym_list_comprehension] = STATE(109),
    [sym_dictionary] = STATE(109),
    [sym_dictionary_comprehension] = STATE(109),
    [sym_set] = STATE(109),
    [sym_set_comprehension] = STATE(109),
    [sym_parenthesized_expression] = STATE(109),
    [sym_tuple] = STATE(109),
    [sym_generator_expression] = STATE(109),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(109),
    [sym_string] = STATE(117),
    [sym_await] = STATE(601),
    [aux_sym_module_repeat1] = STATE(47),
    [aux_sym_decorated_definition_repeat1] = STATE(667),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_async] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_with] = ACTIONS(85),
    [anon_sym_def] = ACTIONS(87),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_class] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(93),
    [sym__string_start] = ACTIONS(73),
  },
  [41] = {
    [sym__statement] = STATE(47),
    [sym__simple_statements] = STATE(47),
    [sym_import_statement] = STATE(861),
    [sym_future_import_statement] = STATE(861),
    [sym_import_from_statement] = STATE(861),
    [sym_print_statement] = STATE(861),
    [sym_assert_statement] = STATE(861),
    [sym_expression_statement] = STATE(861),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(861),
    [sym_delete_statement] = STATE(861),
    [sym_raise_statement] = STATE(861),
    [sym_pass_statement] = STATE(861),
    [sym_break_statement] = STATE(861),
    [sym_continue_statement] = STATE(861),
    [sym_if_statement] = STATE(47),
    [sym_for_statement] = STATE(47),
    [sym_while_statement] = STATE(47),
    [sym_try_statement] = STATE(47),
    [sym_with_statement] = STATE(47),
    [sym_function_definition] = STATE(47),
    [sym_global_statement] = STATE(861),
    [sym_nonlocal_statement] = STATE(861),
    [sym_exec_statement] = STATE(861),
    [sym_class_definition] = STATE(47),
    [sym_decorated_definition] = STATE(47),
    [sym_decorator] = STATE(667),
    [sym_block] = STATE(418),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(109),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(109),
    [sym_unary_operator] = STATE(109),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(936),
    [sym_augmented_assignment] = STATE(936),
    [sym_yield] = STATE(936),
    [sym_attribute] = STATE(109),
    [sym_subscript] = STATE(109),
    [sym_call] = STATE(109),
    [sym_list] = STATE(109),
    [sym_list_comprehension] = STATE(109),
    [sym_dictionary] = STATE(109),
    [sym_dictionary_comprehension] = STATE(109),
    [sym_set] = STATE(109),
    [sym_set_comprehension] = STATE(109),
    [sym_parenthesized_expression] = STATE(109),
    [sym_tuple] = STATE(109),
    [sym_generator_expression] = STATE(109),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(109),
    [sym_string] = STATE(117),
    [sym_await] = STATE(601),
    [aux_sym_module_repeat1] = STATE(47),
    [aux_sym_decorated_definition_repeat1] = STATE(667),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_async] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_with] = ACTIONS(85),
    [anon_sym_def] = ACTIONS(87),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_class] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(93),
    [sym__string_start] = ACTIONS(73),
  },
  [42] = {
    [sym__statement] = STATE(45),
    [sym__simple_statements] = STATE(45),
    [sym_import_statement] = STATE(831),
    [sym_future_import_statement] = STATE(831),
    [sym_import_from_statement] = STATE(831),
    [sym_print_statement] = STATE(831),
    [sym_assert_statement] = STATE(831),
    [sym_expression_statement] = STATE(831),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(831),
    [sym_delete_statement] = STATE(831),
    [sym_raise_statement] = STATE(831),
    [sym_pass_statement] = STATE(831),
    [sym_break_statement] = STATE(831),
    [sym_continue_statement] = STATE(831),
    [sym_if_statement] = STATE(45),
    [sym_for_statement] = STATE(45),
    [sym_while_statement] = STATE(45),
    [sym_try_statement] = STATE(45),
    [sym_with_statement] = STATE(45),
    [sym_function_definition] = STATE(45),
    [sym_global_statement] = STATE(831),
    [sym_nonlocal_statement] = STATE(831),
    [sym_exec_statement] = STATE(831),
    [sym_class_definition] = STATE(45),
    [sym_decorated_definition] = STATE(45),
    [sym_decorator] = STATE(669),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(109),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(109),
    [sym_unary_operator] = STATE(109),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(936),
    [sym_augmented_assignment] = STATE(936),
    [sym_yield] = STATE(936),
    [sym_attribute] = STATE(109),
    [sym_subscript] = STATE(109),
    [sym_call] = STATE(109),
    [sym_list] = STATE(109),
    [sym_list_comprehension] = STATE(109),
    [sym_dictionary] = STATE(109),
    [sym_dictionary_comprehension] = STATE(109),
    [sym_set] = STATE(109),
    [sym_set_comprehension] = STATE(109),
    [sym_parenthesized_expression] = STATE(109),
    [sym_tuple] = STATE(109),
    [sym_generator_expression] = STATE(109),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(109),
    [sym_string] = STATE(117),
    [sym_await] = STATE(601),
    [aux_sym_module_repeat1] = STATE(45),
    [aux_sym_decorated_definition_repeat1] = STATE(669),
    [ts_builtin_sym_end] = ACTIONS(97),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_try] = ACTIONS(39),
    [anon_sym_with] = ACTIONS(41),
    [anon_sym_def] = ACTIONS(43),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_class] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(73),
  },
  [43] = {
    [sym__statement] = STATE(46),
    [sym__simple_statements] = STATE(46),
    [sym_import_statement] = STATE(861),
    [sym_future_import_statement] = STATE(861),
    [sym_import_from_statement] = STATE(861),
    [sym_print_statement] = STATE(861),
    [sym_assert_statement] = STATE(861),
    [sym_expression_statement] = STATE(861),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(861),
    [sym_delete_statement] = STATE(861),
    [sym_raise_statement] = STATE(861),
    [sym_pass_statement] = STATE(861),
    [sym_break_statement] = STATE(861),
    [sym_continue_statement] = STATE(861),
    [sym_if_statement] = STATE(46),
    [sym_for_statement] = STATE(46),
    [sym_while_statement] = STATE(46),
    [sym_try_statement] = STATE(46),
    [sym_with_statement] = STATE(46),
    [sym_function_definition] = STATE(46),
    [sym_global_statement] = STATE(861),
    [sym_nonlocal_statement] = STATE(861),
    [sym_exec_statement] = STATE(861),
    [sym_class_definition] = STATE(46),
    [sym_decorated_definition] = STATE(46),
    [sym_decorator] = STATE(667),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(109),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(109),
    [sym_unary_operator] = STATE(109),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(936),
    [sym_augmented_assignment] = STATE(936),
    [sym_yield] = STATE(936),
    [sym_attribute] = STATE(109),
    [sym_subscript] = STATE(109),
    [sym_call] = STATE(109),
    [sym_list] = STATE(109),
    [sym_list_comprehension] = STATE(109),
    [sym_dictionary] = STATE(109),
    [sym_dictionary_comprehension] = STATE(109),
    [sym_set] = STATE(109),
    [sym_set_comprehension] = STATE(109),
    [sym_parenthesized_expression] = STATE(109),
    [sym_tuple] = STATE(109),
    [sym_generator_expression] = STATE(109),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(109),
    [sym_string] = STATE(117),
    [sym_await] = STATE(601),
    [aux_sym_module_repeat1] = STATE(46),
    [aux_sym_decorated_definition_repeat1] = STATE(667),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_async] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_with] = ACTIONS(85),
    [anon_sym_def] = ACTIONS(87),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_class] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(99),
    [sym__string_start] = ACTIONS(73),
  },
  [44] = {
    [sym__statement] = STATE(46),
    [sym__simple_statements] = STATE(46),
    [sym_import_statement] = STATE(861),
    [sym_future_import_statement] = STATE(861),
    [sym_import_from_statement] = STATE(861),
    [sym_print_statement] = STATE(861),
    [sym_assert_statement] = STATE(861),
    [sym_expression_statement] = STATE(861),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(861),
    [sym_delete_statement] = STATE(861),
    [sym_raise_statement] = STATE(861),
    [sym_pass_statement] = STATE(861),
    [sym_break_statement] = STATE(861),
    [sym_continue_statement] = STATE(861),
    [sym_if_statement] = STATE(46),
    [sym_for_statement] = STATE(46),
    [sym_while_statement] = STATE(46),
    [sym_try_statement] = STATE(46),
    [sym_with_statement] = STATE(46),
    [sym_function_definition] = STATE(46),
    [sym_global_statement] = STATE(861),
    [sym_nonlocal_statement] = STATE(861),
    [sym_exec_statement] = STATE(861),
    [sym_class_definition] = STATE(46),
    [sym_decorated_definition] = STATE(46),
    [sym_decorator] = STATE(667),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(109),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(109),
    [sym_unary_operator] = STATE(109),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(936),
    [sym_augmented_assignment] = STATE(936),
    [sym_yield] = STATE(936),
    [sym_attribute] = STATE(109),
    [sym_subscript] = STATE(109),
    [sym_call] = STATE(109),
    [sym_list] = STATE(109),
    [sym_list_comprehension] = STATE(109),
    [sym_dictionary] = STATE(109),
    [sym_dictionary_comprehension] = STATE(109),
    [sym_set] = STATE(109),
    [sym_set_comprehension] = STATE(109),
    [sym_parenthesized_expression] = STATE(109),
    [sym_tuple] = STATE(109),
    [sym_generator_expression] = STATE(109),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(109),
    [sym_string] = STATE(117),
    [sym_await] = STATE(601),
    [aux_sym_module_repeat1] = STATE(46),
    [aux_sym_decorated_definition_repeat1] = STATE(667),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_async] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_with] = ACTIONS(85),
    [anon_sym_def] = ACTIONS(87),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_class] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(101),
    [sym__string_start] = ACTIONS(73),
  },
  [45] = {
    [sym__statement] = STATE(45),
    [sym__simple_statements] = STATE(45),
    [sym_import_statement] = STATE(831),
    [sym_future_import_statement] = STATE(831),
    [sym_import_from_statement] = STATE(831),
    [sym_print_statement] = STATE(831),
    [sym_assert_statement] = STATE(831),
    [sym_expression_statement] = STATE(831),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(831),
    [sym_delete_statement] = STATE(831),
    [sym_raise_statement] = STATE(831),
    [sym_pass_statement] = STATE(831),
    [sym_break_statement] = STATE(831),
    [sym_continue_statement] = STATE(831),
    [sym_if_statement] = STATE(45),
    [sym_for_statement] = STATE(45),
    [sym_while_statement] = STATE(45),
    [sym_try_statement] = STATE(45),
    [sym_with_statement] = STATE(45),
    [sym_function_definition] = STATE(45),
    [sym_global_statement] = STATE(831),
    [sym_nonlocal_statement] = STATE(831),
    [sym_exec_statement] = STATE(831),
    [sym_class_definition] = STATE(45),
    [sym_decorated_definition] = STATE(45),
    [sym_decorator] = STATE(669),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(109),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(109),
    [sym_unary_operator] = STATE(109),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(936),
    [sym_augmented_assignment] = STATE(936),
    [sym_yield] = STATE(936),
    [sym_attribute] = STATE(109),
    [sym_subscript] = STATE(109),
    [sym_call] = STATE(109),
    [sym_list] = STATE(109),
    [sym_list_comprehension] = STATE(109),
    [sym_dictionary] = STATE(109),
    [sym_dictionary_comprehension] = STATE(109),
    [sym_set] = STATE(109),
    [sym_set_comprehension] = STATE(109),
    [sym_parenthesized_expression] = STATE(109),
    [sym_tuple] = STATE(109),
    [sym_generator_expression] = STATE(109),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(109),
    [sym_string] = STATE(117),
    [sym_await] = STATE(601),
    [aux_sym_module_repeat1] = STATE(45),
    [aux_sym_decorated_definition_repeat1] = STATE(669),
    [ts_builtin_sym_end] = ACTIONS(103),
    [sym_identifier] = ACTIONS(105),
    [anon_sym_import] = ACTIONS(108),
    [anon_sym_from] = ACTIONS(111),
    [anon_sym_LPAREN] = ACTIONS(114),
    [anon_sym_print] = ACTIONS(117),
    [anon_sym_assert] = ACTIONS(120),
    [anon_sym_return] = ACTIONS(123),
    [anon_sym_del] = ACTIONS(126),
    [anon_sym_raise] = ACTIONS(129),
    [anon_sym_pass] = ACTIONS(132),
    [anon_sym_break] = ACTIONS(135),
    [anon_sym_continue] = ACTIONS(138),
    [anon_sym_if] = ACTIONS(141),
    [anon_sym_async] = ACTIONS(144),
    [anon_sym_for] = ACTIONS(147),
    [anon_sym_while] = ACTIONS(150),
    [anon_sym_try] = ACTIONS(153),
    [anon_sym_with] = ACTIONS(156),
    [anon_sym_def] = ACTIONS(159),
    [anon_sym_global] = ACTIONS(162),
    [anon_sym_nonlocal] = ACTIONS(165),
    [anon_sym_exec] = ACTIONS(168),
    [anon_sym_class] = ACTIONS(171),
    [anon_sym_AT] = ACTIONS(174),
    [anon_sym_not] = ACTIONS(177),
    [anon_sym_PLUS] = ACTIONS(180),
    [anon_sym_DASH] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_lambda] = ACTIONS(183),
    [anon_sym_yield] = ACTIONS(186),
    [anon_sym_LBRACK] = ACTIONS(189),
    [sym_ellipsis] = ACTIONS(192),
    [anon_sym_LBRACE] = ACTIONS(195),
    [sym_integer] = ACTIONS(198),
    [sym_float] = ACTIONS(192),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_none] = ACTIONS(198),
    [anon_sym_await] = ACTIONS(201),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(204),
  },
  [46] = {
    [sym__statement] = STATE(46),
    [sym__simple_statements] = STATE(46),
    [sym_import_statement] = STATE(861),
    [sym_future_import_statement] = STATE(861),
    [sym_import_from_statement] = STATE(861),
    [sym_print_statement] = STATE(861),
    [sym_assert_statement] = STATE(861),
    [sym_expression_statement] = STATE(861),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(861),
    [sym_delete_statement] = STATE(861),
    [sym_raise_statement] = STATE(861),
    [sym_pass_statement] = STATE(861),
    [sym_break_statement] = STATE(861),
    [sym_continue_statement] = STATE(861),
    [sym_if_statement] = STATE(46),
    [sym_for_statement] = STATE(46),
    [sym_while_statement] = STATE(46),
    [sym_try_statement] = STATE(46),
    [sym_with_statement] = STATE(46),
    [sym_function_definition] = STATE(46),
    [sym_global_statement] = STATE(861),
    [sym_nonlocal_statement] = STATE(861),
    [sym_exec_statement] = STATE(861),
    [sym_class_definition] = STATE(46),
    [sym_decorated_definition] = STATE(46),
    [sym_decorator] = STATE(667),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(109),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(109),
    [sym_unary_operator] = STATE(109),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(936),
    [sym_augmented_assignment] = STATE(936),
    [sym_yield] = STATE(936),
    [sym_attribute] = STATE(109),
    [sym_subscript] = STATE(109),
    [sym_call] = STATE(109),
    [sym_list] = STATE(109),
    [sym_list_comprehension] = STATE(109),
    [sym_dictionary] = STATE(109),
    [sym_dictionary_comprehension] = STATE(109),
    [sym_set] = STATE(109),
    [sym_set_comprehension] = STATE(109),
    [sym_parenthesized_expression] = STATE(109),
    [sym_tuple] = STATE(109),
    [sym_generator_expression] = STATE(109),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(109),
    [sym_string] = STATE(117),
    [sym_await] = STATE(601),
    [aux_sym_module_repeat1] = STATE(46),
    [aux_sym_decorated_definition_repeat1] = STATE(667),
    [sym_identifier] = ACTIONS(105),
    [anon_sym_import] = ACTIONS(108),
    [anon_sym_from] = ACTIONS(111),
    [anon_sym_LPAREN] = ACTIONS(114),
    [anon_sym_print] = ACTIONS(117),
    [anon_sym_assert] = ACTIONS(120),
    [anon_sym_return] = ACTIONS(123),
    [anon_sym_del] = ACTIONS(126),
    [anon_sym_raise] = ACTIONS(129),
    [anon_sym_pass] = ACTIONS(132),
    [anon_sym_break] = ACTIONS(135),
    [anon_sym_continue] = ACTIONS(138),
    [anon_sym_if] = ACTIONS(207),
    [anon_sym_async] = ACTIONS(210),
    [anon_sym_for] = ACTIONS(213),
    [anon_sym_while] = ACTIONS(216),
    [anon_sym_try] = ACTIONS(219),
    [anon_sym_with] = ACTIONS(222),
    [anon_sym_def] = ACTIONS(225),
    [anon_sym_global] = ACTIONS(162),
    [anon_sym_nonlocal] = ACTIONS(165),
    [anon_sym_exec] = ACTIONS(168),
    [anon_sym_class] = ACTIONS(228),
    [anon_sym_AT] = ACTIONS(174),
    [anon_sym_not] = ACTIONS(177),
    [anon_sym_PLUS] = ACTIONS(180),
    [anon_sym_DASH] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_lambda] = ACTIONS(183),
    [anon_sym_yield] = ACTIONS(186),
    [anon_sym_LBRACK] = ACTIONS(189),
    [sym_ellipsis] = ACTIONS(192),
    [anon_sym_LBRACE] = ACTIONS(195),
    [sym_integer] = ACTIONS(198),
    [sym_float] = ACTIONS(192),
    [sym_true] = ACTIONS(198),
    [sym_false] = ACTIONS(198),
    [sym_none] = ACTIONS(198),
    [anon_sym_await] = ACTIONS(201),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym__string_start] = ACTIONS(204),
  },
  [47] = {
    [sym__statement] = STATE(46),
    [sym__simple_statements] = STATE(46),
    [sym_import_statement] = STATE(861),
    [sym_future_import_statement] = STATE(861),
    [sym_import_from_statement] = STATE(861),
    [sym_print_statement] = STATE(861),
    [sym_assert_statement] = STATE(861),
    [sym_expression_statement] = STATE(861),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(861),
    [sym_delete_statement] = STATE(861),
    [sym_raise_statement] = STATE(861),
    [sym_pass_statement] = STATE(861),
    [sym_break_statement] = STATE(861),
    [sym_continue_statement] = STATE(861),
    [sym_if_statement] = STATE(46),
    [sym_for_statement] = STATE(46),
    [sym_while_statement] = STATE(46),
    [sym_try_statement] = STATE(46),
    [sym_with_statement] = STATE(46),
    [sym_function_definition] = STATE(46),
    [sym_global_statement] = STATE(861),
    [sym_nonlocal_statement] = STATE(861),
    [sym_exec_statement] = STATE(861),
    [sym_class_definition] = STATE(46),
    [sym_decorated_definition] = STATE(46),
    [sym_decorator] = STATE(667),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(109),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(109),
    [sym_unary_operator] = STATE(109),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(936),
    [sym_augmented_assignment] = STATE(936),
    [sym_yield] = STATE(936),
    [sym_attribute] = STATE(109),
    [sym_subscript] = STATE(109),
    [sym_call] = STATE(109),
    [sym_list] = STATE(109),
    [sym_list_comprehension] = STATE(109),
    [sym_dictionary] = STATE(109),
    [sym_dictionary_comprehension] = STATE(109),
    [sym_set] = STATE(109),
    [sym_set_comprehension] = STATE(109),
    [sym_parenthesized_expression] = STATE(109),
    [sym_tuple] = STATE(109),
    [sym_generator_expression] = STATE(109),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(109),
    [sym_string] = STATE(117),
    [sym_await] = STATE(601),
    [aux_sym_module_repeat1] = STATE(46),
    [aux_sym_decorated_definition_repeat1] = STATE(667),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_async] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_with] = ACTIONS(85),
    [anon_sym_def] = ACTIONS(87),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_class] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(231),
    [sym__string_start] = ACTIONS(73),
  },
  [48] = {
    [sym_chevron] = STATE(805),
    [sym_named_expression] = STATE(680),
    [sym__expression] = STATE(680),
    [sym__primary_expression] = STATE(109),
    [sym_not_operator] = STATE(680),
    [sym_boolean_operator] = STATE(680),
    [sym_binary_operator] = STATE(109),
    [sym_unary_operator] = STATE(109),
    [sym_comparison_operator] = STATE(680),
    [sym_lambda] = STATE(680),
    [sym_attribute] = STATE(109),
    [sym_subscript] = STATE(109),
    [sym_call] = STATE(109),
    [sym_list] = STATE(109),
    [sym_list_comprehension] = STATE(109),
    [sym_dictionary] = STATE(109),
    [sym_dictionary_comprehension] = STATE(109),
    [sym_set] = STATE(109),
    [sym_set_comprehension] = STATE(109),
    [sym_parenthesized_expression] = STATE(109),
    [sym_tuple] = STATE(109),
    [sym_generator_expression] = STATE(109),
    [sym_conditional_expression] = STATE(680),
    [sym_concatenated_string] = STATE(109),
    [sym_string] = STATE(117),
    [sym_await] = STATE(680),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_DOT] = ACTIONS(233),
    [anon_sym_LPAREN] = ACTIONS(235),
    [anon_sym_COMMA] = ACTIONS(235),
    [anon_sym_STAR] = ACTIONS(233),
    [anon_sym_print] = ACTIONS(237),
    [anon_sym_GT_GT] = ACTIONS(239),
    [anon_sym_if] = ACTIONS(233),
    [anon_sym_COLON] = ACTIONS(235),
    [anon_sym_in] = ACTIONS(233),
    [anon_sym_EQ] = ACTIONS(233),
    [anon_sym_STAR_STAR] = ACTIONS(233),
    [anon_sym_exec] = ACTIONS(237),
    [anon_sym_AT] = ACTIONS(233),
    [anon_sym_not] = ACTIONS(233),
    [anon_sym_and] = ACTIONS(233),
    [anon_sym_or] = ACTIONS(233),
    [anon_sym_PLUS] = ACTIONS(233),
    [anon_sym_DASH] = ACTIONS(233),
    [anon_sym_SLASH] = ACTIONS(233),
    [anon_sym_PERCENT] = ACTIONS(233),
    [anon_sym_SLASH_SLASH] = ACTIONS(233),
    [anon_sym_PIPE] = ACTIONS(233),
    [anon_sym_AMP] = ACTIONS(233),
    [anon_sym_CARET] = ACTIONS(233),
    [anon_sym_LT_LT] = ACTIONS(233),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_LT] = ACTIONS(233),
    [anon_sym_LT_EQ] = ACTIONS(235),
    [anon_sym_EQ_EQ] = ACTIONS(235),
    [anon_sym_BANG_EQ] = ACTIONS(235),
    [anon_sym_GT_EQ] = ACTIONS(235),
    [anon_sym_GT] = ACTIONS(233),
    [anon_sym_LT_GT] = ACTIONS(235),
    [anon_sym_is] = ACTIONS(233),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_PLUS_EQ] = ACTIONS(235),
    [anon_sym_DASH_EQ] = ACTIONS(235),
    [anon_sym_STAR_EQ] = ACTIONS(235),
    [anon_sym_SLASH_EQ] = ACTIONS(235),
    [anon_sym_AT_EQ] = ACTIONS(235),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(235),
    [anon_sym_PERCENT_EQ] = ACTIONS(235),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(235),
    [anon_sym_GT_GT_EQ] = ACTIONS(235),
    [anon_sym_LT_LT_EQ] = ACTIONS(235),
    [anon_sym_AMP_EQ] = ACTIONS(235),
    [anon_sym_CARET_EQ] = ACTIONS(235),
    [anon_sym_PIPE_EQ] = ACTIONS(235),
    [anon_sym_LBRACK] = ACTIONS(235),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(235),
    [sym__newline] = ACTIONS(235),
    [sym__string_start] = ACTIONS(73),
  },
  [49] = {
    [sym__simple_statements] = STATE(366),
    [sym_import_statement] = STATE(861),
    [sym_future_import_statement] = STATE(861),
    [sym_import_from_statement] = STATE(861),
    [sym_print_statement] = STATE(861),
    [sym_assert_statement] = STATE(861),
    [sym_expression_statement] = STATE(861),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(861),
    [sym_delete_statement] = STATE(861),
    [sym_raise_statement] = STATE(861),
    [sym_pass_statement] = STATE(861),
    [sym_break_statement] = STATE(861),
    [sym_continue_statement] = STATE(861),
    [sym_global_statement] = STATE(861),
    [sym_nonlocal_statement] = STATE(861),
    [sym_exec_statement] = STATE(861),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(109),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(109),
    [sym_unary_operator] = STATE(109),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(936),
    [sym_augmented_assignment] = STATE(936),
    [sym_yield] = STATE(936),
    [sym_attribute] = STATE(109),
    [sym_subscript] = STATE(109),
    [sym_call] = STATE(109),
    [sym_list] = STATE(109),
    [sym_list_comprehension] = STATE(109),
    [sym_dictionary] = STATE(109),
    [sym_dictionary_comprehension] = STATE(109),
    [sym_set] = STATE(109),
    [sym_set_comprehension] = STATE(109),
    [sym_parenthesized_expression] = STATE(109),
    [sym_tuple] = STATE(109),
    [sym_generator_expression] = STATE(109),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(109),
    [sym_string] = STATE(117),
    [sym_await] = STATE(601),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__indent] = ACTIONS(241),
    [sym__string_start] = ACTIONS(73),
  },
  [50] = {
    [sym__simple_statements] = STATE(399),
    [sym_import_statement] = STATE(861),
    [sym_future_import_statement] = STATE(861),
    [sym_import_from_statement] = STATE(861),
    [sym_print_statement] = STATE(861),
    [sym_assert_statement] = STATE(861),
    [sym_expression_statement] = STATE(861),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(861),
    [sym_delete_statement] = STATE(861),
    [sym_raise_statement] = STATE(861),
    [sym_pass_statement] = STATE(861),
    [sym_break_statement] = STATE(861),
    [sym_continue_statement] = STATE(861),
    [sym_global_statement] = STATE(861),
    [sym_nonlocal_statement] = STATE(861),
    [sym_exec_statement] = STATE(861),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(109),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(109),
    [sym_unary_operator] = STATE(109),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(936),
    [sym_augmented_assignment] = STATE(936),
    [sym_yield] = STATE(936),
    [sym_attribute] = STATE(109),
    [sym_subscript] = STATE(109),
    [sym_call] = STATE(109),
    [sym_list] = STATE(109),
    [sym_list_comprehension] = STATE(109),
    [sym_dictionary] = STATE(109),
    [sym_dictionary_comprehension] = STATE(109),
    [sym_set] = STATE(109),
    [sym_set_comprehension] = STATE(109),
    [sym_parenthesized_expression] = STATE(109),
    [sym_tuple] = STATE(109),
    [sym_generator_expression] = STATE(109),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(109),
    [sym_string] = STATE(117),
    [sym_await] = STATE(601),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__indent] = ACTIONS(243),
    [sym__string_start] = ACTIONS(73),
  },
  [51] = {
    [sym__simple_statements] = STATE(408),
    [sym_import_statement] = STATE(831),
    [sym_future_import_statement] = STATE(831),
    [sym_import_from_statement] = STATE(831),
    [sym_print_statement] = STATE(831),
    [sym_assert_statement] = STATE(831),
    [sym_expression_statement] = STATE(831),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(831),
    [sym_delete_statement] = STATE(831),
    [sym_raise_statement] = STATE(831),
    [sym_pass_statement] = STATE(831),
    [sym_break_statement] = STATE(831),
    [sym_continue_statement] = STATE(831),
    [sym_global_statement] = STATE(831),
    [sym_nonlocal_statement] = STATE(831),
    [sym_exec_statement] = STATE(831),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(109),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(109),
    [sym_unary_operator] = STATE(109),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(936),
    [sym_augmented_assignment] = STATE(936),
    [sym_yield] = STATE(936),
    [sym_attribute] = STATE(109),
    [sym_subscript] = STATE(109),
    [sym_call] = STATE(109),
    [sym_list] = STATE(109),
    [sym_list_comprehension] = STATE(109),
    [sym_dictionary] = STATE(109),
    [sym_dictionary_comprehension] = STATE(109),
    [sym_set] = STATE(109),
    [sym_set_comprehension] = STATE(109),
    [sym_parenthesized_expression] = STATE(109),
    [sym_tuple] = STATE(109),
    [sym_generator_expression] = STATE(109),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(109),
    [sym_string] = STATE(117),
    [sym_await] = STATE(601),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__indent] = ACTIONS(245),
    [sym__string_start] = ACTIONS(73),
  },
  [52] = {
    [sym__simple_statements] = STATE(372),
    [sym_import_statement] = STATE(831),
    [sym_future_import_statement] = STATE(831),
    [sym_import_from_statement] = STATE(831),
    [sym_print_statement] = STATE(831),
    [sym_assert_statement] = STATE(831),
    [sym_expression_statement] = STATE(831),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(831),
    [sym_delete_statement] = STATE(831),
    [sym_raise_statement] = STATE(831),
    [sym_pass_statement] = STATE(831),
    [sym_break_statement] = STATE(831),
    [sym_continue_statement] = STATE(831),
    [sym_global_statement] = STATE(831),
    [sym_nonlocal_statement] = STATE(831),
    [sym_exec_statement] = STATE(831),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(109),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(109),
    [sym_unary_operator] = STATE(109),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(936),
    [sym_augmented_assignment] = STATE(936),
    [sym_yield] = STATE(936),
    [sym_attribute] = STATE(109),
    [sym_subscript] = STATE(109),
    [sym_call] = STATE(109),
    [sym_list] = STATE(109),
    [sym_list_comprehension] = STATE(109),
    [sym_dictionary] = STATE(109),
    [sym_dictionary_comprehension] = STATE(109),
    [sym_set] = STATE(109),
    [sym_set_comprehension] = STATE(109),
    [sym_parenthesized_expression] = STATE(109),
    [sym_tuple] = STATE(109),
    [sym_generator_expression] = STATE(109),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(109),
    [sym_string] = STATE(117),
    [sym_await] = STATE(601),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__indent] = ACTIONS(247),
    [sym__string_start] = ACTIONS(73),
  },
  [53] = {
    [sym__simple_statements] = STATE(357),
    [sym_import_statement] = STATE(831),
    [sym_future_import_statement] = STATE(831),
    [sym_import_from_statement] = STATE(831),
    [sym_print_statement] = STATE(831),
    [sym_assert_statement] = STATE(831),
    [sym_expression_statement] = STATE(831),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(831),
    [sym_delete_statement] = STATE(831),
    [sym_raise_statement] = STATE(831),
    [sym_pass_statement] = STATE(831),
    [sym_break_statement] = STATE(831),
    [sym_continue_statement] = STATE(831),
    [sym_global_statement] = STATE(831),
    [sym_nonlocal_statement] = STATE(831),
    [sym_exec_statement] = STATE(831),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(109),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(109),
    [sym_unary_operator] = STATE(109),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(936),
    [sym_augmented_assignment] = STATE(936),
    [sym_yield] = STATE(936),
    [sym_attribute] = STATE(109),
    [sym_subscript] = STATE(109),
    [sym_call] = STATE(109),
    [sym_list] = STATE(109),
    [sym_list_comprehension] = STATE(109),
    [sym_dictionary] = STATE(109),
    [sym_dictionary_comprehension] = STATE(109),
    [sym_set] = STATE(109),
    [sym_set_comprehension] = STATE(109),
    [sym_parenthesized_expression] = STATE(109),
    [sym_tuple] = STATE(109),
    [sym_generator_expression] = STATE(109),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(109),
    [sym_string] = STATE(117),
    [sym_await] = STATE(601),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__indent] = ACTIONS(249),
    [sym__string_start] = ACTIONS(73),
  },
  [54] = {
    [sym__simple_statements] = STATE(414),
    [sym_import_statement] = STATE(831),
    [sym_future_import_statement] = STATE(831),
    [sym_import_from_statement] = STATE(831),
    [sym_print_statement] = STATE(831),
    [sym_assert_statement] = STATE(831),
    [sym_expression_statement] = STATE(831),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(831),
    [sym_delete_statement] = STATE(831),
    [sym_raise_statement] = STATE(831),
    [sym_pass_statement] = STATE(831),
    [sym_break_statement] = STATE(831),
    [sym_continue_statement] = STATE(831),
    [sym_global_statement] = STATE(831),
    [sym_nonlocal_statement] = STATE(831),
    [sym_exec_statement] = STATE(831),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(109),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(109),
    [sym_unary_operator] = STATE(109),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(936),
    [sym_augmented_assignment] = STATE(936),
    [sym_yield] = STATE(936),
    [sym_attribute] = STATE(109),
    [sym_subscript] = STATE(109),
    [sym_call] = STATE(109),
    [sym_list] = STATE(109),
    [sym_list_comprehension] = STATE(109),
    [sym_dictionary] = STATE(109),
    [sym_dictionary_comprehension] = STATE(109),
    [sym_set] = STATE(109),
    [sym_set_comprehension] = STATE(109),
    [sym_parenthesized_expression] = STATE(109),
    [sym_tuple] = STATE(109),
    [sym_generator_expression] = STATE(109),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(109),
    [sym_string] = STATE(117),
    [sym_await] = STATE(601),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__indent] = ACTIONS(251),
    [sym__string_start] = ACTIONS(73),
  },
  [55] = {
    [sym__simple_statements] = STATE(749),
    [sym_import_statement] = STATE(828),
    [sym_future_import_statement] = STATE(828),
    [sym_import_from_statement] = STATE(828),
    [sym_print_statement] = STATE(828),
    [sym_assert_statement] = STATE(828),
    [sym_expression_statement] = STATE(828),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(828),
    [sym_delete_statement] = STATE(828),
    [sym_raise_statement] = STATE(828),
    [sym_pass_statement] = STATE(828),
    [sym_break_statement] = STATE(828),
    [sym_continue_statement] = STATE(828),
    [sym_global_statement] = STATE(828),
    [sym_nonlocal_statement] = STATE(828),
    [sym_exec_statement] = STATE(828),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(109),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(109),
    [sym_unary_operator] = STATE(109),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(936),
    [sym_augmented_assignment] = STATE(936),
    [sym_yield] = STATE(936),
    [sym_attribute] = STATE(109),
    [sym_subscript] = STATE(109),
    [sym_call] = STATE(109),
    [sym_list] = STATE(109),
    [sym_list_comprehension] = STATE(109),
    [sym_dictionary] = STATE(109),
    [sym_dictionary_comprehension] = STATE(109),
    [sym_set] = STATE(109),
    [sym_set_comprehension] = STATE(109),
    [sym_parenthesized_expression] = STATE(109),
    [sym_tuple] = STATE(109),
    [sym_generator_expression] = STATE(109),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(109),
    [sym_string] = STATE(117),
    [sym_await] = STATE(601),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__indent] = ACTIONS(253),
    [sym__string_start] = ACTIONS(73),
  },
  [56] = {
    [sym__simple_statements] = STATE(330),
    [sym_import_statement] = STATE(831),
    [sym_future_import_statement] = STATE(831),
    [sym_import_from_statement] = STATE(831),
    [sym_print_statement] = STATE(831),
    [sym_assert_statement] = STATE(831),
    [sym_expression_statement] = STATE(831),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(831),
    [sym_delete_statement] = STATE(831),
    [sym_raise_statement] = STATE(831),
    [sym_pass_statement] = STATE(831),
    [sym_break_statement] = STATE(831),
    [sym_continue_statement] = STATE(831),
    [sym_global_statement] = STATE(831),
    [sym_nonlocal_statement] = STATE(831),
    [sym_exec_statement] = STATE(831),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(109),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(109),
    [sym_unary_operator] = STATE(109),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(936),
    [sym_augmented_assignment] = STATE(936),
    [sym_yield] = STATE(936),
    [sym_attribute] = STATE(109),
    [sym_subscript] = STATE(109),
    [sym_call] = STATE(109),
    [sym_list] = STATE(109),
    [sym_list_comprehension] = STATE(109),
    [sym_dictionary] = STATE(109),
    [sym_dictionary_comprehension] = STATE(109),
    [sym_set] = STATE(109),
    [sym_set_comprehension] = STATE(109),
    [sym_parenthesized_expression] = STATE(109),
    [sym_tuple] = STATE(109),
    [sym_generator_expression] = STATE(109),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(109),
    [sym_string] = STATE(117),
    [sym_await] = STATE(601),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__indent] = ACTIONS(255),
    [sym__string_start] = ACTIONS(73),
  },
  [57] = {
    [sym__simple_statements] = STATE(302),
    [sym_import_statement] = STATE(831),
    [sym_future_import_statement] = STATE(831),
    [sym_import_from_statement] = STATE(831),
    [sym_print_statement] = STATE(831),
    [sym_assert_statement] = STATE(831),
    [sym_expression_statement] = STATE(831),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(831),
    [sym_delete_statement] = STATE(831),
    [sym_raise_statement] = STATE(831),
    [sym_pass_statement] = STATE(831),
    [sym_break_statement] = STATE(831),
    [sym_continue_statement] = STATE(831),
    [sym_global_statement] = STATE(831),
    [sym_nonlocal_statement] = STATE(831),
    [sym_exec_statement] = STATE(831),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(109),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(109),
    [sym_unary_operator] = STATE(109),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(936),
    [sym_augmented_assignment] = STATE(936),
    [sym_yield] = STATE(936),
    [sym_attribute] = STATE(109),
    [sym_subscript] = STATE(109),
    [sym_call] = STATE(109),
    [sym_list] = STATE(109),
    [sym_list_comprehension] = STATE(109),
    [sym_dictionary] = STATE(109),
    [sym_dictionary_comprehension] = STATE(109),
    [sym_set] = STATE(109),
    [sym_set_comprehension] = STATE(109),
    [sym_parenthesized_expression] = STATE(109),
    [sym_tuple] = STATE(109),
    [sym_generator_expression] = STATE(109),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(109),
    [sym_string] = STATE(117),
    [sym_await] = STATE(601),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__indent] = ACTIONS(257),
    [sym__string_start] = ACTIONS(73),
  },
  [58] = {
    [sym__simple_statements] = STATE(226),
    [sym_import_statement] = STATE(831),
    [sym_future_import_statement] = STATE(831),
    [sym_import_from_statement] = STATE(831),
    [sym_print_statement] = STATE(831),
    [sym_assert_statement] = STATE(831),
    [sym_expression_statement] = STATE(831),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(831),
    [sym_delete_statement] = STATE(831),
    [sym_raise_statement] = STATE(831),
    [sym_pass_statement] = STATE(831),
    [sym_break_statement] = STATE(831),
    [sym_continue_statement] = STATE(831),
    [sym_global_statement] = STATE(831),
    [sym_nonlocal_statement] = STATE(831),
    [sym_exec_statement] = STATE(831),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(109),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(109),
    [sym_unary_operator] = STATE(109),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(936),
    [sym_augmented_assignment] = STATE(936),
    [sym_yield] = STATE(936),
    [sym_attribute] = STATE(109),
    [sym_subscript] = STATE(109),
    [sym_call] = STATE(109),
    [sym_list] = STATE(109),
    [sym_list_comprehension] = STATE(109),
    [sym_dictionary] = STATE(109),
    [sym_dictionary_comprehension] = STATE(109),
    [sym_set] = STATE(109),
    [sym_set_comprehension] = STATE(109),
    [sym_parenthesized_expression] = STATE(109),
    [sym_tuple] = STATE(109),
    [sym_generator_expression] = STATE(109),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(109),
    [sym_string] = STATE(117),
    [sym_await] = STATE(601),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__indent] = ACTIONS(259),
    [sym__string_start] = ACTIONS(73),
  },
  [59] = {
    [sym__simple_statements] = STATE(446),
    [sym_import_statement] = STATE(831),
    [sym_future_import_statement] = STATE(831),
    [sym_import_from_statement] = STATE(831),
    [sym_print_statement] = STATE(831),
    [sym_assert_statement] = STATE(831),
    [sym_expression_statement] = STATE(831),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(831),
    [sym_delete_statement] = STATE(831),
    [sym_raise_statement] = STATE(831),
    [sym_pass_statement] = STATE(831),
    [sym_break_statement] = STATE(831),
    [sym_continue_statement] = STATE(831),
    [sym_global_statement] = STATE(831),
    [sym_nonlocal_statement] = STATE(831),
    [sym_exec_statement] = STATE(831),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(109),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(109),
    [sym_unary_operator] = STATE(109),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(936),
    [sym_augmented_assignment] = STATE(936),
    [sym_yield] = STATE(936),
    [sym_attribute] = STATE(109),
    [sym_subscript] = STATE(109),
    [sym_call] = STATE(109),
    [sym_list] = STATE(109),
    [sym_list_comprehension] = STATE(109),
    [sym_dictionary] = STATE(109),
    [sym_dictionary_comprehension] = STATE(109),
    [sym_set] = STATE(109),
    [sym_set_comprehension] = STATE(109),
    [sym_parenthesized_expression] = STATE(109),
    [sym_tuple] = STATE(109),
    [sym_generator_expression] = STATE(109),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(109),
    [sym_string] = STATE(117),
    [sym_await] = STATE(601),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__indent] = ACTIONS(261),
    [sym__string_start] = ACTIONS(73),
  },
  [60] = {
    [sym__simple_statements] = STATE(360),
    [sym_import_statement] = STATE(831),
    [sym_future_import_statement] = STATE(831),
    [sym_import_from_statement] = STATE(831),
    [sym_print_statement] = STATE(831),
    [sym_assert_statement] = STATE(831),
    [sym_expression_statement] = STATE(831),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(831),
    [sym_delete_statement] = STATE(831),
    [sym_raise_statement] = STATE(831),
    [sym_pass_statement] = STATE(831),
    [sym_break_statement] = STATE(831),
    [sym_continue_statement] = STATE(831),
    [sym_global_statement] = STATE(831),
    [sym_nonlocal_statement] = STATE(831),
    [sym_exec_statement] = STATE(831),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(109),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(109),
    [sym_unary_operator] = STATE(109),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(936),
    [sym_augmented_assignment] = STATE(936),
    [sym_yield] = STATE(936),
    [sym_attribute] = STATE(109),
    [sym_subscript] = STATE(109),
    [sym_call] = STATE(109),
    [sym_list] = STATE(109),
    [sym_list_comprehension] = STATE(109),
    [sym_dictionary] = STATE(109),
    [sym_dictionary_comprehension] = STATE(109),
    [sym_set] = STATE(109),
    [sym_set_comprehension] = STATE(109),
    [sym_parenthesized_expression] = STATE(109),
    [sym_tuple] = STATE(109),
    [sym_generator_expression] = STATE(109),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(109),
    [sym_string] = STATE(117),
    [sym_await] = STATE(601),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__indent] = ACTIONS(263),
    [sym__string_start] = ACTIONS(73),
  },
  [61] = {
    [sym__simple_statements] = STATE(242),
    [sym_import_statement] = STATE(861),
    [sym_future_import_statement] = STATE(861),
    [sym_import_from_statement] = STATE(861),
    [sym_print_statement] = STATE(861),
    [sym_assert_statement] = STATE(861),
    [sym_expression_statement] = STATE(861),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(861),
    [sym_delete_statement] = STATE(861),
    [sym_raise_statement] = STATE(861),
    [sym_pass_statement] = STATE(861),
    [sym_break_statement] = STATE(861),
    [sym_continue_statement] = STATE(861),
    [sym_global_statement] = STATE(861),
    [sym_nonlocal_statement] = STATE(861),
    [sym_exec_statement] = STATE(861),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(109),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(109),
    [sym_unary_operator] = STATE(109),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(936),
    [sym_augmented_assignment] = STATE(936),
    [sym_yield] = STATE(936),
    [sym_attribute] = STATE(109),
    [sym_subscript] = STATE(109),
    [sym_call] = STATE(109),
    [sym_list] = STATE(109),
    [sym_list_comprehension] = STATE(109),
    [sym_dictionary] = STATE(109),
    [sym_dictionary_comprehension] = STATE(109),
    [sym_set] = STATE(109),
    [sym_set_comprehension] = STATE(109),
    [sym_parenthesized_expression] = STATE(109),
    [sym_tuple] = STATE(109),
    [sym_generator_expression] = STATE(109),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(109),
    [sym_string] = STATE(117),
    [sym_await] = STATE(601),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__indent] = ACTIONS(265),
    [sym__string_start] = ACTIONS(73),
  },
  [62] = {
    [sym__simple_statements] = STATE(463),
    [sym_import_statement] = STATE(831),
    [sym_future_import_statement] = STATE(831),
    [sym_import_from_statement] = STATE(831),
    [sym_print_statement] = STATE(831),
    [sym_assert_statement] = STATE(831),
    [sym_expression_statement] = STATE(831),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(831),
    [sym_delete_statement] = STATE(831),
    [sym_raise_statement] = STATE(831),
    [sym_pass_statement] = STATE(831),
    [sym_break_statement] = STATE(831),
    [sym_continue_statement] = STATE(831),
    [sym_global_statement] = STATE(831),
    [sym_nonlocal_statement] = STATE(831),
    [sym_exec_statement] = STATE(831),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(109),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(109),
    [sym_unary_operator] = STATE(109),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(936),
    [sym_augmented_assignment] = STATE(936),
    [sym_yield] = STATE(936),
    [sym_attribute] = STATE(109),
    [sym_subscript] = STATE(109),
    [sym_call] = STATE(109),
    [sym_list] = STATE(109),
    [sym_list_comprehension] = STATE(109),
    [sym_dictionary] = STATE(109),
    [sym_dictionary_comprehension] = STATE(109),
    [sym_set] = STATE(109),
    [sym_set_comprehension] = STATE(109),
    [sym_parenthesized_expression] = STATE(109),
    [sym_tuple] = STATE(109),
    [sym_generator_expression] = STATE(109),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(109),
    [sym_string] = STATE(117),
    [sym_await] = STATE(601),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__indent] = ACTIONS(267),
    [sym__string_start] = ACTIONS(73),
  },
  [63] = {
    [sym__simple_statements] = STATE(374),
    [sym_import_statement] = STATE(861),
    [sym_future_import_statement] = STATE(861),
    [sym_import_from_statement] = STATE(861),
    [sym_print_statement] = STATE(861),
    [sym_assert_statement] = STATE(861),
    [sym_expression_statement] = STATE(861),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(861),
    [sym_delete_statement] = STATE(861),
    [sym_raise_statement] = STATE(861),
    [sym_pass_statement] = STATE(861),
    [sym_break_statement] = STATE(861),
    [sym_continue_statement] = STATE(861),
    [sym_global_statement] = STATE(861),
    [sym_nonlocal_statement] = STATE(861),
    [sym_exec_statement] = STATE(861),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(109),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(109),
    [sym_unary_operator] = STATE(109),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(936),
    [sym_augmented_assignment] = STATE(936),
    [sym_yield] = STATE(936),
    [sym_attribute] = STATE(109),
    [sym_subscript] = STATE(109),
    [sym_call] = STATE(109),
    [sym_list] = STATE(109),
    [sym_list_comprehension] = STATE(109),
    [sym_dictionary] = STATE(109),
    [sym_dictionary_comprehension] = STATE(109),
    [sym_set] = STATE(109),
    [sym_set_comprehension] = STATE(109),
    [sym_parenthesized_expression] = STATE(109),
    [sym_tuple] = STATE(109),
    [sym_generator_expression] = STATE(109),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(109),
    [sym_string] = STATE(117),
    [sym_await] = STATE(601),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__indent] = ACTIONS(269),
    [sym__string_start] = ACTIONS(73),
  },
  [64] = {
    [sym__simple_statements] = STATE(407),
    [sym_import_statement] = STATE(831),
    [sym_future_import_statement] = STATE(831),
    [sym_import_from_statement] = STATE(831),
    [sym_print_statement] = STATE(831),
    [sym_assert_statement] = STATE(831),
    [sym_expression_statement] = STATE(831),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(831),
    [sym_delete_statement] = STATE(831),
    [sym_raise_statement] = STATE(831),
    [sym_pass_statement] = STATE(831),
    [sym_break_statement] = STATE(831),
    [sym_continue_statement] = STATE(831),
    [sym_global_statement] = STATE(831),
    [sym_nonlocal_statement] = STATE(831),
    [sym_exec_statement] = STATE(831),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(109),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(109),
    [sym_unary_operator] = STATE(109),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(936),
    [sym_augmented_assignment] = STATE(936),
    [sym_yield] = STATE(936),
    [sym_attribute] = STATE(109),
    [sym_subscript] = STATE(109),
    [sym_call] = STATE(109),
    [sym_list] = STATE(109),
    [sym_list_comprehension] = STATE(109),
    [sym_dictionary] = STATE(109),
    [sym_dictionary_comprehension] = STATE(109),
    [sym_set] = STATE(109),
    [sym_set_comprehension] = STATE(109),
    [sym_parenthesized_expression] = STATE(109),
    [sym_tuple] = STATE(109),
    [sym_generator_expression] = STATE(109),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(109),
    [sym_string] = STATE(117),
    [sym_await] = STATE(601),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__indent] = ACTIONS(271),
    [sym__string_start] = ACTIONS(73),
  },
  [65] = {
    [sym__simple_statements] = STATE(385),
    [sym_import_statement] = STATE(861),
    [sym_future_import_statement] = STATE(861),
    [sym_import_from_statement] = STATE(861),
    [sym_print_statement] = STATE(861),
    [sym_assert_statement] = STATE(861),
    [sym_expression_statement] = STATE(861),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(861),
    [sym_delete_statement] = STATE(861),
    [sym_raise_statement] = STATE(861),
    [sym_pass_statement] = STATE(861),
    [sym_break_statement] = STATE(861),
    [sym_continue_statement] = STATE(861),
    [sym_global_statement] = STATE(861),
    [sym_nonlocal_statement] = STATE(861),
    [sym_exec_statement] = STATE(861),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(109),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(109),
    [sym_unary_operator] = STATE(109),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(936),
    [sym_augmented_assignment] = STATE(936),
    [sym_yield] = STATE(936),
    [sym_attribute] = STATE(109),
    [sym_subscript] = STATE(109),
    [sym_call] = STATE(109),
    [sym_list] = STATE(109),
    [sym_list_comprehension] = STATE(109),
    [sym_dictionary] = STATE(109),
    [sym_dictionary_comprehension] = STATE(109),
    [sym_set] = STATE(109),
    [sym_set_comprehension] = STATE(109),
    [sym_parenthesized_expression] = STATE(109),
    [sym_tuple] = STATE(109),
    [sym_generator_expression] = STATE(109),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(109),
    [sym_string] = STATE(117),
    [sym_await] = STATE(601),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__indent] = ACTIONS(273),
    [sym__string_start] = ACTIONS(73),
  },
  [66] = {
    [sym__simple_statements] = STATE(411),
    [sym_import_statement] = STATE(861),
    [sym_future_import_statement] = STATE(861),
    [sym_import_from_statement] = STATE(861),
    [sym_print_statement] = STATE(861),
    [sym_assert_statement] = STATE(861),
    [sym_expression_statement] = STATE(861),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(861),
    [sym_delete_statement] = STATE(861),
    [sym_raise_statement] = STATE(861),
    [sym_pass_statement] = STATE(861),
    [sym_break_statement] = STATE(861),
    [sym_continue_statement] = STATE(861),
    [sym_global_statement] = STATE(861),
    [sym_nonlocal_statement] = STATE(861),
    [sym_exec_statement] = STATE(861),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(109),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(109),
    [sym_unary_operator] = STATE(109),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(936),
    [sym_augmented_assignment] = STATE(936),
    [sym_yield] = STATE(936),
    [sym_attribute] = STATE(109),
    [sym_subscript] = STATE(109),
    [sym_call] = STATE(109),
    [sym_list] = STATE(109),
    [sym_list_comprehension] = STATE(109),
    [sym_dictionary] = STATE(109),
    [sym_dictionary_comprehension] = STATE(109),
    [sym_set] = STATE(109),
    [sym_set_comprehension] = STATE(109),
    [sym_parenthesized_expression] = STATE(109),
    [sym_tuple] = STATE(109),
    [sym_generator_expression] = STATE(109),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(109),
    [sym_string] = STATE(117),
    [sym_await] = STATE(601),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__indent] = ACTIONS(275),
    [sym__string_start] = ACTIONS(73),
  },
  [67] = {
    [sym__simple_statements] = STATE(405),
    [sym_import_statement] = STATE(861),
    [sym_future_import_statement] = STATE(861),
    [sym_import_from_statement] = STATE(861),
    [sym_print_statement] = STATE(861),
    [sym_assert_statement] = STATE(861),
    [sym_expression_statement] = STATE(861),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(861),
    [sym_delete_statement] = STATE(861),
    [sym_raise_statement] = STATE(861),
    [sym_pass_statement] = STATE(861),
    [sym_break_statement] = STATE(861),
    [sym_continue_statement] = STATE(861),
    [sym_global_statement] = STATE(861),
    [sym_nonlocal_statement] = STATE(861),
    [sym_exec_statement] = STATE(861),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(109),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(109),
    [sym_unary_operator] = STATE(109),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(936),
    [sym_augmented_assignment] = STATE(936),
    [sym_yield] = STATE(936),
    [sym_attribute] = STATE(109),
    [sym_subscript] = STATE(109),
    [sym_call] = STATE(109),
    [sym_list] = STATE(109),
    [sym_list_comprehension] = STATE(109),
    [sym_dictionary] = STATE(109),
    [sym_dictionary_comprehension] = STATE(109),
    [sym_set] = STATE(109),
    [sym_set_comprehension] = STATE(109),
    [sym_parenthesized_expression] = STATE(109),
    [sym_tuple] = STATE(109),
    [sym_generator_expression] = STATE(109),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(109),
    [sym_string] = STATE(117),
    [sym_await] = STATE(601),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__indent] = ACTIONS(277),
    [sym__string_start] = ACTIONS(73),
  },
  [68] = {
    [sym__simple_statements] = STATE(430),
    [sym_import_statement] = STATE(831),
    [sym_future_import_statement] = STATE(831),
    [sym_import_from_statement] = STATE(831),
    [sym_print_statement] = STATE(831),
    [sym_assert_statement] = STATE(831),
    [sym_expression_statement] = STATE(831),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(831),
    [sym_delete_statement] = STATE(831),
    [sym_raise_statement] = STATE(831),
    [sym_pass_statement] = STATE(831),
    [sym_break_statement] = STATE(831),
    [sym_continue_statement] = STATE(831),
    [sym_global_statement] = STATE(831),
    [sym_nonlocal_statement] = STATE(831),
    [sym_exec_statement] = STATE(831),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(109),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(109),
    [sym_unary_operator] = STATE(109),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(936),
    [sym_augmented_assignment] = STATE(936),
    [sym_yield] = STATE(936),
    [sym_attribute] = STATE(109),
    [sym_subscript] = STATE(109),
    [sym_call] = STATE(109),
    [sym_list] = STATE(109),
    [sym_list_comprehension] = STATE(109),
    [sym_dictionary] = STATE(109),
    [sym_dictionary_comprehension] = STATE(109),
    [sym_set] = STATE(109),
    [sym_set_comprehension] = STATE(109),
    [sym_parenthesized_expression] = STATE(109),
    [sym_tuple] = STATE(109),
    [sym_generator_expression] = STATE(109),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(109),
    [sym_string] = STATE(117),
    [sym_await] = STATE(601),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__indent] = ACTIONS(279),
    [sym__string_start] = ACTIONS(73),
  },
  [69] = {
    [sym__simple_statements] = STATE(451),
    [sym_import_statement] = STATE(831),
    [sym_future_import_statement] = STATE(831),
    [sym_import_from_statement] = STATE(831),
    [sym_print_statement] = STATE(831),
    [sym_assert_statement] = STATE(831),
    [sym_expression_statement] = STATE(831),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(831),
    [sym_delete_statement] = STATE(831),
    [sym_raise_statement] = STATE(831),
    [sym_pass_statement] = STATE(831),
    [sym_break_statement] = STATE(831),
    [sym_continue_statement] = STATE(831),
    [sym_global_statement] = STATE(831),
    [sym_nonlocal_statement] = STATE(831),
    [sym_exec_statement] = STATE(831),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(109),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(109),
    [sym_unary_operator] = STATE(109),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(936),
    [sym_augmented_assignment] = STATE(936),
    [sym_yield] = STATE(936),
    [sym_attribute] = STATE(109),
    [sym_subscript] = STATE(109),
    [sym_call] = STATE(109),
    [sym_list] = STATE(109),
    [sym_list_comprehension] = STATE(109),
    [sym_dictionary] = STATE(109),
    [sym_dictionary_comprehension] = STATE(109),
    [sym_set] = STATE(109),
    [sym_set_comprehension] = STATE(109),
    [sym_parenthesized_expression] = STATE(109),
    [sym_tuple] = STATE(109),
    [sym_generator_expression] = STATE(109),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(109),
    [sym_string] = STATE(117),
    [sym_await] = STATE(601),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__indent] = ACTIONS(281),
    [sym__string_start] = ACTIONS(73),
  },
  [70] = {
    [sym__simple_statements] = STATE(425),
    [sym_import_statement] = STATE(831),
    [sym_future_import_statement] = STATE(831),
    [sym_import_from_statement] = STATE(831),
    [sym_print_statement] = STATE(831),
    [sym_assert_statement] = STATE(831),
    [sym_expression_statement] = STATE(831),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(831),
    [sym_delete_statement] = STATE(831),
    [sym_raise_statement] = STATE(831),
    [sym_pass_statement] = STATE(831),
    [sym_break_statement] = STATE(831),
    [sym_continue_statement] = STATE(831),
    [sym_global_statement] = STATE(831),
    [sym_nonlocal_statement] = STATE(831),
    [sym_exec_statement] = STATE(831),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(109),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(109),
    [sym_unary_operator] = STATE(109),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(936),
    [sym_augmented_assignment] = STATE(936),
    [sym_yield] = STATE(936),
    [sym_attribute] = STATE(109),
    [sym_subscript] = STATE(109),
    [sym_call] = STATE(109),
    [sym_list] = STATE(109),
    [sym_list_comprehension] = STATE(109),
    [sym_dictionary] = STATE(109),
    [sym_dictionary_comprehension] = STATE(109),
    [sym_set] = STATE(109),
    [sym_set_comprehension] = STATE(109),
    [sym_parenthesized_expression] = STATE(109),
    [sym_tuple] = STATE(109),
    [sym_generator_expression] = STATE(109),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(109),
    [sym_string] = STATE(117),
    [sym_await] = STATE(601),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__indent] = ACTIONS(283),
    [sym__string_start] = ACTIONS(73),
  },
  [71] = {
    [sym__simple_statements] = STATE(320),
    [sym_import_statement] = STATE(831),
    [sym_future_import_statement] = STATE(831),
    [sym_import_from_statement] = STATE(831),
    [sym_print_statement] = STATE(831),
    [sym_assert_statement] = STATE(831),
    [sym_expression_statement] = STATE(831),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(831),
    [sym_delete_statement] = STATE(831),
    [sym_raise_statement] = STATE(831),
    [sym_pass_statement] = STATE(831),
    [sym_break_statement] = STATE(831),
    [sym_continue_statement] = STATE(831),
    [sym_global_statement] = STATE(831),
    [sym_nonlocal_statement] = STATE(831),
    [sym_exec_statement] = STATE(831),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(109),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(109),
    [sym_unary_operator] = STATE(109),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(936),
    [sym_augmented_assignment] = STATE(936),
    [sym_yield] = STATE(936),
    [sym_attribute] = STATE(109),
    [sym_subscript] = STATE(109),
    [sym_call] = STATE(109),
    [sym_list] = STATE(109),
    [sym_list_comprehension] = STATE(109),
    [sym_dictionary] = STATE(109),
    [sym_dictionary_comprehension] = STATE(109),
    [sym_set] = STATE(109),
    [sym_set_comprehension] = STATE(109),
    [sym_parenthesized_expression] = STATE(109),
    [sym_tuple] = STATE(109),
    [sym_generator_expression] = STATE(109),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(109),
    [sym_string] = STATE(117),
    [sym_await] = STATE(601),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__indent] = ACTIONS(285),
    [sym__string_start] = ACTIONS(73),
  },
  [72] = {
    [sym__simple_statements] = STATE(468),
    [sym_import_statement] = STATE(831),
    [sym_future_import_statement] = STATE(831),
    [sym_import_from_statement] = STATE(831),
    [sym_print_statement] = STATE(831),
    [sym_assert_statement] = STATE(831),
    [sym_expression_statement] = STATE(831),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(831),
    [sym_delete_statement] = STATE(831),
    [sym_raise_statement] = STATE(831),
    [sym_pass_statement] = STATE(831),
    [sym_break_statement] = STATE(831),
    [sym_continue_statement] = STATE(831),
    [sym_global_statement] = STATE(831),
    [sym_nonlocal_statement] = STATE(831),
    [sym_exec_statement] = STATE(831),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(109),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(109),
    [sym_unary_operator] = STATE(109),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(936),
    [sym_augmented_assignment] = STATE(936),
    [sym_yield] = STATE(936),
    [sym_attribute] = STATE(109),
    [sym_subscript] = STATE(109),
    [sym_call] = STATE(109),
    [sym_list] = STATE(109),
    [sym_list_comprehension] = STATE(109),
    [sym_dictionary] = STATE(109),
    [sym_dictionary_comprehension] = STATE(109),
    [sym_set] = STATE(109),
    [sym_set_comprehension] = STATE(109),
    [sym_parenthesized_expression] = STATE(109),
    [sym_tuple] = STATE(109),
    [sym_generator_expression] = STATE(109),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(109),
    [sym_string] = STATE(117),
    [sym_await] = STATE(601),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__indent] = ACTIONS(287),
    [sym__string_start] = ACTIONS(73),
  },
  [73] = {
    [sym__simple_statements] = STATE(397),
    [sym_import_statement] = STATE(861),
    [sym_future_import_statement] = STATE(861),
    [sym_import_from_statement] = STATE(861),
    [sym_print_statement] = STATE(861),
    [sym_assert_statement] = STATE(861),
    [sym_expression_statement] = STATE(861),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(861),
    [sym_delete_statement] = STATE(861),
    [sym_raise_statement] = STATE(861),
    [sym_pass_statement] = STATE(861),
    [sym_break_statement] = STATE(861),
    [sym_continue_statement] = STATE(861),
    [sym_global_statement] = STATE(861),
    [sym_nonlocal_statement] = STATE(861),
    [sym_exec_statement] = STATE(861),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(109),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(109),
    [sym_unary_operator] = STATE(109),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(936),
    [sym_augmented_assignment] = STATE(936),
    [sym_yield] = STATE(936),
    [sym_attribute] = STATE(109),
    [sym_subscript] = STATE(109),
    [sym_call] = STATE(109),
    [sym_list] = STATE(109),
    [sym_list_comprehension] = STATE(109),
    [sym_dictionary] = STATE(109),
    [sym_dictionary_comprehension] = STATE(109),
    [sym_set] = STATE(109),
    [sym_set_comprehension] = STATE(109),
    [sym_parenthesized_expression] = STATE(109),
    [sym_tuple] = STATE(109),
    [sym_generator_expression] = STATE(109),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(109),
    [sym_string] = STATE(117),
    [sym_await] = STATE(601),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__indent] = ACTIONS(289),
    [sym__string_start] = ACTIONS(73),
  },
  [74] = {
    [sym__simple_statements] = STATE(437),
    [sym_import_statement] = STATE(831),
    [sym_future_import_statement] = STATE(831),
    [sym_import_from_statement] = STATE(831),
    [sym_print_statement] = STATE(831),
    [sym_assert_statement] = STATE(831),
    [sym_expression_statement] = STATE(831),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(831),
    [sym_delete_statement] = STATE(831),
    [sym_raise_statement] = STATE(831),
    [sym_pass_statement] = STATE(831),
    [sym_break_statement] = STATE(831),
    [sym_continue_statement] = STATE(831),
    [sym_global_statement] = STATE(831),
    [sym_nonlocal_statement] = STATE(831),
    [sym_exec_statement] = STATE(831),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(109),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(109),
    [sym_unary_operator] = STATE(109),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(936),
    [sym_augmented_assignment] = STATE(936),
    [sym_yield] = STATE(936),
    [sym_attribute] = STATE(109),
    [sym_subscript] = STATE(109),
    [sym_call] = STATE(109),
    [sym_list] = STATE(109),
    [sym_list_comprehension] = STATE(109),
    [sym_dictionary] = STATE(109),
    [sym_dictionary_comprehension] = STATE(109),
    [sym_set] = STATE(109),
    [sym_set_comprehension] = STATE(109),
    [sym_parenthesized_expression] = STATE(109),
    [sym_tuple] = STATE(109),
    [sym_generator_expression] = STATE(109),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(109),
    [sym_string] = STATE(117),
    [sym_await] = STATE(601),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__indent] = ACTIONS(291),
    [sym__string_start] = ACTIONS(73),
  },
  [75] = {
    [sym__simple_statements] = STATE(359),
    [sym_import_statement] = STATE(831),
    [sym_future_import_statement] = STATE(831),
    [sym_import_from_statement] = STATE(831),
    [sym_print_statement] = STATE(831),
    [sym_assert_statement] = STATE(831),
    [sym_expression_statement] = STATE(831),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(831),
    [sym_delete_statement] = STATE(831),
    [sym_raise_statement] = STATE(831),
    [sym_pass_statement] = STATE(831),
    [sym_break_statement] = STATE(831),
    [sym_continue_statement] = STATE(831),
    [sym_global_statement] = STATE(831),
    [sym_nonlocal_statement] = STATE(831),
    [sym_exec_statement] = STATE(831),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(109),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(109),
    [sym_unary_operator] = STATE(109),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(936),
    [sym_augmented_assignment] = STATE(936),
    [sym_yield] = STATE(936),
    [sym_attribute] = STATE(109),
    [sym_subscript] = STATE(109),
    [sym_call] = STATE(109),
    [sym_list] = STATE(109),
    [sym_list_comprehension] = STATE(109),
    [sym_dictionary] = STATE(109),
    [sym_dictionary_comprehension] = STATE(109),
    [sym_set] = STATE(109),
    [sym_set_comprehension] = STATE(109),
    [sym_parenthesized_expression] = STATE(109),
    [sym_tuple] = STATE(109),
    [sym_generator_expression] = STATE(109),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(109),
    [sym_string] = STATE(117),
    [sym_await] = STATE(601),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__indent] = ACTIONS(293),
    [sym__string_start] = ACTIONS(73),
  },
  [76] = {
    [sym__simple_statements] = STATE(393),
    [sym_import_statement] = STATE(861),
    [sym_future_import_statement] = STATE(861),
    [sym_import_from_statement] = STATE(861),
    [sym_print_statement] = STATE(861),
    [sym_assert_statement] = STATE(861),
    [sym_expression_statement] = STATE(861),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(861),
    [sym_delete_statement] = STATE(861),
    [sym_raise_statement] = STATE(861),
    [sym_pass_statement] = STATE(861),
    [sym_break_statement] = STATE(861),
    [sym_continue_statement] = STATE(861),
    [sym_global_statement] = STATE(861),
    [sym_nonlocal_statement] = STATE(861),
    [sym_exec_statement] = STATE(861),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(109),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(109),
    [sym_unary_operator] = STATE(109),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(936),
    [sym_augmented_assignment] = STATE(936),
    [sym_yield] = STATE(936),
    [sym_attribute] = STATE(109),
    [sym_subscript] = STATE(109),
    [sym_call] = STATE(109),
    [sym_list] = STATE(109),
    [sym_list_comprehension] = STATE(109),
    [sym_dictionary] = STATE(109),
    [sym_dictionary_comprehension] = STATE(109),
    [sym_set] = STATE(109),
    [sym_set_comprehension] = STATE(109),
    [sym_parenthesized_expression] = STATE(109),
    [sym_tuple] = STATE(109),
    [sym_generator_expression] = STATE(109),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(109),
    [sym_string] = STATE(117),
    [sym_await] = STATE(601),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__indent] = ACTIONS(295),
    [sym__string_start] = ACTIONS(73),
  },
  [77] = {
    [sym__simple_statements] = STATE(289),
    [sym_import_statement] = STATE(861),
    [sym_future_import_statement] = STATE(861),
    [sym_import_from_statement] = STATE(861),
    [sym_print_statement] = STATE(861),
    [sym_assert_statement] = STATE(861),
    [sym_expression_statement] = STATE(861),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(861),
    [sym_delete_statement] = STATE(861),
    [sym_raise_statement] = STATE(861),
    [sym_pass_statement] = STATE(861),
    [sym_break_statement] = STATE(861),
    [sym_continue_statement] = STATE(861),
    [sym_global_statement] = STATE(861),
    [sym_nonlocal_statement] = STATE(861),
    [sym_exec_statement] = STATE(861),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(109),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(109),
    [sym_unary_operator] = STATE(109),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(936),
    [sym_augmented_assignment] = STATE(936),
    [sym_yield] = STATE(936),
    [sym_attribute] = STATE(109),
    [sym_subscript] = STATE(109),
    [sym_call] = STATE(109),
    [sym_list] = STATE(109),
    [sym_list_comprehension] = STATE(109),
    [sym_dictionary] = STATE(109),
    [sym_dictionary_comprehension] = STATE(109),
    [sym_set] = STATE(109),
    [sym_set_comprehension] = STATE(109),
    [sym_parenthesized_expression] = STATE(109),
    [sym_tuple] = STATE(109),
    [sym_generator_expression] = STATE(109),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(109),
    [sym_string] = STATE(117),
    [sym_await] = STATE(601),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__indent] = ACTIONS(297),
    [sym__string_start] = ACTIONS(73),
  },
  [78] = {
    [sym__simple_statements] = STATE(380),
    [sym_import_statement] = STATE(831),
    [sym_future_import_statement] = STATE(831),
    [sym_import_from_statement] = STATE(831),
    [sym_print_statement] = STATE(831),
    [sym_assert_statement] = STATE(831),
    [sym_expression_statement] = STATE(831),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(831),
    [sym_delete_statement] = STATE(831),
    [sym_raise_statement] = STATE(831),
    [sym_pass_statement] = STATE(831),
    [sym_break_statement] = STATE(831),
    [sym_continue_statement] = STATE(831),
    [sym_global_statement] = STATE(831),
    [sym_nonlocal_statement] = STATE(831),
    [sym_exec_statement] = STATE(831),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(109),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(109),
    [sym_unary_operator] = STATE(109),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(936),
    [sym_augmented_assignment] = STATE(936),
    [sym_yield] = STATE(936),
    [sym_attribute] = STATE(109),
    [sym_subscript] = STATE(109),
    [sym_call] = STATE(109),
    [sym_list] = STATE(109),
    [sym_list_comprehension] = STATE(109),
    [sym_dictionary] = STATE(109),
    [sym_dictionary_comprehension] = STATE(109),
    [sym_set] = STATE(109),
    [sym_set_comprehension] = STATE(109),
    [sym_parenthesized_expression] = STATE(109),
    [sym_tuple] = STATE(109),
    [sym_generator_expression] = STATE(109),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(109),
    [sym_string] = STATE(117),
    [sym_await] = STATE(601),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__indent] = ACTIONS(299),
    [sym__string_start] = ACTIONS(73),
  },
  [79] = {
    [sym__simple_statements] = STATE(392),
    [sym_import_statement] = STATE(861),
    [sym_future_import_statement] = STATE(861),
    [sym_import_from_statement] = STATE(861),
    [sym_print_statement] = STATE(861),
    [sym_assert_statement] = STATE(861),
    [sym_expression_statement] = STATE(861),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(861),
    [sym_delete_statement] = STATE(861),
    [sym_raise_statement] = STATE(861),
    [sym_pass_statement] = STATE(861),
    [sym_break_statement] = STATE(861),
    [sym_continue_statement] = STATE(861),
    [sym_global_statement] = STATE(861),
    [sym_nonlocal_statement] = STATE(861),
    [sym_exec_statement] = STATE(861),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(109),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(109),
    [sym_unary_operator] = STATE(109),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(936),
    [sym_augmented_assignment] = STATE(936),
    [sym_yield] = STATE(936),
    [sym_attribute] = STATE(109),
    [sym_subscript] = STATE(109),
    [sym_call] = STATE(109),
    [sym_list] = STATE(109),
    [sym_list_comprehension] = STATE(109),
    [sym_dictionary] = STATE(109),
    [sym_dictionary_comprehension] = STATE(109),
    [sym_set] = STATE(109),
    [sym_set_comprehension] = STATE(109),
    [sym_parenthesized_expression] = STATE(109),
    [sym_tuple] = STATE(109),
    [sym_generator_expression] = STATE(109),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(109),
    [sym_string] = STATE(117),
    [sym_await] = STATE(601),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__indent] = ACTIONS(301),
    [sym__string_start] = ACTIONS(73),
  },
  [80] = {
    [sym__simple_statements] = STATE(448),
    [sym_import_statement] = STATE(861),
    [sym_future_import_statement] = STATE(861),
    [sym_import_from_statement] = STATE(861),
    [sym_print_statement] = STATE(861),
    [sym_assert_statement] = STATE(861),
    [sym_expression_statement] = STATE(861),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(861),
    [sym_delete_statement] = STATE(861),
    [sym_raise_statement] = STATE(861),
    [sym_pass_statement] = STATE(861),
    [sym_break_statement] = STATE(861),
    [sym_continue_statement] = STATE(861),
    [sym_global_statement] = STATE(861),
    [sym_nonlocal_statement] = STATE(861),
    [sym_exec_statement] = STATE(861),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(109),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(109),
    [sym_unary_operator] = STATE(109),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(936),
    [sym_augmented_assignment] = STATE(936),
    [sym_yield] = STATE(936),
    [sym_attribute] = STATE(109),
    [sym_subscript] = STATE(109),
    [sym_call] = STATE(109),
    [sym_list] = STATE(109),
    [sym_list_comprehension] = STATE(109),
    [sym_dictionary] = STATE(109),
    [sym_dictionary_comprehension] = STATE(109),
    [sym_set] = STATE(109),
    [sym_set_comprehension] = STATE(109),
    [sym_parenthesized_expression] = STATE(109),
    [sym_tuple] = STATE(109),
    [sym_generator_expression] = STATE(109),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(109),
    [sym_string] = STATE(117),
    [sym_await] = STATE(601),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__indent] = ACTIONS(303),
    [sym__string_start] = ACTIONS(73),
  },
  [81] = {
    [sym__simple_statements] = STATE(368),
    [sym_import_statement] = STATE(861),
    [sym_future_import_statement] = STATE(861),
    [sym_import_from_statement] = STATE(861),
    [sym_print_statement] = STATE(861),
    [sym_assert_statement] = STATE(861),
    [sym_expression_statement] = STATE(861),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(861),
    [sym_delete_statement] = STATE(861),
    [sym_raise_statement] = STATE(861),
    [sym_pass_statement] = STATE(861),
    [sym_break_statement] = STATE(861),
    [sym_continue_statement] = STATE(861),
    [sym_global_statement] = STATE(861),
    [sym_nonlocal_statement] = STATE(861),
    [sym_exec_statement] = STATE(861),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(109),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(109),
    [sym_unary_operator] = STATE(109),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(936),
    [sym_augmented_assignment] = STATE(936),
    [sym_yield] = STATE(936),
    [sym_attribute] = STATE(109),
    [sym_subscript] = STATE(109),
    [sym_call] = STATE(109),
    [sym_list] = STATE(109),
    [sym_list_comprehension] = STATE(109),
    [sym_dictionary] = STATE(109),
    [sym_dictionary_comprehension] = STATE(109),
    [sym_set] = STATE(109),
    [sym_set_comprehension] = STATE(109),
    [sym_parenthesized_expression] = STATE(109),
    [sym_tuple] = STATE(109),
    [sym_generator_expression] = STATE(109),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(109),
    [sym_string] = STATE(117),
    [sym_await] = STATE(601),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__indent] = ACTIONS(305),
    [sym__string_start] = ACTIONS(73),
  },
  [82] = {
    [sym__simple_statements] = STATE(752),
    [sym_import_statement] = STATE(828),
    [sym_future_import_statement] = STATE(828),
    [sym_import_from_statement] = STATE(828),
    [sym_print_statement] = STATE(828),
    [sym_assert_statement] = STATE(828),
    [sym_expression_statement] = STATE(828),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(828),
    [sym_delete_statement] = STATE(828),
    [sym_raise_statement] = STATE(828),
    [sym_pass_statement] = STATE(828),
    [sym_break_statement] = STATE(828),
    [sym_continue_statement] = STATE(828),
    [sym_global_statement] = STATE(828),
    [sym_nonlocal_statement] = STATE(828),
    [sym_exec_statement] = STATE(828),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(109),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(109),
    [sym_unary_operator] = STATE(109),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(936),
    [sym_augmented_assignment] = STATE(936),
    [sym_yield] = STATE(936),
    [sym_attribute] = STATE(109),
    [sym_subscript] = STATE(109),
    [sym_call] = STATE(109),
    [sym_list] = STATE(109),
    [sym_list_comprehension] = STATE(109),
    [sym_dictionary] = STATE(109),
    [sym_dictionary_comprehension] = STATE(109),
    [sym_set] = STATE(109),
    [sym_set_comprehension] = STATE(109),
    [sym_parenthesized_expression] = STATE(109),
    [sym_tuple] = STATE(109),
    [sym_generator_expression] = STATE(109),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(109),
    [sym_string] = STATE(117),
    [sym_await] = STATE(601),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__indent] = ACTIONS(307),
    [sym__string_start] = ACTIONS(73),
  },
  [83] = {
    [sym__simple_statements] = STATE(439),
    [sym_import_statement] = STATE(861),
    [sym_future_import_statement] = STATE(861),
    [sym_import_from_statement] = STATE(861),
    [sym_print_statement] = STATE(861),
    [sym_assert_statement] = STATE(861),
    [sym_expression_statement] = STATE(861),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(861),
    [sym_delete_statement] = STATE(861),
    [sym_raise_statement] = STATE(861),
    [sym_pass_statement] = STATE(861),
    [sym_break_statement] = STATE(861),
    [sym_continue_statement] = STATE(861),
    [sym_global_statement] = STATE(861),
    [sym_nonlocal_statement] = STATE(861),
    [sym_exec_statement] = STATE(861),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(109),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(109),
    [sym_unary_operator] = STATE(109),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(936),
    [sym_augmented_assignment] = STATE(936),
    [sym_yield] = STATE(936),
    [sym_attribute] = STATE(109),
    [sym_subscript] = STATE(109),
    [sym_call] = STATE(109),
    [sym_list] = STATE(109),
    [sym_list_comprehension] = STATE(109),
    [sym_dictionary] = STATE(109),
    [sym_dictionary_comprehension] = STATE(109),
    [sym_set] = STATE(109),
    [sym_set_comprehension] = STATE(109),
    [sym_parenthesized_expression] = STATE(109),
    [sym_tuple] = STATE(109),
    [sym_generator_expression] = STATE(109),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(109),
    [sym_string] = STATE(117),
    [sym_await] = STATE(601),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__indent] = ACTIONS(309),
    [sym__string_start] = ACTIONS(73),
  },
  [84] = {
    [sym__simple_statements] = STATE(294),
    [sym_import_statement] = STATE(861),
    [sym_future_import_statement] = STATE(861),
    [sym_import_from_statement] = STATE(861),
    [sym_print_statement] = STATE(861),
    [sym_assert_statement] = STATE(861),
    [sym_expression_statement] = STATE(861),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(861),
    [sym_delete_statement] = STATE(861),
    [sym_raise_statement] = STATE(861),
    [sym_pass_statement] = STATE(861),
    [sym_break_statement] = STATE(861),
    [sym_continue_statement] = STATE(861),
    [sym_global_statement] = STATE(861),
    [sym_nonlocal_statement] = STATE(861),
    [sym_exec_statement] = STATE(861),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(109),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(109),
    [sym_unary_operator] = STATE(109),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(936),
    [sym_augmented_assignment] = STATE(936),
    [sym_yield] = STATE(936),
    [sym_attribute] = STATE(109),
    [sym_subscript] = STATE(109),
    [sym_call] = STATE(109),
    [sym_list] = STATE(109),
    [sym_list_comprehension] = STATE(109),
    [sym_dictionary] = STATE(109),
    [sym_dictionary_comprehension] = STATE(109),
    [sym_set] = STATE(109),
    [sym_set_comprehension] = STATE(109),
    [sym_parenthesized_expression] = STATE(109),
    [sym_tuple] = STATE(109),
    [sym_generator_expression] = STATE(109),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(109),
    [sym_string] = STATE(117),
    [sym_await] = STATE(601),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__indent] = ACTIONS(311),
    [sym__string_start] = ACTIONS(73),
  },
  [85] = {
    [sym__simple_statements] = STATE(375),
    [sym_import_statement] = STATE(861),
    [sym_future_import_statement] = STATE(861),
    [sym_import_from_statement] = STATE(861),
    [sym_print_statement] = STATE(861),
    [sym_assert_statement] = STATE(861),
    [sym_expression_statement] = STATE(861),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(861),
    [sym_delete_statement] = STATE(861),
    [sym_raise_statement] = STATE(861),
    [sym_pass_statement] = STATE(861),
    [sym_break_statement] = STATE(861),
    [sym_continue_statement] = STATE(861),
    [sym_global_statement] = STATE(861),
    [sym_nonlocal_statement] = STATE(861),
    [sym_exec_statement] = STATE(861),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(109),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(109),
    [sym_unary_operator] = STATE(109),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(936),
    [sym_augmented_assignment] = STATE(936),
    [sym_yield] = STATE(936),
    [sym_attribute] = STATE(109),
    [sym_subscript] = STATE(109),
    [sym_call] = STATE(109),
    [sym_list] = STATE(109),
    [sym_list_comprehension] = STATE(109),
    [sym_dictionary] = STATE(109),
    [sym_dictionary_comprehension] = STATE(109),
    [sym_set] = STATE(109),
    [sym_set_comprehension] = STATE(109),
    [sym_parenthesized_expression] = STATE(109),
    [sym_tuple] = STATE(109),
    [sym_generator_expression] = STATE(109),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(109),
    [sym_string] = STATE(117),
    [sym_await] = STATE(601),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__indent] = ACTIONS(313),
    [sym__string_start] = ACTIONS(73),
  },
  [86] = {
    [sym__simple_statements] = STATE(379),
    [sym_import_statement] = STATE(861),
    [sym_future_import_statement] = STATE(861),
    [sym_import_from_statement] = STATE(861),
    [sym_print_statement] = STATE(861),
    [sym_assert_statement] = STATE(861),
    [sym_expression_statement] = STATE(861),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(861),
    [sym_delete_statement] = STATE(861),
    [sym_raise_statement] = STATE(861),
    [sym_pass_statement] = STATE(861),
    [sym_break_statement] = STATE(861),
    [sym_continue_statement] = STATE(861),
    [sym_global_statement] = STATE(861),
    [sym_nonlocal_statement] = STATE(861),
    [sym_exec_statement] = STATE(861),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(109),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(109),
    [sym_unary_operator] = STATE(109),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(936),
    [sym_augmented_assignment] = STATE(936),
    [sym_yield] = STATE(936),
    [sym_attribute] = STATE(109),
    [sym_subscript] = STATE(109),
    [sym_call] = STATE(109),
    [sym_list] = STATE(109),
    [sym_list_comprehension] = STATE(109),
    [sym_dictionary] = STATE(109),
    [sym_dictionary_comprehension] = STATE(109),
    [sym_set] = STATE(109),
    [sym_set_comprehension] = STATE(109),
    [sym_parenthesized_expression] = STATE(109),
    [sym_tuple] = STATE(109),
    [sym_generator_expression] = STATE(109),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(109),
    [sym_string] = STATE(117),
    [sym_await] = STATE(601),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__indent] = ACTIONS(315),
    [sym__string_start] = ACTIONS(73),
  },
  [87] = {
    [sym__simple_statements] = STATE(298),
    [sym_import_statement] = STATE(861),
    [sym_future_import_statement] = STATE(861),
    [sym_import_from_statement] = STATE(861),
    [sym_print_statement] = STATE(861),
    [sym_assert_statement] = STATE(861),
    [sym_expression_statement] = STATE(861),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(861),
    [sym_delete_statement] = STATE(861),
    [sym_raise_statement] = STATE(861),
    [sym_pass_statement] = STATE(861),
    [sym_break_statement] = STATE(861),
    [sym_continue_statement] = STATE(861),
    [sym_global_statement] = STATE(861),
    [sym_nonlocal_statement] = STATE(861),
    [sym_exec_statement] = STATE(861),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(109),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(109),
    [sym_unary_operator] = STATE(109),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(936),
    [sym_augmented_assignment] = STATE(936),
    [sym_yield] = STATE(936),
    [sym_attribute] = STATE(109),
    [sym_subscript] = STATE(109),
    [sym_call] = STATE(109),
    [sym_list] = STATE(109),
    [sym_list_comprehension] = STATE(109),
    [sym_dictionary] = STATE(109),
    [sym_dictionary_comprehension] = STATE(109),
    [sym_set] = STATE(109),
    [sym_set_comprehension] = STATE(109),
    [sym_parenthesized_expression] = STATE(109),
    [sym_tuple] = STATE(109),
    [sym_generator_expression] = STATE(109),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(109),
    [sym_string] = STATE(117),
    [sym_await] = STATE(601),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__indent] = ACTIONS(317),
    [sym__string_start] = ACTIONS(73),
  },
  [88] = {
    [sym__simple_statements] = STATE(389),
    [sym_import_statement] = STATE(861),
    [sym_future_import_statement] = STATE(861),
    [sym_import_from_statement] = STATE(861),
    [sym_print_statement] = STATE(861),
    [sym_assert_statement] = STATE(861),
    [sym_expression_statement] = STATE(861),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(861),
    [sym_delete_statement] = STATE(861),
    [sym_raise_statement] = STATE(861),
    [sym_pass_statement] = STATE(861),
    [sym_break_statement] = STATE(861),
    [sym_continue_statement] = STATE(861),
    [sym_global_statement] = STATE(861),
    [sym_nonlocal_statement] = STATE(861),
    [sym_exec_statement] = STATE(861),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(109),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(109),
    [sym_unary_operator] = STATE(109),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(936),
    [sym_augmented_assignment] = STATE(936),
    [sym_yield] = STATE(936),
    [sym_attribute] = STATE(109),
    [sym_subscript] = STATE(109),
    [sym_call] = STATE(109),
    [sym_list] = STATE(109),
    [sym_list_comprehension] = STATE(109),
    [sym_dictionary] = STATE(109),
    [sym_dictionary_comprehension] = STATE(109),
    [sym_set] = STATE(109),
    [sym_set_comprehension] = STATE(109),
    [sym_parenthesized_expression] = STATE(109),
    [sym_tuple] = STATE(109),
    [sym_generator_expression] = STATE(109),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(109),
    [sym_string] = STATE(117),
    [sym_await] = STATE(601),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__indent] = ACTIONS(319),
    [sym__string_start] = ACTIONS(73),
  },
  [89] = {
    [sym_import_statement] = STATE(943),
    [sym_future_import_statement] = STATE(943),
    [sym_import_from_statement] = STATE(943),
    [sym_print_statement] = STATE(943),
    [sym_assert_statement] = STATE(943),
    [sym_expression_statement] = STATE(943),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(943),
    [sym_delete_statement] = STATE(943),
    [sym_raise_statement] = STATE(943),
    [sym_pass_statement] = STATE(943),
    [sym_break_statement] = STATE(943),
    [sym_continue_statement] = STATE(943),
    [sym_global_statement] = STATE(943),
    [sym_nonlocal_statement] = STATE(943),
    [sym_exec_statement] = STATE(943),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(109),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(109),
    [sym_unary_operator] = STATE(109),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(936),
    [sym_augmented_assignment] = STATE(936),
    [sym_yield] = STATE(936),
    [sym_attribute] = STATE(109),
    [sym_subscript] = STATE(109),
    [sym_call] = STATE(109),
    [sym_list] = STATE(109),
    [sym_list_comprehension] = STATE(109),
    [sym_dictionary] = STATE(109),
    [sym_dictionary_comprehension] = STATE(109),
    [sym_set] = STATE(109),
    [sym_set_comprehension] = STATE(109),
    [sym_parenthesized_expression] = STATE(109),
    [sym_tuple] = STATE(109),
    [sym_generator_expression] = STATE(109),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(109),
    [sym_string] = STATE(117),
    [sym_await] = STATE(601),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(321),
    [sym__string_start] = ACTIONS(73),
  },
  [90] = {
    [sym_import_statement] = STATE(943),
    [sym_future_import_statement] = STATE(943),
    [sym_import_from_statement] = STATE(943),
    [sym_print_statement] = STATE(943),
    [sym_assert_statement] = STATE(943),
    [sym_expression_statement] = STATE(943),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(943),
    [sym_delete_statement] = STATE(943),
    [sym_raise_statement] = STATE(943),
    [sym_pass_statement] = STATE(943),
    [sym_break_statement] = STATE(943),
    [sym_continue_statement] = STATE(943),
    [sym_global_statement] = STATE(943),
    [sym_nonlocal_statement] = STATE(943),
    [sym_exec_statement] = STATE(943),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(109),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(109),
    [sym_unary_operator] = STATE(109),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(936),
    [sym_augmented_assignment] = STATE(936),
    [sym_yield] = STATE(936),
    [sym_attribute] = STATE(109),
    [sym_subscript] = STATE(109),
    [sym_call] = STATE(109),
    [sym_list] = STATE(109),
    [sym_list_comprehension] = STATE(109),
    [sym_dictionary] = STATE(109),
    [sym_dictionary_comprehension] = STATE(109),
    [sym_set] = STATE(109),
    [sym_set_comprehension] = STATE(109),
    [sym_parenthesized_expression] = STATE(109),
    [sym_tuple] = STATE(109),
    [sym_generator_expression] = STATE(109),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(109),
    [sym_string] = STATE(117),
    [sym_await] = STATE(601),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(323),
    [sym__string_start] = ACTIONS(73),
  },
  [91] = {
    [sym_import_statement] = STATE(943),
    [sym_future_import_statement] = STATE(943),
    [sym_import_from_statement] = STATE(943),
    [sym_print_statement] = STATE(943),
    [sym_assert_statement] = STATE(943),
    [sym_expression_statement] = STATE(943),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(943),
    [sym_delete_statement] = STATE(943),
    [sym_raise_statement] = STATE(943),
    [sym_pass_statement] = STATE(943),
    [sym_break_statement] = STATE(943),
    [sym_continue_statement] = STATE(943),
    [sym_global_statement] = STATE(943),
    [sym_nonlocal_statement] = STATE(943),
    [sym_exec_statement] = STATE(943),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(109),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(109),
    [sym_unary_operator] = STATE(109),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(936),
    [sym_augmented_assignment] = STATE(936),
    [sym_yield] = STATE(936),
    [sym_attribute] = STATE(109),
    [sym_subscript] = STATE(109),
    [sym_call] = STATE(109),
    [sym_list] = STATE(109),
    [sym_list_comprehension] = STATE(109),
    [sym_dictionary] = STATE(109),
    [sym_dictionary_comprehension] = STATE(109),
    [sym_set] = STATE(109),
    [sym_set_comprehension] = STATE(109),
    [sym_parenthesized_expression] = STATE(109),
    [sym_tuple] = STATE(109),
    [sym_generator_expression] = STATE(109),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(109),
    [sym_string] = STATE(117),
    [sym_await] = STATE(601),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(325),
    [sym__string_start] = ACTIONS(73),
  },
  [92] = {
    [sym_import_statement] = STATE(943),
    [sym_future_import_statement] = STATE(943),
    [sym_import_from_statement] = STATE(943),
    [sym_print_statement] = STATE(943),
    [sym_assert_statement] = STATE(943),
    [sym_expression_statement] = STATE(943),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(943),
    [sym_delete_statement] = STATE(943),
    [sym_raise_statement] = STATE(943),
    [sym_pass_statement] = STATE(943),
    [sym_break_statement] = STATE(943),
    [sym_continue_statement] = STATE(943),
    [sym_global_statement] = STATE(943),
    [sym_nonlocal_statement] = STATE(943),
    [sym_exec_statement] = STATE(943),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(109),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(109),
    [sym_unary_operator] = STATE(109),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(936),
    [sym_augmented_assignment] = STATE(936),
    [sym_yield] = STATE(936),
    [sym_attribute] = STATE(109),
    [sym_subscript] = STATE(109),
    [sym_call] = STATE(109),
    [sym_list] = STATE(109),
    [sym_list_comprehension] = STATE(109),
    [sym_dictionary] = STATE(109),
    [sym_dictionary_comprehension] = STATE(109),
    [sym_set] = STATE(109),
    [sym_set_comprehension] = STATE(109),
    [sym_parenthesized_expression] = STATE(109),
    [sym_tuple] = STATE(109),
    [sym_generator_expression] = STATE(109),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(109),
    [sym_string] = STATE(117),
    [sym_await] = STATE(601),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(327),
    [sym__string_start] = ACTIONS(73),
  },
  [93] = {
    [sym_import_statement] = STATE(943),
    [sym_future_import_statement] = STATE(943),
    [sym_import_from_statement] = STATE(943),
    [sym_print_statement] = STATE(943),
    [sym_assert_statement] = STATE(943),
    [sym_expression_statement] = STATE(943),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(943),
    [sym_delete_statement] = STATE(943),
    [sym_raise_statement] = STATE(943),
    [sym_pass_statement] = STATE(943),
    [sym_break_statement] = STATE(943),
    [sym_continue_statement] = STATE(943),
    [sym_global_statement] = STATE(943),
    [sym_nonlocal_statement] = STATE(943),
    [sym_exec_statement] = STATE(943),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(109),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(109),
    [sym_unary_operator] = STATE(109),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(936),
    [sym_augmented_assignment] = STATE(936),
    [sym_yield] = STATE(936),
    [sym_attribute] = STATE(109),
    [sym_subscript] = STATE(109),
    [sym_call] = STATE(109),
    [sym_list] = STATE(109),
    [sym_list_comprehension] = STATE(109),
    [sym_dictionary] = STATE(109),
    [sym_dictionary_comprehension] = STATE(109),
    [sym_set] = STATE(109),
    [sym_set_comprehension] = STATE(109),
    [sym_parenthesized_expression] = STATE(109),
    [sym_tuple] = STATE(109),
    [sym_generator_expression] = STATE(109),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(109),
    [sym_string] = STATE(117),
    [sym_await] = STATE(601),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(329),
    [sym__string_start] = ACTIONS(73),
  },
  [94] = {
    [sym_import_statement] = STATE(943),
    [sym_future_import_statement] = STATE(943),
    [sym_import_from_statement] = STATE(943),
    [sym_print_statement] = STATE(943),
    [sym_assert_statement] = STATE(943),
    [sym_expression_statement] = STATE(943),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(943),
    [sym_delete_statement] = STATE(943),
    [sym_raise_statement] = STATE(943),
    [sym_pass_statement] = STATE(943),
    [sym_break_statement] = STATE(943),
    [sym_continue_statement] = STATE(943),
    [sym_global_statement] = STATE(943),
    [sym_nonlocal_statement] = STATE(943),
    [sym_exec_statement] = STATE(943),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(109),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(109),
    [sym_unary_operator] = STATE(109),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(936),
    [sym_augmented_assignment] = STATE(936),
    [sym_yield] = STATE(936),
    [sym_attribute] = STATE(109),
    [sym_subscript] = STATE(109),
    [sym_call] = STATE(109),
    [sym_list] = STATE(109),
    [sym_list_comprehension] = STATE(109),
    [sym_dictionary] = STATE(109),
    [sym_dictionary_comprehension] = STATE(109),
    [sym_set] = STATE(109),
    [sym_set_comprehension] = STATE(109),
    [sym_parenthesized_expression] = STATE(109),
    [sym_tuple] = STATE(109),
    [sym_generator_expression] = STATE(109),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(109),
    [sym_string] = STATE(117),
    [sym_await] = STATE(601),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(331),
    [sym__string_start] = ACTIONS(73),
  },
  [95] = {
    [sym_import_statement] = STATE(943),
    [sym_future_import_statement] = STATE(943),
    [sym_import_from_statement] = STATE(943),
    [sym_print_statement] = STATE(943),
    [sym_assert_statement] = STATE(943),
    [sym_expression_statement] = STATE(943),
    [sym_named_expression] = STATE(601),
    [sym_return_statement] = STATE(943),
    [sym_delete_statement] = STATE(943),
    [sym_raise_statement] = STATE(943),
    [sym_pass_statement] = STATE(943),
    [sym_break_statement] = STATE(943),
    [sym_continue_statement] = STATE(943),
    [sym_global_statement] = STATE(943),
    [sym_nonlocal_statement] = STATE(943),
    [sym_exec_statement] = STATE(943),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(109),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(109),
    [sym_unary_operator] = STATE(109),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_assignment] = STATE(936),
    [sym_augmented_assignment] = STATE(936),
    [sym_yield] = STATE(936),
    [sym_attribute] = STATE(109),
    [sym_subscript] = STATE(109),
    [sym_call] = STATE(109),
    [sym_list] = STATE(109),
    [sym_list_comprehension] = STATE(109),
    [sym_dictionary] = STATE(109),
    [sym_dictionary_comprehension] = STATE(109),
    [sym_set] = STATE(109),
    [sym_set_comprehension] = STATE(109),
    [sym_parenthesized_expression] = STATE(109),
    [sym_tuple] = STATE(109),
    [sym_generator_expression] = STATE(109),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(109),
    [sym_string] = STATE(117),
    [sym_await] = STATE(601),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_print] = ACTIONS(15),
    [anon_sym_assert] = ACTIONS(17),
    [anon_sym_return] = ACTIONS(19),
    [anon_sym_del] = ACTIONS(21),
    [anon_sym_raise] = ACTIONS(23),
    [anon_sym_pass] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_nonlocal] = ACTIONS(47),
    [anon_sym_exec] = ACTIONS(49),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_lambda] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(73),
  },
};

static uint16_t ts_small_parse_table[] = {
  [0] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(13), 1,
      anon_sym_LPAREN,
    ACTIONS(55), 1,
      anon_sym_not,
    ACTIONS(57), 1,
      anon_sym_TILDE,
    ACTIONS(59), 1,
      anon_sym_lambda,
    ACTIONS(63), 1,
      anon_sym_LBRACK,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_await,
    ACTIONS(73), 1,
      sym__string_start,
    ACTIONS(333), 1,
      anon_sym_from,
    STATE(117), 1,
      sym_string,
    ACTIONS(65), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(237), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(337), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(69), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(600), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(109), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
    ACTIONS(335), 17,
      sym__newline,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym__semicolon,
  [102] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(13), 1,
      anon_sym_LPAREN,
    ACTIONS(55), 1,
      anon_sym_not,
    ACTIONS(57), 1,
      anon_sym_TILDE,
    ACTIONS(59), 1,
      anon_sym_lambda,
    ACTIONS(63), 1,
      anon_sym_LBRACK,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_await,
    ACTIONS(73), 1,
      sym__string_start,
    ACTIONS(339), 1,
      anon_sym_from,
    STATE(117), 1,
      sym_string,
    ACTIONS(65), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(237), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(337), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(69), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(600), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(109), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
    ACTIONS(341), 17,
      sym__newline,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym__semicolon,
  [204] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(13), 1,
      anon_sym_LPAREN,
    ACTIONS(55), 1,
      anon_sym_not,
    ACTIONS(57), 1,
      anon_sym_TILDE,
    ACTIONS(59), 1,
      anon_sym_lambda,
    ACTIONS(63), 1,
      anon_sym_LBRACK,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_await,
    ACTIONS(73), 1,
      sym__string_start,
    STATE(117), 1,
      sym_string,
    ACTIONS(65), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(237), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(337), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(343), 2,
      sym__newline,
      sym__semicolon,
    ACTIONS(69), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(600), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    ACTIONS(341), 15,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    STATE(109), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [305] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(13), 1,
      anon_sym_LPAREN,
    ACTIONS(55), 1,
      anon_sym_not,
    ACTIONS(57), 1,
      anon_sym_TILDE,
    ACTIONS(59), 1,
      anon_sym_lambda,
    ACTIONS(63), 1,
      anon_sym_LBRACK,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_await,
    ACTIONS(73), 1,
      sym__string_start,
    STATE(117), 1,
      sym_string,
    ACTIONS(65), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(237), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(337), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(345), 2,
      sym__newline,
      sym__semicolon,
    ACTIONS(69), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(600), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    ACTIONS(335), 15,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    STATE(109), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [406] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(347), 1,
      sym_identifier,
    ACTIONS(349), 1,
      anon_sym_LPAREN,
    ACTIONS(351), 1,
      anon_sym_RPAREN,
    ACTIONS(353), 1,
      anon_sym_COMMA,
    ACTIONS(355), 1,
      anon_sym_STAR,
    ACTIONS(359), 1,
      anon_sym_STAR_STAR,
    ACTIONS(361), 1,
      anon_sym_not,
    ACTIONS(365), 1,
      anon_sym_lambda,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(375), 1,
      anon_sym_await,
    ACTIONS(377), 1,
      sym__string_start,
    STATE(381), 1,
      sym_string,
    ACTIONS(357), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(369), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(363), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(373), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(874), 4,
      sym_list_splat,
      sym_dictionary_splat,
      sym_parenthesized_list_splat,
      sym_keyword_argument,
    STATE(710), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [502] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(347), 1,
      sym_identifier,
    ACTIONS(349), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_STAR,
    ACTIONS(359), 1,
      anon_sym_STAR_STAR,
    ACTIONS(361), 1,
      anon_sym_not,
    ACTIONS(365), 1,
      anon_sym_lambda,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(375), 1,
      anon_sym_await,
    ACTIONS(377), 1,
      sym__string_start,
    ACTIONS(379), 1,
      anon_sym_RPAREN,
    ACTIONS(381), 1,
      anon_sym_COMMA,
    STATE(381), 1,
      sym_string,
    ACTIONS(357), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(369), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(363), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(373), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(877), 4,
      sym_list_splat,
      sym_dictionary_splat,
      sym_parenthesized_list_splat,
      sym_keyword_argument,
    STATE(713), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [598] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(347), 1,
      sym_identifier,
    ACTIONS(349), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_STAR,
    ACTIONS(359), 1,
      anon_sym_STAR_STAR,
    ACTIONS(361), 1,
      anon_sym_not,
    ACTIONS(365), 1,
      anon_sym_lambda,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(375), 1,
      anon_sym_await,
    ACTIONS(377), 1,
      sym__string_start,
    ACTIONS(383), 1,
      anon_sym_RPAREN,
    ACTIONS(385), 1,
      anon_sym_COMMA,
    STATE(381), 1,
      sym_string,
    ACTIONS(357), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(369), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(363), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(373), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(908), 4,
      sym_list_splat,
      sym_dictionary_splat,
      sym_parenthesized_list_splat,
      sym_keyword_argument,
    STATE(653), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [694] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_not,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(375), 1,
      anon_sym_await,
    ACTIONS(377), 1,
      sym__string_start,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(389), 1,
      anon_sym_LPAREN,
    ACTIONS(397), 1,
      anon_sym_lambda,
    STATE(381), 1,
      sym_string,
    ACTIONS(369), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(393), 2,
      anon_sym_print,
      anon_sym_exec,
    STATE(676), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(363), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(391), 3,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
    ACTIONS(395), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(373), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(662), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [786] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(347), 1,
      sym_identifier,
    ACTIONS(349), 1,
      anon_sym_LPAREN,
    ACTIONS(351), 1,
      anon_sym_RPAREN,
    ACTIONS(353), 1,
      anon_sym_COMMA,
    ACTIONS(355), 1,
      anon_sym_STAR,
    ACTIONS(359), 1,
      anon_sym_STAR_STAR,
    ACTIONS(361), 1,
      anon_sym_not,
    ACTIONS(365), 1,
      anon_sym_lambda,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(375), 1,
      anon_sym_await,
    ACTIONS(377), 1,
      sym__string_start,
    STATE(381), 1,
      sym_string,
    ACTIONS(357), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(369), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(363), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(373), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(874), 4,
      sym_list_splat,
      sym_dictionary_splat,
      sym_parenthesized_list_splat,
      sym_keyword_argument,
    STATE(656), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [882] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_not,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(375), 1,
      anon_sym_await,
    ACTIONS(377), 1,
      sym__string_start,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(389), 1,
      anon_sym_LPAREN,
    ACTIONS(397), 1,
      anon_sym_lambda,
    STATE(381), 1,
      sym_string,
    ACTIONS(369), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(393), 2,
      anon_sym_print,
      anon_sym_exec,
    STATE(676), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(363), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(399), 3,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
    ACTIONS(401), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(373), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(662), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [974] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_not,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(375), 1,
      anon_sym_await,
    ACTIONS(377), 1,
      sym__string_start,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(389), 1,
      anon_sym_LPAREN,
    ACTIONS(397), 1,
      anon_sym_lambda,
    STATE(381), 1,
      sym_string,
    ACTIONS(369), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(393), 2,
      anon_sym_print,
      anon_sym_exec,
    STATE(676), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(363), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(403), 3,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
    ACTIONS(405), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(373), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(662), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [1066] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_not,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(375), 1,
      anon_sym_await,
    ACTIONS(377), 1,
      sym__string_start,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(389), 1,
      anon_sym_LPAREN,
    ACTIONS(397), 1,
      anon_sym_lambda,
    STATE(381), 1,
      sym_string,
    ACTIONS(369), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(393), 2,
      anon_sym_print,
      anon_sym_exec,
    STATE(676), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(363), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(407), 3,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
    ACTIONS(409), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(373), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(662), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [1158] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(347), 1,
      sym_identifier,
    ACTIONS(349), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_STAR,
    ACTIONS(359), 1,
      anon_sym_STAR_STAR,
    ACTIONS(361), 1,
      anon_sym_not,
    ACTIONS(365), 1,
      anon_sym_lambda,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(375), 1,
      anon_sym_await,
    ACTIONS(377), 1,
      sym__string_start,
    ACTIONS(379), 1,
      anon_sym_RPAREN,
    ACTIONS(381), 1,
      anon_sym_COMMA,
    STATE(381), 1,
      sym_string,
    ACTIONS(357), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(369), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(363), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(373), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(877), 4,
      sym_list_splat,
      sym_dictionary_splat,
      sym_parenthesized_list_splat,
      sym_keyword_argument,
    STATE(655), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [1254] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(411), 1,
      anon_sym_DOT,
    ACTIONS(415), 1,
      anon_sym_LPAREN,
    ACTIONS(423), 1,
      anon_sym_EQ,
    ACTIONS(425), 1,
      anon_sym_STAR_STAR,
    ACTIONS(427), 1,
      anon_sym_not,
    ACTIONS(431), 1,
      anon_sym_PIPE,
    ACTIONS(433), 1,
      anon_sym_AMP,
    ACTIONS(435), 1,
      anon_sym_CARET,
    ACTIONS(439), 1,
      anon_sym_is,
    ACTIONS(441), 1,
      anon_sym_LBRACK,
    STATE(548), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(419), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(429), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(437), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(145), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(417), 5,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(421), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(413), 21,
      sym__newline,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym__semicolon,
  [1345] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(355), 1,
      anon_sym_STAR,
    ACTIONS(359), 1,
      anon_sym_STAR_STAR,
    ACTIONS(361), 1,
      anon_sym_not,
    ACTIONS(365), 1,
      anon_sym_lambda,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(375), 1,
      anon_sym_await,
    ACTIONS(377), 1,
      sym__string_start,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(389), 1,
      anon_sym_LPAREN,
    ACTIONS(443), 1,
      anon_sym_COMMA,
    ACTIONS(445), 1,
      anon_sym_RBRACE,
    STATE(381), 1,
      sym_string,
    STATE(701), 1,
      sym_pair,
    STATE(839), 1,
      sym_list_splat,
    STATE(840), 1,
      sym_dictionary_splat,
    ACTIONS(369), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(393), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(363), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(373), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(647), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [1444] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(355), 1,
      anon_sym_STAR,
    ACTIONS(359), 1,
      anon_sym_STAR_STAR,
    ACTIONS(361), 1,
      anon_sym_not,
    ACTIONS(365), 1,
      anon_sym_lambda,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(375), 1,
      anon_sym_await,
    ACTIONS(377), 1,
      sym__string_start,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(389), 1,
      anon_sym_LPAREN,
    ACTIONS(447), 1,
      anon_sym_COMMA,
    ACTIONS(449), 1,
      anon_sym_RBRACE,
    STATE(381), 1,
      sym_string,
    STATE(693), 1,
      sym_pair,
    STATE(842), 1,
      sym_dictionary_splat,
    STATE(846), 1,
      sym_list_splat,
    ACTIONS(369), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(393), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(363), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(373), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(646), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [1543] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(347), 1,
      sym_identifier,
    ACTIONS(349), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_STAR,
    ACTIONS(359), 1,
      anon_sym_STAR_STAR,
    ACTIONS(361), 1,
      anon_sym_not,
    ACTIONS(365), 1,
      anon_sym_lambda,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(375), 1,
      anon_sym_await,
    ACTIONS(377), 1,
      sym__string_start,
    ACTIONS(451), 1,
      anon_sym_RPAREN,
    STATE(381), 1,
      sym_string,
    ACTIONS(357), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(369), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(363), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(373), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(941), 4,
      sym_list_splat,
      sym_dictionary_splat,
      sym_parenthesized_list_splat,
      sym_keyword_argument,
    STATE(742), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [1636] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(347), 1,
      sym_identifier,
    ACTIONS(349), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_STAR,
    ACTIONS(359), 1,
      anon_sym_STAR_STAR,
    ACTIONS(361), 1,
      anon_sym_not,
    ACTIONS(365), 1,
      anon_sym_lambda,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(375), 1,
      anon_sym_await,
    ACTIONS(377), 1,
      sym__string_start,
    ACTIONS(453), 1,
      anon_sym_RPAREN,
    STATE(381), 1,
      sym_string,
    ACTIONS(357), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(369), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(363), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(373), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(941), 4,
      sym_list_splat,
      sym_dictionary_splat,
      sym_parenthesized_list_splat,
      sym_keyword_argument,
    STATE(742), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [1729] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(347), 1,
      sym_identifier,
    ACTIONS(349), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_STAR,
    ACTIONS(359), 1,
      anon_sym_STAR_STAR,
    ACTIONS(361), 1,
      anon_sym_not,
    ACTIONS(365), 1,
      anon_sym_lambda,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(375), 1,
      anon_sym_await,
    ACTIONS(377), 1,
      sym__string_start,
    ACTIONS(455), 1,
      anon_sym_RPAREN,
    STATE(381), 1,
      sym_string,
    ACTIONS(357), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(369), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(363), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(373), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(941), 4,
      sym_list_splat,
      sym_dictionary_splat,
      sym_parenthesized_list_splat,
      sym_keyword_argument,
    STATE(742), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [1822] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(347), 1,
      sym_identifier,
    ACTIONS(349), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_STAR,
    ACTIONS(359), 1,
      anon_sym_STAR_STAR,
    ACTIONS(361), 1,
      anon_sym_not,
    ACTIONS(365), 1,
      anon_sym_lambda,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(375), 1,
      anon_sym_await,
    ACTIONS(377), 1,
      sym__string_start,
    ACTIONS(457), 1,
      anon_sym_RPAREN,
    STATE(381), 1,
      sym_string,
    ACTIONS(357), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(369), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(363), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(373), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(941), 4,
      sym_list_splat,
      sym_dictionary_splat,
      sym_parenthesized_list_splat,
      sym_keyword_argument,
    STATE(742), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [1915] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(349), 1,
      anon_sym_LPAREN,
    ACTIONS(361), 1,
      anon_sym_not,
    ACTIONS(365), 1,
      anon_sym_lambda,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(375), 1,
      anon_sym_await,
    ACTIONS(377), 1,
      sym__string_start,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(459), 1,
      anon_sym_RPAREN,
    ACTIONS(461), 1,
      anon_sym_COMMA,
    ACTIONS(463), 1,
      anon_sym_STAR,
    ACTIONS(465), 1,
      anon_sym_yield,
    STATE(381), 1,
      sym_string,
    STATE(833), 1,
      sym_yield,
    ACTIONS(369), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(393), 2,
      anon_sym_print,
      anon_sym_exec,
    STATE(1021), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    ACTIONS(363), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(373), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(654), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [2012] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(73), 1,
      sym__string_start,
    STATE(122), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(469), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(467), 32,
      sym__newline,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LBRACK,
      sym__semicolon,
  [2075] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(347), 1,
      sym_identifier,
    ACTIONS(349), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_STAR,
    ACTIONS(359), 1,
      anon_sym_STAR_STAR,
    ACTIONS(361), 1,
      anon_sym_not,
    ACTIONS(365), 1,
      anon_sym_lambda,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(375), 1,
      anon_sym_await,
    ACTIONS(377), 1,
      sym__string_start,
    ACTIONS(471), 1,
      anon_sym_RPAREN,
    STATE(381), 1,
      sym_string,
    ACTIONS(357), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(369), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(363), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(373), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(941), 4,
      sym_list_splat,
      sym_dictionary_splat,
      sym_parenthesized_list_splat,
      sym_keyword_argument,
    STATE(742), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [2168] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(347), 1,
      sym_identifier,
    ACTIONS(349), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_STAR,
    ACTIONS(359), 1,
      anon_sym_STAR_STAR,
    ACTIONS(361), 1,
      anon_sym_not,
    ACTIONS(365), 1,
      anon_sym_lambda,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(375), 1,
      anon_sym_await,
    ACTIONS(377), 1,
      sym__string_start,
    ACTIONS(473), 1,
      anon_sym_RPAREN,
    STATE(381), 1,
      sym_string,
    ACTIONS(357), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(369), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(363), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(373), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(941), 4,
      sym_list_splat,
      sym_dictionary_splat,
      sym_parenthesized_list_splat,
      sym_keyword_argument,
    STATE(742), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [2261] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(479), 1,
      sym__string_start,
    STATE(120), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(477), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(475), 32,
      sym__newline,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LBRACK,
      sym__semicolon,
  [2324] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(355), 1,
      anon_sym_STAR,
    ACTIONS(359), 1,
      anon_sym_STAR_STAR,
    ACTIONS(361), 1,
      anon_sym_not,
    ACTIONS(365), 1,
      anon_sym_lambda,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(375), 1,
      anon_sym_await,
    ACTIONS(377), 1,
      sym__string_start,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(389), 1,
      anon_sym_LPAREN,
    ACTIONS(482), 1,
      anon_sym_COMMA,
    ACTIONS(484), 1,
      anon_sym_RBRACE,
    STATE(381), 1,
      sym_string,
    STATE(677), 1,
      sym_pair,
    STATE(896), 1,
      sym_dictionary_splat,
    STATE(898), 1,
      sym_list_splat,
    ACTIONS(369), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(393), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(363), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(373), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(648), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [2423] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(73), 1,
      sym__string_start,
    STATE(120), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(488), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(486), 32,
      sym__newline,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LBRACK,
      sym__semicolon,
  [2486] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(13), 1,
      anon_sym_LPAREN,
    ACTIONS(55), 1,
      anon_sym_not,
    ACTIONS(59), 1,
      anon_sym_lambda,
    ACTIONS(61), 1,
      anon_sym_yield,
    ACTIONS(63), 1,
      anon_sym_LBRACK,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_await,
    ACTIONS(73), 1,
      sym__string_start,
    STATE(117), 1,
      sym_string,
    STATE(615), 1,
      sym_expression_list,
    ACTIONS(65), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(237), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(57), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(69), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(950), 4,
      sym_assignment,
      sym_augmented_assignment,
      sym__right_hand_side,
      sym_yield,
    STATE(599), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(109), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [2576] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(13), 1,
      anon_sym_LPAREN,
    ACTIONS(55), 1,
      anon_sym_not,
    ACTIONS(59), 1,
      anon_sym_lambda,
    ACTIONS(61), 1,
      anon_sym_yield,
    ACTIONS(63), 1,
      anon_sym_LBRACK,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_await,
    ACTIONS(73), 1,
      sym__string_start,
    STATE(117), 1,
      sym_string,
    STATE(615), 1,
      sym_expression_list,
    ACTIONS(65), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(237), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(57), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(69), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(949), 4,
      sym_assignment,
      sym_augmented_assignment,
      sym__right_hand_side,
      sym_yield,
    STATE(599), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(109), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [2666] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LPAREN,
    ACTIONS(425), 1,
      anon_sym_STAR_STAR,
    STATE(145), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(492), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(490), 31,
      sym__newline,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LBRACK,
      sym__semicolon,
  [2730] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(13), 1,
      anon_sym_LPAREN,
    ACTIONS(55), 1,
      anon_sym_not,
    ACTIONS(59), 1,
      anon_sym_lambda,
    ACTIONS(61), 1,
      anon_sym_yield,
    ACTIONS(63), 1,
      anon_sym_LBRACK,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_await,
    ACTIONS(73), 1,
      sym__string_start,
    STATE(117), 1,
      sym_string,
    STATE(615), 1,
      sym_expression_list,
    ACTIONS(65), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(237), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(57), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(69), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(940), 4,
      sym_assignment,
      sym_augmented_assignment,
      sym__right_hand_side,
      sym_yield,
    STATE(599), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(109), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [2820] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LPAREN,
    ACTIONS(425), 1,
      anon_sym_STAR_STAR,
    STATE(145), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(496), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(494), 31,
      sym__newline,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LBRACK,
      sym__semicolon,
  [2884] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LPAREN,
    ACTIONS(425), 1,
      anon_sym_STAR_STAR,
    ACTIONS(429), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(145), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(417), 5,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(496), 8,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(494), 31,
      sym__newline,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LBRACK,
      sym__semicolon,
  [2952] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LPAREN,
    ACTIONS(425), 1,
      anon_sym_STAR_STAR,
    ACTIONS(433), 1,
      anon_sym_AMP,
    ACTIONS(435), 1,
      anon_sym_CARET,
    ACTIONS(419), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(429), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(145), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(496), 4,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(417), 5,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(494), 31,
      sym__newline,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LBRACK,
      sym__semicolon,
  [3026] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(347), 1,
      sym_identifier,
    ACTIONS(349), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_STAR,
    ACTIONS(359), 1,
      anon_sym_STAR_STAR,
    ACTIONS(361), 1,
      anon_sym_not,
    ACTIONS(365), 1,
      anon_sym_lambda,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(375), 1,
      anon_sym_await,
    ACTIONS(377), 1,
      sym__string_start,
    STATE(381), 1,
      sym_string,
    ACTIONS(357), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(369), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(363), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(373), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(941), 4,
      sym_list_splat,
      sym_dictionary_splat,
      sym_parenthesized_list_splat,
      sym_keyword_argument,
    STATE(742), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [3116] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LPAREN,
    ACTIONS(425), 1,
      anon_sym_STAR_STAR,
    ACTIONS(419), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(429), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(145), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(417), 5,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(496), 6,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(494), 31,
      sym__newline,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LBRACK,
      sym__semicolon,
  [3186] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(411), 1,
      anon_sym_DOT,
    ACTIONS(415), 1,
      anon_sym_LPAREN,
    ACTIONS(425), 1,
      anon_sym_STAR_STAR,
    ACTIONS(431), 1,
      anon_sym_PIPE,
    ACTIONS(433), 1,
      anon_sym_AMP,
    ACTIONS(435), 1,
      anon_sym_CARET,
    ACTIONS(441), 1,
      anon_sym_LBRACK,
    ACTIONS(419), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(429), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(145), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(500), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(417), 5,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(498), 29,
      sym__newline,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym__semicolon,
  [3266] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LPAREN,
    ACTIONS(425), 1,
      anon_sym_STAR_STAR,
    ACTIONS(435), 1,
      anon_sym_CARET,
    ACTIONS(419), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(429), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(145), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(417), 5,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(496), 5,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(494), 31,
      sym__newline,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LBRACK,
      sym__semicolon,
  [3338] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LPAREN,
    ACTIONS(425), 1,
      anon_sym_STAR_STAR,
    STATE(145), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(417), 5,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(496), 10,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(494), 31,
      sym__newline,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LBRACK,
      sym__semicolon,
  [3404] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(411), 1,
      anon_sym_DOT,
    ACTIONS(415), 1,
      anon_sym_LPAREN,
    ACTIONS(425), 1,
      anon_sym_STAR_STAR,
    ACTIONS(431), 1,
      anon_sym_PIPE,
    ACTIONS(433), 1,
      anon_sym_AMP,
    ACTIONS(435), 1,
      anon_sym_CARET,
    ACTIONS(441), 1,
      anon_sym_LBRACK,
    ACTIONS(419), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(429), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(145), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(504), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(417), 5,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(502), 29,
      sym__newline,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym__semicolon,
  [3484] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LPAREN,
    ACTIONS(425), 1,
      anon_sym_STAR_STAR,
    STATE(145), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(496), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(494), 31,
      sym__newline,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LBRACK,
      sym__semicolon,
  [3548] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(508), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(506), 33,
      sym__newline,
      sym__string_start,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LBRACK,
      sym__semicolon,
  [3605] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(510), 1,
      anon_sym_COLON_EQ,
    ACTIONS(469), 17,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(467), 31,
      sym__newline,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LBRACK,
      sym__semicolon,
  [3664] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(512), 1,
      sym__string_start,
    STATE(893), 1,
      sym_string,
    ACTIONS(233), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(235), 31,
      sym__newline,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LBRACK,
      sym__semicolon,
  [3725] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(516), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(514), 33,
      sym__newline,
      sym__string_start,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LBRACK,
      sym__semicolon,
  [3782] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(13), 1,
      anon_sym_LPAREN,
    ACTIONS(55), 1,
      anon_sym_not,
    ACTIONS(59), 1,
      anon_sym_lambda,
    ACTIONS(63), 1,
      anon_sym_LBRACK,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_await,
    ACTIONS(73), 1,
      sym__string_start,
    ACTIONS(518), 1,
      anon_sym_from,
    STATE(117), 1,
      sym_string,
    STATE(911), 1,
      sym_expression_list,
    ACTIONS(65), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(237), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(520), 2,
      sym__newline,
      sym__semicolon,
    ACTIONS(57), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(69), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(599), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(109), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [3870] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(524), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(522), 32,
      sym__newline,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LBRACK,
      sym__semicolon,
  [3926] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(359), 1,
      anon_sym_STAR_STAR,
    ACTIONS(361), 1,
      anon_sym_not,
    ACTIONS(365), 1,
      anon_sym_lambda,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(375), 1,
      anon_sym_await,
    ACTIONS(377), 1,
      sym__string_start,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(389), 1,
      anon_sym_LPAREN,
    ACTIONS(526), 1,
      anon_sym_RBRACE,
    STATE(381), 1,
      sym_string,
    ACTIONS(369), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(393), 2,
      anon_sym_print,
      anon_sym_exec,
    STATE(918), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(363), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(373), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(768), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [4014] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(359), 1,
      anon_sym_STAR_STAR,
    ACTIONS(361), 1,
      anon_sym_not,
    ACTIONS(365), 1,
      anon_sym_lambda,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(375), 1,
      anon_sym_await,
    ACTIONS(377), 1,
      sym__string_start,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(389), 1,
      anon_sym_LPAREN,
    ACTIONS(528), 1,
      anon_sym_RBRACE,
    STATE(381), 1,
      sym_string,
    ACTIONS(369), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(393), 2,
      anon_sym_print,
      anon_sym_exec,
    STATE(918), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(363), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(373), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(768), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [4102] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(532), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(530), 32,
      sym__newline,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LBRACK,
      sym__semicolon,
  [4158] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(359), 1,
      anon_sym_STAR_STAR,
    ACTIONS(361), 1,
      anon_sym_not,
    ACTIONS(365), 1,
      anon_sym_lambda,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(375), 1,
      anon_sym_await,
    ACTIONS(377), 1,
      sym__string_start,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(389), 1,
      anon_sym_LPAREN,
    ACTIONS(534), 1,
      anon_sym_RBRACE,
    STATE(381), 1,
      sym_string,
    ACTIONS(369), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(393), 2,
      anon_sym_print,
      anon_sym_exec,
    STATE(918), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(363), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(373), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(768), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [4246] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(538), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(536), 32,
      sym__newline,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LBRACK,
      sym__semicolon,
  [4302] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(542), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(540), 32,
      sym__newline,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LBRACK,
      sym__semicolon,
  [4358] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(548), 1,
      anon_sym_else,
    ACTIONS(550), 1,
      anon_sym_except,
    ACTIONS(552), 1,
      anon_sym_finally,
    STATE(371), 1,
      sym_else_clause,
    STATE(420), 1,
      sym_finally_clause,
    STATE(232), 2,
      sym_except_clause,
      aux_sym_try_statement_repeat1,
    ACTIONS(544), 11,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(546), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [4426] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_not,
    ACTIONS(365), 1,
      anon_sym_lambda,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(375), 1,
      anon_sym_await,
    ACTIONS(377), 1,
      sym__string_start,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(389), 1,
      anon_sym_LPAREN,
    ACTIONS(463), 1,
      anon_sym_STAR,
    ACTIONS(554), 1,
      anon_sym_COMMA,
    ACTIONS(556), 1,
      anon_sym_RBRACK,
    STATE(381), 1,
      sym_string,
    STATE(836), 1,
      sym_list_splat,
    ACTIONS(369), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(393), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(363), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(373), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(651), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [4516] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_not,
    ACTIONS(365), 1,
      anon_sym_lambda,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(375), 1,
      anon_sym_await,
    ACTIONS(377), 1,
      sym__string_start,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(389), 1,
      anon_sym_LPAREN,
    ACTIONS(459), 1,
      anon_sym_RPAREN,
    ACTIONS(461), 1,
      anon_sym_COMMA,
    ACTIONS(465), 1,
      anon_sym_yield,
    STATE(381), 1,
      sym_string,
    STATE(833), 1,
      sym_yield,
    ACTIONS(369), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(393), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(363), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(373), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(654), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [4606] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(560), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(558), 32,
      sym__newline,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LBRACK,
      sym__semicolon,
  [4662] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_not,
    ACTIONS(365), 1,
      anon_sym_lambda,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(375), 1,
      anon_sym_await,
    ACTIONS(377), 1,
      sym__string_start,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(389), 1,
      anon_sym_LPAREN,
    ACTIONS(463), 1,
      anon_sym_STAR,
    ACTIONS(562), 1,
      anon_sym_COMMA,
    ACTIONS(564), 1,
      anon_sym_RBRACK,
    STATE(381), 1,
      sym_string,
    STATE(902), 1,
      sym_list_splat,
    ACTIONS(369), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(393), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(363), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(373), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(657), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [4752] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(568), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(566), 32,
      sym__newline,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LBRACK,
      sym__semicolon,
  [4808] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(572), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(570), 32,
      sym__newline,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LBRACK,
      sym__semicolon,
  [4864] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(576), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(574), 32,
      sym__newline,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LBRACK,
      sym__semicolon,
  [4920] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_not,
    ACTIONS(365), 1,
      anon_sym_lambda,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(375), 1,
      anon_sym_await,
    ACTIONS(377), 1,
      sym__string_start,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(389), 1,
      anon_sym_LPAREN,
    ACTIONS(463), 1,
      anon_sym_STAR,
    ACTIONS(578), 1,
      anon_sym_COMMA,
    ACTIONS(580), 1,
      anon_sym_RBRACK,
    STATE(381), 1,
      sym_string,
    STATE(850), 1,
      sym_list_splat,
    ACTIONS(369), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(393), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(363), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(373), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(650), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [5010] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(584), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(582), 32,
      sym__newline,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LBRACK,
      sym__semicolon,
  [5066] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(359), 1,
      anon_sym_STAR_STAR,
    ACTIONS(361), 1,
      anon_sym_not,
    ACTIONS(365), 1,
      anon_sym_lambda,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(375), 1,
      anon_sym_await,
    ACTIONS(377), 1,
      sym__string_start,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(389), 1,
      anon_sym_LPAREN,
    ACTIONS(586), 1,
      anon_sym_RBRACE,
    STATE(381), 1,
      sym_string,
    ACTIONS(369), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(393), 2,
      anon_sym_print,
      anon_sym_exec,
    STATE(918), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(363), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(373), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(768), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [5154] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(590), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(588), 32,
      sym__newline,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LBRACK,
      sym__semicolon,
  [5210] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(359), 1,
      anon_sym_STAR_STAR,
    ACTIONS(361), 1,
      anon_sym_not,
    ACTIONS(365), 1,
      anon_sym_lambda,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(375), 1,
      anon_sym_await,
    ACTIONS(377), 1,
      sym__string_start,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(389), 1,
      anon_sym_LPAREN,
    ACTIONS(592), 1,
      anon_sym_RBRACE,
    STATE(381), 1,
      sym_string,
    ACTIONS(369), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(393), 2,
      anon_sym_print,
      anon_sym_exec,
    STATE(918), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(363), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(373), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(768), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [5298] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(596), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(594), 32,
      sym__newline,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LBRACK,
      sym__semicolon,
  [5354] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(600), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(598), 32,
      sym__newline,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LBRACK,
      sym__semicolon,
  [5410] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(604), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(602), 32,
      sym__newline,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LBRACK,
      sym__semicolon,
  [5466] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(608), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(606), 32,
      sym__newline,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LBRACK,
      sym__semicolon,
  [5522] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(612), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(610), 32,
      sym__newline,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LBRACK,
      sym__semicolon,
  [5578] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(13), 1,
      anon_sym_LPAREN,
    ACTIONS(55), 1,
      anon_sym_not,
    ACTIONS(59), 1,
      anon_sym_lambda,
    ACTIONS(63), 1,
      anon_sym_LBRACK,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_await,
    ACTIONS(73), 1,
      sym__string_start,
    ACTIONS(614), 1,
      anon_sym_from,
    STATE(117), 1,
      sym_string,
    STATE(875), 1,
      sym_expression_list,
    ACTIONS(65), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(237), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(616), 2,
      sym__newline,
      sym__semicolon,
    ACTIONS(57), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(69), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(599), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(109), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [5666] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(620), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(618), 32,
      sym__newline,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LBRACK,
      sym__semicolon,
  [5722] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_not,
    ACTIONS(365), 1,
      anon_sym_lambda,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(375), 1,
      anon_sym_await,
    ACTIONS(377), 1,
      sym__string_start,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(389), 1,
      anon_sym_LPAREN,
    ACTIONS(465), 1,
      anon_sym_yield,
    ACTIONS(622), 1,
      anon_sym_RPAREN,
    ACTIONS(624), 1,
      anon_sym_COMMA,
    STATE(381), 1,
      sym_string,
    STATE(857), 1,
      sym_yield,
    ACTIONS(369), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(393), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(363), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(373), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(649), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [5812] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(628), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(626), 32,
      sym__newline,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LBRACK,
      sym__semicolon,
  [5868] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(632), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(630), 32,
      sym__newline,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LBRACK,
      sym__semicolon,
  [5924] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(636), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(634), 32,
      sym__newline,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LBRACK,
      sym__semicolon,
  [5980] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(640), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(638), 32,
      sym__newline,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LBRACK,
      sym__semicolon,
  [6036] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(233), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(235), 32,
      sym__newline,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LBRACK,
      sym__semicolon,
  [6092] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(644), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(642), 32,
      sym__newline,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LBRACK,
      sym__semicolon,
  [6148] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(648), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(646), 32,
      sym__newline,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LBRACK,
      sym__semicolon,
  [6204] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(652), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(650), 32,
      sym__newline,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LBRACK,
      sym__semicolon,
  [6260] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_not,
    ACTIONS(365), 1,
      anon_sym_lambda,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(375), 1,
      anon_sym_await,
    ACTIONS(377), 1,
      sym__string_start,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(389), 1,
      anon_sym_LPAREN,
    ACTIONS(459), 1,
      anon_sym_RPAREN,
    ACTIONS(461), 1,
      anon_sym_COMMA,
    ACTIONS(465), 1,
      anon_sym_yield,
    STATE(381), 1,
      sym_string,
    STATE(865), 1,
      sym_yield,
    ACTIONS(369), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(393), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(363), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(373), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(718), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [6350] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(548), 1,
      anon_sym_else,
    ACTIONS(550), 1,
      anon_sym_except,
    ACTIONS(552), 1,
      anon_sym_finally,
    STATE(376), 1,
      sym_else_clause,
    STATE(464), 1,
      sym_finally_clause,
    STATE(232), 2,
      sym_except_clause,
      aux_sym_try_statement_repeat1,
    ACTIONS(654), 11,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(656), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [6418] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(660), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(658), 32,
      sym__newline,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LBRACK,
      sym__semicolon,
  [6474] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_not,
    ACTIONS(365), 1,
      anon_sym_lambda,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(375), 1,
      anon_sym_await,
    ACTIONS(377), 1,
      sym__string_start,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(389), 1,
      anon_sym_LPAREN,
    ACTIONS(465), 1,
      anon_sym_yield,
    ACTIONS(662), 1,
      anon_sym_RPAREN,
    ACTIONS(664), 1,
      anon_sym_COMMA,
    STATE(381), 1,
      sym_string,
    STATE(825), 1,
      sym_yield,
    ACTIONS(369), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(393), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(363), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(373), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(652), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [6564] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(668), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(666), 32,
      sym__newline,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LBRACK,
      sym__semicolon,
  [6620] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(359), 1,
      anon_sym_STAR_STAR,
    ACTIONS(361), 1,
      anon_sym_not,
    ACTIONS(365), 1,
      anon_sym_lambda,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(375), 1,
      anon_sym_await,
    ACTIONS(377), 1,
      sym__string_start,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(389), 1,
      anon_sym_LPAREN,
    ACTIONS(670), 1,
      anon_sym_RBRACE,
    STATE(381), 1,
      sym_string,
    ACTIONS(369), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(393), 2,
      anon_sym_print,
      anon_sym_exec,
    STATE(918), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(363), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(373), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(768), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [6708] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(674), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(672), 32,
      sym__newline,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LBRACK,
      sym__semicolon,
  [6764] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(678), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(676), 32,
      sym__newline,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LBRACK,
      sym__semicolon,
  [6820] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(682), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(680), 32,
      sym__newline,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LBRACK,
      sym__semicolon,
  [6876] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(684), 1,
      anon_sym_else,
    ACTIONS(686), 1,
      anon_sym_except,
    ACTIONS(688), 1,
      anon_sym_finally,
    STATE(358), 1,
      sym_else_clause,
    STATE(390), 1,
      sym_finally_clause,
    STATE(250), 2,
      sym_except_clause,
      aux_sym_try_statement_repeat1,
    ACTIONS(654), 11,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(656), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [6944] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(692), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(690), 32,
      sym__newline,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LBRACK,
      sym__semicolon,
  [7000] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_not,
    ACTIONS(365), 1,
      anon_sym_lambda,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(375), 1,
      anon_sym_await,
    ACTIONS(377), 1,
      sym__string_start,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(389), 1,
      anon_sym_LPAREN,
    ACTIONS(694), 1,
      anon_sym_from,
    STATE(381), 1,
      sym_string,
    STATE(938), 1,
      sym_expression_list,
    ACTIONS(369), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(393), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(520), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(363), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(373), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(698), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [7088] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(698), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(696), 32,
      sym__newline,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LBRACK,
      sym__semicolon,
  [7144] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(684), 1,
      anon_sym_else,
    ACTIONS(686), 1,
      anon_sym_except,
    ACTIONS(688), 1,
      anon_sym_finally,
    STATE(369), 1,
      sym_else_clause,
    STATE(401), 1,
      sym_finally_clause,
    STATE(250), 2,
      sym_except_clause,
      aux_sym_try_statement_repeat1,
    ACTIONS(544), 11,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(546), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [7212] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_not,
    ACTIONS(365), 1,
      anon_sym_lambda,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(375), 1,
      anon_sym_await,
    ACTIONS(377), 1,
      sym__string_start,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(389), 1,
      anon_sym_LPAREN,
    ACTIONS(700), 1,
      anon_sym_COLON,
    ACTIONS(702), 1,
      anon_sym_RBRACK,
    STATE(381), 1,
      sym_string,
    STATE(947), 1,
      sym_slice,
    ACTIONS(369), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(393), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(363), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(373), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(729), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [7299] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_not,
    ACTIONS(365), 1,
      anon_sym_lambda,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(375), 1,
      anon_sym_await,
    ACTIONS(377), 1,
      sym__string_start,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(389), 1,
      anon_sym_LPAREN,
    ACTIONS(700), 1,
      anon_sym_COLON,
    ACTIONS(704), 1,
      anon_sym_RBRACK,
    STATE(381), 1,
      sym_string,
    STATE(947), 1,
      sym_slice,
    ACTIONS(369), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(393), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(363), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(373), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(729), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [7386] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_not,
    ACTIONS(365), 1,
      anon_sym_lambda,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(375), 1,
      anon_sym_await,
    ACTIONS(377), 1,
      sym__string_start,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(389), 1,
      anon_sym_LPAREN,
    ACTIONS(465), 1,
      anon_sym_yield,
    ACTIONS(706), 1,
      anon_sym_RPAREN,
    STATE(381), 1,
      sym_string,
    STATE(951), 1,
      sym_yield,
    ACTIONS(369), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(393), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(363), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(373), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(748), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [7473] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_not,
    ACTIONS(365), 1,
      anon_sym_lambda,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(375), 1,
      anon_sym_await,
    ACTIONS(377), 1,
      sym__string_start,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(389), 1,
      anon_sym_LPAREN,
    ACTIONS(463), 1,
      anon_sym_STAR,
    ACTIONS(708), 1,
      anon_sym_RBRACK,
    STATE(381), 1,
      sym_string,
    STATE(812), 1,
      sym_list_splat,
    ACTIONS(369), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(393), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(363), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(373), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(721), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [7560] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_not,
    ACTIONS(365), 1,
      anon_sym_lambda,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(375), 1,
      anon_sym_await,
    ACTIONS(377), 1,
      sym__string_start,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(389), 1,
      anon_sym_LPAREN,
    ACTIONS(463), 1,
      anon_sym_STAR,
    ACTIONS(710), 1,
      anon_sym_RBRACK,
    STATE(381), 1,
      sym_string,
    STATE(812), 1,
      sym_list_splat,
    ACTIONS(369), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(393), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(363), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(373), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(721), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [7647] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(13), 1,
      anon_sym_LPAREN,
    ACTIONS(55), 1,
      anon_sym_not,
    ACTIONS(59), 1,
      anon_sym_lambda,
    ACTIONS(63), 1,
      anon_sym_LBRACK,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_await,
    ACTIONS(73), 1,
      sym__string_start,
    STATE(117), 1,
      sym_string,
    STATE(928), 1,
      sym_expression_list,
    ACTIONS(65), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(237), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(712), 2,
      sym__newline,
      sym__semicolon,
    ACTIONS(57), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(69), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(599), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(109), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [7732] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_not,
    ACTIONS(365), 1,
      anon_sym_lambda,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(375), 1,
      anon_sym_await,
    ACTIONS(377), 1,
      sym__string_start,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(389), 1,
      anon_sym_LPAREN,
    ACTIONS(716), 1,
      anon_sym_COLON,
    STATE(381), 1,
      sym_string,
    ACTIONS(369), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(393), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(714), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(363), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(373), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(717), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [7817] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_not,
    ACTIONS(365), 1,
      anon_sym_lambda,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(375), 1,
      anon_sym_await,
    ACTIONS(377), 1,
      sym__string_start,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(389), 1,
      anon_sym_LPAREN,
    ACTIONS(720), 1,
      anon_sym_COLON,
    STATE(381), 1,
      sym_string,
    ACTIONS(369), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(393), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(718), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(363), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(373), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(711), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [7902] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_not,
    ACTIONS(365), 1,
      anon_sym_lambda,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(375), 1,
      anon_sym_await,
    ACTIONS(377), 1,
      sym__string_start,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(389), 1,
      anon_sym_LPAREN,
    ACTIONS(465), 1,
      anon_sym_yield,
    ACTIONS(722), 1,
      anon_sym_RPAREN,
    STATE(381), 1,
      sym_string,
    STATE(951), 1,
      sym_yield,
    ACTIONS(369), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(393), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(363), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(373), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(748), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [7989] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_not,
    ACTIONS(365), 1,
      anon_sym_lambda,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(375), 1,
      anon_sym_await,
    ACTIONS(377), 1,
      sym__string_start,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(389), 1,
      anon_sym_LPAREN,
    ACTIONS(700), 1,
      anon_sym_COLON,
    ACTIONS(724), 1,
      anon_sym_RBRACK,
    STATE(381), 1,
      sym_string,
    STATE(947), 1,
      sym_slice,
    ACTIONS(369), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(393), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(363), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(373), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(729), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [8076] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_not,
    ACTIONS(365), 1,
      anon_sym_lambda,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(375), 1,
      anon_sym_await,
    ACTIONS(377), 1,
      sym__string_start,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(389), 1,
      anon_sym_LPAREN,
    ACTIONS(463), 1,
      anon_sym_STAR,
    ACTIONS(726), 1,
      anon_sym_RBRACK,
    STATE(381), 1,
      sym_string,
    STATE(812), 1,
      sym_list_splat,
    ACTIONS(369), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(393), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(363), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(373), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(721), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [8163] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_not,
    ACTIONS(365), 1,
      anon_sym_lambda,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(375), 1,
      anon_sym_await,
    ACTIONS(377), 1,
      sym__string_start,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(389), 1,
      anon_sym_LPAREN,
    STATE(381), 1,
      sym_string,
    ACTIONS(369), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(393), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(363), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(728), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(373), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(668), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [8246] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_not,
    ACTIONS(365), 1,
      anon_sym_lambda,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(375), 1,
      anon_sym_await,
    ACTIONS(377), 1,
      sym__string_start,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(389), 1,
      anon_sym_LPAREN,
    ACTIONS(463), 1,
      anon_sym_STAR,
    ACTIONS(730), 1,
      anon_sym_RBRACE,
    STATE(381), 1,
      sym_string,
    STATE(812), 1,
      sym_list_splat,
    ACTIONS(369), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(393), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(363), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(373), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(721), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [8333] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_not,
    ACTIONS(365), 1,
      anon_sym_lambda,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(375), 1,
      anon_sym_await,
    ACTIONS(377), 1,
      sym__string_start,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(389), 1,
      anon_sym_LPAREN,
    STATE(381), 1,
      sym_string,
    ACTIONS(369), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(393), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(335), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(363), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(373), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(719), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [8416] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_not,
    ACTIONS(365), 1,
      anon_sym_lambda,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(375), 1,
      anon_sym_await,
    ACTIONS(377), 1,
      sym__string_start,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(389), 1,
      anon_sym_LPAREN,
    ACTIONS(463), 1,
      anon_sym_STAR,
    ACTIONS(732), 1,
      anon_sym_RBRACE,
    STATE(381), 1,
      sym_string,
    STATE(812), 1,
      sym_list_splat,
    ACTIONS(369), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(393), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(363), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(373), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(721), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [8503] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_not,
    ACTIONS(365), 1,
      anon_sym_lambda,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(375), 1,
      anon_sym_await,
    ACTIONS(377), 1,
      sym__string_start,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(389), 1,
      anon_sym_LPAREN,
    STATE(381), 1,
      sym_string,
    ACTIONS(369), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(393), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(341), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(363), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(373), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(719), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [8586] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_not,
    ACTIONS(365), 1,
      anon_sym_lambda,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(375), 1,
      anon_sym_await,
    ACTIONS(377), 1,
      sym__string_start,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(389), 1,
      anon_sym_LPAREN,
    ACTIONS(465), 1,
      anon_sym_yield,
    ACTIONS(734), 1,
      anon_sym_RPAREN,
    STATE(381), 1,
      sym_string,
    STATE(951), 1,
      sym_yield,
    ACTIONS(369), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(393), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(363), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(373), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(748), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [8673] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_not,
    ACTIONS(365), 1,
      anon_sym_lambda,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(375), 1,
      anon_sym_await,
    ACTIONS(377), 1,
      sym__string_start,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(389), 1,
      anon_sym_LPAREN,
    ACTIONS(463), 1,
      anon_sym_STAR,
    ACTIONS(736), 1,
      anon_sym_RBRACE,
    STATE(381), 1,
      sym_string,
    STATE(812), 1,
      sym_list_splat,
    ACTIONS(369), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(393), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(363), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(373), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(721), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [8760] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_not,
    ACTIONS(365), 1,
      anon_sym_lambda,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(375), 1,
      anon_sym_await,
    ACTIONS(377), 1,
      sym__string_start,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(389), 1,
      anon_sym_LPAREN,
    ACTIONS(700), 1,
      anon_sym_COLON,
    ACTIONS(738), 1,
      anon_sym_RBRACK,
    STATE(381), 1,
      sym_string,
    STATE(947), 1,
      sym_slice,
    ACTIONS(369), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(393), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(363), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(373), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(729), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [8847] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_not,
    ACTIONS(365), 1,
      anon_sym_lambda,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(375), 1,
      anon_sym_await,
    ACTIONS(377), 1,
      sym__string_start,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(389), 1,
      anon_sym_LPAREN,
    ACTIONS(740), 1,
      anon_sym_COMMA,
    ACTIONS(742), 1,
      anon_sym_COLON,
    STATE(381), 1,
      sym_string,
    STATE(853), 1,
      aux_sym__parameters_repeat1,
    ACTIONS(369), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(393), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(363), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(373), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(668), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [8934] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(359), 1,
      anon_sym_STAR_STAR,
    ACTIONS(361), 1,
      anon_sym_not,
    ACTIONS(365), 1,
      anon_sym_lambda,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(375), 1,
      anon_sym_await,
    ACTIONS(377), 1,
      sym__string_start,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(389), 1,
      anon_sym_LPAREN,
    STATE(381), 1,
      sym_string,
    ACTIONS(369), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(393), 2,
      anon_sym_print,
      anon_sym_exec,
    STATE(918), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(363), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(373), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(768), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [9019] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_not,
    ACTIONS(365), 1,
      anon_sym_lambda,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(375), 1,
      anon_sym_await,
    ACTIONS(377), 1,
      sym__string_start,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(389), 1,
      anon_sym_LPAREN,
    ACTIONS(465), 1,
      anon_sym_yield,
    ACTIONS(744), 1,
      anon_sym_RPAREN,
    STATE(381), 1,
      sym_string,
    STATE(951), 1,
      sym_yield,
    ACTIONS(369), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(393), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(363), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(373), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(748), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [9106] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_not,
    ACTIONS(365), 1,
      anon_sym_lambda,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(375), 1,
      anon_sym_await,
    ACTIONS(377), 1,
      sym__string_start,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(389), 1,
      anon_sym_LPAREN,
    ACTIONS(742), 1,
      anon_sym_RPAREN,
    ACTIONS(746), 1,
      anon_sym_COMMA,
    STATE(381), 1,
      sym_string,
    STATE(860), 1,
      aux_sym__parameters_repeat1,
    ACTIONS(369), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(393), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(363), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(373), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(668), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [9193] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_not,
    ACTIONS(365), 1,
      anon_sym_lambda,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(375), 1,
      anon_sym_await,
    ACTIONS(377), 1,
      sym__string_start,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(389), 1,
      anon_sym_LPAREN,
    ACTIONS(700), 1,
      anon_sym_COLON,
    ACTIONS(748), 1,
      anon_sym_RBRACK,
    STATE(381), 1,
      sym_string,
    STATE(947), 1,
      sym_slice,
    ACTIONS(369), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(393), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(363), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(373), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(729), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [9280] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_not,
    ACTIONS(365), 1,
      anon_sym_lambda,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(375), 1,
      anon_sym_await,
    ACTIONS(377), 1,
      sym__string_start,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(389), 1,
      anon_sym_LPAREN,
    ACTIONS(700), 1,
      anon_sym_COLON,
    ACTIONS(750), 1,
      anon_sym_RBRACK,
    STATE(381), 1,
      sym_string,
    STATE(947), 1,
      sym_slice,
    ACTIONS(369), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(393), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(363), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(373), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(729), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [9367] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_not,
    ACTIONS(365), 1,
      anon_sym_lambda,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(375), 1,
      anon_sym_await,
    ACTIONS(377), 1,
      sym__string_start,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(389), 1,
      anon_sym_LPAREN,
    ACTIONS(463), 1,
      anon_sym_STAR,
    ACTIONS(752), 1,
      anon_sym_RBRACE,
    STATE(381), 1,
      sym_string,
    STATE(812), 1,
      sym_list_splat,
    ACTIONS(369), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(393), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(363), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(373), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(721), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [9454] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_not,
    ACTIONS(365), 1,
      anon_sym_lambda,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(375), 1,
      anon_sym_await,
    ACTIONS(377), 1,
      sym__string_start,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(389), 1,
      anon_sym_LPAREN,
    ACTIONS(465), 1,
      anon_sym_yield,
    ACTIONS(754), 1,
      anon_sym_RPAREN,
    STATE(381), 1,
      sym_string,
    STATE(951), 1,
      sym_yield,
    ACTIONS(369), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(393), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(363), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(373), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(748), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [9541] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_not,
    ACTIONS(365), 1,
      anon_sym_lambda,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(375), 1,
      anon_sym_await,
    ACTIONS(377), 1,
      sym__string_start,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(389), 1,
      anon_sym_LPAREN,
    ACTIONS(463), 1,
      anon_sym_STAR,
    ACTIONS(756), 1,
      anon_sym_RBRACK,
    STATE(381), 1,
      sym_string,
    STATE(812), 1,
      sym_list_splat,
    ACTIONS(369), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(393), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(363), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(373), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(721), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [9628] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_not,
    ACTIONS(365), 1,
      anon_sym_lambda,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(375), 1,
      anon_sym_await,
    ACTIONS(377), 1,
      sym__string_start,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(389), 1,
      anon_sym_LPAREN,
    ACTIONS(465), 1,
      anon_sym_yield,
    ACTIONS(758), 1,
      anon_sym_RPAREN,
    STATE(381), 1,
      sym_string,
    STATE(951), 1,
      sym_yield,
    ACTIONS(369), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(393), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(363), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(373), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(748), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [9715] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_not,
    ACTIONS(365), 1,
      anon_sym_lambda,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(375), 1,
      anon_sym_await,
    ACTIONS(377), 1,
      sym__string_start,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(389), 1,
      anon_sym_LPAREN,
    ACTIONS(463), 1,
      anon_sym_STAR,
    ACTIONS(760), 1,
      anon_sym_RBRACK,
    STATE(381), 1,
      sym_string,
    STATE(812), 1,
      sym_list_splat,
    ACTIONS(369), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(393), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(363), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(373), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(721), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [9802] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_not,
    ACTIONS(365), 1,
      anon_sym_lambda,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(375), 1,
      anon_sym_await,
    ACTIONS(377), 1,
      sym__string_start,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(389), 1,
      anon_sym_LPAREN,
    ACTIONS(463), 1,
      anon_sym_STAR,
    ACTIONS(762), 1,
      anon_sym_RBRACE,
    STATE(381), 1,
      sym_string,
    STATE(812), 1,
      sym_list_splat,
    ACTIONS(369), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(393), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(363), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(373), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(721), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [9889] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_not,
    ACTIONS(365), 1,
      anon_sym_lambda,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(375), 1,
      anon_sym_await,
    ACTIONS(377), 1,
      sym__string_start,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(389), 1,
      anon_sym_LPAREN,
    ACTIONS(463), 1,
      anon_sym_STAR,
    ACTIONS(764), 1,
      anon_sym_RBRACE,
    STATE(381), 1,
      sym_string,
    STATE(812), 1,
      sym_list_splat,
    ACTIONS(369), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(393), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(363), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(373), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(721), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [9976] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_not,
    ACTIONS(365), 1,
      anon_sym_lambda,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(375), 1,
      anon_sym_await,
    ACTIONS(377), 1,
      sym__string_start,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(389), 1,
      anon_sym_LPAREN,
    ACTIONS(463), 1,
      anon_sym_STAR,
    ACTIONS(766), 1,
      anon_sym_RBRACK,
    STATE(381), 1,
      sym_string,
    STATE(812), 1,
      sym_list_splat,
    ACTIONS(369), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(393), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(363), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(373), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(721), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [10063] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_not,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(375), 1,
      anon_sym_await,
    ACTIONS(377), 1,
      sym__string_start,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(389), 1,
      anon_sym_LPAREN,
    ACTIONS(397), 1,
      anon_sym_lambda,
    STATE(381), 1,
      sym_string,
    ACTIONS(369), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(393), 2,
      anon_sym_print,
      anon_sym_exec,
    STATE(671), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(363), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(373), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(662), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [10145] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(548), 1,
      anon_sym_else,
    ACTIONS(772), 1,
      anon_sym_elif,
    STATE(234), 1,
      aux_sym_if_statement_repeat1,
    STATE(362), 1,
      sym_elif_clause,
    STATE(404), 1,
      sym_else_clause,
    ACTIONS(768), 11,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(770), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [10209] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_not,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(375), 1,
      anon_sym_await,
    ACTIONS(377), 1,
      sym__string_start,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(389), 1,
      anon_sym_LPAREN,
    ACTIONS(397), 1,
      anon_sym_lambda,
    STATE(381), 1,
      sym_string,
    ACTIONS(369), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(393), 2,
      anon_sym_print,
      anon_sym_exec,
    STATE(676), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(363), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(373), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(662), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [10291] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(684), 1,
      anon_sym_else,
    ACTIONS(778), 1,
      anon_sym_elif,
    STATE(279), 1,
      aux_sym_if_statement_repeat1,
    STATE(365), 1,
      sym_elif_clause,
    STATE(416), 1,
      sym_else_clause,
    ACTIONS(776), 11,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(774), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [10355] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(13), 1,
      anon_sym_LPAREN,
    ACTIONS(55), 1,
      anon_sym_not,
    ACTIONS(59), 1,
      anon_sym_lambda,
    ACTIONS(63), 1,
      anon_sym_LBRACK,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_await,
    ACTIONS(73), 1,
      sym__string_start,
    STATE(117), 1,
      sym_string,
    ACTIONS(65), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(237), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(780), 2,
      sym__newline,
      sym__semicolon,
    ACTIONS(57), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(69), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(714), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(109), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [10437] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_not,
    ACTIONS(365), 1,
      anon_sym_lambda,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(375), 1,
      anon_sym_await,
    ACTIONS(377), 1,
      sym__string_start,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(389), 1,
      anon_sym_LPAREN,
    ACTIONS(463), 1,
      anon_sym_STAR,
    STATE(381), 1,
      sym_string,
    STATE(812), 1,
      sym_list_splat,
    ACTIONS(369), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(393), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(363), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(373), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(721), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [10521] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(13), 1,
      anon_sym_LPAREN,
    ACTIONS(55), 1,
      anon_sym_not,
    ACTIONS(59), 1,
      anon_sym_lambda,
    ACTIONS(63), 1,
      anon_sym_LBRACK,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_await,
    ACTIONS(73), 1,
      sym__string_start,
    STATE(117), 1,
      sym_string,
    ACTIONS(65), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(237), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(782), 2,
      sym__newline,
      sym__semicolon,
    ACTIONS(57), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(69), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(714), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(109), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [10603] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(788), 1,
      anon_sym_except,
    STATE(232), 2,
      sym_except_clause,
      aux_sym_try_statement_repeat1,
    ACTIONS(784), 11,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(786), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [10661] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_not,
    ACTIONS(365), 1,
      anon_sym_lambda,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(375), 1,
      anon_sym_await,
    ACTIONS(377), 1,
      sym__string_start,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(389), 1,
      anon_sym_LPAREN,
    ACTIONS(700), 1,
      anon_sym_COLON,
    STATE(381), 1,
      sym_string,
    STATE(880), 1,
      sym_slice,
    ACTIONS(369), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(393), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(363), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(373), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(688), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [10745] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(548), 1,
      anon_sym_else,
    ACTIONS(772), 1,
      anon_sym_elif,
    STATE(277), 1,
      aux_sym_if_statement_repeat1,
    STATE(362), 1,
      sym_elif_clause,
    STATE(433), 1,
      sym_else_clause,
    ACTIONS(791), 11,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(793), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [10809] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_not,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(375), 1,
      anon_sym_await,
    ACTIONS(377), 1,
      sym__string_start,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(389), 1,
      anon_sym_LPAREN,
    ACTIONS(397), 1,
      anon_sym_lambda,
    STATE(381), 1,
      sym_string,
    ACTIONS(369), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(393), 2,
      anon_sym_print,
      anon_sym_exec,
    STATE(690), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(363), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(373), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(660), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [10891] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_not,
    ACTIONS(365), 1,
      anon_sym_lambda,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(375), 1,
      anon_sym_await,
    ACTIONS(377), 1,
      sym__string_start,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(389), 1,
      anon_sym_LPAREN,
    STATE(381), 1,
      sym_string,
    ACTIONS(369), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(393), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(795), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(363), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(373), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(761), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [10973] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(548), 1,
      anon_sym_else,
    ACTIONS(772), 1,
      anon_sym_elif,
    STATE(239), 1,
      aux_sym_if_statement_repeat1,
    STATE(362), 1,
      sym_elif_clause,
    STATE(467), 1,
      sym_else_clause,
    ACTIONS(797), 11,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(799), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [11037] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_not,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(375), 1,
      anon_sym_await,
    ACTIONS(377), 1,
      sym__string_start,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(389), 1,
      anon_sym_LPAREN,
    ACTIONS(397), 1,
      anon_sym_lambda,
    STATE(381), 1,
      sym_string,
    ACTIONS(369), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(393), 2,
      anon_sym_print,
      anon_sym_exec,
    STATE(664), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(363), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(373), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(662), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [11119] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(548), 1,
      anon_sym_else,
    ACTIONS(772), 1,
      anon_sym_elif,
    STATE(277), 1,
      aux_sym_if_statement_repeat1,
    STATE(362), 1,
      sym_elif_clause,
    STATE(459), 1,
      sym_else_clause,
    ACTIONS(776), 11,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(774), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [11183] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_not,
    ACTIONS(365), 1,
      anon_sym_lambda,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(375), 1,
      anon_sym_await,
    ACTIONS(377), 1,
      sym__string_start,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(389), 1,
      anon_sym_LPAREN,
    ACTIONS(700), 1,
      anon_sym_COLON,
    STATE(381), 1,
      sym_string,
    STATE(900), 1,
      sym_slice,
    ACTIONS(369), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(393), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(363), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(373), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(702), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [11267] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_not,
    ACTIONS(365), 1,
      anon_sym_lambda,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(375), 1,
      anon_sym_await,
    ACTIONS(377), 1,
      sym__string_start,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(389), 1,
      anon_sym_LPAREN,
    ACTIONS(465), 1,
      anon_sym_yield,
    STATE(381), 1,
      sym_string,
    STATE(951), 1,
      sym_yield,
    ACTIONS(369), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(393), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(363), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(373), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(748), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [11351] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(684), 1,
      anon_sym_else,
    ACTIONS(778), 1,
      anon_sym_elif,
    STATE(249), 1,
      aux_sym_if_statement_repeat1,
    STATE(365), 1,
      sym_elif_clause,
    STATE(406), 1,
      sym_else_clause,
    ACTIONS(768), 11,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(770), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [11415] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(13), 1,
      anon_sym_LPAREN,
    ACTIONS(55), 1,
      anon_sym_not,
    ACTIONS(59), 1,
      anon_sym_lambda,
    ACTIONS(63), 1,
      anon_sym_LBRACK,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_await,
    ACTIONS(73), 1,
      sym__string_start,
    STATE(117), 1,
      sym_string,
    ACTIONS(65), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(237), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(801), 2,
      sym__newline,
      sym__semicolon,
    ACTIONS(57), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(69), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(714), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(109), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [11497] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_not,
    ACTIONS(365), 1,
      anon_sym_lambda,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(375), 1,
      anon_sym_await,
    ACTIONS(377), 1,
      sym__string_start,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(389), 1,
      anon_sym_LPAREN,
    STATE(381), 1,
      sym_string,
    ACTIONS(369), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(393), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(714), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(363), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(373), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(739), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [11579] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(13), 1,
      anon_sym_LPAREN,
    ACTIONS(55), 1,
      anon_sym_not,
    ACTIONS(59), 1,
      anon_sym_lambda,
    ACTIONS(63), 1,
      anon_sym_LBRACK,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_await,
    ACTIONS(73), 1,
      sym__string_start,
    STATE(117), 1,
      sym_string,
    ACTIONS(65), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(237), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(803), 2,
      sym__newline,
      sym__semicolon,
    ACTIONS(57), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(69), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(714), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(109), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [11661] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_not,
    ACTIONS(365), 1,
      anon_sym_lambda,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(375), 1,
      anon_sym_await,
    ACTIONS(377), 1,
      sym__string_start,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(389), 1,
      anon_sym_LPAREN,
    ACTIONS(700), 1,
      anon_sym_COLON,
    STATE(381), 1,
      sym_string,
    STATE(884), 1,
      sym_slice,
    ACTIONS(369), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(393), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(363), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(373), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(673), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [11745] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(684), 1,
      anon_sym_else,
    ACTIONS(778), 1,
      anon_sym_elif,
    STATE(228), 1,
      aux_sym_if_statement_repeat1,
    STATE(365), 1,
      sym_elif_clause,
    STATE(396), 1,
      sym_else_clause,
    ACTIONS(797), 11,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(799), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [11809] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_not,
    ACTIONS(365), 1,
      anon_sym_lambda,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(375), 1,
      anon_sym_await,
    ACTIONS(377), 1,
      sym__string_start,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(389), 1,
      anon_sym_LPAREN,
    STATE(381), 1,
      sym_string,
    ACTIONS(369), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(393), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(805), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(363), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(373), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(737), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [11891] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(684), 1,
      anon_sym_else,
    ACTIONS(778), 1,
      anon_sym_elif,
    STATE(279), 1,
      aux_sym_if_statement_repeat1,
    STATE(365), 1,
      sym_elif_clause,
    STATE(395), 1,
      sym_else_clause,
    ACTIONS(791), 11,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(793), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [11955] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(807), 1,
      anon_sym_except,
    STATE(250), 2,
      sym_except_clause,
      aux_sym_try_statement_repeat1,
    ACTIONS(784), 11,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(786), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [12013] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_not,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(375), 1,
      anon_sym_await,
    ACTIONS(377), 1,
      sym__string_start,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(389), 1,
      anon_sym_LPAREN,
    ACTIONS(397), 1,
      anon_sym_lambda,
    STATE(381), 1,
      sym_string,
    ACTIONS(369), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(393), 2,
      anon_sym_print,
      anon_sym_exec,
    STATE(700), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(363), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(373), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(659), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [12095] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_not,
    ACTIONS(365), 1,
      anon_sym_lambda,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(375), 1,
      anon_sym_await,
    ACTIONS(377), 1,
      sym__string_start,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(389), 1,
      anon_sym_LPAREN,
    ACTIONS(700), 1,
      anon_sym_COLON,
    STATE(381), 1,
      sym_string,
    STATE(947), 1,
      sym_slice,
    ACTIONS(369), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(393), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(363), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(373), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(729), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [12179] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(810), 1,
      sym_identifier,
    ACTIONS(812), 1,
      anon_sym_LPAREN,
    ACTIONS(816), 1,
      anon_sym_COLON,
    ACTIONS(818), 1,
      anon_sym_not,
    ACTIONS(822), 1,
      anon_sym_lambda,
    ACTIONS(824), 1,
      anon_sym_LBRACK,
    ACTIONS(828), 1,
      anon_sym_LBRACE,
    ACTIONS(832), 1,
      anon_sym_await,
    ACTIONS(834), 1,
      sym__string_start,
    STATE(505), 1,
      sym_string,
    ACTIONS(814), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(826), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(820), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(830), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(733), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(503), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [12260] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_not,
    ACTIONS(365), 1,
      anon_sym_lambda,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(375), 1,
      anon_sym_await,
    ACTIONS(377), 1,
      sym__string_start,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(389), 1,
      anon_sym_LPAREN,
    STATE(381), 1,
      sym_string,
    STATE(1012), 1,
      sym_expression_list,
    ACTIONS(369), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(393), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(363), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(373), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(698), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [12341] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_not,
    ACTIONS(365), 1,
      anon_sym_lambda,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(375), 1,
      anon_sym_await,
    ACTIONS(377), 1,
      sym__string_start,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(389), 1,
      anon_sym_LPAREN,
    STATE(381), 1,
      sym_string,
    STATE(1011), 1,
      sym_type,
    ACTIONS(369), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(393), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(363), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(373), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(682), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [12422] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(838), 11,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(836), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [12475] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(840), 11,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(842), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [12528] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(13), 1,
      anon_sym_LPAREN,
    ACTIONS(55), 1,
      anon_sym_not,
    ACTIONS(59), 1,
      anon_sym_lambda,
    ACTIONS(63), 1,
      anon_sym_LBRACK,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_await,
    ACTIONS(73), 1,
      sym__string_start,
    STATE(117), 1,
      sym_string,
    STATE(925), 1,
      sym_expression_list,
    ACTIONS(65), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(237), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(57), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(69), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(599), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(109), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [12609] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_not,
    ACTIONS(365), 1,
      anon_sym_lambda,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(375), 1,
      anon_sym_await,
    ACTIONS(377), 1,
      sym__string_start,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(389), 1,
      anon_sym_LPAREN,
    STATE(381), 1,
      sym_string,
    STATE(1009), 1,
      sym_type,
    ACTIONS(369), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(393), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(363), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(373), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(682), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [12690] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(846), 11,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(844), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [12743] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(850), 11,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(848), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [12796] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(854), 11,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(852), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [12849] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(854), 11,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(852), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [12902] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(840), 11,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(842), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [12955] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_not,
    ACTIONS(365), 1,
      anon_sym_lambda,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(375), 1,
      anon_sym_await,
    ACTIONS(377), 1,
      sym__string_start,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(389), 1,
      anon_sym_LPAREN,
    STATE(381), 1,
      sym_string,
    STATE(1007), 1,
      sym_expression_list,
    ACTIONS(369), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(393), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(363), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(373), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(698), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [13036] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_not,
    ACTIONS(365), 1,
      anon_sym_lambda,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(375), 1,
      anon_sym_await,
    ACTIONS(377), 1,
      sym__string_start,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(389), 1,
      anon_sym_LPAREN,
    STATE(381), 1,
      sym_string,
    STATE(1003), 1,
      sym_expression_list,
    ACTIONS(369), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(393), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(363), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(373), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(698), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [13117] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(850), 11,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(848), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [13170] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(810), 1,
      sym_identifier,
    ACTIONS(812), 1,
      anon_sym_LPAREN,
    ACTIONS(818), 1,
      anon_sym_not,
    ACTIONS(822), 1,
      anon_sym_lambda,
    ACTIONS(824), 1,
      anon_sym_LBRACK,
    ACTIONS(828), 1,
      anon_sym_LBRACE,
    ACTIONS(832), 1,
      anon_sym_await,
    ACTIONS(834), 1,
      sym__string_start,
    STATE(505), 1,
      sym_string,
    STATE(822), 1,
      sym_with_item,
    ACTIONS(814), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(826), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(820), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(830), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(722), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(503), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [13251] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(810), 1,
      sym_identifier,
    ACTIONS(812), 1,
      anon_sym_LPAREN,
    ACTIONS(818), 1,
      anon_sym_not,
    ACTIONS(822), 1,
      anon_sym_lambda,
    ACTIONS(824), 1,
      anon_sym_LBRACK,
    ACTIONS(828), 1,
      anon_sym_LBRACE,
    ACTIONS(832), 1,
      anon_sym_await,
    ACTIONS(834), 1,
      sym__string_start,
    STATE(505), 1,
      sym_string,
    STATE(835), 1,
      sym_with_item,
    ACTIONS(814), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(826), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(820), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(830), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(722), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(503), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [13332] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(810), 1,
      sym_identifier,
    ACTIONS(812), 1,
      anon_sym_LPAREN,
    ACTIONS(818), 1,
      anon_sym_not,
    ACTIONS(822), 1,
      anon_sym_lambda,
    ACTIONS(824), 1,
      anon_sym_LBRACK,
    ACTIONS(828), 1,
      anon_sym_LBRACE,
    ACTIONS(832), 1,
      anon_sym_await,
    ACTIONS(834), 1,
      sym__string_start,
    STATE(505), 1,
      sym_string,
    STATE(879), 1,
      sym_with_item,
    ACTIONS(814), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(826), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(820), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(830), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(722), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(503), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [13413] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_not,
    ACTIONS(365), 1,
      anon_sym_lambda,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(375), 1,
      anon_sym_await,
    ACTIONS(377), 1,
      sym__string_start,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(389), 1,
      anon_sym_LPAREN,
    STATE(381), 1,
      sym_string,
    STATE(1020), 1,
      sym_type,
    ACTIONS(369), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(393), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(363), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(373), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(682), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [13494] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(13), 1,
      anon_sym_LPAREN,
    ACTIONS(55), 1,
      anon_sym_not,
    ACTIONS(59), 1,
      anon_sym_lambda,
    ACTIONS(63), 1,
      anon_sym_LBRACK,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_await,
    ACTIONS(73), 1,
      sym__string_start,
    STATE(117), 1,
      sym_string,
    STATE(815), 1,
      sym_type,
    ACTIONS(65), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(237), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(57), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(69), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(732), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(109), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [13575] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(838), 11,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(836), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [13628] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_not,
    ACTIONS(365), 1,
      anon_sym_lambda,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(375), 1,
      anon_sym_await,
    ACTIONS(377), 1,
      sym__string_start,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(389), 1,
      anon_sym_LPAREN,
    STATE(381), 1,
      sym_string,
    STATE(1010), 1,
      sym_type,
    ACTIONS(369), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(393), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(363), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(373), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(682), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [13709] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(810), 1,
      sym_identifier,
    ACTIONS(812), 1,
      anon_sym_LPAREN,
    ACTIONS(818), 1,
      anon_sym_not,
    ACTIONS(822), 1,
      anon_sym_lambda,
    ACTIONS(824), 1,
      anon_sym_LBRACK,
    ACTIONS(828), 1,
      anon_sym_LBRACE,
    ACTIONS(832), 1,
      anon_sym_await,
    ACTIONS(834), 1,
      sym__string_start,
    STATE(505), 1,
      sym_string,
    STATE(935), 1,
      sym_with_item,
    ACTIONS(814), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(826), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(820), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(830), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(722), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(503), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [13790] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(810), 1,
      sym_identifier,
    ACTIONS(812), 1,
      anon_sym_LPAREN,
    ACTIONS(818), 1,
      anon_sym_not,
    ACTIONS(822), 1,
      anon_sym_lambda,
    ACTIONS(824), 1,
      anon_sym_LBRACK,
    ACTIONS(828), 1,
      anon_sym_LBRACE,
    ACTIONS(832), 1,
      anon_sym_await,
    ACTIONS(834), 1,
      sym__string_start,
    ACTIONS(856), 1,
      anon_sym_COLON,
    STATE(505), 1,
      sym_string,
    ACTIONS(814), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(826), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(820), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(830), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(731), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(503), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [13871] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(862), 1,
      anon_sym_elif,
    STATE(277), 1,
      aux_sym_if_statement_repeat1,
    STATE(362), 1,
      sym_elif_clause,
    ACTIONS(858), 11,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(860), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [13930] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_not,
    ACTIONS(365), 1,
      anon_sym_lambda,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(375), 1,
      anon_sym_await,
    ACTIONS(377), 1,
      sym__string_start,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(389), 1,
      anon_sym_LPAREN,
    STATE(381), 1,
      sym_string,
    STATE(955), 1,
      sym_type,
    ACTIONS(369), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(393), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(363), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(373), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(682), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [14011] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(865), 1,
      anon_sym_elif,
    STATE(279), 1,
      aux_sym_if_statement_repeat1,
    STATE(365), 1,
      sym_elif_clause,
    ACTIONS(858), 11,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(860), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [14070] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_not,
    ACTIONS(365), 1,
      anon_sym_lambda,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(375), 1,
      anon_sym_await,
    ACTIONS(377), 1,
      sym__string_start,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(389), 1,
      anon_sym_LPAREN,
    STATE(381), 1,
      sym_string,
    STATE(779), 1,
      sym_type,
    ACTIONS(369), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(393), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(363), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(373), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(682), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [14151] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_not,
    ACTIONS(365), 1,
      anon_sym_lambda,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(375), 1,
      anon_sym_await,
    ACTIONS(377), 1,
      sym__string_start,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(389), 1,
      anon_sym_LPAREN,
    STATE(381), 1,
      sym_string,
    STATE(881), 1,
      sym_type,
    ACTIONS(369), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(393), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(363), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(373), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(682), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [14232] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(846), 11,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(844), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [14285] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_not,
    ACTIONS(365), 1,
      anon_sym_lambda,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(375), 1,
      anon_sym_await,
    ACTIONS(377), 1,
      sym__string_start,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(389), 1,
      anon_sym_LPAREN,
    STATE(381), 1,
      sym_string,
    STATE(1029), 1,
      sym_expression_list,
    ACTIONS(369), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(393), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(363), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(373), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(698), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [14366] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(810), 1,
      sym_identifier,
    ACTIONS(812), 1,
      anon_sym_LPAREN,
    ACTIONS(818), 1,
      anon_sym_not,
    ACTIONS(822), 1,
      anon_sym_lambda,
    ACTIONS(824), 1,
      anon_sym_LBRACK,
    ACTIONS(828), 1,
      anon_sym_LBRACE,
    ACTIONS(832), 1,
      anon_sym_await,
    ACTIONS(834), 1,
      sym__string_start,
    STATE(505), 1,
      sym_string,
    STATE(876), 1,
      sym_with_item,
    ACTIONS(814), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(826), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(820), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(830), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(722), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(503), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [14447] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_not,
    ACTIONS(365), 1,
      anon_sym_lambda,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(375), 1,
      anon_sym_await,
    ACTIONS(377), 1,
      sym__string_start,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(389), 1,
      anon_sym_LPAREN,
    STATE(381), 1,
      sym_string,
    ACTIONS(369), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(393), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(363), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(373), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(705), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [14525] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_not,
    ACTIONS(365), 1,
      anon_sym_lambda,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(375), 1,
      anon_sym_await,
    ACTIONS(377), 1,
      sym__string_start,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(389), 1,
      anon_sym_LPAREN,
    STATE(381), 1,
      sym_string,
    ACTIONS(369), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(393), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(363), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(373), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(789), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [14603] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(13), 1,
      anon_sym_LPAREN,
    ACTIONS(55), 1,
      anon_sym_not,
    ACTIONS(59), 1,
      anon_sym_lambda,
    ACTIONS(63), 1,
      anon_sym_LBRACK,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_await,
    ACTIONS(73), 1,
      sym__string_start,
    STATE(117), 1,
      sym_string,
    ACTIONS(65), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(237), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(57), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(69), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(751), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(109), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [14681] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_not,
    ACTIONS(365), 1,
      anon_sym_lambda,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(375), 1,
      anon_sym_await,
    ACTIONS(377), 1,
      sym__string_start,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(389), 1,
      anon_sym_LPAREN,
    STATE(381), 1,
      sym_string,
    ACTIONS(369), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(393), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(363), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(373), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(697), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [14759] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(870), 11,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(868), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [14811] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(13), 1,
      anon_sym_LPAREN,
    ACTIONS(55), 1,
      anon_sym_not,
    ACTIONS(59), 1,
      anon_sym_lambda,
    ACTIONS(63), 1,
      anon_sym_LBRACK,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_await,
    ACTIONS(73), 1,
      sym__string_start,
    STATE(117), 1,
      sym_string,
    ACTIONS(65), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(237), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(57), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(69), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(604), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(109), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [14889] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(874), 11,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(872), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [14941] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_not,
    ACTIONS(365), 1,
      anon_sym_lambda,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(375), 1,
      anon_sym_await,
    ACTIONS(377), 1,
      sym__string_start,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(389), 1,
      anon_sym_LPAREN,
    STATE(381), 1,
      sym_string,
    ACTIONS(369), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(393), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(363), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(373), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(670), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [15019] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(13), 1,
      anon_sym_LPAREN,
    ACTIONS(55), 1,
      anon_sym_not,
    ACTIONS(59), 1,
      anon_sym_lambda,
    ACTIONS(63), 1,
      anon_sym_LBRACK,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_await,
    ACTIONS(73), 1,
      sym__string_start,
    STATE(117), 1,
      sym_string,
    ACTIONS(65), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(237), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(57), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(69), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(757), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(109), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [15097] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(878), 11,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(876), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [15149] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(13), 1,
      anon_sym_LPAREN,
    ACTIONS(55), 1,
      anon_sym_not,
    ACTIONS(59), 1,
      anon_sym_lambda,
    ACTIONS(63), 1,
      anon_sym_LBRACK,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_await,
    ACTIONS(73), 1,
      sym__string_start,
    STATE(117), 1,
      sym_string,
    ACTIONS(65), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(237), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(57), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(69), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(738), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(109), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [15227] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(810), 1,
      sym_identifier,
    ACTIONS(812), 1,
      anon_sym_LPAREN,
    ACTIONS(818), 1,
      anon_sym_not,
    ACTIONS(822), 1,
      anon_sym_lambda,
    ACTIONS(824), 1,
      anon_sym_LBRACK,
    ACTIONS(828), 1,
      anon_sym_LBRACE,
    ACTIONS(832), 1,
      anon_sym_await,
    ACTIONS(834), 1,
      sym__string_start,
    STATE(505), 1,
      sym_string,
    ACTIONS(814), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(826), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(820), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(830), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(730), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(503), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [15305] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(882), 11,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(880), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [15357] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(886), 11,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(884), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [15409] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(13), 1,
      anon_sym_LPAREN,
    ACTIONS(55), 1,
      anon_sym_not,
    ACTIONS(59), 1,
      anon_sym_lambda,
    ACTIONS(63), 1,
      anon_sym_LBRACK,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_await,
    ACTIONS(73), 1,
      sym__string_start,
    STATE(117), 1,
      sym_string,
    ACTIONS(65), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(237), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(57), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(69), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(726), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(109), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [15487] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(874), 11,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(872), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [15539] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_not,
    ACTIONS(365), 1,
      anon_sym_lambda,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(375), 1,
      anon_sym_await,
    ACTIONS(377), 1,
      sym__string_start,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(389), 1,
      anon_sym_LPAREN,
    STATE(381), 1,
      sym_string,
    ACTIONS(369), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(393), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(363), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(373), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(696), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [15617] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(870), 11,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(868), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [15669] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_not,
    ACTIONS(365), 1,
      anon_sym_lambda,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(375), 1,
      anon_sym_await,
    ACTIONS(377), 1,
      sym__string_start,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(389), 1,
      anon_sym_LPAREN,
    STATE(381), 1,
      sym_string,
    ACTIONS(369), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(393), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(363), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(373), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(706), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [15747] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(810), 1,
      sym_identifier,
    ACTIONS(812), 1,
      anon_sym_LPAREN,
    ACTIONS(818), 1,
      anon_sym_not,
    ACTIONS(822), 1,
      anon_sym_lambda,
    ACTIONS(824), 1,
      anon_sym_LBRACK,
    ACTIONS(828), 1,
      anon_sym_LBRACE,
    ACTIONS(832), 1,
      anon_sym_await,
    ACTIONS(834), 1,
      sym__string_start,
    STATE(505), 1,
      sym_string,
    ACTIONS(814), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(826), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(820), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(830), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(712), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(503), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [15825] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(888), 11,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(890), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [15877] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(810), 1,
      sym_identifier,
    ACTIONS(812), 1,
      anon_sym_LPAREN,
    ACTIONS(818), 1,
      anon_sym_not,
    ACTIONS(822), 1,
      anon_sym_lambda,
    ACTIONS(824), 1,
      anon_sym_LBRACK,
    ACTIONS(828), 1,
      anon_sym_LBRACE,
    ACTIONS(832), 1,
      anon_sym_await,
    ACTIONS(834), 1,
      sym__string_start,
    STATE(505), 1,
      sym_string,
    ACTIONS(814), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(826), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(820), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(830), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(704), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(503), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [15955] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(13), 1,
      anon_sym_LPAREN,
    ACTIONS(55), 1,
      anon_sym_not,
    ACTIONS(59), 1,
      anon_sym_lambda,
    ACTIONS(63), 1,
      anon_sym_LBRACK,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_await,
    ACTIONS(73), 1,
      sym__string_start,
    STATE(117), 1,
      sym_string,
    ACTIONS(65), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(237), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(57), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(69), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(607), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(109), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [16033] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_not,
    ACTIONS(365), 1,
      anon_sym_lambda,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(375), 1,
      anon_sym_await,
    ACTIONS(377), 1,
      sym__string_start,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(389), 1,
      anon_sym_LPAREN,
    STATE(381), 1,
      sym_string,
    ACTIONS(369), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(393), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(363), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(373), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(643), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [16111] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_not,
    ACTIONS(365), 1,
      anon_sym_lambda,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(375), 1,
      anon_sym_await,
    ACTIONS(377), 1,
      sym__string_start,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(389), 1,
      anon_sym_LPAREN,
    STATE(381), 1,
      sym_string,
    ACTIONS(369), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(393), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(363), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(373), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(689), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [16189] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_not,
    ACTIONS(365), 1,
      anon_sym_lambda,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(375), 1,
      anon_sym_await,
    ACTIONS(377), 1,
      sym__string_start,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(389), 1,
      anon_sym_LPAREN,
    STATE(381), 1,
      sym_string,
    ACTIONS(369), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(393), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(363), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(373), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(727), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [16267] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_not,
    ACTIONS(365), 1,
      anon_sym_lambda,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(375), 1,
      anon_sym_await,
    ACTIONS(377), 1,
      sym__string_start,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(389), 1,
      anon_sym_LPAREN,
    STATE(381), 1,
      sym_string,
    ACTIONS(369), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(393), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(363), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(373), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(668), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [16345] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_not,
    ACTIONS(365), 1,
      anon_sym_lambda,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(375), 1,
      anon_sym_await,
    ACTIONS(377), 1,
      sym__string_start,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(389), 1,
      anon_sym_LPAREN,
    STATE(381), 1,
      sym_string,
    ACTIONS(369), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(393), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(363), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(373), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(628), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [16423] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(13), 1,
      anon_sym_LPAREN,
    ACTIONS(55), 1,
      anon_sym_not,
    ACTIONS(59), 1,
      anon_sym_lambda,
    ACTIONS(63), 1,
      anon_sym_LBRACK,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_await,
    ACTIONS(73), 1,
      sym__string_start,
    STATE(117), 1,
      sym_string,
    ACTIONS(65), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(237), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(57), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(69), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(605), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(109), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [16501] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(888), 11,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(890), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [16553] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(882), 11,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(880), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [16605] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_not,
    ACTIONS(365), 1,
      anon_sym_lambda,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(375), 1,
      anon_sym_await,
    ACTIONS(377), 1,
      sym__string_start,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(389), 1,
      anon_sym_LPAREN,
    STATE(381), 1,
      sym_string,
    ACTIONS(369), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(393), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(363), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(373), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(775), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [16683] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_not,
    ACTIONS(365), 1,
      anon_sym_lambda,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(375), 1,
      anon_sym_await,
    ACTIONS(377), 1,
      sym__string_start,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(389), 1,
      anon_sym_LPAREN,
    STATE(381), 1,
      sym_string,
    ACTIONS(369), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(393), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(363), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(373), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(740), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [16761] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(13), 1,
      anon_sym_LPAREN,
    ACTIONS(55), 1,
      anon_sym_not,
    ACTIONS(59), 1,
      anon_sym_lambda,
    ACTIONS(63), 1,
      anon_sym_LBRACK,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_await,
    ACTIONS(73), 1,
      sym__string_start,
    STATE(117), 1,
      sym_string,
    ACTIONS(65), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(237), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(57), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(69), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(603), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(109), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [16839] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(13), 1,
      anon_sym_LPAREN,
    ACTIONS(55), 1,
      anon_sym_not,
    ACTIONS(59), 1,
      anon_sym_lambda,
    ACTIONS(63), 1,
      anon_sym_LBRACK,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_await,
    ACTIONS(73), 1,
      sym__string_start,
    STATE(117), 1,
      sym_string,
    ACTIONS(65), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(237), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(57), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(69), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(600), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(109), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [16917] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(878), 11,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(876), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [16969] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_not,
    ACTIONS(365), 1,
      anon_sym_lambda,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(375), 1,
      anon_sym_await,
    ACTIONS(377), 1,
      sym__string_start,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(389), 1,
      anon_sym_LPAREN,
    STATE(381), 1,
      sym_string,
    ACTIONS(369), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(393), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(363), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(373), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(627), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [17047] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_not,
    ACTIONS(365), 1,
      anon_sym_lambda,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(375), 1,
      anon_sym_await,
    ACTIONS(377), 1,
      sym__string_start,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(389), 1,
      anon_sym_LPAREN,
    STATE(381), 1,
      sym_string,
    ACTIONS(369), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(393), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(363), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(373), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(764), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [17125] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_not,
    ACTIONS(365), 1,
      anon_sym_lambda,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(375), 1,
      anon_sym_await,
    ACTIONS(377), 1,
      sym__string_start,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(389), 1,
      anon_sym_LPAREN,
    STATE(381), 1,
      sym_string,
    ACTIONS(369), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(393), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(363), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(373), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(734), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [17203] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(13), 1,
      anon_sym_LPAREN,
    ACTIONS(55), 1,
      anon_sym_not,
    ACTIONS(59), 1,
      anon_sym_lambda,
    ACTIONS(63), 1,
      anon_sym_LBRACK,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_await,
    ACTIONS(73), 1,
      sym__string_start,
    STATE(117), 1,
      sym_string,
    ACTIONS(65), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(237), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(57), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(69), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(714), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(109), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [17281] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(810), 1,
      sym_identifier,
    ACTIONS(812), 1,
      anon_sym_LPAREN,
    ACTIONS(818), 1,
      anon_sym_not,
    ACTIONS(822), 1,
      anon_sym_lambda,
    ACTIONS(824), 1,
      anon_sym_LBRACK,
    ACTIONS(828), 1,
      anon_sym_LBRACE,
    ACTIONS(832), 1,
      anon_sym_await,
    ACTIONS(834), 1,
      sym__string_start,
    STATE(505), 1,
      sym_string,
    ACTIONS(814), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(826), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(820), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(830), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(728), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(503), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [17359] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(13), 1,
      anon_sym_LPAREN,
    ACTIONS(55), 1,
      anon_sym_not,
    ACTIONS(59), 1,
      anon_sym_lambda,
    ACTIONS(63), 1,
      anon_sym_LBRACK,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_await,
    ACTIONS(73), 1,
      sym__string_start,
    STATE(117), 1,
      sym_string,
    ACTIONS(65), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(237), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(57), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(69), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(602), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(109), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [17437] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_not,
    ACTIONS(365), 1,
      anon_sym_lambda,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(375), 1,
      anon_sym_await,
    ACTIONS(377), 1,
      sym__string_start,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(389), 1,
      anon_sym_LPAREN,
    STATE(381), 1,
      sym_string,
    ACTIONS(369), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(393), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(363), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(373), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(626), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [17515] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_not,
    ACTIONS(365), 1,
      anon_sym_lambda,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(375), 1,
      anon_sym_await,
    ACTIONS(377), 1,
      sym__string_start,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(389), 1,
      anon_sym_LPAREN,
    STATE(381), 1,
      sym_string,
    ACTIONS(369), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(393), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(363), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(373), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(770), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [17593] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_not,
    ACTIONS(365), 1,
      anon_sym_lambda,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(375), 1,
      anon_sym_await,
    ACTIONS(377), 1,
      sym__string_start,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(389), 1,
      anon_sym_LPAREN,
    STATE(381), 1,
      sym_string,
    ACTIONS(369), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(393), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(363), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(373), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(640), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [17671] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(886), 11,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(884), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [17723] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_not,
    ACTIONS(365), 1,
      anon_sym_lambda,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(375), 1,
      anon_sym_await,
    ACTIONS(377), 1,
      sym__string_start,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(389), 1,
      anon_sym_LPAREN,
    STATE(381), 1,
      sym_string,
    ACTIONS(369), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(393), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(363), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(373), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(772), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [17801] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_not,
    ACTIONS(365), 1,
      anon_sym_lambda,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(375), 1,
      anon_sym_await,
    ACTIONS(377), 1,
      sym__string_start,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(389), 1,
      anon_sym_LPAREN,
    STATE(381), 1,
      sym_string,
    ACTIONS(369), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(393), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(363), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(373), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(719), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [17879] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_not,
    ACTIONS(365), 1,
      anon_sym_lambda,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(375), 1,
      anon_sym_await,
    ACTIONS(377), 1,
      sym__string_start,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(389), 1,
      anon_sym_LPAREN,
    STATE(381), 1,
      sym_string,
    ACTIONS(369), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(393), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(363), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(373), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(800), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [17957] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_not,
    ACTIONS(365), 1,
      anon_sym_lambda,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(375), 1,
      anon_sym_await,
    ACTIONS(377), 1,
      sym__string_start,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(389), 1,
      anon_sym_LPAREN,
    STATE(381), 1,
      sym_string,
    ACTIONS(369), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(393), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(363), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(373), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(793), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [18035] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_not,
    ACTIONS(365), 1,
      anon_sym_lambda,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(375), 1,
      anon_sym_await,
    ACTIONS(377), 1,
      sym__string_start,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(389), 1,
      anon_sym_LPAREN,
    STATE(381), 1,
      sym_string,
    ACTIONS(369), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(393), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(363), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(373), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(633), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [18113] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_not,
    ACTIONS(365), 1,
      anon_sym_lambda,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(375), 1,
      anon_sym_await,
    ACTIONS(377), 1,
      sym__string_start,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(389), 1,
      anon_sym_LPAREN,
    STATE(381), 1,
      sym_string,
    ACTIONS(369), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(393), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(363), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(373), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(794), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [18191] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(13), 1,
      anon_sym_LPAREN,
    ACTIONS(55), 1,
      anon_sym_not,
    ACTIONS(59), 1,
      anon_sym_lambda,
    ACTIONS(63), 1,
      anon_sym_LBRACK,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_await,
    ACTIONS(73), 1,
      sym__string_start,
    STATE(117), 1,
      sym_string,
    ACTIONS(65), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(237), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(57), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(69), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(609), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(109), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [18269] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_not,
    ACTIONS(365), 1,
      anon_sym_lambda,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(375), 1,
      anon_sym_await,
    ACTIONS(377), 1,
      sym__string_start,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(389), 1,
      anon_sym_LPAREN,
    STATE(381), 1,
      sym_string,
    ACTIONS(369), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(393), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(363), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(373), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(802), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [18347] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_not,
    ACTIONS(365), 1,
      anon_sym_lambda,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(375), 1,
      anon_sym_await,
    ACTIONS(377), 1,
      sym__string_start,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(389), 1,
      anon_sym_LPAREN,
    STATE(381), 1,
      sym_string,
    ACTIONS(369), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(393), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(363), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(373), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(797), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [18425] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(13), 1,
      anon_sym_LPAREN,
    ACTIONS(55), 1,
      anon_sym_not,
    ACTIONS(59), 1,
      anon_sym_lambda,
    ACTIONS(63), 1,
      anon_sym_LBRACK,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_await,
    ACTIONS(73), 1,
      sym__string_start,
    STATE(117), 1,
      sym_string,
    ACTIONS(65), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(237), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(57), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(69), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(691), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(109), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [18503] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(13), 1,
      anon_sym_LPAREN,
    ACTIONS(55), 1,
      anon_sym_not,
    ACTIONS(59), 1,
      anon_sym_lambda,
    ACTIONS(63), 1,
      anon_sym_LBRACK,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_await,
    ACTIONS(73), 1,
      sym__string_start,
    STATE(117), 1,
      sym_string,
    ACTIONS(65), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(237), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(57), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(69), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(608), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(109), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [18581] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_not,
    ACTIONS(365), 1,
      anon_sym_lambda,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(375), 1,
      anon_sym_await,
    ACTIONS(377), 1,
      sym__string_start,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(389), 1,
      anon_sym_LPAREN,
    STATE(381), 1,
      sym_string,
    ACTIONS(369), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(393), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(363), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(373), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(776), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [18659] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_not,
    ACTIONS(365), 1,
      anon_sym_lambda,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(375), 1,
      anon_sym_await,
    ACTIONS(377), 1,
      sym__string_start,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(389), 1,
      anon_sym_LPAREN,
    STATE(381), 1,
      sym_string,
    ACTIONS(369), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(393), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(363), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(373), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(637), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [18737] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(810), 1,
      sym_identifier,
    ACTIONS(812), 1,
      anon_sym_LPAREN,
    ACTIONS(818), 1,
      anon_sym_not,
    ACTIONS(822), 1,
      anon_sym_lambda,
    ACTIONS(824), 1,
      anon_sym_LBRACK,
    ACTIONS(828), 1,
      anon_sym_LBRACE,
    ACTIONS(832), 1,
      anon_sym_await,
    ACTIONS(834), 1,
      sym__string_start,
    STATE(505), 1,
      sym_string,
    ACTIONS(814), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(826), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(820), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(830), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(723), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(503), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [18815] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(810), 1,
      sym_identifier,
    ACTIONS(812), 1,
      anon_sym_LPAREN,
    ACTIONS(818), 1,
      anon_sym_not,
    ACTIONS(822), 1,
      anon_sym_lambda,
    ACTIONS(824), 1,
      anon_sym_LBRACK,
    ACTIONS(828), 1,
      anon_sym_LBRACE,
    ACTIONS(832), 1,
      anon_sym_await,
    ACTIONS(834), 1,
      sym__string_start,
    STATE(505), 1,
      sym_string,
    ACTIONS(814), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(826), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(820), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(830), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(720), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(503), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [18893] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(13), 1,
      anon_sym_LPAREN,
    ACTIONS(55), 1,
      anon_sym_not,
    ACTIONS(59), 1,
      anon_sym_lambda,
    ACTIONS(63), 1,
      anon_sym_LBRACK,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_await,
    ACTIONS(73), 1,
      sym__string_start,
    STATE(117), 1,
      sym_string,
    ACTIONS(65), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(237), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(57), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(69), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(606), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(109), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [18971] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_not,
    ACTIONS(365), 1,
      anon_sym_lambda,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(375), 1,
      anon_sym_await,
    ACTIONS(377), 1,
      sym__string_start,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(389), 1,
      anon_sym_LPAREN,
    STATE(381), 1,
      sym_string,
    ACTIONS(369), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(393), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(363), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(373), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(636), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [19049] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_not,
    ACTIONS(365), 1,
      anon_sym_lambda,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(375), 1,
      anon_sym_await,
    ACTIONS(377), 1,
      sym__string_start,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(389), 1,
      anon_sym_LPAREN,
    STATE(381), 1,
      sym_string,
    ACTIONS(369), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(393), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(363), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(373), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(741), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [19127] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_not,
    ACTIONS(365), 1,
      anon_sym_lambda,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(375), 1,
      anon_sym_await,
    ACTIONS(377), 1,
      sym__string_start,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(389), 1,
      anon_sym_LPAREN,
    STATE(381), 1,
      sym_string,
    ACTIONS(369), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(393), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(363), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(373), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(747), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [19205] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(13), 1,
      anon_sym_LPAREN,
    ACTIONS(55), 1,
      anon_sym_not,
    ACTIONS(59), 1,
      anon_sym_lambda,
    ACTIONS(63), 1,
      anon_sym_LBRACK,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_await,
    ACTIONS(73), 1,
      sym__string_start,
    STATE(117), 1,
      sym_string,
    ACTIONS(65), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(237), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(57), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(69), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(684), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(109), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [19283] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_not,
    ACTIONS(365), 1,
      anon_sym_lambda,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(375), 1,
      anon_sym_await,
    ACTIONS(377), 1,
      sym__string_start,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(389), 1,
      anon_sym_LPAREN,
    STATE(381), 1,
      sym_string,
    ACTIONS(369), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(393), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(363), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(373), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(746), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [19361] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_not,
    ACTIONS(365), 1,
      anon_sym_lambda,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(375), 1,
      anon_sym_await,
    ACTIONS(377), 1,
      sym__string_start,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(389), 1,
      anon_sym_LPAREN,
    STATE(381), 1,
      sym_string,
    ACTIONS(369), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(393), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(363), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(373), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(780), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(383), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [19439] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(810), 1,
      sym_identifier,
    ACTIONS(812), 1,
      anon_sym_LPAREN,
    ACTIONS(818), 1,
      anon_sym_not,
    ACTIONS(822), 1,
      anon_sym_lambda,
    ACTIONS(824), 1,
      anon_sym_LBRACK,
    ACTIONS(828), 1,
      anon_sym_LBRACE,
    ACTIONS(832), 1,
      anon_sym_await,
    ACTIONS(834), 1,
      sym__string_start,
    STATE(505), 1,
      sym_string,
    ACTIONS(814), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(826), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(820), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(830), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(716), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(503), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [19517] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(810), 1,
      sym_identifier,
    ACTIONS(812), 1,
      anon_sym_LPAREN,
    ACTIONS(818), 1,
      anon_sym_not,
    ACTIONS(822), 1,
      anon_sym_lambda,
    ACTIONS(824), 1,
      anon_sym_LBRACK,
    ACTIONS(828), 1,
      anon_sym_LBRACE,
    ACTIONS(832), 1,
      anon_sym_await,
    ACTIONS(834), 1,
      sym__string_start,
    STATE(505), 1,
      sym_string,
    ACTIONS(814), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(826), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(820), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(830), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(709), 8,
      sym_named_expression,
      sym__expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(503), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [19595] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(548), 1,
      anon_sym_else,
    STATE(445), 1,
      sym_else_clause,
    ACTIONS(892), 11,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(894), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [19650] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(684), 1,
      anon_sym_else,
    STATE(457), 1,
      sym_else_clause,
    ACTIONS(898), 11,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(896), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [19705] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(548), 1,
      anon_sym_else,
    STATE(454), 1,
      sym_else_clause,
    ACTIONS(900), 11,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(902), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [19760] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(688), 1,
      anon_sym_finally,
    STATE(435), 1,
      sym_finally_clause,
    ACTIONS(906), 11,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(904), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [19815] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(548), 1,
      anon_sym_else,
    STATE(447), 1,
      sym_else_clause,
    ACTIONS(908), 11,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(910), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [19870] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(912), 11,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(914), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [19921] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(918), 11,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(916), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [19972] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 11,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(922), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [20023] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(548), 1,
      anon_sym_else,
    STATE(442), 1,
      sym_else_clause,
    ACTIONS(898), 11,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(896), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [20078] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(918), 11,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(916), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [20129] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 11,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(922), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [20180] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(684), 1,
      anon_sym_else,
    STATE(419), 1,
      sym_else_clause,
    ACTIONS(900), 11,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(902), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [20235] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(684), 1,
      anon_sym_else,
    STATE(391), 1,
      sym_else_clause,
    ACTIONS(926), 11,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(924), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [20290] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(912), 11,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(914), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [20341] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(688), 1,
      anon_sym_finally,
    STATE(388), 1,
      sym_finally_clause,
    ACTIONS(930), 11,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(928), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [20396] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(548), 1,
      anon_sym_else,
    STATE(440), 1,
      sym_else_clause,
    ACTIONS(926), 11,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(924), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [20451] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(552), 1,
      anon_sym_finally,
    STATE(462), 1,
      sym_finally_clause,
    ACTIONS(930), 11,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(928), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [20506] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(548), 1,
      anon_sym_else,
    STATE(412), 1,
      sym_else_clause,
    ACTIONS(932), 11,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(934), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [20561] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(684), 1,
      anon_sym_else,
    STATE(449), 1,
      sym_else_clause,
    ACTIONS(892), 11,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(894), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [20616] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(684), 1,
      anon_sym_else,
    STATE(403), 1,
      sym_else_clause,
    ACTIONS(932), 11,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(934), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [20671] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(684), 1,
      anon_sym_else,
    STATE(443), 1,
      sym_else_clause,
    ACTIONS(908), 11,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(910), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [20726] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(552), 1,
      anon_sym_finally,
    STATE(453), 1,
      sym_finally_clause,
    ACTIONS(906), 11,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(904), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [20781] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(377), 1,
      sym__string_start,
    STATE(378), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(488), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(486), 34,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      sym_type_conversion,
  [20835] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(936), 1,
      sym__string_start,
    STATE(378), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(477), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(475), 34,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      sym_type_conversion,
  [20889] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(941), 11,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(939), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [20939] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(941), 11,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(939), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [20989] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(377), 1,
      sym__string_start,
    STATE(377), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(469), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(467), 34,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      sym_type_conversion,
  [21043] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 11,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(943), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [21093] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(423), 1,
      anon_sym_EQ,
    ACTIONS(947), 1,
      anon_sym_DOT,
    ACTIONS(949), 1,
      anon_sym_LPAREN,
    ACTIONS(957), 1,
      anon_sym_STAR_STAR,
    ACTIONS(961), 1,
      anon_sym_not,
    ACTIONS(965), 1,
      anon_sym_PIPE,
    ACTIONS(967), 1,
      anon_sym_AMP,
    ACTIONS(969), 1,
      anon_sym_CARET,
    ACTIONS(973), 1,
      anon_sym_is,
    ACTIONS(975), 1,
      anon_sym_LBRACK,
    STATE(598), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(951), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(953), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(963), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(971), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(474), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(959), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(955), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(413), 12,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_and,
      anon_sym_or,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      sym_type_conversion,
  [21177] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 11,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(943), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [21227] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(979), 11,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(977), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [21276] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(981), 11,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(983), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [21325] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(987), 11,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(985), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [21374] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(991), 11,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(989), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [21423] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(995), 11,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(993), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [21472] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(906), 11,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(904), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [21521] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(999), 11,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(997), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [21570] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1003), 11,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1001), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [21619] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1007), 11,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1005), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [21668] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1011), 11,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1009), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [21717] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1015), 11,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1013), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [21766] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1019), 11,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1017), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [21815] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1023), 11,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1021), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [21864] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(981), 11,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(983), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [21913] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1027), 11,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1025), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [21962] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1031), 11,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1029), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [22011] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(930), 11,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(928), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [22060] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(654), 11,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(656), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [22109] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1035), 11,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1033), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [22158] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1037), 11,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1039), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [22207] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1043), 11,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1041), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [22256] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1037), 11,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1039), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [22305] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1043), 11,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1041), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [22354] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(979), 11,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(977), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [22403] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(544), 11,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(546), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [22452] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(947), 1,
      anon_sym_DOT,
    ACTIONS(949), 1,
      anon_sym_LPAREN,
    ACTIONS(957), 1,
      anon_sym_STAR_STAR,
    ACTIONS(965), 1,
      anon_sym_PIPE,
    ACTIONS(967), 1,
      anon_sym_AMP,
    ACTIONS(969), 1,
      anon_sym_CARET,
    ACTIONS(975), 1,
      anon_sym_LBRACK,
    ACTIONS(951), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(953), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(963), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(474), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(504), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(959), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(502), 20,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      sym_type_conversion,
  [22525] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1047), 11,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1045), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [22574] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1035), 11,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1033), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [22623] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(654), 11,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(656), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [22672] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1047), 11,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1045), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [22721] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(544), 11,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(546), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [22770] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1051), 11,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1049), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [22819] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1055), 11,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1053), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [22868] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1059), 11,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1057), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [22917] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1063), 11,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1061), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [22966] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(930), 11,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(928), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [23015] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(949), 1,
      anon_sym_LPAREN,
    ACTIONS(957), 1,
      anon_sym_STAR_STAR,
    ACTIONS(951), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(953), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(963), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(474), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(496), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(959), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(494), 25,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      sym_type_conversion,
  [23078] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1031), 11,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1029), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [23127] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(949), 1,
      anon_sym_LPAREN,
    ACTIONS(957), 1,
      anon_sym_STAR_STAR,
    ACTIONS(969), 1,
      anon_sym_CARET,
    ACTIONS(951), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(953), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(963), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(474), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(496), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(959), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(494), 24,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      sym_type_conversion,
  [23192] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(949), 1,
      anon_sym_LPAREN,
    ACTIONS(957), 1,
      anon_sym_STAR_STAR,
    ACTIONS(967), 1,
      anon_sym_AMP,
    ACTIONS(969), 1,
      anon_sym_CARET,
    ACTIONS(951), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(953), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(963), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(474), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(496), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(959), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(494), 23,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      sym_type_conversion,
  [23259] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1027), 11,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1025), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [23308] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(949), 1,
      anon_sym_LPAREN,
    ACTIONS(957), 1,
      anon_sym_STAR_STAR,
    ACTIONS(951), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(474), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(496), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(959), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(494), 29,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      sym_type_conversion,
  [23367] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(949), 1,
      anon_sym_LPAREN,
    ACTIONS(957), 1,
      anon_sym_STAR_STAR,
    STATE(474), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(496), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(494), 32,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      sym_type_conversion,
  [23422] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 11,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1065), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [23471] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(947), 1,
      anon_sym_DOT,
    ACTIONS(949), 1,
      anon_sym_LPAREN,
    ACTIONS(957), 1,
      anon_sym_STAR_STAR,
    ACTIONS(965), 1,
      anon_sym_PIPE,
    ACTIONS(967), 1,
      anon_sym_AMP,
    ACTIONS(969), 1,
      anon_sym_CARET,
    ACTIONS(975), 1,
      anon_sym_LBRACK,
    ACTIONS(951), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(953), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(963), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(474), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(500), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(959), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(498), 20,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      sym_type_conversion,
  [23544] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1023), 11,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1021), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [23593] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(949), 1,
      anon_sym_LPAREN,
    ACTIONS(957), 1,
      anon_sym_STAR_STAR,
    ACTIONS(951), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(963), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(474), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(496), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(959), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(494), 27,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      sym_type_conversion,
  [23654] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(949), 1,
      anon_sym_LPAREN,
    ACTIONS(957), 1,
      anon_sym_STAR_STAR,
    STATE(474), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(496), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(494), 32,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      sym_type_conversion,
  [23709] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1015), 11,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1013), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [23758] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1071), 11,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1069), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [23807] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1075), 11,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1073), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [23856] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(949), 1,
      anon_sym_LPAREN,
    ACTIONS(957), 1,
      anon_sym_STAR_STAR,
    STATE(474), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(492), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(490), 32,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      sym_type_conversion,
  [23911] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1003), 11,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1001), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [23960] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1079), 11,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1077), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [24009] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1083), 11,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1081), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [24058] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(999), 11,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(997), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [24107] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1085), 11,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1087), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [24156] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1089), 11,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1091), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [24205] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1095), 11,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1093), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [24254] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1097), 11,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1099), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [24303] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1101), 11,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1103), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [24352] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1105), 11,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1107), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [24401] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1095), 11,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1093), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [24450] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1105), 11,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1107), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [24499] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1101), 11,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1103), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [24548] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1097), 11,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1099), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [24597] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1083), 11,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1081), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [24646] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1079), 11,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1077), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [24695] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1075), 11,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1073), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [24744] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1063), 11,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1061), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [24793] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1059), 11,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1057), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [24842] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1055), 11,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1053), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [24891] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1089), 11,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1091), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [24940] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1085), 11,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1087), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [24989] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1051), 11,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1049), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [25038] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 11,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1065), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [25087] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(987), 11,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(985), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [25136] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(991), 11,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(989), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [25185] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(995), 11,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(993), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [25234] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(906), 11,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(904), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [25283] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1011), 11,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1009), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [25332] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1071), 11,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1069), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [25381] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1019), 11,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1017), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [25430] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1007), 11,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1005), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [25479] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1109), 1,
      anon_sym_COLON_EQ,
    ACTIONS(469), 6,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(467), 33,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      sym_type_conversion,
  [25529] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(508), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(506), 35,
      sym__string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      sym_type_conversion,
  [25577] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(516), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(514), 35,
      sym__string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      sym_type_conversion,
  [25625] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(648), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(646), 34,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      sym_type_conversion,
  [25672] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(660), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(658), 34,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      sym_type_conversion,
  [25719] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(532), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(530), 34,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      sym_type_conversion,
  [25766] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(568), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(566), 34,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      sym_type_conversion,
  [25813] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(572), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(570), 34,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      sym_type_conversion,
  [25860] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(538), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(536), 34,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      sym_type_conversion,
  [25907] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(682), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(680), 34,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      sym_type_conversion,
  [25954] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(652), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(650), 34,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      sym_type_conversion,
  [26001] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(576), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(574), 34,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      sym_type_conversion,
  [26048] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(600), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(598), 34,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      sym_type_conversion,
  [26095] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(233), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(235), 34,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      sym_type_conversion,
  [26142] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(524), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(522), 34,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      sym_type_conversion,
  [26189] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(644), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(642), 34,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      sym_type_conversion,
  [26236] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(628), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(626), 34,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      sym_type_conversion,
  [26283] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(560), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(558), 34,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      sym_type_conversion,
  [26330] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(620), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(618), 34,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      sym_type_conversion,
  [26377] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(668), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(666), 34,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      sym_type_conversion,
  [26424] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(590), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(588), 34,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      sym_type_conversion,
  [26471] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(692), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(690), 34,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      sym_type_conversion,
  [26518] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(632), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(630), 34,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      sym_type_conversion,
  [26565] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(674), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(672), 34,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      sym_type_conversion,
  [26612] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(584), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(582), 34,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      sym_type_conversion,
  [26659] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(542), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(540), 34,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      sym_type_conversion,
  [26706] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(608), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(606), 34,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      sym_type_conversion,
  [26753] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(636), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(634), 34,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      sym_type_conversion,
  [26800] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(678), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(676), 34,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      sym_type_conversion,
  [26847] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(612), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(610), 34,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      sym_type_conversion,
  [26894] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(604), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(602), 34,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      sym_type_conversion,
  [26941] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(596), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(594), 34,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      sym_type_conversion,
  [26988] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(640), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(638), 34,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      sym_type_conversion,
  [27035] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(698), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(696), 34,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      sym_type_conversion,
  [27082] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1111), 1,
      anon_sym_DOT,
    ACTIONS(1113), 1,
      anon_sym_LPAREN,
    ACTIONS(1121), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1125), 1,
      anon_sym_not,
    ACTIONS(1129), 1,
      anon_sym_PIPE,
    ACTIONS(1131), 1,
      anon_sym_AMP,
    ACTIONS(1133), 1,
      anon_sym_CARET,
    ACTIONS(1137), 1,
      anon_sym_is,
    ACTIONS(1139), 1,
      anon_sym_LBRACK,
    STATE(616), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(1115), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1117), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1127), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1135), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(572), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1123), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(413), 6,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(1119), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [27157] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1109), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1141), 1,
      anon_sym_EQ,
    ACTIONS(469), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(467), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
  [27204] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(834), 1,
      sym__string_start,
    STATE(506), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(469), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(467), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
  [27251] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(834), 1,
      sym__string_start,
    STATE(507), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(488), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(486), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
  [27298] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      sym__string_start,
    STATE(507), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(477), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(475), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
  [27345] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(377), 1,
      sym__string_start,
    ACTIONS(389), 1,
      anon_sym_LPAREN,
    STATE(381), 1,
      sym_string,
    STATE(997), 1,
      sym_variables,
    ACTIONS(393), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(1148), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(363), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1146), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(610), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [27405] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13), 1,
      anon_sym_LPAREN,
    ACTIONS(63), 1,
      anon_sym_LBRACK,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(73), 1,
      sym__string_start,
    ACTIONS(1152), 1,
      anon_sym_not,
    STATE(117), 1,
      sym_string,
    ACTIONS(237), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(1154), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(57), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1150), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(132), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [27465] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1113), 1,
      anon_sym_LPAREN,
    ACTIONS(1121), 1,
      anon_sym_STAR_STAR,
    ACTIONS(496), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1115), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(572), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1123), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(494), 23,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
  [27517] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1156), 1,
      anon_sym_EQ,
    ACTIONS(233), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(235), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
  [27561] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(377), 1,
      sym__string_start,
    ACTIONS(389), 1,
      anon_sym_LPAREN,
    ACTIONS(1160), 1,
      anon_sym_in,
    STATE(381), 1,
      sym_string,
    ACTIONS(393), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(1162), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(363), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1158), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(611), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [27621] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(377), 1,
      sym__string_start,
    ACTIONS(389), 1,
      anon_sym_LPAREN,
    ACTIONS(1164), 1,
      anon_sym_in,
    STATE(381), 1,
      sym_string,
    ACTIONS(393), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(1162), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(363), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1158), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(611), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [27681] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1113), 1,
      anon_sym_LPAREN,
    ACTIONS(1121), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1131), 1,
      anon_sym_AMP,
    ACTIONS(1133), 1,
      anon_sym_CARET,
    ACTIONS(496), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1115), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1117), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1127), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(572), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1123), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(494), 17,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
  [27741] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1113), 1,
      anon_sym_LPAREN,
    ACTIONS(1121), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1133), 1,
      anon_sym_CARET,
    ACTIONS(496), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1115), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1117), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1127), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(572), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1123), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(494), 18,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
  [27799] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1113), 1,
      anon_sym_LPAREN,
    ACTIONS(1121), 1,
      anon_sym_STAR_STAR,
    ACTIONS(496), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1115), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1117), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1127), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(572), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1123), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(494), 19,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
  [27855] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(377), 1,
      sym__string_start,
    ACTIONS(389), 1,
      anon_sym_LPAREN,
    STATE(381), 1,
      sym_string,
    STATE(1034), 1,
      sym_variables,
    ACTIONS(393), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(1148), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(363), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1146), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(610), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [27915] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1113), 1,
      anon_sym_LPAREN,
    ACTIONS(1121), 1,
      anon_sym_STAR_STAR,
    STATE(572), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(496), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(494), 26,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
  [27963] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1111), 1,
      anon_sym_DOT,
    ACTIONS(1113), 1,
      anon_sym_LPAREN,
    ACTIONS(1121), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1129), 1,
      anon_sym_PIPE,
    ACTIONS(1131), 1,
      anon_sym_AMP,
    ACTIONS(1133), 1,
      anon_sym_CARET,
    ACTIONS(1139), 1,
      anon_sym_LBRACK,
    ACTIONS(500), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1115), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1117), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1127), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(572), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1123), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(498), 14,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [28029] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1113), 1,
      anon_sym_LPAREN,
    ACTIONS(1121), 1,
      anon_sym_STAR_STAR,
    ACTIONS(496), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1115), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1127), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(572), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1123), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(494), 21,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
  [28083] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1113), 1,
      anon_sym_LPAREN,
    ACTIONS(1121), 1,
      anon_sym_STAR_STAR,
    STATE(572), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(496), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(494), 26,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
  [28131] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(377), 1,
      sym__string_start,
    ACTIONS(389), 1,
      anon_sym_LPAREN,
    STATE(381), 1,
      sym_string,
    STATE(1008), 1,
      sym_variables,
    ACTIONS(393), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(1148), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(363), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1146), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(610), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [28191] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(812), 1,
      anon_sym_LPAREN,
    ACTIONS(824), 1,
      anon_sym_LBRACK,
    ACTIONS(828), 1,
      anon_sym_LBRACE,
    ACTIONS(834), 1,
      sym__string_start,
    ACTIONS(1168), 1,
      anon_sym_not,
    STATE(505), 1,
      sym_string,
    ACTIONS(814), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(1170), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(820), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1166), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(519), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [28251] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(377), 1,
      sym__string_start,
    ACTIONS(389), 1,
      anon_sym_LPAREN,
    STATE(381), 1,
      sym_string,
    STATE(1025), 1,
      sym_variables,
    ACTIONS(393), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(1148), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(363), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1146), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(610), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [28311] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(377), 1,
      sym__string_start,
    ACTIONS(389), 1,
      anon_sym_LPAREN,
    STATE(381), 1,
      sym_string,
    STATE(957), 1,
      sym_variables,
    ACTIONS(393), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(1148), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(363), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1146), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(610), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [28371] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1113), 1,
      anon_sym_LPAREN,
    ACTIONS(1121), 1,
      anon_sym_STAR_STAR,
    STATE(572), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(492), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(490), 26,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
  [28419] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(377), 1,
      sym__string_start,
    ACTIONS(389), 1,
      anon_sym_LPAREN,
    STATE(381), 1,
      sym_string,
    STATE(1032), 1,
      sym_variables,
    ACTIONS(393), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(1148), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(363), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1146), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(610), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [28479] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(377), 1,
      sym__string_start,
    ACTIONS(389), 1,
      anon_sym_LPAREN,
    ACTIONS(1174), 1,
      anon_sym_not,
    STATE(381), 1,
      sym_string,
    ACTIONS(393), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(1176), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(363), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1172), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(429), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [28539] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1111), 1,
      anon_sym_DOT,
    ACTIONS(1113), 1,
      anon_sym_LPAREN,
    ACTIONS(1121), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1129), 1,
      anon_sym_PIPE,
    ACTIONS(1131), 1,
      anon_sym_AMP,
    ACTIONS(1133), 1,
      anon_sym_CARET,
    ACTIONS(1139), 1,
      anon_sym_LBRACK,
    ACTIONS(504), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1115), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1117), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1127), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(572), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1123), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(502), 14,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [28605] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13), 1,
      anon_sym_LPAREN,
    ACTIONS(63), 1,
      anon_sym_LBRACK,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(73), 1,
      sym__string_start,
    STATE(117), 1,
      sym_string,
    ACTIONS(237), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(1180), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(57), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1178), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(127), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [28662] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(812), 1,
      anon_sym_LPAREN,
    ACTIONS(824), 1,
      anon_sym_LBRACK,
    ACTIONS(828), 1,
      anon_sym_LBRACE,
    ACTIONS(834), 1,
      sym__string_start,
    STATE(505), 1,
      sym_string,
    ACTIONS(814), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(1170), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(820), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1166), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(519), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [28719] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(508), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(506), 29,
      sym__string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
  [28760] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(377), 1,
      sym__string_start,
    ACTIONS(389), 1,
      anon_sym_LPAREN,
    STATE(381), 1,
      sym_string,
    ACTIONS(393), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(1184), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(363), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1182), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(436), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [28817] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(377), 1,
      sym__string_start,
    ACTIONS(389), 1,
      anon_sym_LPAREN,
    STATE(381), 1,
      sym_string,
    ACTIONS(393), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(1188), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(363), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1186), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(421), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [28874] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(812), 1,
      anon_sym_LPAREN,
    ACTIONS(824), 1,
      anon_sym_LBRACK,
    ACTIONS(828), 1,
      anon_sym_LBRACE,
    ACTIONS(834), 1,
      sym__string_start,
    STATE(505), 1,
      sym_string,
    ACTIONS(814), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(1192), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(820), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1190), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(521), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [28931] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(377), 1,
      sym__string_start,
    ACTIONS(389), 1,
      anon_sym_LPAREN,
    STATE(381), 1,
      sym_string,
    ACTIONS(393), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(1196), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(363), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1194), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(423), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [28988] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(377), 1,
      sym__string_start,
    ACTIONS(389), 1,
      anon_sym_LPAREN,
    STATE(381), 1,
      sym_string,
    ACTIONS(393), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(1200), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(363), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1198), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(424), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [29045] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(377), 1,
      sym__string_start,
    ACTIONS(389), 1,
      anon_sym_LPAREN,
    STATE(381), 1,
      sym_string,
    ACTIONS(393), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(1204), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(363), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1202), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(426), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [29102] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(812), 1,
      anon_sym_LPAREN,
    ACTIONS(824), 1,
      anon_sym_LBRACK,
    ACTIONS(828), 1,
      anon_sym_LBRACE,
    ACTIONS(834), 1,
      sym__string_start,
    STATE(505), 1,
      sym_string,
    ACTIONS(814), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(1208), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(820), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1206), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(520), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [29159] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(377), 1,
      sym__string_start,
    ACTIONS(389), 1,
      anon_sym_LPAREN,
    STATE(381), 1,
      sym_string,
    ACTIONS(393), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(1212), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(363), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1210), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(427), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [29216] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(377), 1,
      sym__string_start,
    ACTIONS(389), 1,
      anon_sym_LPAREN,
    STATE(381), 1,
      sym_string,
    ACTIONS(393), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(1176), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(363), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1172), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(429), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [29273] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(377), 1,
      sym__string_start,
    ACTIONS(389), 1,
      anon_sym_LPAREN,
    STATE(381), 1,
      sym_string,
    ACTIONS(393), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(1216), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(363), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1214), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(431), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [29330] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(377), 1,
      sym__string_start,
    ACTIONS(389), 1,
      anon_sym_LPAREN,
    STATE(381), 1,
      sym_string,
    ACTIONS(393), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(1220), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(363), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1218), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(432), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [29387] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(812), 1,
      anon_sym_LPAREN,
    ACTIONS(824), 1,
      anon_sym_LBRACK,
    ACTIONS(828), 1,
      anon_sym_LBRACE,
    ACTIONS(834), 1,
      sym__string_start,
    STATE(505), 1,
      sym_string,
    ACTIONS(814), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(1224), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(820), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1222), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(518), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [29444] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(812), 1,
      anon_sym_LPAREN,
    ACTIONS(824), 1,
      anon_sym_LBRACK,
    ACTIONS(828), 1,
      anon_sym_LBRACE,
    ACTIONS(834), 1,
      sym__string_start,
    STATE(505), 1,
      sym_string,
    ACTIONS(814), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(1228), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(820), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1226), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(510), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [29501] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13), 1,
      anon_sym_LPAREN,
    ACTIONS(63), 1,
      anon_sym_LBRACK,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(73), 1,
      sym__string_start,
    STATE(117), 1,
      sym_string,
    ACTIONS(237), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(1232), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(57), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1230), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(125), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [29558] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1234), 1,
      anon_sym_COLON_EQ,
    ACTIONS(469), 5,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(467), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
  [29601] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 1,
      anon_sym_not,
    ACTIONS(439), 1,
      anon_sym_is,
    ACTIONS(1238), 1,
      anon_sym_EQ,
    STATE(557), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(437), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(421), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(1236), 21,
      sym__newline,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym__semicolon,
  [29652] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(377), 1,
      sym__string_start,
    ACTIONS(389), 1,
      anon_sym_LPAREN,
    STATE(381), 1,
      sym_string,
    ACTIONS(393), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(1242), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(363), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1240), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(410), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [29709] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13), 1,
      anon_sym_LPAREN,
    ACTIONS(63), 1,
      anon_sym_LBRACK,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(73), 1,
      sym__string_start,
    STATE(117), 1,
      sym_string,
    ACTIONS(237), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(1246), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(57), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1244), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(131), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [29766] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13), 1,
      anon_sym_LPAREN,
    ACTIONS(63), 1,
      anon_sym_LBRACK,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(73), 1,
      sym__string_start,
    STATE(117), 1,
      sym_string,
    ACTIONS(237), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(1250), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(57), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1248), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(133), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [29823] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13), 1,
      anon_sym_LPAREN,
    ACTIONS(63), 1,
      anon_sym_LBRACK,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(73), 1,
      sym__string_start,
    STATE(117), 1,
      sym_string,
    ACTIONS(237), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(1254), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(57), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1252), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(134), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [29880] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(812), 1,
      anon_sym_LPAREN,
    ACTIONS(824), 1,
      anon_sym_LBRACK,
    ACTIONS(828), 1,
      anon_sym_LBRACE,
    ACTIONS(834), 1,
      sym__string_start,
    STATE(505), 1,
      sym_string,
    ACTIONS(814), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(1258), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(820), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1256), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(529), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [29937] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13), 1,
      anon_sym_LPAREN,
    ACTIONS(63), 1,
      anon_sym_LBRACK,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(73), 1,
      sym__string_start,
    STATE(117), 1,
      sym_string,
    ACTIONS(237), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(1262), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(57), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1260), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(135), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [29994] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13), 1,
      anon_sym_LPAREN,
    ACTIONS(63), 1,
      anon_sym_LBRACK,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(73), 1,
      sym__string_start,
    STATE(117), 1,
      sym_string,
    ACTIONS(237), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(1266), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(57), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1264), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(136), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [30051] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13), 1,
      anon_sym_LPAREN,
    ACTIONS(63), 1,
      anon_sym_LBRACK,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(73), 1,
      sym__string_start,
    STATE(117), 1,
      sym_string,
    ACTIONS(237), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(1154), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(57), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1150), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(132), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [30108] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(500), 1,
      anon_sym_EQ,
    ACTIONS(1271), 1,
      anon_sym_not,
    ACTIONS(1277), 1,
      anon_sym_is,
    STATE(557), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(1274), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1268), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(498), 21,
      sym__newline,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym__semicolon,
  [30159] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(812), 1,
      anon_sym_LPAREN,
    ACTIONS(824), 1,
      anon_sym_LBRACK,
    ACTIONS(828), 1,
      anon_sym_LBRACE,
    ACTIONS(834), 1,
      sym__string_start,
    STATE(505), 1,
      sym_string,
    ACTIONS(814), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(1282), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(820), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1280), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(514), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [30216] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(812), 1,
      anon_sym_LPAREN,
    ACTIONS(824), 1,
      anon_sym_LBRACK,
    ACTIONS(828), 1,
      anon_sym_LBRACE,
    ACTIONS(834), 1,
      sym__string_start,
    STATE(505), 1,
      sym_string,
    ACTIONS(814), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(1286), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(820), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1284), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(515), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [30273] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13), 1,
      anon_sym_LPAREN,
    ACTIONS(63), 1,
      anon_sym_LBRACK,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(73), 1,
      sym__string_start,
    STATE(117), 1,
      sym_string,
    ACTIONS(237), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(1290), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(57), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1288), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(129), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [30330] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(812), 1,
      anon_sym_LPAREN,
    ACTIONS(824), 1,
      anon_sym_LBRACK,
    ACTIONS(828), 1,
      anon_sym_LBRACE,
    ACTIONS(834), 1,
      sym__string_start,
    STATE(505), 1,
      sym_string,
    ACTIONS(814), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(1294), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(820), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1292), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(516), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [30387] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13), 1,
      anon_sym_LPAREN,
    ACTIONS(63), 1,
      anon_sym_LBRACK,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(73), 1,
      sym__string_start,
    STATE(117), 1,
      sym_string,
    ACTIONS(237), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(1298), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(57), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1296), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(128), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [30444] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(812), 1,
      anon_sym_LPAREN,
    ACTIONS(824), 1,
      anon_sym_LBRACK,
    ACTIONS(828), 1,
      anon_sym_LBRACE,
    ACTIONS(834), 1,
      sym__string_start,
    STATE(505), 1,
      sym_string,
    ACTIONS(814), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(1302), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(820), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1300), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(526), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [30501] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(516), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(514), 29,
      sym__string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
  [30542] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(377), 1,
      sym__string_start,
    ACTIONS(389), 1,
      anon_sym_LPAREN,
    STATE(381), 1,
      sym_string,
    ACTIONS(393), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(1162), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(363), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1158), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(611), 16,
      sym__primary_expression,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [30599] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(572), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(570), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
  [30639] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(560), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(558), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
  [30679] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(568), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(566), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
  [30719] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(668), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(666), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
  [30759] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(612), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(610), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
  [30799] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(648), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(646), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
  [30839] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(532), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(530), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
  [30879] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(636), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(634), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
  [30919] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(692), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(690), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
  [30959] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(678), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(676), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
  [30999] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(233), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(235), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
  [31039] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(596), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(594), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
  [31079] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(590), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(588), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
  [31119] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(698), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(696), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
  [31159] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(640), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(638), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
  [31199] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(608), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(606), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
  [31239] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(628), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(626), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
  [31279] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(674), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(672), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
  [31319] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(604), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(602), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
  [31359] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(632), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(630), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
  [31399] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(682), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(680), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
  [31439] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(538), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(536), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
  [31479] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(652), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(650), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
  [31519] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(576), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(574), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
  [31559] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(600), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(598), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
  [31599] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(524), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(522), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
  [31639] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(644), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(642), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
  [31679] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(620), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(618), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
  [31719] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(542), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(540), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
  [31759] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(584), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(582), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
  [31799] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(660), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(658), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_LBRACK,
  [31839] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(500), 1,
      anon_sym_EQ,
    ACTIONS(1307), 1,
      anon_sym_not,
    ACTIONS(1313), 1,
      anon_sym_is,
    STATE(597), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(1310), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1304), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(498), 12,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_and,
      anon_sym_or,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      sym_type_conversion,
  [31881] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(961), 1,
      anon_sym_not,
    ACTIONS(973), 1,
      anon_sym_is,
    ACTIONS(1238), 1,
      anon_sym_EQ,
    STATE(597), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(971), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(955), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(1236), 12,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_and,
      anon_sym_or,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      sym_type_conversion,
  [31923] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1318), 1,
      anon_sym_COMMA,
    ACTIONS(1320), 1,
      anon_sym_if,
    ACTIONS(1322), 1,
      anon_sym_and,
    ACTIONS(1324), 1,
      anon_sym_or,
    STATE(612), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(1316), 18,
      sym__newline,
      anon_sym_from,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym__semicolon,
  [31962] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1320), 1,
      anon_sym_if,
    ACTIONS(1322), 1,
      anon_sym_and,
    ACTIONS(1324), 1,
      anon_sym_or,
    ACTIONS(1326), 19,
      sym__newline,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym__semicolon,
  [31996] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1320), 1,
      anon_sym_if,
    ACTIONS(1322), 1,
      anon_sym_and,
    ACTIONS(1324), 1,
      anon_sym_or,
    ACTIONS(1328), 1,
      anon_sym_COMMA,
    STATE(614), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(1330), 2,
      sym__newline,
      sym__semicolon,
    ACTIONS(1316), 15,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [32036] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1322), 1,
      anon_sym_and,
    ACTIONS(1324), 1,
      anon_sym_or,
    ACTIONS(1332), 20,
      sym__newline,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym__semicolon,
  [32068] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1322), 1,
      anon_sym_and,
    ACTIONS(1324), 1,
      anon_sym_or,
    ACTIONS(1334), 20,
      sym__newline,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym__semicolon,
  [32100] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1320), 1,
      anon_sym_if,
    ACTIONS(1322), 1,
      anon_sym_and,
    ACTIONS(1324), 1,
      anon_sym_or,
    ACTIONS(1336), 19,
      sym__newline,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym__semicolon,
  [32134] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1338), 22,
      sym__newline,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym__semicolon,
  [32162] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1320), 1,
      anon_sym_if,
    ACTIONS(1322), 1,
      anon_sym_and,
    ACTIONS(1324), 1,
      anon_sym_or,
    ACTIONS(1340), 19,
      sym__newline,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym__semicolon,
  [32196] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1320), 1,
      anon_sym_if,
    ACTIONS(1322), 1,
      anon_sym_and,
    ACTIONS(1324), 1,
      anon_sym_or,
    ACTIONS(1342), 19,
      sym__newline,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym__semicolon,
  [32230] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1322), 1,
      anon_sym_and,
    ACTIONS(1344), 21,
      sym__newline,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym__semicolon,
  [32260] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1344), 22,
      sym__newline,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym__semicolon,
  [32288] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(947), 1,
      anon_sym_DOT,
    ACTIONS(949), 1,
      anon_sym_LPAREN,
    ACTIONS(957), 1,
      anon_sym_STAR_STAR,
    ACTIONS(965), 1,
      anon_sym_PIPE,
    ACTIONS(967), 1,
      anon_sym_AMP,
    ACTIONS(969), 1,
      anon_sym_CARET,
    ACTIONS(975), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_COMMA,
    ACTIONS(1348), 1,
      anon_sym_in,
    STATE(907), 1,
      aux_sym_variables_repeat1,
    ACTIONS(951), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(953), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(963), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(474), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(959), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
  [32343] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(947), 1,
      anon_sym_DOT,
    ACTIONS(949), 1,
      anon_sym_LPAREN,
    ACTIONS(957), 1,
      anon_sym_STAR_STAR,
    ACTIONS(965), 1,
      anon_sym_PIPE,
    ACTIONS(967), 1,
      anon_sym_AMP,
    ACTIONS(969), 1,
      anon_sym_CARET,
    ACTIONS(975), 1,
      anon_sym_LBRACK,
    ACTIONS(951), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(953), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(963), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1350), 2,
      anon_sym_COMMA,
      anon_sym_in,
    STATE(474), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(959), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
  [32393] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1352), 1,
      anon_sym_COMMA,
    STATE(613), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(341), 18,
      sym__newline,
      anon_sym_from,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym__semicolon,
  [32423] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1354), 1,
      anon_sym_COMMA,
    STATE(613), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(1326), 18,
      sym__newline,
      anon_sym_from,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym__semicolon,
  [32453] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1357), 1,
      anon_sym_COMMA,
    STATE(613), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(343), 2,
      sym__newline,
      sym__semicolon,
    ACTIONS(341), 15,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [32484] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1359), 1,
      anon_sym_COLON,
    ACTIONS(1361), 1,
      anon_sym_EQ,
    ACTIONS(1365), 2,
      sym__newline,
      sym__semicolon,
    ACTIONS(1363), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [32513] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1125), 1,
      anon_sym_not,
    ACTIONS(1137), 1,
      anon_sym_is,
    STATE(617), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(1135), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1119), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(1236), 6,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_and,
      anon_sym_or,
  [32546] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1370), 1,
      anon_sym_not,
    ACTIONS(1376), 1,
      anon_sym_is,
    STATE(617), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(1373), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(498), 6,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(1367), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [32579] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1359), 1,
      anon_sym_COLON,
    ACTIONS(1361), 1,
      anon_sym_EQ,
    ACTIONS(1363), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [32604] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(359), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1379), 1,
      sym_identifier,
    ACTIONS(1381), 1,
      anon_sym_LPAREN,
    ACTIONS(1383), 1,
      anon_sym_STAR,
    ACTIONS(1387), 1,
      anon_sym_COLON,
    STATE(971), 1,
      sym_lambda_parameters,
    STATE(972), 1,
      sym__parameters,
    ACTIONS(1385), 2,
      anon_sym_print,
      anon_sym_exec,
    STATE(905), 2,
      sym_list_splat,
      sym_dictionary_splat,
    STATE(906), 4,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_tuple,
  [32643] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(359), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1379), 1,
      sym_identifier,
    ACTIONS(1381), 1,
      anon_sym_LPAREN,
    ACTIONS(1383), 1,
      anon_sym_STAR,
    ACTIONS(1389), 1,
      anon_sym_COLON,
    STATE(972), 1,
      sym__parameters,
    STATE(978), 1,
      sym_lambda_parameters,
    ACTIONS(1385), 2,
      anon_sym_print,
      anon_sym_exec,
    STATE(905), 2,
      sym_list_splat,
      sym_dictionary_splat,
    STATE(906), 4,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_tuple,
  [32682] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(359), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1379), 1,
      sym_identifier,
    ACTIONS(1381), 1,
      anon_sym_LPAREN,
    ACTIONS(1383), 1,
      anon_sym_STAR,
    ACTIONS(1391), 1,
      anon_sym_COLON,
    STATE(972), 1,
      sym__parameters,
    STATE(992), 1,
      sym_lambda_parameters,
    ACTIONS(1385), 2,
      anon_sym_print,
      anon_sym_exec,
    STATE(905), 2,
      sym_list_splat,
      sym_dictionary_splat,
    STATE(906), 4,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_tuple,
  [32721] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(359), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1379), 1,
      sym_identifier,
    ACTIONS(1381), 1,
      anon_sym_LPAREN,
    ACTIONS(1383), 1,
      anon_sym_STAR,
    ACTIONS(1393), 1,
      anon_sym_COLON,
    STATE(961), 1,
      sym_lambda_parameters,
    STATE(972), 1,
      sym__parameters,
    ACTIONS(1385), 2,
      anon_sym_print,
      anon_sym_exec,
    STATE(905), 2,
      sym_list_splat,
      sym_dictionary_splat,
    STATE(906), 4,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_tuple,
  [32760] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(359), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1381), 1,
      anon_sym_LPAREN,
    ACTIONS(1395), 1,
      sym_identifier,
    ACTIONS(1397), 1,
      anon_sym_RPAREN,
    ACTIONS(1399), 1,
      anon_sym_STAR,
    STATE(1026), 1,
      sym__parameters,
    ACTIONS(1401), 2,
      anon_sym_print,
      anon_sym_exec,
    STATE(769), 2,
      sym_list_splat,
      sym_dictionary_splat,
    STATE(823), 4,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_tuple,
  [32796] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(359), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1381), 1,
      anon_sym_LPAREN,
    ACTIONS(1403), 1,
      sym_identifier,
    ACTIONS(1405), 1,
      anon_sym_STAR,
    ACTIONS(1409), 1,
      anon_sym_COLON,
    ACTIONS(1407), 2,
      anon_sym_print,
      anon_sym_exec,
    STATE(930), 2,
      sym_list_splat,
      sym_dictionary_splat,
    STATE(870), 4,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_tuple,
  [32829] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(359), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1381), 1,
      anon_sym_LPAREN,
    ACTIONS(1405), 1,
      anon_sym_STAR,
    ACTIONS(1411), 1,
      sym_identifier,
    ACTIONS(1413), 1,
      anon_sym_RPAREN,
    ACTIONS(1415), 2,
      anon_sym_print,
      anon_sym_exec,
    STATE(847), 2,
      sym_list_splat,
      sym_dictionary_splat,
    STATE(870), 4,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_tuple,
  [32862] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1344), 13,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_EQ,
      anon_sym_and,
      anon_sym_or,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      sym_type_conversion,
  [32881] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 1,
      anon_sym_and,
    ACTIONS(1419), 1,
      anon_sym_or,
    ACTIONS(1332), 11,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      sym_type_conversion,
  [32904] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 1,
      anon_sym_and,
    ACTIONS(1419), 1,
      anon_sym_or,
    ACTIONS(1421), 1,
      anon_sym_if,
    ACTIONS(1336), 10,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      sym_type_conversion,
  [32929] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(359), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1381), 1,
      anon_sym_LPAREN,
    ACTIONS(1405), 1,
      anon_sym_STAR,
    ACTIONS(1411), 1,
      sym_identifier,
    ACTIONS(1423), 1,
      anon_sym_RPAREN,
    ACTIONS(1415), 2,
      anon_sym_print,
      anon_sym_exec,
    STATE(847), 2,
      sym_list_splat,
      sym_dictionary_splat,
    STATE(870), 4,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_tuple,
  [32962] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(359), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1381), 1,
      anon_sym_LPAREN,
    ACTIONS(1405), 1,
      anon_sym_STAR,
    ACTIONS(1409), 1,
      anon_sym_RPAREN,
    ACTIONS(1411), 1,
      sym_identifier,
    ACTIONS(1415), 2,
      anon_sym_print,
      anon_sym_exec,
    STATE(847), 2,
      sym_list_splat,
      sym_dictionary_splat,
    STATE(870), 4,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_tuple,
  [32995] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(359), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1381), 1,
      anon_sym_LPAREN,
    ACTIONS(1405), 1,
      anon_sym_STAR,
    ACTIONS(1411), 1,
      sym_identifier,
    ACTIONS(1425), 1,
      anon_sym_RPAREN,
    ACTIONS(1415), 2,
      anon_sym_print,
      anon_sym_exec,
    STATE(847), 2,
      sym_list_splat,
      sym_dictionary_splat,
    STATE(870), 4,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_tuple,
  [33028] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(359), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1381), 1,
      anon_sym_LPAREN,
    ACTIONS(1403), 1,
      sym_identifier,
    ACTIONS(1405), 1,
      anon_sym_STAR,
    ACTIONS(1425), 1,
      anon_sym_COLON,
    ACTIONS(1407), 2,
      anon_sym_print,
      anon_sym_exec,
    STATE(930), 2,
      sym_list_splat,
      sym_dictionary_splat,
    STATE(870), 4,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_tuple,
  [33061] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 1,
      anon_sym_and,
    ACTIONS(1419), 1,
      anon_sym_or,
    ACTIONS(1421), 1,
      anon_sym_if,
    ACTIONS(1342), 10,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      sym_type_conversion,
  [33086] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(359), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1381), 1,
      anon_sym_LPAREN,
    ACTIONS(1405), 1,
      anon_sym_STAR,
    ACTIONS(1411), 1,
      sym_identifier,
    ACTIONS(1427), 1,
      anon_sym_RPAREN,
    ACTIONS(1415), 2,
      anon_sym_print,
      anon_sym_exec,
    STATE(847), 2,
      sym_list_splat,
      sym_dictionary_splat,
    STATE(870), 4,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_tuple,
  [33119] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(359), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1381), 1,
      anon_sym_LPAREN,
    ACTIONS(1403), 1,
      sym_identifier,
    ACTIONS(1405), 1,
      anon_sym_STAR,
    ACTIONS(1427), 1,
      anon_sym_COLON,
    ACTIONS(1407), 2,
      anon_sym_print,
      anon_sym_exec,
    STATE(930), 2,
      sym_list_splat,
      sym_dictionary_splat,
    STATE(870), 4,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_tuple,
  [33152] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 1,
      anon_sym_and,
    ACTIONS(1419), 1,
      anon_sym_or,
    ACTIONS(1421), 1,
      anon_sym_if,
    ACTIONS(1340), 10,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      sym_type_conversion,
  [33177] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 1,
      anon_sym_and,
    ACTIONS(1419), 1,
      anon_sym_or,
    ACTIONS(1334), 11,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      sym_type_conversion,
  [33200] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(359), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1381), 1,
      anon_sym_LPAREN,
    ACTIONS(1403), 1,
      sym_identifier,
    ACTIONS(1405), 1,
      anon_sym_STAR,
    ACTIONS(1413), 1,
      anon_sym_COLON,
    ACTIONS(1407), 2,
      anon_sym_print,
      anon_sym_exec,
    STATE(930), 2,
      sym_list_splat,
      sym_dictionary_splat,
    STATE(870), 4,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_tuple,
  [33233] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(359), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1381), 1,
      anon_sym_LPAREN,
    ACTIONS(1403), 1,
      sym_identifier,
    ACTIONS(1405), 1,
      anon_sym_STAR,
    ACTIONS(1423), 1,
      anon_sym_COLON,
    ACTIONS(1407), 2,
      anon_sym_print,
      anon_sym_exec,
    STATE(930), 2,
      sym_list_splat,
      sym_dictionary_splat,
    STATE(870), 4,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_tuple,
  [33266] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 1,
      anon_sym_and,
    ACTIONS(1344), 12,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      sym_type_conversion,
  [33287] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(359), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1381), 1,
      anon_sym_LPAREN,
    ACTIONS(1405), 1,
      anon_sym_STAR,
    ACTIONS(1411), 1,
      sym_identifier,
    ACTIONS(1429), 1,
      anon_sym_RPAREN,
    ACTIONS(1415), 2,
      anon_sym_print,
      anon_sym_exec,
    STATE(847), 2,
      sym_list_splat,
      sym_dictionary_splat,
    STATE(870), 4,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_tuple,
  [33320] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(359), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1381), 1,
      anon_sym_LPAREN,
    ACTIONS(1403), 1,
      sym_identifier,
    ACTIONS(1405), 1,
      anon_sym_STAR,
    ACTIONS(1429), 1,
      anon_sym_COLON,
    ACTIONS(1407), 2,
      anon_sym_print,
      anon_sym_exec,
    STATE(930), 2,
      sym_list_splat,
      sym_dictionary_splat,
    STATE(870), 4,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_tuple,
  [33353] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1338), 13,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_EQ,
      anon_sym_and,
      anon_sym_or,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      sym_type_conversion,
  [33372] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(359), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1381), 1,
      anon_sym_LPAREN,
    ACTIONS(1405), 1,
      anon_sym_STAR,
    ACTIONS(1411), 1,
      sym_identifier,
    ACTIONS(1415), 2,
      anon_sym_print,
      anon_sym_exec,
    STATE(847), 2,
      sym_list_splat,
      sym_dictionary_splat,
    STATE(870), 4,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_tuple,
  [33402] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(359), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1381), 1,
      anon_sym_LPAREN,
    ACTIONS(1403), 1,
      sym_identifier,
    ACTIONS(1405), 1,
      anon_sym_STAR,
    ACTIONS(1407), 2,
      anon_sym_print,
      anon_sym_exec,
    STATE(930), 2,
      sym_list_splat,
      sym_dictionary_splat,
    STATE(870), 4,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_tuple,
  [33432] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 1,
      anon_sym_and,
    ACTIONS(1419), 1,
      anon_sym_or,
    ACTIONS(1421), 1,
      anon_sym_if,
    ACTIONS(1431), 1,
      anon_sym_COMMA,
    ACTIONS(1433), 1,
      anon_sym_COLON,
    ACTIONS(1435), 1,
      anon_sym_async,
    ACTIONS(1437), 1,
      anon_sym_for,
    ACTIONS(1439), 1,
      anon_sym_RBRACE,
    STATE(658), 1,
      sym_for_in_clause,
    STATE(817), 1,
      aux_sym_list_repeat1,
    STATE(965), 1,
      sym__comprehension_clauses,
  [33469] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 1,
      anon_sym_and,
    ACTIONS(1419), 1,
      anon_sym_or,
    ACTIONS(1421), 1,
      anon_sym_if,
    ACTIONS(1433), 1,
      anon_sym_COLON,
    ACTIONS(1435), 1,
      anon_sym_async,
    ACTIONS(1437), 1,
      anon_sym_for,
    ACTIONS(1441), 1,
      anon_sym_COMMA,
    ACTIONS(1443), 1,
      anon_sym_RBRACE,
    STATE(658), 1,
      sym_for_in_clause,
    STATE(869), 1,
      aux_sym_list_repeat1,
    STATE(981), 1,
      sym__comprehension_clauses,
  [33506] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 1,
      anon_sym_and,
    ACTIONS(1419), 1,
      anon_sym_or,
    ACTIONS(1421), 1,
      anon_sym_if,
    ACTIONS(1433), 1,
      anon_sym_COLON,
    ACTIONS(1435), 1,
      anon_sym_async,
    ACTIONS(1437), 1,
      anon_sym_for,
    ACTIONS(1445), 1,
      anon_sym_COMMA,
    ACTIONS(1447), 1,
      anon_sym_RBRACE,
    STATE(658), 1,
      sym_for_in_clause,
    STATE(832), 1,
      aux_sym_list_repeat1,
    STATE(1001), 1,
      sym__comprehension_clauses,
  [33543] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 1,
      anon_sym_and,
    ACTIONS(1419), 1,
      anon_sym_or,
    ACTIONS(1421), 1,
      anon_sym_if,
    ACTIONS(1435), 1,
      anon_sym_async,
    ACTIONS(1437), 1,
      anon_sym_for,
    ACTIONS(1449), 1,
      anon_sym_RPAREN,
    ACTIONS(1451), 1,
      anon_sym_COMMA,
    STATE(658), 1,
      sym_for_in_clause,
    STATE(821), 1,
      aux_sym_tuple_repeat1,
    STATE(956), 1,
      sym__comprehension_clauses,
  [33577] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 1,
      anon_sym_and,
    ACTIONS(1419), 1,
      anon_sym_or,
    ACTIONS(1421), 1,
      anon_sym_if,
    ACTIONS(1435), 1,
      anon_sym_async,
    ACTIONS(1437), 1,
      anon_sym_for,
    ACTIONS(1453), 1,
      anon_sym_COMMA,
    ACTIONS(1455), 1,
      anon_sym_RBRACK,
    STATE(658), 1,
      sym_for_in_clause,
    STATE(818), 1,
      aux_sym_list_repeat1,
    STATE(960), 1,
      sym__comprehension_clauses,
  [33611] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 1,
      anon_sym_and,
    ACTIONS(1419), 1,
      anon_sym_or,
    ACTIONS(1421), 1,
      anon_sym_if,
    ACTIONS(1435), 1,
      anon_sym_async,
    ACTIONS(1437), 1,
      anon_sym_for,
    ACTIONS(1457), 1,
      anon_sym_COMMA,
    ACTIONS(1459), 1,
      anon_sym_RBRACK,
    STATE(658), 1,
      sym_for_in_clause,
    STATE(866), 1,
      aux_sym_list_repeat1,
    STATE(982), 1,
      sym__comprehension_clauses,
  [33645] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 1,
      anon_sym_and,
    ACTIONS(1419), 1,
      anon_sym_or,
    ACTIONS(1421), 1,
      anon_sym_if,
    ACTIONS(1435), 1,
      anon_sym_async,
    ACTIONS(1437), 1,
      anon_sym_for,
    ACTIONS(1461), 1,
      anon_sym_RPAREN,
    ACTIONS(1463), 1,
      anon_sym_COMMA,
    STATE(658), 1,
      sym_for_in_clause,
    STATE(855), 1,
      aux_sym_tuple_repeat1,
    STATE(1004), 1,
      sym__comprehension_clauses,
  [33679] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 1,
      anon_sym_and,
    ACTIONS(1419), 1,
      anon_sym_or,
    ACTIONS(1421), 1,
      anon_sym_if,
    ACTIONS(1435), 1,
      anon_sym_async,
    ACTIONS(1437), 1,
      anon_sym_for,
    ACTIONS(1465), 1,
      anon_sym_RPAREN,
    ACTIONS(1467), 1,
      anon_sym_COMMA,
    STATE(658), 1,
      sym_for_in_clause,
    STATE(872), 1,
      aux_sym_argument_list_repeat1,
    STATE(956), 1,
      sym__comprehension_clauses,
  [33713] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 1,
      anon_sym_and,
    ACTIONS(1419), 1,
      anon_sym_or,
    ACTIONS(1421), 1,
      anon_sym_if,
    ACTIONS(1435), 1,
      anon_sym_async,
    ACTIONS(1437), 1,
      anon_sym_for,
    ACTIONS(1469), 1,
      anon_sym_RPAREN,
    ACTIONS(1471), 1,
      anon_sym_COMMA,
    STATE(658), 1,
      sym_for_in_clause,
    STATE(852), 1,
      aux_sym_tuple_repeat1,
    STATE(985), 1,
      sym__comprehension_clauses,
  [33747] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 1,
      anon_sym_and,
    ACTIONS(1419), 1,
      anon_sym_or,
    ACTIONS(1421), 1,
      anon_sym_if,
    ACTIONS(1435), 1,
      anon_sym_async,
    ACTIONS(1437), 1,
      anon_sym_for,
    ACTIONS(1473), 1,
      anon_sym_RPAREN,
    ACTIONS(1475), 1,
      anon_sym_COMMA,
    STATE(658), 1,
      sym_for_in_clause,
    STATE(897), 1,
      aux_sym_argument_list_repeat1,
    STATE(985), 1,
      sym__comprehension_clauses,
  [33781] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 1,
      anon_sym_and,
    ACTIONS(1419), 1,
      anon_sym_or,
    ACTIONS(1421), 1,
      anon_sym_if,
    ACTIONS(1435), 1,
      anon_sym_async,
    ACTIONS(1437), 1,
      anon_sym_for,
    ACTIONS(1477), 1,
      anon_sym_RPAREN,
    ACTIONS(1479), 1,
      anon_sym_COMMA,
    STATE(658), 1,
      sym_for_in_clause,
    STATE(889), 1,
      aux_sym_argument_list_repeat1,
    STATE(1004), 1,
      sym__comprehension_clauses,
  [33815] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 1,
      anon_sym_and,
    ACTIONS(1419), 1,
      anon_sym_or,
    ACTIONS(1421), 1,
      anon_sym_if,
    ACTIONS(1435), 1,
      anon_sym_async,
    ACTIONS(1437), 1,
      anon_sym_for,
    ACTIONS(1481), 1,
      anon_sym_COMMA,
    ACTIONS(1483), 1,
      anon_sym_RBRACK,
    STATE(658), 1,
      sym_for_in_clause,
    STATE(841), 1,
      aux_sym_list_repeat1,
    STATE(1002), 1,
      sym__comprehension_clauses,
  [33849] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1435), 1,
      anon_sym_async,
    ACTIONS(1437), 1,
      anon_sym_for,
    ACTIONS(1487), 1,
      anon_sym_if,
    ACTIONS(1485), 3,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
    STATE(661), 3,
      sym_for_in_clause,
      sym_if_clause,
      aux_sym__comprehension_clauses_repeat1,
  [33872] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 1,
      anon_sym_and,
    ACTIONS(1419), 1,
      anon_sym_or,
    ACTIONS(1489), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
  [33891] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 1,
      anon_sym_and,
    ACTIONS(1419), 1,
      anon_sym_or,
    ACTIONS(1489), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
  [33910] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1435), 1,
      anon_sym_async,
    ACTIONS(1437), 1,
      anon_sym_for,
    ACTIONS(1487), 1,
      anon_sym_if,
    ACTIONS(1491), 3,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
    STATE(663), 3,
      sym_for_in_clause,
      sym_if_clause,
      aux_sym__comprehension_clauses_repeat1,
  [33933] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 1,
      anon_sym_and,
    ACTIONS(1419), 1,
      anon_sym_or,
    ACTIONS(1489), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
  [33952] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1495), 1,
      anon_sym_if,
    ACTIONS(1498), 1,
      anon_sym_async,
    ACTIONS(1501), 1,
      anon_sym_for,
    ACTIONS(1493), 3,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
    STATE(663), 3,
      sym_for_in_clause,
      sym_if_clause,
      aux_sym__comprehension_clauses_repeat1,
  [33975] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1506), 1,
      anon_sym_COMMA,
    STATE(666), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(1504), 6,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
  [33993] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1510), 1,
      anon_sym_COMMA,
    STATE(665), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(1508), 6,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
  [34011] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1515), 1,
      anon_sym_COMMA,
    STATE(665), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(1513), 6,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
  [34029] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_AT,
    ACTIONS(1517), 1,
      anon_sym_async,
    ACTIONS(1519), 1,
      anon_sym_def,
    ACTIONS(1521), 1,
      anon_sym_class,
    STATE(434), 2,
      sym_function_definition,
      sym_class_definition,
    STATE(725), 2,
      sym_decorator,
      aux_sym_decorated_definition_repeat1,
  [34053] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 1,
      anon_sym_and,
    ACTIONS(1419), 1,
      anon_sym_or,
    ACTIONS(1421), 1,
      anon_sym_if,
    ACTIONS(1523), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
  [34073] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_AT,
    ACTIONS(1525), 1,
      anon_sym_async,
    ACTIONS(1527), 1,
      anon_sym_def,
    ACTIONS(1529), 1,
      anon_sym_class,
    STATE(466), 2,
      sym_function_definition,
      sym_class_definition,
    STATE(725), 2,
      sym_decorator,
      aux_sym_decorated_definition_repeat1,
  [34097] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 1,
      anon_sym_and,
    ACTIONS(1419), 1,
      anon_sym_or,
    ACTIONS(1531), 6,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
  [34115] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1535), 1,
      anon_sym_COMMA,
    STATE(672), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(1533), 6,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
  [34133] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1539), 1,
      anon_sym_COMMA,
    STATE(665), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(1537), 6,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
  [34151] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 1,
      anon_sym_and,
    ACTIONS(1419), 1,
      anon_sym_or,
    ACTIONS(1421), 1,
      anon_sym_if,
    ACTIONS(1541), 1,
      anon_sym_COMMA,
    ACTIONS(1543), 1,
      anon_sym_COLON,
    ACTIONS(1545), 1,
      anon_sym_RBRACK,
    STATE(890), 1,
      aux_sym_subscript_repeat1,
  [34176] = 6,
    ACTIONS(1547), 1,
      anon_sym_LBRACE,
    ACTIONS(1553), 1,
      sym_comment,
    ACTIONS(1555), 1,
      sym__string_content,
    ACTIONS(1558), 1,
      sym__string_end,
    ACTIONS(1550), 2,
      sym_escape_sequence,
      sym__not_escape_sequence,
    STATE(674), 2,
      sym_interpolation,
      aux_sym_string_repeat1,
  [34197] = 6,
    ACTIONS(1553), 1,
      sym_comment,
    ACTIONS(1560), 1,
      anon_sym_LBRACE,
    ACTIONS(1564), 1,
      sym__string_content,
    ACTIONS(1566), 1,
      sym__string_end,
    ACTIONS(1562), 2,
      sym_escape_sequence,
      sym__not_escape_sequence,
    STATE(674), 2,
      sym_interpolation,
      aux_sym_string_repeat1,
  [34218] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1508), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
  [34231] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1435), 1,
      anon_sym_async,
    ACTIONS(1437), 1,
      anon_sym_for,
    ACTIONS(1568), 1,
      anon_sym_COMMA,
    ACTIONS(1570), 1,
      anon_sym_RBRACE,
    STATE(658), 1,
      sym_for_in_clause,
    STATE(830), 1,
      aux_sym_dictionary_repeat1,
    STATE(999), 1,
      sym__comprehension_clauses,
  [34256] = 6,
    ACTIONS(1553), 1,
      sym_comment,
    ACTIONS(1560), 1,
      anon_sym_LBRACE,
    ACTIONS(1564), 1,
      sym__string_content,
    ACTIONS(1572), 1,
      sym__string_end,
    ACTIONS(1562), 2,
      sym_escape_sequence,
      sym__not_escape_sequence,
    STATE(674), 2,
      sym_interpolation,
      aux_sym_string_repeat1,
  [34277] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1574), 1,
      sym_identifier,
    ACTIONS(1576), 1,
      anon_sym_LPAREN,
    ACTIONS(1578), 1,
      anon_sym_STAR,
    STATE(758), 1,
      sym_dotted_name,
    STATE(767), 1,
      sym_aliased_import,
    STATE(934), 2,
      sym__import_list,
      sym_wildcard_import,
  [34300] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1320), 1,
      anon_sym_if,
    ACTIONS(1322), 1,
      anon_sym_and,
    ACTIONS(1324), 1,
      anon_sym_or,
    ACTIONS(1580), 1,
      anon_sym_COMMA,
    STATE(786), 1,
      aux_sym_print_statement_repeat1,
    ACTIONS(1582), 2,
      sym__newline,
      sym__semicolon,
  [34323] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1584), 1,
      anon_sym_DOT,
    STATE(681), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(1587), 5,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      sym__semicolon,
  [34340] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 1,
      anon_sym_and,
    ACTIONS(1419), 1,
      anon_sym_or,
    ACTIONS(1421), 1,
      anon_sym_if,
    ACTIONS(1589), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
  [34359] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1591), 1,
      sym_identifier,
    ACTIONS(1593), 1,
      anon_sym_DOT,
    ACTIONS(1595), 1,
      anon_sym___future__,
    STATE(773), 1,
      aux_sym_import_prefix_repeat1,
    STATE(814), 1,
      sym_import_prefix,
    STATE(963), 2,
      sym_relative_import,
      sym_dotted_name,
  [34382] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1320), 1,
      anon_sym_if,
    ACTIONS(1322), 1,
      anon_sym_and,
    ACTIONS(1324), 1,
      anon_sym_or,
    ACTIONS(1597), 1,
      anon_sym_COMMA,
    STATE(801), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(1599), 2,
      sym__newline,
      sym__semicolon,
  [34405] = 6,
    ACTIONS(1553), 1,
      sym_comment,
    ACTIONS(1560), 1,
      anon_sym_LBRACE,
    ACTIONS(1603), 1,
      sym__string_content,
    ACTIONS(1605), 1,
      sym__string_end,
    ACTIONS(1601), 2,
      sym_escape_sequence,
      sym__not_escape_sequence,
    STATE(678), 2,
      sym_interpolation,
      aux_sym_string_repeat1,
  [34426] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1607), 1,
      anon_sym_DOT,
    STATE(699), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(1609), 5,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      sym__semicolon,
  [34443] = 6,
    ACTIONS(1553), 1,
      sym_comment,
    ACTIONS(1560), 1,
      anon_sym_LBRACE,
    ACTIONS(1613), 1,
      sym__string_content,
    ACTIONS(1615), 1,
      sym__string_end,
    ACTIONS(1611), 2,
      sym_escape_sequence,
      sym__not_escape_sequence,
    STATE(694), 2,
      sym_interpolation,
      aux_sym_string_repeat1,
  [34464] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 1,
      anon_sym_and,
    ACTIONS(1419), 1,
      anon_sym_or,
    ACTIONS(1421), 1,
      anon_sym_if,
    ACTIONS(1543), 1,
      anon_sym_COLON,
    ACTIONS(1617), 1,
      anon_sym_COMMA,
    ACTIONS(1619), 1,
      anon_sym_RBRACK,
    STATE(899), 1,
      aux_sym_subscript_repeat1,
  [34489] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 1,
      anon_sym_and,
    ACTIONS(1419), 1,
      anon_sym_or,
    ACTIONS(1421), 1,
      anon_sym_if,
    ACTIONS(1621), 1,
      anon_sym_COLON,
    ACTIONS(1623), 1,
      anon_sym_RBRACE,
    ACTIONS(1625), 1,
      sym_type_conversion,
    STATE(959), 1,
      sym_format_specifier,
  [34514] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1627), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
  [34527] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1320), 1,
      anon_sym_if,
    ACTIONS(1322), 1,
      anon_sym_and,
    ACTIONS(1324), 1,
      anon_sym_or,
    ACTIONS(1597), 1,
      anon_sym_COMMA,
    STATE(778), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(1629), 2,
      sym__newline,
      sym__semicolon,
  [34550] = 6,
    ACTIONS(1553), 1,
      sym_comment,
    ACTIONS(1560), 1,
      anon_sym_LBRACE,
    ACTIONS(1633), 1,
      sym__string_content,
    ACTIONS(1635), 1,
      sym__string_end,
    ACTIONS(1631), 2,
      sym_escape_sequence,
      sym__not_escape_sequence,
    STATE(695), 2,
      sym_interpolation,
      aux_sym_string_repeat1,
  [34571] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1435), 1,
      anon_sym_async,
    ACTIONS(1437), 1,
      anon_sym_for,
    ACTIONS(1637), 1,
      anon_sym_COMMA,
    ACTIONS(1639), 1,
      anon_sym_RBRACE,
    STATE(658), 1,
      sym_for_in_clause,
    STATE(816), 1,
      aux_sym_dictionary_repeat1,
    STATE(966), 1,
      sym__comprehension_clauses,
  [34596] = 6,
    ACTIONS(1553), 1,
      sym_comment,
    ACTIONS(1560), 1,
      anon_sym_LBRACE,
    ACTIONS(1564), 1,
      sym__string_content,
    ACTIONS(1641), 1,
      sym__string_end,
    ACTIONS(1562), 2,
      sym_escape_sequence,
      sym__not_escape_sequence,
    STATE(674), 2,
      sym_interpolation,
      aux_sym_string_repeat1,
  [34617] = 6,
    ACTIONS(1553), 1,
      sym_comment,
    ACTIONS(1560), 1,
      anon_sym_LBRACE,
    ACTIONS(1564), 1,
      sym__string_content,
    ACTIONS(1643), 1,
      sym__string_end,
    ACTIONS(1562), 2,
      sym_escape_sequence,
      sym__not_escape_sequence,
    STATE(674), 2,
      sym_interpolation,
      aux_sym_string_repeat1,
  [34638] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 1,
      anon_sym_and,
    ACTIONS(1419), 1,
      anon_sym_or,
    ACTIONS(1421), 1,
      anon_sym_if,
    ACTIONS(1645), 4,
      anon_sym_COMMA,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [34657] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 1,
      anon_sym_and,
    ACTIONS(1419), 1,
      anon_sym_or,
    ACTIONS(1421), 1,
      anon_sym_if,
    ACTIONS(1647), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACE,
  [34676] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 1,
      anon_sym_and,
    ACTIONS(1419), 1,
      anon_sym_or,
    ACTIONS(1421), 1,
      anon_sym_if,
    ACTIONS(1649), 1,
      anon_sym_COMMA,
    STATE(795), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(1316), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [34699] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1607), 1,
      anon_sym_DOT,
    STATE(681), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(1651), 5,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      sym__semicolon,
  [34716] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1653), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
  [34729] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1435), 1,
      anon_sym_async,
    ACTIONS(1437), 1,
      anon_sym_for,
    ACTIONS(1655), 1,
      anon_sym_COMMA,
    ACTIONS(1657), 1,
      anon_sym_RBRACE,
    STATE(658), 1,
      sym_for_in_clause,
    STATE(871), 1,
      aux_sym_dictionary_repeat1,
    STATE(980), 1,
      sym__comprehension_clauses,
  [34754] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 1,
      anon_sym_and,
    ACTIONS(1419), 1,
      anon_sym_or,
    ACTIONS(1421), 1,
      anon_sym_if,
    ACTIONS(1543), 1,
      anon_sym_COLON,
    ACTIONS(1659), 1,
      anon_sym_COMMA,
    ACTIONS(1661), 1,
      anon_sym_RBRACK,
    STATE(863), 1,
      aux_sym_subscript_repeat1,
  [34779] = 6,
    ACTIONS(1553), 1,
      sym_comment,
    ACTIONS(1560), 1,
      anon_sym_LBRACE,
    ACTIONS(1665), 1,
      sym__string_content,
    ACTIONS(1667), 1,
      sym__string_end,
    ACTIONS(1663), 2,
      sym_escape_sequence,
      sym__not_escape_sequence,
    STATE(675), 2,
      sym_interpolation,
      aux_sym_string_repeat1,
  [34800] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1669), 1,
      anon_sym_and,
    ACTIONS(1671), 1,
      anon_sym_or,
    ACTIONS(1332), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
  [34816] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 1,
      anon_sym_and,
    ACTIONS(1419), 1,
      anon_sym_or,
    ACTIONS(1421), 1,
      anon_sym_if,
    ACTIONS(1673), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
  [34834] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 1,
      anon_sym_and,
    ACTIONS(1419), 1,
      anon_sym_or,
    ACTIONS(1421), 1,
      anon_sym_if,
    ACTIONS(1675), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
  [34852] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1677), 1,
      anon_sym_DOT,
    STATE(724), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(1609), 4,
      anon_sym_import,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
  [34868] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1587), 6,
      sym__newline,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      sym__semicolon,
  [34880] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1344), 6,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_and,
      anon_sym_or,
  [34892] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 1,
      anon_sym_and,
    ACTIONS(1419), 1,
      anon_sym_or,
    ACTIONS(1421), 1,
      anon_sym_if,
    ACTIONS(1477), 1,
      anon_sym_RPAREN,
    ACTIONS(1479), 1,
      anon_sym_COMMA,
    STATE(889), 1,
      aux_sym_argument_list_repeat1,
  [34914] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(716), 1,
      anon_sym_COLON,
    ACTIONS(1417), 1,
      anon_sym_and,
    ACTIONS(1419), 1,
      anon_sym_or,
    ACTIONS(1421), 1,
      anon_sym_if,
    ACTIONS(714), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [34934] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1669), 1,
      anon_sym_and,
    ACTIONS(1671), 1,
      anon_sym_or,
    ACTIONS(1679), 1,
      anon_sym_if,
    ACTIONS(1336), 3,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_COLON,
  [34952] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 1,
      anon_sym_and,
    ACTIONS(1419), 1,
      anon_sym_or,
    ACTIONS(1421), 1,
      anon_sym_if,
    ACTIONS(1473), 1,
      anon_sym_RPAREN,
    ACTIONS(1475), 1,
      anon_sym_COMMA,
    STATE(897), 1,
      aux_sym_argument_list_repeat1,
  [34974] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1320), 1,
      anon_sym_if,
    ACTIONS(1322), 1,
      anon_sym_and,
    ACTIONS(1324), 1,
      anon_sym_or,
    ACTIONS(1681), 3,
      sym__newline,
      anon_sym_COMMA,
      sym__semicolon,
  [34992] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1683), 1,
      anon_sym_DOT,
    STATE(715), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(1587), 4,
      anon_sym_import,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
  [35008] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1669), 1,
      anon_sym_and,
    ACTIONS(1344), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_or,
  [35022] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 1,
      anon_sym_and,
    ACTIONS(1419), 1,
      anon_sym_or,
    ACTIONS(1421), 1,
      anon_sym_if,
    ACTIONS(1686), 1,
      anon_sym_COLON,
    ACTIONS(795), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [35042] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 1,
      anon_sym_and,
    ACTIONS(1419), 1,
      anon_sym_or,
    ACTIONS(1421), 1,
      anon_sym_if,
    ACTIONS(1471), 1,
      anon_sym_COMMA,
    ACTIONS(1688), 1,
      anon_sym_RPAREN,
    STATE(852), 1,
      aux_sym_tuple_repeat1,
  [35064] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 1,
      anon_sym_and,
    ACTIONS(1419), 1,
      anon_sym_or,
    ACTIONS(1421), 1,
      anon_sym_if,
    ACTIONS(1326), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
  [35082] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1669), 1,
      anon_sym_and,
    ACTIONS(1671), 1,
      anon_sym_or,
    ACTIONS(1679), 1,
      anon_sym_if,
    ACTIONS(1342), 3,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_COLON,
  [35100] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 1,
      anon_sym_and,
    ACTIONS(1419), 1,
      anon_sym_or,
    ACTIONS(1421), 1,
      anon_sym_if,
    ACTIONS(1690), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
  [35118] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1669), 1,
      anon_sym_and,
    ACTIONS(1671), 1,
      anon_sym_or,
    ACTIONS(1679), 1,
      anon_sym_if,
    ACTIONS(1694), 1,
      anon_sym_as,
    ACTIONS(1692), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [35138] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1669), 1,
      anon_sym_and,
    ACTIONS(1671), 1,
      anon_sym_or,
    ACTIONS(1679), 1,
      anon_sym_if,
    ACTIONS(1340), 3,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_COLON,
  [35156] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1677), 1,
      anon_sym_DOT,
    STATE(715), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(1651), 4,
      anon_sym_import,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
  [35172] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1698), 1,
      anon_sym_AT,
    STATE(725), 2,
      sym_decorator,
      aux_sym_decorated_definition_repeat1,
    ACTIONS(1696), 3,
      anon_sym_async,
      anon_sym_def,
      anon_sym_class,
  [35188] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1320), 1,
      anon_sym_if,
    ACTIONS(1322), 1,
      anon_sym_and,
    ACTIONS(1324), 1,
      anon_sym_or,
    ACTIONS(1701), 3,
      sym__newline,
      anon_sym_COMMA,
      sym__semicolon,
  [35206] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 1,
      anon_sym_and,
    ACTIONS(1419), 1,
      anon_sym_or,
    ACTIONS(1421), 1,
      anon_sym_if,
    ACTIONS(1703), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
  [35224] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1338), 6,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_and,
      anon_sym_or,
  [35236] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 1,
      anon_sym_and,
    ACTIONS(1419), 1,
      anon_sym_or,
    ACTIONS(1421), 1,
      anon_sym_if,
    ACTIONS(1543), 1,
      anon_sym_COLON,
    ACTIONS(1705), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [35256] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1669), 1,
      anon_sym_and,
    ACTIONS(1671), 1,
      anon_sym_or,
    ACTIONS(1334), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
  [35272] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1669), 1,
      anon_sym_and,
    ACTIONS(1671), 1,
      anon_sym_or,
    ACTIONS(1679), 1,
      anon_sym_if,
    ACTIONS(1709), 1,
      anon_sym_COLON,
    ACTIONS(1707), 2,
      anon_sym_COMMA,
      anon_sym_as,
  [35292] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1320), 1,
      anon_sym_if,
    ACTIONS(1322), 1,
      anon_sym_and,
    ACTIONS(1324), 1,
      anon_sym_or,
    ACTIONS(1589), 3,
      sym__newline,
      anon_sym_EQ,
      sym__semicolon,
  [35310] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1669), 1,
      anon_sym_and,
    ACTIONS(1671), 1,
      anon_sym_or,
    ACTIONS(1679), 1,
      anon_sym_if,
    ACTIONS(1713), 1,
      anon_sym_COLON,
    ACTIONS(1711), 2,
      anon_sym_COMMA,
      anon_sym_as,
  [35330] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 1,
      anon_sym_and,
    ACTIONS(1419), 1,
      anon_sym_or,
    ACTIONS(1421), 1,
      anon_sym_if,
    ACTIONS(1715), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
  [35348] = 5,
    ACTIONS(1553), 1,
      sym_comment,
    ACTIONS(1717), 1,
      anon_sym_LBRACE,
    ACTIONS(1719), 1,
      anon_sym_RBRACE,
    ACTIONS(1721), 1,
      aux_sym_format_specifier_token1,
    STATE(754), 2,
      sym_format_expression,
      aux_sym_format_specifier_repeat1,
  [35365] = 3,
    ACTIONS(1553), 1,
      sym_comment,
    ACTIONS(1725), 2,
      sym__string_content,
      sym__string_end,
    ACTIONS(1723), 3,
      anon_sym_LBRACE,
      sym_escape_sequence,
      sym__not_escape_sequence,
  [35378] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 1,
      anon_sym_and,
    ACTIONS(1419), 1,
      anon_sym_or,
    ACTIONS(1421), 1,
      anon_sym_if,
    ACTIONS(1727), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [35395] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1320), 1,
      anon_sym_if,
    ACTIONS(1322), 1,
      anon_sym_and,
    ACTIONS(1324), 1,
      anon_sym_or,
    ACTIONS(1729), 2,
      sym__newline,
      sym__semicolon,
  [35412] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 1,
      anon_sym_and,
    ACTIONS(1419), 1,
      anon_sym_or,
    ACTIONS(1421), 1,
      anon_sym_if,
    ACTIONS(795), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [35429] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 1,
      anon_sym_and,
    ACTIONS(1419), 1,
      anon_sym_or,
    ACTIONS(1421), 1,
      anon_sym_if,
    ACTIONS(1731), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [35446] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 1,
      anon_sym_and,
    ACTIONS(1419), 1,
      anon_sym_or,
    ACTIONS(1421), 1,
      anon_sym_if,
    ACTIONS(1733), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [35463] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 1,
      anon_sym_and,
    ACTIONS(1419), 1,
      anon_sym_or,
    ACTIONS(1421), 1,
      anon_sym_if,
    ACTIONS(1735), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [35480] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1737), 1,
      anon_sym_except,
    ACTIONS(1739), 1,
      anon_sym_finally,
    STATE(413), 1,
      sym_finally_clause,
    STATE(179), 2,
      sym_except_clause,
      aux_sym_try_statement_repeat1,
  [35497] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1574), 1,
      sym_identifier,
    ACTIONS(1741), 1,
      anon_sym_LPAREN,
    STATE(758), 1,
      sym_dotted_name,
    STATE(767), 1,
      sym_aliased_import,
    STATE(944), 1,
      sym__import_list,
  [35516] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1574), 1,
      sym_identifier,
    STATE(790), 1,
      sym_dotted_name,
    STATE(826), 1,
      sym_aliased_import,
    ACTIONS(1743), 2,
      sym__newline,
      sym__semicolon,
  [35533] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 1,
      anon_sym_and,
    ACTIONS(1419), 1,
      anon_sym_or,
    ACTIONS(1421), 1,
      anon_sym_if,
    ACTIONS(1745), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [35550] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 1,
      anon_sym_and,
    ACTIONS(1419), 1,
      anon_sym_or,
    ACTIONS(1421), 1,
      anon_sym_if,
    ACTIONS(1747), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [35567] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 1,
      anon_sym_and,
    ACTIONS(1419), 1,
      anon_sym_or,
    ACTIONS(1421), 1,
      anon_sym_if,
    ACTIONS(1749), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [35584] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1751), 1,
      anon_sym_except,
    ACTIONS(1753), 1,
      anon_sym_finally,
    STATE(415), 1,
      sym_finally_clause,
    STATE(191), 2,
      sym_except_clause,
      aux_sym_try_statement_repeat1,
  [35601] = 3,
    ACTIONS(1553), 1,
      sym_comment,
    ACTIONS(1757), 2,
      sym__string_content,
      sym__string_end,
    ACTIONS(1755), 3,
      anon_sym_LBRACE,
      sym_escape_sequence,
      sym__not_escape_sequence,
  [35614] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1320), 1,
      anon_sym_if,
    ACTIONS(1322), 1,
      anon_sym_and,
    ACTIONS(1324), 1,
      anon_sym_or,
    ACTIONS(1731), 2,
      sym__newline,
      sym__semicolon,
  [35631] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1737), 1,
      anon_sym_except,
    ACTIONS(1739), 1,
      anon_sym_finally,
    STATE(409), 1,
      sym_finally_clause,
    STATE(149), 2,
      sym_except_clause,
      aux_sym_try_statement_repeat1,
  [35648] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1574), 1,
      sym_identifier,
    STATE(790), 1,
      sym_dotted_name,
    STATE(826), 1,
      sym_aliased_import,
    ACTIONS(1759), 2,
      sym__newline,
      sym__semicolon,
  [35665] = 5,
    ACTIONS(1553), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym_LBRACE,
    ACTIONS(1764), 1,
      anon_sym_RBRACE,
    ACTIONS(1766), 1,
      aux_sym_format_specifier_token1,
    STATE(754), 2,
      sym_format_expression,
      aux_sym_format_specifier_repeat1,
  [35682] = 3,
    ACTIONS(1553), 1,
      sym_comment,
    ACTIONS(1771), 2,
      sym__string_content,
      sym__string_end,
    ACTIONS(1769), 3,
      anon_sym_LBRACE,
      sym_escape_sequence,
      sym__not_escape_sequence,
  [35695] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1587), 5,
      anon_sym_import,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
  [35706] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1320), 1,
      anon_sym_if,
    ACTIONS(1322), 1,
      anon_sym_and,
    ACTIONS(1324), 1,
      anon_sym_or,
    ACTIONS(1773), 2,
      sym__newline,
      sym__semicolon,
  [35723] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1775), 1,
      anon_sym_COMMA,
    ACTIONS(1777), 1,
      anon_sym_as,
    STATE(792), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(1779), 2,
      sym__newline,
      sym__semicolon,
  [35740] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1781), 1,
      anon_sym_RPAREN,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(1785), 1,
      anon_sym_COLON,
    ACTIONS(1787), 1,
      anon_sym_EQ,
    STATE(864), 1,
      aux_sym__parameters_repeat1,
  [35759] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1789), 1,
      anon_sym_RPAREN,
    ACTIONS(1791), 1,
      anon_sym_COMMA,
    ACTIONS(1793), 1,
      anon_sym_COLON,
    ACTIONS(1795), 1,
      anon_sym_EQ,
    STATE(862), 1,
      aux_sym__parameters_repeat1,
  [35778] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 1,
      anon_sym_and,
    ACTIONS(1419), 1,
      anon_sym_or,
    ACTIONS(1421), 1,
      anon_sym_if,
    ACTIONS(805), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [35795] = 5,
    ACTIONS(1553), 1,
      sym_comment,
    ACTIONS(1717), 1,
      anon_sym_LBRACE,
    ACTIONS(1797), 1,
      anon_sym_RBRACE,
    ACTIONS(1799), 1,
      aux_sym_format_specifier_token1,
    STATE(735), 2,
      sym_format_expression,
      aux_sym_format_specifier_repeat1,
  [35812] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1751), 1,
      anon_sym_except,
    ACTIONS(1753), 1,
      anon_sym_finally,
    STATE(402), 1,
      sym_finally_clause,
    STATE(187), 2,
      sym_except_clause,
      aux_sym_try_statement_repeat1,
  [35829] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 1,
      anon_sym_and,
    ACTIONS(1419), 1,
      anon_sym_or,
    ACTIONS(1421), 1,
      anon_sym_if,
    ACTIONS(1801), 1,
      anon_sym_COLON,
  [35845] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1803), 4,
      anon_sym_async,
      anon_sym_def,
      anon_sym_class,
      anon_sym_AT,
  [35855] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1805), 1,
      anon_sym_COMMA,
    STATE(766), 1,
      aux_sym_list_repeat1,
    ACTIONS(1690), 2,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
  [35869] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1775), 1,
      anon_sym_COMMA,
    STATE(792), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(1779), 2,
      sym__newline,
      sym__semicolon,
  [35883] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 1,
      anon_sym_and,
    ACTIONS(1419), 1,
      anon_sym_or,
    ACTIONS(1421), 1,
      anon_sym_if,
    ACTIONS(1433), 1,
      anon_sym_COLON,
  [35899] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1781), 1,
      anon_sym_RPAREN,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(1808), 1,
      anon_sym_COLON,
    STATE(864), 1,
      aux_sym__parameters_repeat1,
  [35915] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 1,
      anon_sym_and,
    ACTIONS(1419), 1,
      anon_sym_or,
    ACTIONS(1421), 1,
      anon_sym_if,
    ACTIONS(1810), 1,
      anon_sym_COLON,
  [35931] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      anon_sym_RPAREN,
    ACTIONS(1812), 1,
      anon_sym_COMMA,
    ACTIONS(1814), 1,
      anon_sym_as,
    STATE(829), 1,
      aux_sym__import_list_repeat1,
  [35947] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 1,
      anon_sym_and,
    ACTIONS(1419), 1,
      anon_sym_or,
    ACTIONS(1421), 1,
      anon_sym_if,
    ACTIONS(1816), 1,
      anon_sym_COLON,
  [35963] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1820), 1,
      anon_sym_DOT,
    STATE(803), 1,
      aux_sym_import_prefix_repeat1,
    ACTIONS(1818), 2,
      anon_sym_import,
      sym_identifier,
  [35977] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1822), 1,
      anon_sym_COMMA,
    STATE(774), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(1825), 2,
      sym__newline,
      sym__semicolon,
  [35991] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 1,
      anon_sym_and,
    ACTIONS(1419), 1,
      anon_sym_or,
    ACTIONS(1421), 1,
      anon_sym_if,
    ACTIONS(1827), 1,
      anon_sym_else,
  [36007] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 1,
      anon_sym_and,
    ACTIONS(1419), 1,
      anon_sym_or,
    ACTIONS(1421), 1,
      anon_sym_if,
    ACTIONS(1829), 1,
      anon_sym_COLON,
  [36023] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1831), 4,
      anon_sym_async,
      anon_sym_def,
      anon_sym_class,
      anon_sym_AT,
  [36033] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1597), 1,
      anon_sym_COMMA,
    STATE(613), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(1833), 2,
      sym__newline,
      sym__semicolon,
  [36047] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1837), 1,
      anon_sym_EQ,
    ACTIONS(1835), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
  [36059] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 1,
      anon_sym_and,
    ACTIONS(1419), 1,
      anon_sym_or,
    ACTIONS(1421), 1,
      anon_sym_if,
    ACTIONS(1839), 1,
      anon_sym_COLON,
  [36075] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1841), 1,
      anon_sym_COMMA,
    STATE(787), 1,
      aux_sym_print_statement_repeat1,
    ACTIONS(1843), 2,
      sym__newline,
      sym__semicolon,
  [36089] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1743), 1,
      anon_sym_RPAREN,
    ACTIONS(1845), 1,
      sym_identifier,
    STATE(904), 1,
      sym_dotted_name,
    STATE(910), 1,
      sym_aliased_import,
  [36105] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1781), 1,
      anon_sym_COLON,
    ACTIONS(1787), 1,
      anon_sym_EQ,
    ACTIONS(1847), 1,
      anon_sym_COMMA,
    STATE(848), 1,
      aux_sym__parameters_repeat1,
  [36121] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1789), 1,
      anon_sym_COLON,
    ACTIONS(1795), 1,
      anon_sym_EQ,
    ACTIONS(1849), 1,
      anon_sym_COMMA,
    STATE(851), 1,
      aux_sym__parameters_repeat1,
  [36137] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1759), 1,
      anon_sym_RPAREN,
    ACTIONS(1845), 1,
      sym_identifier,
    STATE(904), 1,
      sym_dotted_name,
    STATE(910), 1,
      sym_aliased_import,
  [36153] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1851), 1,
      anon_sym_COMMA,
    STATE(787), 1,
      aux_sym_print_statement_repeat1,
    ACTIONS(1853), 2,
      sym__newline,
      sym__semicolon,
  [36167] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1855), 1,
      anon_sym_COMMA,
    STATE(787), 1,
      aux_sym_print_statement_repeat1,
    ACTIONS(1858), 2,
      sym__newline,
      sym__semicolon,
  [36181] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1860), 1,
      anon_sym_COMMA,
    STATE(796), 1,
      aux_sym_global_statement_repeat1,
    ACTIONS(1862), 2,
      sym__newline,
      sym__semicolon,
  [36195] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 1,
      anon_sym_and,
    ACTIONS(1419), 1,
      anon_sym_or,
    ACTIONS(1421), 1,
      anon_sym_if,
    ACTIONS(1864), 1,
      anon_sym_else,
  [36211] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1777), 1,
      anon_sym_as,
    ACTIONS(1866), 3,
      sym__newline,
      anon_sym_COMMA,
      sym__semicolon,
  [36223] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1860), 1,
      anon_sym_COMMA,
    STATE(788), 1,
      aux_sym_global_statement_repeat1,
    ACTIONS(1868), 2,
      sym__newline,
      sym__semicolon,
  [36237] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1870), 1,
      anon_sym_COMMA,
    STATE(774), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(1872), 2,
      sym__newline,
      sym__semicolon,
  [36251] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 1,
      anon_sym_and,
    ACTIONS(1419), 1,
      anon_sym_or,
    ACTIONS(1421), 1,
      anon_sym_if,
    ACTIONS(1874), 1,
      anon_sym_COLON,
  [36267] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 1,
      anon_sym_and,
    ACTIONS(1419), 1,
      anon_sym_or,
    ACTIONS(1421), 1,
      anon_sym_if,
    ACTIONS(1876), 1,
      anon_sym_else,
  [36283] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1878), 1,
      anon_sym_COMMA,
    STATE(807), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(341), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [36297] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1880), 1,
      anon_sym_COMMA,
    STATE(796), 1,
      aux_sym_global_statement_repeat1,
    ACTIONS(1883), 2,
      sym__newline,
      sym__semicolon,
  [36311] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 1,
      anon_sym_and,
    ACTIONS(1419), 1,
      anon_sym_or,
    ACTIONS(1421), 1,
      anon_sym_if,
    ACTIONS(1885), 1,
      anon_sym_RBRACE,
  [36327] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1860), 1,
      anon_sym_COMMA,
    STATE(799), 1,
      aux_sym_global_statement_repeat1,
    ACTIONS(1887), 2,
      sym__newline,
      sym__semicolon,
  [36341] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1860), 1,
      anon_sym_COMMA,
    STATE(796), 1,
      aux_sym_global_statement_repeat1,
    ACTIONS(1889), 2,
      sym__newline,
      sym__semicolon,
  [36355] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 1,
      anon_sym_and,
    ACTIONS(1419), 1,
      anon_sym_or,
    ACTIONS(1421), 1,
      anon_sym_if,
    ACTIONS(1891), 1,
      anon_sym_COLON,
  [36371] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1597), 1,
      anon_sym_COMMA,
    STATE(613), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(1893), 2,
      sym__newline,
      sym__semicolon,
  [36385] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 1,
      anon_sym_and,
    ACTIONS(1419), 1,
      anon_sym_or,
    ACTIONS(1421), 1,
      anon_sym_if,
    ACTIONS(1895), 1,
      anon_sym_COLON,
  [36401] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1899), 1,
      anon_sym_DOT,
    STATE(803), 1,
      aux_sym_import_prefix_repeat1,
    ACTIONS(1897), 2,
      anon_sym_import,
      sym_identifier,
  [36415] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1574), 1,
      sym_identifier,
    STATE(758), 1,
      sym_dotted_name,
    STATE(767), 1,
      sym_aliased_import,
    STATE(920), 1,
      sym__import_list,
  [36431] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1902), 1,
      anon_sym_COMMA,
    STATE(781), 1,
      aux_sym_print_statement_repeat1,
    ACTIONS(1904), 2,
      sym__newline,
      sym__semicolon,
  [36445] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1793), 1,
      anon_sym_COLON,
    ACTIONS(1795), 1,
      anon_sym_EQ,
    ACTIONS(1906), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [36459] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1908), 1,
      anon_sym_COMMA,
    STATE(807), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(1326), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [36473] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1845), 1,
      sym_identifier,
    STATE(771), 1,
      sym_dotted_name,
    STATE(845), 1,
      sym_aliased_import,
    STATE(1024), 1,
      sym__import_list,
  [36489] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1845), 1,
      sym_identifier,
    STATE(771), 1,
      sym_dotted_name,
    STATE(845), 1,
      sym_aliased_import,
    STATE(1023), 1,
      sym__import_list,
  [36505] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1785), 1,
      anon_sym_COLON,
    ACTIONS(1787), 1,
      anon_sym_EQ,
    ACTIONS(1911), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [36519] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1911), 1,
      anon_sym_COLON,
    ACTIONS(1913), 1,
      anon_sym_COMMA,
    STATE(811), 1,
      aux_sym__parameters_repeat1,
  [36532] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1690), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
  [36541] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1735), 1,
      anon_sym_RPAREN,
    ACTIONS(1916), 1,
      anon_sym_COMMA,
    STATE(813), 1,
      aux_sym_argument_list_repeat1,
  [36554] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1591), 1,
      sym_identifier,
    ACTIONS(1919), 1,
      anon_sym_import,
    STATE(996), 1,
      sym_dotted_name,
  [36567] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1921), 1,
      anon_sym_EQ,
    ACTIONS(1923), 2,
      sym__newline,
      sym__semicolon,
  [36578] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(528), 1,
      anon_sym_RBRACE,
    ACTIONS(1925), 1,
      anon_sym_COMMA,
    STATE(886), 1,
      aux_sym_dictionary_repeat1,
  [36591] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(762), 1,
      anon_sym_RBRACE,
    ACTIONS(1927), 1,
      anon_sym_COMMA,
    STATE(766), 1,
      aux_sym_list_repeat1,
  [36604] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(766), 1,
      anon_sym_RBRACK,
    ACTIONS(1929), 1,
      anon_sym_COMMA,
    STATE(766), 1,
      aux_sym_list_repeat1,
  [36617] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(506), 3,
      sym__newline,
      anon_sym_in,
      sym__semicolon,
  [36626] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(514), 3,
      sym__newline,
      anon_sym_in,
      sym__semicolon,
  [36635] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(754), 1,
      anon_sym_RPAREN,
    ACTIONS(1931), 1,
      anon_sym_COMMA,
    STATE(843), 1,
      aux_sym_tuple_repeat1,
  [36648] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1933), 1,
      anon_sym_COMMA,
    ACTIONS(1935), 1,
      anon_sym_COLON,
    STATE(837), 1,
      aux_sym_with_statement_repeat1,
  [36661] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1781), 1,
      anon_sym_RPAREN,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    STATE(864), 1,
      aux_sym__parameters_repeat1,
  [36674] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(327), 1,
      sym__newline,
    ACTIONS(1937), 1,
      sym__semicolon,
    STATE(882), 1,
      aux_sym__simple_statements_repeat1,
  [36687] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_RPAREN,
    ACTIONS(1463), 1,
      anon_sym_COMMA,
    STATE(855), 1,
      aux_sym_tuple_repeat1,
  [36700] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1866), 3,
      sym__newline,
      anon_sym_COMMA,
      sym__semicolon,
  [36709] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1933), 1,
      anon_sym_COMMA,
    ACTIONS(1935), 1,
      anon_sym_COLON,
    STATE(867), 1,
      aux_sym_with_statement_repeat1,
  [36722] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1939), 1,
      sym__semicolon,
    ACTIONS(1941), 1,
      sym__newline,
    STATE(844), 1,
      aux_sym__simple_statements_repeat1,
  [36735] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1872), 1,
      anon_sym_RPAREN,
    ACTIONS(1943), 1,
      anon_sym_COMMA,
    STATE(887), 1,
      aux_sym__import_list_repeat1,
  [36748] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(670), 1,
      anon_sym_RBRACE,
    ACTIONS(1945), 1,
      anon_sym_COMMA,
    STATE(886), 1,
      aux_sym_dictionary_repeat1,
  [36761] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1947), 1,
      sym__semicolon,
    ACTIONS(1949), 1,
      sym__newline,
    STATE(891), 1,
      aux_sym__simple_statements_repeat1,
  [36774] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(764), 1,
      anon_sym_RBRACE,
    ACTIONS(1951), 1,
      anon_sym_COMMA,
    STATE(766), 1,
      aux_sym_list_repeat1,
  [36787] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1469), 1,
      anon_sym_RPAREN,
    ACTIONS(1471), 1,
      anon_sym_COMMA,
    STATE(852), 1,
      aux_sym_tuple_repeat1,
  [36800] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1953), 1,
      anon_sym_LPAREN,
    ACTIONS(1955), 1,
      anon_sym_COLON,
    STATE(1000), 1,
      sym_argument_list,
  [36813] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1933), 1,
      anon_sym_COMMA,
    ACTIONS(1957), 1,
      anon_sym_COLON,
    STATE(827), 1,
      aux_sym_with_statement_repeat1,
  [36826] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1457), 1,
      anon_sym_COMMA,
    ACTIONS(1459), 1,
      anon_sym_RBRACK,
    STATE(866), 1,
      aux_sym_list_repeat1,
  [36839] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1933), 1,
      anon_sym_COMMA,
    ACTIONS(1959), 1,
      anon_sym_COLON,
    STATE(867), 1,
      aux_sym_with_statement_repeat1,
  [36852] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1961), 3,
      sym__newline,
      anon_sym_COMMA,
      sym__semicolon,
  [36861] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1441), 1,
      anon_sym_COMMA,
    ACTIONS(1443), 1,
      anon_sym_RBRACE,
    STATE(869), 1,
      aux_sym_list_repeat1,
  [36874] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1655), 1,
      anon_sym_COMMA,
    ACTIONS(1657), 1,
      anon_sym_RBRACE,
    STATE(871), 1,
      aux_sym_dictionary_repeat1,
  [36887] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(760), 1,
      anon_sym_RBRACK,
    ACTIONS(1963), 1,
      anon_sym_COMMA,
    STATE(766), 1,
      aux_sym_list_repeat1,
  [36900] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1637), 1,
      anon_sym_COMMA,
    ACTIONS(1639), 1,
      anon_sym_RBRACE,
    STATE(816), 1,
      aux_sym_dictionary_repeat1,
  [36913] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1749), 1,
      anon_sym_RPAREN,
    ACTIONS(1965), 1,
      anon_sym_COMMA,
    STATE(843), 1,
      aux_sym_tuple_repeat1,
  [36926] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(331), 1,
      sym__newline,
    ACTIONS(1968), 1,
      sym__semicolon,
    STATE(882), 1,
      aux_sym__simple_statements_repeat1,
  [36939] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      anon_sym_RPAREN,
    ACTIONS(1812), 1,
      anon_sym_COMMA,
    STATE(829), 1,
      aux_sym__import_list_repeat1,
  [36952] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1431), 1,
      anon_sym_COMMA,
    ACTIONS(1439), 1,
      anon_sym_RBRACE,
    STATE(817), 1,
      aux_sym_list_repeat1,
  [36965] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1808), 1,
      anon_sym_COLON,
    ACTIONS(1911), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [36976] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1425), 1,
      anon_sym_COLON,
    ACTIONS(1970), 1,
      anon_sym_COMMA,
    STATE(811), 1,
      aux_sym__parameters_repeat1,
  [36989] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1845), 1,
      sym_identifier,
    STATE(904), 1,
      sym_dotted_name,
    STATE(910), 1,
      sym_aliased_import,
  [37002] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1453), 1,
      anon_sym_COMMA,
    ACTIONS(1455), 1,
      anon_sym_RBRACK,
    STATE(818), 1,
      aux_sym_list_repeat1,
  [37015] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1409), 1,
      anon_sym_COLON,
    ACTIONS(1972), 1,
      anon_sym_COMMA,
    STATE(811), 1,
      aux_sym__parameters_repeat1,
  [37028] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(734), 1,
      anon_sym_RPAREN,
    ACTIONS(1974), 1,
      anon_sym_COMMA,
    STATE(843), 1,
      aux_sym_tuple_repeat1,
  [37041] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_COLON,
    ACTIONS(1976), 1,
      anon_sym_COMMA,
    STATE(811), 1,
      aux_sym__parameters_repeat1,
  [37054] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1933), 1,
      anon_sym_COMMA,
    ACTIONS(1978), 1,
      anon_sym_COLON,
    STATE(867), 1,
      aux_sym_with_statement_repeat1,
  [37067] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(722), 1,
      anon_sym_RPAREN,
    ACTIONS(1980), 1,
      anon_sym_COMMA,
    STATE(843), 1,
      aux_sym_tuple_repeat1,
  [37080] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1795), 1,
      anon_sym_EQ,
    ACTIONS(1906), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [37091] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1449), 1,
      anon_sym_RPAREN,
    ACTIONS(1451), 1,
      anon_sym_COMMA,
    STATE(821), 1,
      aux_sym_tuple_repeat1,
  [37104] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1982), 1,
      anon_sym_for,
    ACTIONS(1984), 1,
      anon_sym_with,
    ACTIONS(1986), 1,
      anon_sym_def,
  [37117] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1705), 1,
      anon_sym_RBRACK,
    ACTIONS(1988), 1,
      anon_sym_COMMA,
    STATE(859), 1,
      aux_sym_subscript_repeat1,
  [37130] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_RPAREN,
    ACTIONS(1991), 1,
      anon_sym_COMMA,
    STATE(892), 1,
      aux_sym__parameters_repeat1,
  [37143] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1993), 1,
      sym__semicolon,
    ACTIONS(1995), 1,
      sym__newline,
    STATE(824), 1,
      aux_sym__simple_statements_repeat1,
  [37156] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1409), 1,
      anon_sym_RPAREN,
    ACTIONS(1997), 1,
      anon_sym_COMMA,
    STATE(892), 1,
      aux_sym__parameters_repeat1,
  [37169] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1999), 1,
      anon_sym_COMMA,
    ACTIONS(2001), 1,
      anon_sym_RBRACK,
    STATE(859), 1,
      aux_sym_subscript_repeat1,
  [37182] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1425), 1,
      anon_sym_RPAREN,
    ACTIONS(2003), 1,
      anon_sym_COMMA,
    STATE(892), 1,
      aux_sym__parameters_repeat1,
  [37195] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1471), 1,
      anon_sym_COMMA,
    ACTIONS(1688), 1,
      anon_sym_RPAREN,
    STATE(852), 1,
      aux_sym_tuple_repeat1,
  [37208] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(708), 1,
      anon_sym_RBRACK,
    ACTIONS(2005), 1,
      anon_sym_COMMA,
    STATE(766), 1,
      aux_sym_list_repeat1,
  [37221] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2007), 1,
      anon_sym_COMMA,
    ACTIONS(2010), 1,
      anon_sym_COLON,
    STATE(867), 1,
      aux_sym_with_statement_repeat1,
  [37234] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1787), 1,
      anon_sym_EQ,
    ACTIONS(1911), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [37245] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(736), 1,
      anon_sym_RBRACE,
    ACTIONS(2012), 1,
      anon_sym_COMMA,
    STATE(766), 1,
      aux_sym_list_repeat1,
  [37258] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1911), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
  [37267] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(526), 1,
      anon_sym_RBRACE,
    ACTIONS(2014), 1,
      anon_sym_COMMA,
    STATE(886), 1,
      aux_sym_dictionary_repeat1,
  [37280] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(451), 1,
      anon_sym_RPAREN,
    ACTIONS(2016), 1,
      anon_sym_COMMA,
    STATE(813), 1,
      aux_sym_argument_list_repeat1,
  [37293] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1621), 1,
      anon_sym_COLON,
    ACTIONS(2018), 1,
      anon_sym_RBRACE,
    STATE(1022), 1,
      sym_format_specifier,
  [37306] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1477), 1,
      anon_sym_RPAREN,
    ACTIONS(1479), 1,
      anon_sym_COMMA,
    STATE(889), 1,
      aux_sym_argument_list_repeat1,
  [37319] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2020), 1,
      anon_sym_from,
    ACTIONS(2022), 2,
      sym__newline,
      sym__semicolon,
  [37330] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1933), 1,
      anon_sym_COMMA,
    ACTIONS(2024), 1,
      anon_sym_COLON,
    STATE(854), 1,
      aux_sym_with_statement_repeat1,
  [37343] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1473), 1,
      anon_sym_RPAREN,
    ACTIONS(1475), 1,
      anon_sym_COMMA,
    STATE(897), 1,
      aux_sym_argument_list_repeat1,
  [37356] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1933), 1,
      anon_sym_COMMA,
    ACTIONS(2024), 1,
      anon_sym_COLON,
    STATE(867), 1,
      aux_sym_with_statement_repeat1,
  [37369] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1933), 1,
      anon_sym_COMMA,
    ACTIONS(2026), 1,
      anon_sym_COLON,
    STATE(878), 1,
      aux_sym_with_statement_repeat1,
  [37382] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_COMMA,
    ACTIONS(1619), 1,
      anon_sym_RBRACK,
    STATE(899), 1,
      aux_sym_subscript_repeat1,
  [37395] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1835), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
  [37404] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2028), 1,
      sym__semicolon,
    ACTIONS(2031), 1,
      sym__newline,
    STATE(882), 1,
      aux_sym__simple_statements_repeat1,
  [37417] = 2,
    ACTIONS(1553), 1,
      sym_comment,
    ACTIONS(2033), 3,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_format_specifier_token1,
  [37426] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1541), 1,
      anon_sym_COMMA,
    ACTIONS(1545), 1,
      anon_sym_RBRACK,
    STATE(890), 1,
      aux_sym_subscript_repeat1,
  [37439] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1883), 3,
      sym__newline,
      anon_sym_COMMA,
      sym__semicolon,
  [37448] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2035), 1,
      anon_sym_COMMA,
    ACTIONS(2038), 1,
      anon_sym_RBRACE,
    STATE(886), 1,
      aux_sym_dictionary_repeat1,
  [37461] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1825), 1,
      anon_sym_RPAREN,
    ACTIONS(2040), 1,
      anon_sym_COMMA,
    STATE(887), 1,
      aux_sym__import_list_repeat1,
  [37474] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1350), 1,
      anon_sym_in,
    ACTIONS(2043), 1,
      anon_sym_COMMA,
    STATE(888), 1,
      aux_sym_variables_repeat1,
  [37487] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(453), 1,
      anon_sym_RPAREN,
    ACTIONS(2046), 1,
      anon_sym_COMMA,
    STATE(813), 1,
      aux_sym_argument_list_repeat1,
  [37500] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2048), 1,
      anon_sym_COMMA,
    ACTIONS(2050), 1,
      anon_sym_RBRACK,
    STATE(859), 1,
      aux_sym_subscript_repeat1,
  [37513] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(321), 1,
      sym__newline,
    ACTIONS(2052), 1,
      sym__semicolon,
    STATE(882), 1,
      aux_sym__simple_statements_repeat1,
  [37526] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1911), 1,
      anon_sym_RPAREN,
    ACTIONS(2054), 1,
      anon_sym_COMMA,
    STATE(892), 1,
      aux_sym__parameters_repeat1,
  [37539] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2057), 1,
      anon_sym_in,
    ACTIONS(2059), 2,
      sym__newline,
      sym__semicolon,
  [37550] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1574), 1,
      sym_identifier,
    STATE(790), 1,
      sym_dotted_name,
    STATE(826), 1,
      sym_aliased_import,
  [37563] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1953), 1,
      anon_sym_LPAREN,
    ACTIONS(2061), 1,
      anon_sym_COLON,
    STATE(998), 1,
      sym_argument_list,
  [37576] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1568), 1,
      anon_sym_COMMA,
    ACTIONS(1570), 1,
      anon_sym_RBRACE,
    STATE(830), 1,
      aux_sym_dictionary_repeat1,
  [37589] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(455), 1,
      anon_sym_RPAREN,
    ACTIONS(2063), 1,
      anon_sym_COMMA,
    STATE(813), 1,
      aux_sym_argument_list_repeat1,
  [37602] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1445), 1,
      anon_sym_COMMA,
    ACTIONS(1447), 1,
      anon_sym_RBRACE,
    STATE(832), 1,
      aux_sym_list_repeat1,
  [37615] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2065), 1,
      anon_sym_COMMA,
    ACTIONS(2067), 1,
      anon_sym_RBRACK,
    STATE(859), 1,
      aux_sym_subscript_repeat1,
  [37628] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1659), 1,
      anon_sym_COMMA,
    ACTIONS(1661), 1,
      anon_sym_RBRACK,
    STATE(863), 1,
      aux_sym_subscript_repeat1,
  [37641] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2069), 1,
      anon_sym_LPAREN,
    ACTIONS(2071), 1,
      sym__newline,
    STATE(1027), 1,
      sym_argument_list,
  [37654] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1481), 1,
      anon_sym_COMMA,
    ACTIONS(1483), 1,
      anon_sym_RBRACK,
    STATE(841), 1,
      aux_sym_list_repeat1,
  [37667] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2073), 1,
      anon_sym_for,
    ACTIONS(2075), 1,
      anon_sym_with,
    ACTIONS(2077), 1,
      anon_sym_def,
  [37680] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1814), 1,
      anon_sym_as,
    ACTIONS(1866), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [37691] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1781), 1,
      anon_sym_COLON,
    ACTIONS(1847), 1,
      anon_sym_COMMA,
    STATE(848), 1,
      aux_sym__parameters_repeat1,
  [37704] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1781), 1,
      anon_sym_COLON,
    ACTIONS(1847), 1,
      anon_sym_COMMA,
    STATE(848), 1,
      aux_sym__parameters_repeat1,
  [37717] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2079), 1,
      anon_sym_COMMA,
    ACTIONS(2081), 1,
      anon_sym_in,
    STATE(888), 1,
      aux_sym_variables_repeat1,
  [37730] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1465), 1,
      anon_sym_RPAREN,
    ACTIONS(1467), 1,
      anon_sym_COMMA,
    STATE(872), 1,
      aux_sym_argument_list_repeat1,
  [37743] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2083), 2,
      sym__newline,
      sym__semicolon,
  [37751] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1866), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [37759] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2085), 2,
      sym__newline,
      sym__semicolon,
  [37767] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2087), 1,
      anon_sym_LPAREN,
    STATE(939), 1,
      sym_parameters,
  [37777] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2089), 2,
      sym__newline,
      sym__semicolon,
  [37785] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2087), 1,
      anon_sym_LPAREN,
    STATE(946), 1,
      sym_parameters,
  [37795] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2091), 2,
      anon_sym_COLON,
      anon_sym_DASH_GT,
  [37803] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1961), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [37811] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2087), 1,
      anon_sym_LPAREN,
    STATE(931), 1,
      sym_parameters,
  [37821] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2038), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [37829] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2087), 1,
      anon_sym_LPAREN,
    STATE(926), 1,
      sym_parameters,
  [37839] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2093), 2,
      sym__newline,
      sym__semicolon,
  [37847] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2095), 2,
      sym__newline,
      sym__semicolon,
  [37855] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2097), 2,
      sym__newline,
      sym__semicolon,
  [37863] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2099), 2,
      sym__newline,
      sym__semicolon,
  [37871] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1574), 1,
      sym_identifier,
    STATE(901), 1,
      sym_dotted_name,
  [37881] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2101), 2,
      sym__newline,
      sym__semicolon,
  [37889] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2103), 1,
      anon_sym_COLON,
    ACTIONS(2105), 1,
      anon_sym_DASH_GT,
  [37899] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2107), 2,
      anon_sym_COLON,
      anon_sym_DASH_GT,
  [37907] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2109), 2,
      sym__newline,
      sym__semicolon,
  [37915] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2111), 2,
      sym__newline,
      sym__semicolon,
  [37923] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1911), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [37931] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2113), 1,
      anon_sym_COLON,
    ACTIONS(2115), 1,
      anon_sym_DASH_GT,
  [37941] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(846), 2,
      anon_sym_except,
      anon_sym_finally,
  [37949] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2117), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [37957] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2119), 2,
      sym__newline,
      sym__semicolon,
  [37965] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2010), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [37973] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1330), 2,
      sym__newline,
      sym__semicolon,
  [37981] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(838), 2,
      anon_sym_except,
      anon_sym_finally,
  [37989] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2085), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [37997] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2121), 1,
      anon_sym_COLON,
    ACTIONS(2123), 1,
      anon_sym_DASH_GT,
  [38007] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2125), 2,
      sym__newline,
      sym__semicolon,
  [38015] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1735), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [38023] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(850), 2,
      anon_sym_except,
      anon_sym_finally,
  [38031] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2031), 2,
      sym__newline,
      sym__semicolon,
  [38039] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2127), 2,
      sym__newline,
      sym__semicolon,
  [38047] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(840), 2,
      anon_sym_except,
      anon_sym_finally,
  [38055] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2129), 1,
      anon_sym_COLON,
    ACTIONS(2131), 1,
      anon_sym_DASH_GT,
  [38065] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1705), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [38073] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(854), 2,
      anon_sym_except,
      anon_sym_finally,
  [38081] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2133), 2,
      sym__newline,
      sym__semicolon,
  [38089] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2135), 2,
      sym__newline,
      sym__semicolon,
  [38097] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1749), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [38105] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2137), 1,
      anon_sym_in,
  [38112] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1639), 1,
      anon_sym_RBRACE,
  [38119] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2139), 1,
      anon_sym_in,
  [38126] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2141), 1,
      anon_sym_COLON,
  [38133] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2143), 1,
      anon_sym_RPAREN,
  [38140] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2145), 1,
      anon_sym_in,
  [38147] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2147), 1,
      anon_sym_RPAREN,
  [38154] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2018), 1,
      anon_sym_RBRACE,
  [38161] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2149), 1,
      anon_sym_RBRACK,
  [38168] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2151), 1,
      anon_sym_COLON,
  [38175] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_RBRACK,
  [38182] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2153), 1,
      anon_sym_import,
  [38189] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2155), 1,
      sym_identifier,
  [38196] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2157), 1,
      anon_sym_RBRACE,
  [38203] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2159), 1,
      anon_sym_RBRACE,
  [38210] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2161), 1,
      anon_sym_RPAREN,
  [38217] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2163), 1,
      sym_identifier,
  [38224] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1465), 1,
      anon_sym_RPAREN,
  [38231] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2165), 1,
      anon_sym_for,
  [38238] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2167), 1,
      anon_sym_COLON,
  [38245] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2169), 1,
      anon_sym_COLON,
  [38252] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      anon_sym_RBRACK,
  [38259] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2171), 1,
      anon_sym_import,
  [38266] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1570), 1,
      anon_sym_RBRACE,
  [38273] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2173), 1,
      sym_identifier,
  [38280] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2175), 1,
      anon_sym_in,
  [38287] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2177), 1,
      anon_sym_COLON,
  [38294] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1473), 1,
      anon_sym_RPAREN,
  [38301] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2179), 1,
      anon_sym_RBRACE,
  [38308] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2181), 1,
      anon_sym_RBRACE,
  [38315] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2183), 1,
      anon_sym_RBRACK,
  [38322] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1477), 1,
      anon_sym_RPAREN,
  [38329] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2077), 1,
      anon_sym_def,
  [38336] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2185), 1,
      anon_sym_RPAREN,
  [38343] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2187), 1,
      sym_identifier,
  [38350] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2189), 1,
      sym_identifier,
  [38357] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2191), 1,
      sym_identifier,
  [38364] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2193), 1,
      sym_identifier,
  [38371] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1657), 1,
      anon_sym_RBRACE,
  [38378] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      anon_sym_RBRACK,
  [38385] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2195), 1,
      anon_sym_COLON,
  [38392] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1688), 1,
      anon_sym_RPAREN,
  [38399] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2197), 1,
      ts_builtin_sym_end,
  [38406] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2199), 1,
      sym_identifier,
  [38413] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2201), 1,
      anon_sym_import,
  [38420] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2203), 1,
      anon_sym_in,
  [38427] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2205), 1,
      anon_sym_COLON,
  [38434] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2207), 1,
      anon_sym_RBRACE,
  [38441] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2209), 1,
      anon_sym_COLON,
  [38448] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2211), 1,
      anon_sym_RBRACE,
  [38455] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2213), 1,
      anon_sym_RBRACK,
  [38462] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2215), 1,
      anon_sym_COLON,
  [38469] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2217), 1,
      anon_sym_RPAREN,
  [38476] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2219), 1,
      anon_sym_COLON,
  [38483] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2221), 1,
      anon_sym_COLON,
  [38490] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2223), 1,
      anon_sym_COLON,
  [38497] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2225), 1,
      anon_sym_in,
  [38504] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2227), 1,
      anon_sym_COLON,
  [38511] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2229), 1,
      anon_sym_EQ,
  [38518] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2231), 1,
      anon_sym_COLON,
  [38525] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2233), 1,
      anon_sym_COLON,
  [38532] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2235), 1,
      sym_identifier,
  [38539] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2237), 1,
      sym_identifier,
  [38546] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2239), 1,
      sym_identifier,
  [38553] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2241), 1,
      sym_identifier,
  [38560] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2243), 1,
      anon_sym_COLON,
  [38567] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2245), 1,
      anon_sym_COLON,
  [38574] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2247), 1,
      sym_identifier,
  [38581] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2249), 1,
      anon_sym_COLON,
  [38588] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2251), 1,
      anon_sym_RPAREN,
  [38595] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2253), 1,
      anon_sym_RBRACE,
  [38602] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2255), 1,
      anon_sym_RPAREN,
  [38609] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2257), 1,
      anon_sym_RPAREN,
  [38616] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2259), 1,
      anon_sym_in,
  [38623] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2261), 1,
      anon_sym_RPAREN,
  [38630] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2263), 1,
      sym__newline,
  [38637] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2265), 1,
      anon_sym_COLON,
  [38644] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2267), 1,
      anon_sym_COLON,
  [38651] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2269), 1,
      sym_identifier,
  [38658] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2271), 1,
      sym_identifier,
  [38665] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2273), 1,
      anon_sym_in,
  [38672] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1986), 1,
      anon_sym_def,
  [38679] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2275), 1,
      anon_sym_in,
  [38686] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2277), 1,
      sym_identifier,
  [38693] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2279), 1,
      anon_sym_COLON,
};

static uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(96)] = 0,
  [SMALL_STATE(97)] = 102,
  [SMALL_STATE(98)] = 204,
  [SMALL_STATE(99)] = 305,
  [SMALL_STATE(100)] = 406,
  [SMALL_STATE(101)] = 502,
  [SMALL_STATE(102)] = 598,
  [SMALL_STATE(103)] = 694,
  [SMALL_STATE(104)] = 786,
  [SMALL_STATE(105)] = 882,
  [SMALL_STATE(106)] = 974,
  [SMALL_STATE(107)] = 1066,
  [SMALL_STATE(108)] = 1158,
  [SMALL_STATE(109)] = 1254,
  [SMALL_STATE(110)] = 1345,
  [SMALL_STATE(111)] = 1444,
  [SMALL_STATE(112)] = 1543,
  [SMALL_STATE(113)] = 1636,
  [SMALL_STATE(114)] = 1729,
  [SMALL_STATE(115)] = 1822,
  [SMALL_STATE(116)] = 1915,
  [SMALL_STATE(117)] = 2012,
  [SMALL_STATE(118)] = 2075,
  [SMALL_STATE(119)] = 2168,
  [SMALL_STATE(120)] = 2261,
  [SMALL_STATE(121)] = 2324,
  [SMALL_STATE(122)] = 2423,
  [SMALL_STATE(123)] = 2486,
  [SMALL_STATE(124)] = 2576,
  [SMALL_STATE(125)] = 2666,
  [SMALL_STATE(126)] = 2730,
  [SMALL_STATE(127)] = 2820,
  [SMALL_STATE(128)] = 2884,
  [SMALL_STATE(129)] = 2952,
  [SMALL_STATE(130)] = 3026,
  [SMALL_STATE(131)] = 3116,
  [SMALL_STATE(132)] = 3186,
  [SMALL_STATE(133)] = 3266,
  [SMALL_STATE(134)] = 3338,
  [SMALL_STATE(135)] = 3404,
  [SMALL_STATE(136)] = 3484,
  [SMALL_STATE(137)] = 3548,
  [SMALL_STATE(138)] = 3605,
  [SMALL_STATE(139)] = 3664,
  [SMALL_STATE(140)] = 3725,
  [SMALL_STATE(141)] = 3782,
  [SMALL_STATE(142)] = 3870,
  [SMALL_STATE(143)] = 3926,
  [SMALL_STATE(144)] = 4014,
  [SMALL_STATE(145)] = 4102,
  [SMALL_STATE(146)] = 4158,
  [SMALL_STATE(147)] = 4246,
  [SMALL_STATE(148)] = 4302,
  [SMALL_STATE(149)] = 4358,
  [SMALL_STATE(150)] = 4426,
  [SMALL_STATE(151)] = 4516,
  [SMALL_STATE(152)] = 4606,
  [SMALL_STATE(153)] = 4662,
  [SMALL_STATE(154)] = 4752,
  [SMALL_STATE(155)] = 4808,
  [SMALL_STATE(156)] = 4864,
  [SMALL_STATE(157)] = 4920,
  [SMALL_STATE(158)] = 5010,
  [SMALL_STATE(159)] = 5066,
  [SMALL_STATE(160)] = 5154,
  [SMALL_STATE(161)] = 5210,
  [SMALL_STATE(162)] = 5298,
  [SMALL_STATE(163)] = 5354,
  [SMALL_STATE(164)] = 5410,
  [SMALL_STATE(165)] = 5466,
  [SMALL_STATE(166)] = 5522,
  [SMALL_STATE(167)] = 5578,
  [SMALL_STATE(168)] = 5666,
  [SMALL_STATE(169)] = 5722,
  [SMALL_STATE(170)] = 5812,
  [SMALL_STATE(171)] = 5868,
  [SMALL_STATE(172)] = 5924,
  [SMALL_STATE(173)] = 5980,
  [SMALL_STATE(174)] = 6036,
  [SMALL_STATE(175)] = 6092,
  [SMALL_STATE(176)] = 6148,
  [SMALL_STATE(177)] = 6204,
  [SMALL_STATE(178)] = 6260,
  [SMALL_STATE(179)] = 6350,
  [SMALL_STATE(180)] = 6418,
  [SMALL_STATE(181)] = 6474,
  [SMALL_STATE(182)] = 6564,
  [SMALL_STATE(183)] = 6620,
  [SMALL_STATE(184)] = 6708,
  [SMALL_STATE(185)] = 6764,
  [SMALL_STATE(186)] = 6820,
  [SMALL_STATE(187)] = 6876,
  [SMALL_STATE(188)] = 6944,
  [SMALL_STATE(189)] = 7000,
  [SMALL_STATE(190)] = 7088,
  [SMALL_STATE(191)] = 7144,
  [SMALL_STATE(192)] = 7212,
  [SMALL_STATE(193)] = 7299,
  [SMALL_STATE(194)] = 7386,
  [SMALL_STATE(195)] = 7473,
  [SMALL_STATE(196)] = 7560,
  [SMALL_STATE(197)] = 7647,
  [SMALL_STATE(198)] = 7732,
  [SMALL_STATE(199)] = 7817,
  [SMALL_STATE(200)] = 7902,
  [SMALL_STATE(201)] = 7989,
  [SMALL_STATE(202)] = 8076,
  [SMALL_STATE(203)] = 8163,
  [SMALL_STATE(204)] = 8246,
  [SMALL_STATE(205)] = 8333,
  [SMALL_STATE(206)] = 8416,
  [SMALL_STATE(207)] = 8503,
  [SMALL_STATE(208)] = 8586,
  [SMALL_STATE(209)] = 8673,
  [SMALL_STATE(210)] = 8760,
  [SMALL_STATE(211)] = 8847,
  [SMALL_STATE(212)] = 8934,
  [SMALL_STATE(213)] = 9019,
  [SMALL_STATE(214)] = 9106,
  [SMALL_STATE(215)] = 9193,
  [SMALL_STATE(216)] = 9280,
  [SMALL_STATE(217)] = 9367,
  [SMALL_STATE(218)] = 9454,
  [SMALL_STATE(219)] = 9541,
  [SMALL_STATE(220)] = 9628,
  [SMALL_STATE(221)] = 9715,
  [SMALL_STATE(222)] = 9802,
  [SMALL_STATE(223)] = 9889,
  [SMALL_STATE(224)] = 9976,
  [SMALL_STATE(225)] = 10063,
  [SMALL_STATE(226)] = 10145,
  [SMALL_STATE(227)] = 10209,
  [SMALL_STATE(228)] = 10291,
  [SMALL_STATE(229)] = 10355,
  [SMALL_STATE(230)] = 10437,
  [SMALL_STATE(231)] = 10521,
  [SMALL_STATE(232)] = 10603,
  [SMALL_STATE(233)] = 10661,
  [SMALL_STATE(234)] = 10745,
  [SMALL_STATE(235)] = 10809,
  [SMALL_STATE(236)] = 10891,
  [SMALL_STATE(237)] = 10973,
  [SMALL_STATE(238)] = 11037,
  [SMALL_STATE(239)] = 11119,
  [SMALL_STATE(240)] = 11183,
  [SMALL_STATE(241)] = 11267,
  [SMALL_STATE(242)] = 11351,
  [SMALL_STATE(243)] = 11415,
  [SMALL_STATE(244)] = 11497,
  [SMALL_STATE(245)] = 11579,
  [SMALL_STATE(246)] = 11661,
  [SMALL_STATE(247)] = 11745,
  [SMALL_STATE(248)] = 11809,
  [SMALL_STATE(249)] = 11891,
  [SMALL_STATE(250)] = 11955,
  [SMALL_STATE(251)] = 12013,
  [SMALL_STATE(252)] = 12095,
  [SMALL_STATE(253)] = 12179,
  [SMALL_STATE(254)] = 12260,
  [SMALL_STATE(255)] = 12341,
  [SMALL_STATE(256)] = 12422,
  [SMALL_STATE(257)] = 12475,
  [SMALL_STATE(258)] = 12528,
  [SMALL_STATE(259)] = 12609,
  [SMALL_STATE(260)] = 12690,
  [SMALL_STATE(261)] = 12743,
  [SMALL_STATE(262)] = 12796,
  [SMALL_STATE(263)] = 12849,
  [SMALL_STATE(264)] = 12902,
  [SMALL_STATE(265)] = 12955,
  [SMALL_STATE(266)] = 13036,
  [SMALL_STATE(267)] = 13117,
  [SMALL_STATE(268)] = 13170,
  [SMALL_STATE(269)] = 13251,
  [SMALL_STATE(270)] = 13332,
  [SMALL_STATE(271)] = 13413,
  [SMALL_STATE(272)] = 13494,
  [SMALL_STATE(273)] = 13575,
  [SMALL_STATE(274)] = 13628,
  [SMALL_STATE(275)] = 13709,
  [SMALL_STATE(276)] = 13790,
  [SMALL_STATE(277)] = 13871,
  [SMALL_STATE(278)] = 13930,
  [SMALL_STATE(279)] = 14011,
  [SMALL_STATE(280)] = 14070,
  [SMALL_STATE(281)] = 14151,
  [SMALL_STATE(282)] = 14232,
  [SMALL_STATE(283)] = 14285,
  [SMALL_STATE(284)] = 14366,
  [SMALL_STATE(285)] = 14447,
  [SMALL_STATE(286)] = 14525,
  [SMALL_STATE(287)] = 14603,
  [SMALL_STATE(288)] = 14681,
  [SMALL_STATE(289)] = 14759,
  [SMALL_STATE(290)] = 14811,
  [SMALL_STATE(291)] = 14889,
  [SMALL_STATE(292)] = 14941,
  [SMALL_STATE(293)] = 15019,
  [SMALL_STATE(294)] = 15097,
  [SMALL_STATE(295)] = 15149,
  [SMALL_STATE(296)] = 15227,
  [SMALL_STATE(297)] = 15305,
  [SMALL_STATE(298)] = 15357,
  [SMALL_STATE(299)] = 15409,
  [SMALL_STATE(300)] = 15487,
  [SMALL_STATE(301)] = 15539,
  [SMALL_STATE(302)] = 15617,
  [SMALL_STATE(303)] = 15669,
  [SMALL_STATE(304)] = 15747,
  [SMALL_STATE(305)] = 15825,
  [SMALL_STATE(306)] = 15877,
  [SMALL_STATE(307)] = 15955,
  [SMALL_STATE(308)] = 16033,
  [SMALL_STATE(309)] = 16111,
  [SMALL_STATE(310)] = 16189,
  [SMALL_STATE(311)] = 16267,
  [SMALL_STATE(312)] = 16345,
  [SMALL_STATE(313)] = 16423,
  [SMALL_STATE(314)] = 16501,
  [SMALL_STATE(315)] = 16553,
  [SMALL_STATE(316)] = 16605,
  [SMALL_STATE(317)] = 16683,
  [SMALL_STATE(318)] = 16761,
  [SMALL_STATE(319)] = 16839,
  [SMALL_STATE(320)] = 16917,
  [SMALL_STATE(321)] = 16969,
  [SMALL_STATE(322)] = 17047,
  [SMALL_STATE(323)] = 17125,
  [SMALL_STATE(324)] = 17203,
  [SMALL_STATE(325)] = 17281,
  [SMALL_STATE(326)] = 17359,
  [SMALL_STATE(327)] = 17437,
  [SMALL_STATE(328)] = 17515,
  [SMALL_STATE(329)] = 17593,
  [SMALL_STATE(330)] = 17671,
  [SMALL_STATE(331)] = 17723,
  [SMALL_STATE(332)] = 17801,
  [SMALL_STATE(333)] = 17879,
  [SMALL_STATE(334)] = 17957,
  [SMALL_STATE(335)] = 18035,
  [SMALL_STATE(336)] = 18113,
  [SMALL_STATE(337)] = 18191,
  [SMALL_STATE(338)] = 18269,
  [SMALL_STATE(339)] = 18347,
  [SMALL_STATE(340)] = 18425,
  [SMALL_STATE(341)] = 18503,
  [SMALL_STATE(342)] = 18581,
  [SMALL_STATE(343)] = 18659,
  [SMALL_STATE(344)] = 18737,
  [SMALL_STATE(345)] = 18815,
  [SMALL_STATE(346)] = 18893,
  [SMALL_STATE(347)] = 18971,
  [SMALL_STATE(348)] = 19049,
  [SMALL_STATE(349)] = 19127,
  [SMALL_STATE(350)] = 19205,
  [SMALL_STATE(351)] = 19283,
  [SMALL_STATE(352)] = 19361,
  [SMALL_STATE(353)] = 19439,
  [SMALL_STATE(354)] = 19517,
  [SMALL_STATE(355)] = 19595,
  [SMALL_STATE(356)] = 19650,
  [SMALL_STATE(357)] = 19705,
  [SMALL_STATE(358)] = 19760,
  [SMALL_STATE(359)] = 19815,
  [SMALL_STATE(360)] = 19870,
  [SMALL_STATE(361)] = 19921,
  [SMALL_STATE(362)] = 19972,
  [SMALL_STATE(363)] = 20023,
  [SMALL_STATE(364)] = 20078,
  [SMALL_STATE(365)] = 20129,
  [SMALL_STATE(366)] = 20180,
  [SMALL_STATE(367)] = 20235,
  [SMALL_STATE(368)] = 20290,
  [SMALL_STATE(369)] = 20341,
  [SMALL_STATE(370)] = 20396,
  [SMALL_STATE(371)] = 20451,
  [SMALL_STATE(372)] = 20506,
  [SMALL_STATE(373)] = 20561,
  [SMALL_STATE(374)] = 20616,
  [SMALL_STATE(375)] = 20671,
  [SMALL_STATE(376)] = 20726,
  [SMALL_STATE(377)] = 20781,
  [SMALL_STATE(378)] = 20835,
  [SMALL_STATE(379)] = 20889,
  [SMALL_STATE(380)] = 20939,
  [SMALL_STATE(381)] = 20989,
  [SMALL_STATE(382)] = 21043,
  [SMALL_STATE(383)] = 21093,
  [SMALL_STATE(384)] = 21177,
  [SMALL_STATE(385)] = 21227,
  [SMALL_STATE(386)] = 21276,
  [SMALL_STATE(387)] = 21325,
  [SMALL_STATE(388)] = 21374,
  [SMALL_STATE(389)] = 21423,
  [SMALL_STATE(390)] = 21472,
  [SMALL_STATE(391)] = 21521,
  [SMALL_STATE(392)] = 21570,
  [SMALL_STATE(393)] = 21619,
  [SMALL_STATE(394)] = 21668,
  [SMALL_STATE(395)] = 21717,
  [SMALL_STATE(396)] = 21766,
  [SMALL_STATE(397)] = 21815,
  [SMALL_STATE(398)] = 21864,
  [SMALL_STATE(399)] = 21913,
  [SMALL_STATE(400)] = 21962,
  [SMALL_STATE(401)] = 22011,
  [SMALL_STATE(402)] = 22060,
  [SMALL_STATE(403)] = 22109,
  [SMALL_STATE(404)] = 22158,
  [SMALL_STATE(405)] = 22207,
  [SMALL_STATE(406)] = 22256,
  [SMALL_STATE(407)] = 22305,
  [SMALL_STATE(408)] = 22354,
  [SMALL_STATE(409)] = 22403,
  [SMALL_STATE(410)] = 22452,
  [SMALL_STATE(411)] = 22525,
  [SMALL_STATE(412)] = 22574,
  [SMALL_STATE(413)] = 22623,
  [SMALL_STATE(414)] = 22672,
  [SMALL_STATE(415)] = 22721,
  [SMALL_STATE(416)] = 22770,
  [SMALL_STATE(417)] = 22819,
  [SMALL_STATE(418)] = 22868,
  [SMALL_STATE(419)] = 22917,
  [SMALL_STATE(420)] = 22966,
  [SMALL_STATE(421)] = 23015,
  [SMALL_STATE(422)] = 23078,
  [SMALL_STATE(423)] = 23127,
  [SMALL_STATE(424)] = 23192,
  [SMALL_STATE(425)] = 23259,
  [SMALL_STATE(426)] = 23308,
  [SMALL_STATE(427)] = 23367,
  [SMALL_STATE(428)] = 23422,
  [SMALL_STATE(429)] = 23471,
  [SMALL_STATE(430)] = 23544,
  [SMALL_STATE(431)] = 23593,
  [SMALL_STATE(432)] = 23654,
  [SMALL_STATE(433)] = 23709,
  [SMALL_STATE(434)] = 23758,
  [SMALL_STATE(435)] = 23807,
  [SMALL_STATE(436)] = 23856,
  [SMALL_STATE(437)] = 23911,
  [SMALL_STATE(438)] = 23960,
  [SMALL_STATE(439)] = 24009,
  [SMALL_STATE(440)] = 24058,
  [SMALL_STATE(441)] = 24107,
  [SMALL_STATE(442)] = 24156,
  [SMALL_STATE(443)] = 24205,
  [SMALL_STATE(444)] = 24254,
  [SMALL_STATE(445)] = 24303,
  [SMALL_STATE(446)] = 24352,
  [SMALL_STATE(447)] = 24401,
  [SMALL_STATE(448)] = 24450,
  [SMALL_STATE(449)] = 24499,
  [SMALL_STATE(450)] = 24548,
  [SMALL_STATE(451)] = 24597,
  [SMALL_STATE(452)] = 24646,
  [SMALL_STATE(453)] = 24695,
  [SMALL_STATE(454)] = 24744,
  [SMALL_STATE(455)] = 24793,
  [SMALL_STATE(456)] = 24842,
  [SMALL_STATE(457)] = 24891,
  [SMALL_STATE(458)] = 24940,
  [SMALL_STATE(459)] = 24989,
  [SMALL_STATE(460)] = 25038,
  [SMALL_STATE(461)] = 25087,
  [SMALL_STATE(462)] = 25136,
  [SMALL_STATE(463)] = 25185,
  [SMALL_STATE(464)] = 25234,
  [SMALL_STATE(465)] = 25283,
  [SMALL_STATE(466)] = 25332,
  [SMALL_STATE(467)] = 25381,
  [SMALL_STATE(468)] = 25430,
  [SMALL_STATE(469)] = 25479,
  [SMALL_STATE(470)] = 25529,
  [SMALL_STATE(471)] = 25577,
  [SMALL_STATE(472)] = 25625,
  [SMALL_STATE(473)] = 25672,
  [SMALL_STATE(474)] = 25719,
  [SMALL_STATE(475)] = 25766,
  [SMALL_STATE(476)] = 25813,
  [SMALL_STATE(477)] = 25860,
  [SMALL_STATE(478)] = 25907,
  [SMALL_STATE(479)] = 25954,
  [SMALL_STATE(480)] = 26001,
  [SMALL_STATE(481)] = 26048,
  [SMALL_STATE(482)] = 26095,
  [SMALL_STATE(483)] = 26142,
  [SMALL_STATE(484)] = 26189,
  [SMALL_STATE(485)] = 26236,
  [SMALL_STATE(486)] = 26283,
  [SMALL_STATE(487)] = 26330,
  [SMALL_STATE(488)] = 26377,
  [SMALL_STATE(489)] = 26424,
  [SMALL_STATE(490)] = 26471,
  [SMALL_STATE(491)] = 26518,
  [SMALL_STATE(492)] = 26565,
  [SMALL_STATE(493)] = 26612,
  [SMALL_STATE(494)] = 26659,
  [SMALL_STATE(495)] = 26706,
  [SMALL_STATE(496)] = 26753,
  [SMALL_STATE(497)] = 26800,
  [SMALL_STATE(498)] = 26847,
  [SMALL_STATE(499)] = 26894,
  [SMALL_STATE(500)] = 26941,
  [SMALL_STATE(501)] = 26988,
  [SMALL_STATE(502)] = 27035,
  [SMALL_STATE(503)] = 27082,
  [SMALL_STATE(504)] = 27157,
  [SMALL_STATE(505)] = 27204,
  [SMALL_STATE(506)] = 27251,
  [SMALL_STATE(507)] = 27298,
  [SMALL_STATE(508)] = 27345,
  [SMALL_STATE(509)] = 27405,
  [SMALL_STATE(510)] = 27465,
  [SMALL_STATE(511)] = 27517,
  [SMALL_STATE(512)] = 27561,
  [SMALL_STATE(513)] = 27621,
  [SMALL_STATE(514)] = 27681,
  [SMALL_STATE(515)] = 27741,
  [SMALL_STATE(516)] = 27799,
  [SMALL_STATE(517)] = 27855,
  [SMALL_STATE(518)] = 27915,
  [SMALL_STATE(519)] = 27963,
  [SMALL_STATE(520)] = 28029,
  [SMALL_STATE(521)] = 28083,
  [SMALL_STATE(522)] = 28131,
  [SMALL_STATE(523)] = 28191,
  [SMALL_STATE(524)] = 28251,
  [SMALL_STATE(525)] = 28311,
  [SMALL_STATE(526)] = 28371,
  [SMALL_STATE(527)] = 28419,
  [SMALL_STATE(528)] = 28479,
  [SMALL_STATE(529)] = 28539,
  [SMALL_STATE(530)] = 28605,
  [SMALL_STATE(531)] = 28662,
  [SMALL_STATE(532)] = 28719,
  [SMALL_STATE(533)] = 28760,
  [SMALL_STATE(534)] = 28817,
  [SMALL_STATE(535)] = 28874,
  [SMALL_STATE(536)] = 28931,
  [SMALL_STATE(537)] = 28988,
  [SMALL_STATE(538)] = 29045,
  [SMALL_STATE(539)] = 29102,
  [SMALL_STATE(540)] = 29159,
  [SMALL_STATE(541)] = 29216,
  [SMALL_STATE(542)] = 29273,
  [SMALL_STATE(543)] = 29330,
  [SMALL_STATE(544)] = 29387,
  [SMALL_STATE(545)] = 29444,
  [SMALL_STATE(546)] = 29501,
  [SMALL_STATE(547)] = 29558,
  [SMALL_STATE(548)] = 29601,
  [SMALL_STATE(549)] = 29652,
  [SMALL_STATE(550)] = 29709,
  [SMALL_STATE(551)] = 29766,
  [SMALL_STATE(552)] = 29823,
  [SMALL_STATE(553)] = 29880,
  [SMALL_STATE(554)] = 29937,
  [SMALL_STATE(555)] = 29994,
  [SMALL_STATE(556)] = 30051,
  [SMALL_STATE(557)] = 30108,
  [SMALL_STATE(558)] = 30159,
  [SMALL_STATE(559)] = 30216,
  [SMALL_STATE(560)] = 30273,
  [SMALL_STATE(561)] = 30330,
  [SMALL_STATE(562)] = 30387,
  [SMALL_STATE(563)] = 30444,
  [SMALL_STATE(564)] = 30501,
  [SMALL_STATE(565)] = 30542,
  [SMALL_STATE(566)] = 30599,
  [SMALL_STATE(567)] = 30639,
  [SMALL_STATE(568)] = 30679,
  [SMALL_STATE(569)] = 30719,
  [SMALL_STATE(570)] = 30759,
  [SMALL_STATE(571)] = 30799,
  [SMALL_STATE(572)] = 30839,
  [SMALL_STATE(573)] = 30879,
  [SMALL_STATE(574)] = 30919,
  [SMALL_STATE(575)] = 30959,
  [SMALL_STATE(576)] = 30999,
  [SMALL_STATE(577)] = 31039,
  [SMALL_STATE(578)] = 31079,
  [SMALL_STATE(579)] = 31119,
  [SMALL_STATE(580)] = 31159,
  [SMALL_STATE(581)] = 31199,
  [SMALL_STATE(582)] = 31239,
  [SMALL_STATE(583)] = 31279,
  [SMALL_STATE(584)] = 31319,
  [SMALL_STATE(585)] = 31359,
  [SMALL_STATE(586)] = 31399,
  [SMALL_STATE(587)] = 31439,
  [SMALL_STATE(588)] = 31479,
  [SMALL_STATE(589)] = 31519,
  [SMALL_STATE(590)] = 31559,
  [SMALL_STATE(591)] = 31599,
  [SMALL_STATE(592)] = 31639,
  [SMALL_STATE(593)] = 31679,
  [SMALL_STATE(594)] = 31719,
  [SMALL_STATE(595)] = 31759,
  [SMALL_STATE(596)] = 31799,
  [SMALL_STATE(597)] = 31839,
  [SMALL_STATE(598)] = 31881,
  [SMALL_STATE(599)] = 31923,
  [SMALL_STATE(600)] = 31962,
  [SMALL_STATE(601)] = 31996,
  [SMALL_STATE(602)] = 32036,
  [SMALL_STATE(603)] = 32068,
  [SMALL_STATE(604)] = 32100,
  [SMALL_STATE(605)] = 32134,
  [SMALL_STATE(606)] = 32162,
  [SMALL_STATE(607)] = 32196,
  [SMALL_STATE(608)] = 32230,
  [SMALL_STATE(609)] = 32260,
  [SMALL_STATE(610)] = 32288,
  [SMALL_STATE(611)] = 32343,
  [SMALL_STATE(612)] = 32393,
  [SMALL_STATE(613)] = 32423,
  [SMALL_STATE(614)] = 32453,
  [SMALL_STATE(615)] = 32484,
  [SMALL_STATE(616)] = 32513,
  [SMALL_STATE(617)] = 32546,
  [SMALL_STATE(618)] = 32579,
  [SMALL_STATE(619)] = 32604,
  [SMALL_STATE(620)] = 32643,
  [SMALL_STATE(621)] = 32682,
  [SMALL_STATE(622)] = 32721,
  [SMALL_STATE(623)] = 32760,
  [SMALL_STATE(624)] = 32796,
  [SMALL_STATE(625)] = 32829,
  [SMALL_STATE(626)] = 32862,
  [SMALL_STATE(627)] = 32881,
  [SMALL_STATE(628)] = 32904,
  [SMALL_STATE(629)] = 32929,
  [SMALL_STATE(630)] = 32962,
  [SMALL_STATE(631)] = 32995,
  [SMALL_STATE(632)] = 33028,
  [SMALL_STATE(633)] = 33061,
  [SMALL_STATE(634)] = 33086,
  [SMALL_STATE(635)] = 33119,
  [SMALL_STATE(636)] = 33152,
  [SMALL_STATE(637)] = 33177,
  [SMALL_STATE(638)] = 33200,
  [SMALL_STATE(639)] = 33233,
  [SMALL_STATE(640)] = 33266,
  [SMALL_STATE(641)] = 33287,
  [SMALL_STATE(642)] = 33320,
  [SMALL_STATE(643)] = 33353,
  [SMALL_STATE(644)] = 33372,
  [SMALL_STATE(645)] = 33402,
  [SMALL_STATE(646)] = 33432,
  [SMALL_STATE(647)] = 33469,
  [SMALL_STATE(648)] = 33506,
  [SMALL_STATE(649)] = 33543,
  [SMALL_STATE(650)] = 33577,
  [SMALL_STATE(651)] = 33611,
  [SMALL_STATE(652)] = 33645,
  [SMALL_STATE(653)] = 33679,
  [SMALL_STATE(654)] = 33713,
  [SMALL_STATE(655)] = 33747,
  [SMALL_STATE(656)] = 33781,
  [SMALL_STATE(657)] = 33815,
  [SMALL_STATE(658)] = 33849,
  [SMALL_STATE(659)] = 33872,
  [SMALL_STATE(660)] = 33891,
  [SMALL_STATE(661)] = 33910,
  [SMALL_STATE(662)] = 33933,
  [SMALL_STATE(663)] = 33952,
  [SMALL_STATE(664)] = 33975,
  [SMALL_STATE(665)] = 33993,
  [SMALL_STATE(666)] = 34011,
  [SMALL_STATE(667)] = 34029,
  [SMALL_STATE(668)] = 34053,
  [SMALL_STATE(669)] = 34073,
  [SMALL_STATE(670)] = 34097,
  [SMALL_STATE(671)] = 34115,
  [SMALL_STATE(672)] = 34133,
  [SMALL_STATE(673)] = 34151,
  [SMALL_STATE(674)] = 34176,
  [SMALL_STATE(675)] = 34197,
  [SMALL_STATE(676)] = 34218,
  [SMALL_STATE(677)] = 34231,
  [SMALL_STATE(678)] = 34256,
  [SMALL_STATE(679)] = 34277,
  [SMALL_STATE(680)] = 34300,
  [SMALL_STATE(681)] = 34323,
  [SMALL_STATE(682)] = 34340,
  [SMALL_STATE(683)] = 34359,
  [SMALL_STATE(684)] = 34382,
  [SMALL_STATE(685)] = 34405,
  [SMALL_STATE(686)] = 34426,
  [SMALL_STATE(687)] = 34443,
  [SMALL_STATE(688)] = 34464,
  [SMALL_STATE(689)] = 34489,
  [SMALL_STATE(690)] = 34514,
  [SMALL_STATE(691)] = 34527,
  [SMALL_STATE(692)] = 34550,
  [SMALL_STATE(693)] = 34571,
  [SMALL_STATE(694)] = 34596,
  [SMALL_STATE(695)] = 34617,
  [SMALL_STATE(696)] = 34638,
  [SMALL_STATE(697)] = 34657,
  [SMALL_STATE(698)] = 34676,
  [SMALL_STATE(699)] = 34699,
  [SMALL_STATE(700)] = 34716,
  [SMALL_STATE(701)] = 34729,
  [SMALL_STATE(702)] = 34754,
  [SMALL_STATE(703)] = 34779,
  [SMALL_STATE(704)] = 34800,
  [SMALL_STATE(705)] = 34816,
  [SMALL_STATE(706)] = 34834,
  [SMALL_STATE(707)] = 34852,
  [SMALL_STATE(708)] = 34868,
  [SMALL_STATE(709)] = 34880,
  [SMALL_STATE(710)] = 34892,
  [SMALL_STATE(711)] = 34914,
  [SMALL_STATE(712)] = 34934,
  [SMALL_STATE(713)] = 34952,
  [SMALL_STATE(714)] = 34974,
  [SMALL_STATE(715)] = 34992,
  [SMALL_STATE(716)] = 35008,
  [SMALL_STATE(717)] = 35022,
  [SMALL_STATE(718)] = 35042,
  [SMALL_STATE(719)] = 35064,
  [SMALL_STATE(720)] = 35082,
  [SMALL_STATE(721)] = 35100,
  [SMALL_STATE(722)] = 35118,
  [SMALL_STATE(723)] = 35138,
  [SMALL_STATE(724)] = 35156,
  [SMALL_STATE(725)] = 35172,
  [SMALL_STATE(726)] = 35188,
  [SMALL_STATE(727)] = 35206,
  [SMALL_STATE(728)] = 35224,
  [SMALL_STATE(729)] = 35236,
  [SMALL_STATE(730)] = 35256,
  [SMALL_STATE(731)] = 35272,
  [SMALL_STATE(732)] = 35292,
  [SMALL_STATE(733)] = 35310,
  [SMALL_STATE(734)] = 35330,
  [SMALL_STATE(735)] = 35348,
  [SMALL_STATE(736)] = 35365,
  [SMALL_STATE(737)] = 35378,
  [SMALL_STATE(738)] = 35395,
  [SMALL_STATE(739)] = 35412,
  [SMALL_STATE(740)] = 35429,
  [SMALL_STATE(741)] = 35446,
  [SMALL_STATE(742)] = 35463,
  [SMALL_STATE(743)] = 35480,
  [SMALL_STATE(744)] = 35497,
  [SMALL_STATE(745)] = 35516,
  [SMALL_STATE(746)] = 35533,
  [SMALL_STATE(747)] = 35550,
  [SMALL_STATE(748)] = 35567,
  [SMALL_STATE(749)] = 35584,
  [SMALL_STATE(750)] = 35601,
  [SMALL_STATE(751)] = 35614,
  [SMALL_STATE(752)] = 35631,
  [SMALL_STATE(753)] = 35648,
  [SMALL_STATE(754)] = 35665,
  [SMALL_STATE(755)] = 35682,
  [SMALL_STATE(756)] = 35695,
  [SMALL_STATE(757)] = 35706,
  [SMALL_STATE(758)] = 35723,
  [SMALL_STATE(759)] = 35740,
  [SMALL_STATE(760)] = 35759,
  [SMALL_STATE(761)] = 35778,
  [SMALL_STATE(762)] = 35795,
  [SMALL_STATE(763)] = 35812,
  [SMALL_STATE(764)] = 35829,
  [SMALL_STATE(765)] = 35845,
  [SMALL_STATE(766)] = 35855,
  [SMALL_STATE(767)] = 35869,
  [SMALL_STATE(768)] = 35883,
  [SMALL_STATE(769)] = 35899,
  [SMALL_STATE(770)] = 35915,
  [SMALL_STATE(771)] = 35931,
  [SMALL_STATE(772)] = 35947,
  [SMALL_STATE(773)] = 35963,
  [SMALL_STATE(774)] = 35977,
  [SMALL_STATE(775)] = 35991,
  [SMALL_STATE(776)] = 36007,
  [SMALL_STATE(777)] = 36023,
  [SMALL_STATE(778)] = 36033,
  [SMALL_STATE(779)] = 36047,
  [SMALL_STATE(780)] = 36059,
  [SMALL_STATE(781)] = 36075,
  [SMALL_STATE(782)] = 36089,
  [SMALL_STATE(783)] = 36105,
  [SMALL_STATE(784)] = 36121,
  [SMALL_STATE(785)] = 36137,
  [SMALL_STATE(786)] = 36153,
  [SMALL_STATE(787)] = 36167,
  [SMALL_STATE(788)] = 36181,
  [SMALL_STATE(789)] = 36195,
  [SMALL_STATE(790)] = 36211,
  [SMALL_STATE(791)] = 36223,
  [SMALL_STATE(792)] = 36237,
  [SMALL_STATE(793)] = 36251,
  [SMALL_STATE(794)] = 36267,
  [SMALL_STATE(795)] = 36283,
  [SMALL_STATE(796)] = 36297,
  [SMALL_STATE(797)] = 36311,
  [SMALL_STATE(798)] = 36327,
  [SMALL_STATE(799)] = 36341,
  [SMALL_STATE(800)] = 36355,
  [SMALL_STATE(801)] = 36371,
  [SMALL_STATE(802)] = 36385,
  [SMALL_STATE(803)] = 36401,
  [SMALL_STATE(804)] = 36415,
  [SMALL_STATE(805)] = 36431,
  [SMALL_STATE(806)] = 36445,
  [SMALL_STATE(807)] = 36459,
  [SMALL_STATE(808)] = 36473,
  [SMALL_STATE(809)] = 36489,
  [SMALL_STATE(810)] = 36505,
  [SMALL_STATE(811)] = 36519,
  [SMALL_STATE(812)] = 36532,
  [SMALL_STATE(813)] = 36541,
  [SMALL_STATE(814)] = 36554,
  [SMALL_STATE(815)] = 36567,
  [SMALL_STATE(816)] = 36578,
  [SMALL_STATE(817)] = 36591,
  [SMALL_STATE(818)] = 36604,
  [SMALL_STATE(819)] = 36617,
  [SMALL_STATE(820)] = 36626,
  [SMALL_STATE(821)] = 36635,
  [SMALL_STATE(822)] = 36648,
  [SMALL_STATE(823)] = 36661,
  [SMALL_STATE(824)] = 36674,
  [SMALL_STATE(825)] = 36687,
  [SMALL_STATE(826)] = 36700,
  [SMALL_STATE(827)] = 36709,
  [SMALL_STATE(828)] = 36722,
  [SMALL_STATE(829)] = 36735,
  [SMALL_STATE(830)] = 36748,
  [SMALL_STATE(831)] = 36761,
  [SMALL_STATE(832)] = 36774,
  [SMALL_STATE(833)] = 36787,
  [SMALL_STATE(834)] = 36800,
  [SMALL_STATE(835)] = 36813,
  [SMALL_STATE(836)] = 36826,
  [SMALL_STATE(837)] = 36839,
  [SMALL_STATE(838)] = 36852,
  [SMALL_STATE(839)] = 36861,
  [SMALL_STATE(840)] = 36874,
  [SMALL_STATE(841)] = 36887,
  [SMALL_STATE(842)] = 36900,
  [SMALL_STATE(843)] = 36913,
  [SMALL_STATE(844)] = 36926,
  [SMALL_STATE(845)] = 36939,
  [SMALL_STATE(846)] = 36952,
  [SMALL_STATE(847)] = 36965,
  [SMALL_STATE(848)] = 36976,
  [SMALL_STATE(849)] = 36989,
  [SMALL_STATE(850)] = 37002,
  [SMALL_STATE(851)] = 37015,
  [SMALL_STATE(852)] = 37028,
  [SMALL_STATE(853)] = 37041,
  [SMALL_STATE(854)] = 37054,
  [SMALL_STATE(855)] = 37067,
  [SMALL_STATE(856)] = 37080,
  [SMALL_STATE(857)] = 37091,
  [SMALL_STATE(858)] = 37104,
  [SMALL_STATE(859)] = 37117,
  [SMALL_STATE(860)] = 37130,
  [SMALL_STATE(861)] = 37143,
  [SMALL_STATE(862)] = 37156,
  [SMALL_STATE(863)] = 37169,
  [SMALL_STATE(864)] = 37182,
  [SMALL_STATE(865)] = 37195,
  [SMALL_STATE(866)] = 37208,
  [SMALL_STATE(867)] = 37221,
  [SMALL_STATE(868)] = 37234,
  [SMALL_STATE(869)] = 37245,
  [SMALL_STATE(870)] = 37258,
  [SMALL_STATE(871)] = 37267,
  [SMALL_STATE(872)] = 37280,
  [SMALL_STATE(873)] = 37293,
  [SMALL_STATE(874)] = 37306,
  [SMALL_STATE(875)] = 37319,
  [SMALL_STATE(876)] = 37330,
  [SMALL_STATE(877)] = 37343,
  [SMALL_STATE(878)] = 37356,
  [SMALL_STATE(879)] = 37369,
  [SMALL_STATE(880)] = 37382,
  [SMALL_STATE(881)] = 37395,
  [SMALL_STATE(882)] = 37404,
  [SMALL_STATE(883)] = 37417,
  [SMALL_STATE(884)] = 37426,
  [SMALL_STATE(885)] = 37439,
  [SMALL_STATE(886)] = 37448,
  [SMALL_STATE(887)] = 37461,
  [SMALL_STATE(888)] = 37474,
  [SMALL_STATE(889)] = 37487,
  [SMALL_STATE(890)] = 37500,
  [SMALL_STATE(891)] = 37513,
  [SMALL_STATE(892)] = 37526,
  [SMALL_STATE(893)] = 37539,
  [SMALL_STATE(894)] = 37550,
  [SMALL_STATE(895)] = 37563,
  [SMALL_STATE(896)] = 37576,
  [SMALL_STATE(897)] = 37589,
  [SMALL_STATE(898)] = 37602,
  [SMALL_STATE(899)] = 37615,
  [SMALL_STATE(900)] = 37628,
  [SMALL_STATE(901)] = 37641,
  [SMALL_STATE(902)] = 37654,
  [SMALL_STATE(903)] = 37667,
  [SMALL_STATE(904)] = 37680,
  [SMALL_STATE(905)] = 37691,
  [SMALL_STATE(906)] = 37704,
  [SMALL_STATE(907)] = 37717,
  [SMALL_STATE(908)] = 37730,
  [SMALL_STATE(909)] = 37743,
  [SMALL_STATE(910)] = 37751,
  [SMALL_STATE(911)] = 37759,
  [SMALL_STATE(912)] = 37767,
  [SMALL_STATE(913)] = 37777,
  [SMALL_STATE(914)] = 37785,
  [SMALL_STATE(915)] = 37795,
  [SMALL_STATE(916)] = 37803,
  [SMALL_STATE(917)] = 37811,
  [SMALL_STATE(918)] = 37821,
  [SMALL_STATE(919)] = 37829,
  [SMALL_STATE(920)] = 37839,
  [SMALL_STATE(921)] = 37847,
  [SMALL_STATE(922)] = 37855,
  [SMALL_STATE(923)] = 37863,
  [SMALL_STATE(924)] = 37871,
  [SMALL_STATE(925)] = 37881,
  [SMALL_STATE(926)] = 37889,
  [SMALL_STATE(927)] = 37899,
  [SMALL_STATE(928)] = 37907,
  [SMALL_STATE(929)] = 37915,
  [SMALL_STATE(930)] = 37923,
  [SMALL_STATE(931)] = 37931,
  [SMALL_STATE(932)] = 37941,
  [SMALL_STATE(933)] = 37949,
  [SMALL_STATE(934)] = 37957,
  [SMALL_STATE(935)] = 37965,
  [SMALL_STATE(936)] = 37973,
  [SMALL_STATE(937)] = 37981,
  [SMALL_STATE(938)] = 37989,
  [SMALL_STATE(939)] = 37997,
  [SMALL_STATE(940)] = 38007,
  [SMALL_STATE(941)] = 38015,
  [SMALL_STATE(942)] = 38023,
  [SMALL_STATE(943)] = 38031,
  [SMALL_STATE(944)] = 38039,
  [SMALL_STATE(945)] = 38047,
  [SMALL_STATE(946)] = 38055,
  [SMALL_STATE(947)] = 38065,
  [SMALL_STATE(948)] = 38073,
  [SMALL_STATE(949)] = 38081,
  [SMALL_STATE(950)] = 38089,
  [SMALL_STATE(951)] = 38097,
  [SMALL_STATE(952)] = 38105,
  [SMALL_STATE(953)] = 38112,
  [SMALL_STATE(954)] = 38119,
  [SMALL_STATE(955)] = 38126,
  [SMALL_STATE(956)] = 38133,
  [SMALL_STATE(957)] = 38140,
  [SMALL_STATE(958)] = 38147,
  [SMALL_STATE(959)] = 38154,
  [SMALL_STATE(960)] = 38161,
  [SMALL_STATE(961)] = 38168,
  [SMALL_STATE(962)] = 38175,
  [SMALL_STATE(963)] = 38182,
  [SMALL_STATE(964)] = 38189,
  [SMALL_STATE(965)] = 38196,
  [SMALL_STATE(966)] = 38203,
  [SMALL_STATE(967)] = 38210,
  [SMALL_STATE(968)] = 38217,
  [SMALL_STATE(969)] = 38224,
  [SMALL_STATE(970)] = 38231,
  [SMALL_STATE(971)] = 38238,
  [SMALL_STATE(972)] = 38245,
  [SMALL_STATE(973)] = 38252,
  [SMALL_STATE(974)] = 38259,
  [SMALL_STATE(975)] = 38266,
  [SMALL_STATE(976)] = 38273,
  [SMALL_STATE(977)] = 38280,
  [SMALL_STATE(978)] = 38287,
  [SMALL_STATE(979)] = 38294,
  [SMALL_STATE(980)] = 38301,
  [SMALL_STATE(981)] = 38308,
  [SMALL_STATE(982)] = 38315,
  [SMALL_STATE(983)] = 38322,
  [SMALL_STATE(984)] = 38329,
  [SMALL_STATE(985)] = 38336,
  [SMALL_STATE(986)] = 38343,
  [SMALL_STATE(987)] = 38350,
  [SMALL_STATE(988)] = 38357,
  [SMALL_STATE(989)] = 38364,
  [SMALL_STATE(990)] = 38371,
  [SMALL_STATE(991)] = 38378,
  [SMALL_STATE(992)] = 38385,
  [SMALL_STATE(993)] = 38392,
  [SMALL_STATE(994)] = 38399,
  [SMALL_STATE(995)] = 38406,
  [SMALL_STATE(996)] = 38413,
  [SMALL_STATE(997)] = 38420,
  [SMALL_STATE(998)] = 38427,
  [SMALL_STATE(999)] = 38434,
  [SMALL_STATE(1000)] = 38441,
  [SMALL_STATE(1001)] = 38448,
  [SMALL_STATE(1002)] = 38455,
  [SMALL_STATE(1003)] = 38462,
  [SMALL_STATE(1004)] = 38469,
  [SMALL_STATE(1005)] = 38476,
  [SMALL_STATE(1006)] = 38483,
  [SMALL_STATE(1007)] = 38490,
  [SMALL_STATE(1008)] = 38497,
  [SMALL_STATE(1009)] = 38504,
  [SMALL_STATE(1010)] = 38511,
  [SMALL_STATE(1011)] = 38518,
  [SMALL_STATE(1012)] = 38525,
  [SMALL_STATE(1013)] = 38532,
  [SMALL_STATE(1014)] = 38539,
  [SMALL_STATE(1015)] = 38546,
  [SMALL_STATE(1016)] = 38553,
  [SMALL_STATE(1017)] = 38560,
  [SMALL_STATE(1018)] = 38567,
  [SMALL_STATE(1019)] = 38574,
  [SMALL_STATE(1020)] = 38581,
  [SMALL_STATE(1021)] = 38588,
  [SMALL_STATE(1022)] = 38595,
  [SMALL_STATE(1023)] = 38602,
  [SMALL_STATE(1024)] = 38609,
  [SMALL_STATE(1025)] = 38616,
  [SMALL_STATE(1026)] = 38623,
  [SMALL_STATE(1027)] = 38630,
  [SMALL_STATE(1028)] = 38637,
  [SMALL_STATE(1029)] = 38644,
  [SMALL_STATE(1030)] = 38651,
  [SMALL_STATE(1031)] = 38658,
  [SMALL_STATE(1032)] = 38665,
  [SMALL_STATE(1033)] = 38672,
  [SMALL_STATE(1034)] = 38679,
  [SMALL_STATE(1035)] = 38686,
  [SMALL_STATE(1036)] = 38693,
};

static TSParseActionEntry ts_parse_actions[] = {
  [0] = {.count = 0, .reusable = false},
  [1] = {.count = 1, .reusable = false}, RECOVER(),
  [3] = {.count = 1, .reusable = true}, SHIFT_EXTRA(),
  [5] = {.count = 1, .reusable = true}, REDUCE(sym_module, 0),
  [7] = {.count = 1, .reusable = false}, SHIFT(138),
  [9] = {.count = 1, .reusable = false}, SHIFT(804),
  [11] = {.count = 1, .reusable = false}, SHIFT(683),
  [13] = {.count = 1, .reusable = true}, SHIFT(181),
  [15] = {.count = 1, .reusable = false}, SHIFT(48),
  [17] = {.count = 1, .reusable = false}, SHIFT(350),
  [19] = {.count = 1, .reusable = false}, SHIFT(197),
  [21] = {.count = 1, .reusable = false}, SHIFT(258),
  [23] = {.count = 1, .reusable = false}, SHIFT(167),
  [25] = {.count = 1, .reusable = false}, SHIFT(929),
  [27] = {.count = 1, .reusable = false}, SHIFT(923),
  [29] = {.count = 1, .reusable = false}, SHIFT(909),
  [31] = {.count = 1, .reusable = false}, SHIFT(338),
  [33] = {.count = 1, .reusable = false}, SHIFT(903),
  [35] = {.count = 1, .reusable = false}, SHIFT(525),
  [37] = {.count = 1, .reusable = false}, SHIFT(333),
  [39] = {.count = 1, .reusable = false}, SHIFT(1018),
  [41] = {.count = 1, .reusable = false}, SHIFT(270),
  [43] = {.count = 1, .reusable = false}, SHIFT(1016),
  [45] = {.count = 1, .reusable = false}, SHIFT(1015),
  [47] = {.count = 1, .reusable = false}, SHIFT(1014),
  [49] = {.count = 1, .reusable = false}, SHIFT(139),
  [51] = {.count = 1, .reusable = false}, SHIFT(1013),
  [53] = {.count = 1, .reusable = true}, SHIFT(924),
  [55] = {.count = 1, .reusable = false}, SHIFT(318),
  [57] = {.count = 1, .reusable = true}, SHIFT(546),
  [59] = {.count = 1, .reusable = false}, SHIFT(619),
  [61] = {.count = 1, .reusable = false}, SHIFT(141),
  [63] = {.count = 1, .reusable = true}, SHIFT(153),
  [65] = {.count = 1, .reusable = true}, SHIFT(109),
  [67] = {.count = 1, .reusable = true}, SHIFT(121),
  [69] = {.count = 1, .reusable = false}, SHIFT(109),
  [71] = {.count = 1, .reusable = false}, SHIFT(313),
  [73] = {.count = 1, .reusable = true}, SHIFT(703),
  [75] = {.count = 1, .reusable = false}, SHIFT(328),
  [77] = {.count = 1, .reusable = false}, SHIFT(858),
  [79] = {.count = 1, .reusable = false}, SHIFT(527),
  [81] = {.count = 1, .reusable = false}, SHIFT(331),
  [83] = {.count = 1, .reusable = false}, SHIFT(1017),
  [85] = {.count = 1, .reusable = false}, SHIFT(269),
  [87] = {.count = 1, .reusable = false}, SHIFT(1030),
  [89] = {.count = 1, .reusable = false}, SHIFT(1019),
  [91] = {.count = 1, .reusable = true}, SHIFT(267),
  [93] = {.count = 1, .reusable = true}, SHIFT(261),
  [95] = {.count = 1, .reusable = true}, SHIFT(942),
  [97] = {.count = 1, .reusable = true}, REDUCE(sym_module, 1),
  [99] = {.count = 1, .reusable = true}, SHIFT(945),
  [101] = {.count = 1, .reusable = true}, SHIFT(257),
  [103] = {.count = 1, .reusable = true}, REDUCE(aux_sym_module_repeat1, 2),
  [105] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(138),
  [108] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(804),
  [111] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(683),
  [114] = {.count = 2, .reusable = true}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(181),
  [117] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(48),
  [120] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(350),
  [123] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(197),
  [126] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(258),
  [129] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(167),
  [132] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(929),
  [135] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(923),
  [138] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(909),
  [141] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(338),
  [144] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(903),
  [147] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(525),
  [150] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(333),
  [153] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(1018),
  [156] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(270),
  [159] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(1016),
  [162] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(1015),
  [165] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(1014),
  [168] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(139),
  [171] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(1013),
  [174] = {.count = 2, .reusable = true}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(924),
  [177] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(318),
  [180] = {.count = 2, .reusable = true}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(546),
  [183] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(619),
  [186] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(141),
  [189] = {.count = 2, .reusable = true}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(153),
  [192] = {.count = 2, .reusable = true}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(109),
  [195] = {.count = 2, .reusable = true}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(121),
  [198] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(109),
  [201] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(313),
  [204] = {.count = 2, .reusable = true}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(703),
  [207] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(328),
  [210] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(858),
  [213] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(527),
  [216] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(331),
  [219] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(1017),
  [222] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(269),
  [225] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(1030),
  [228] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(1019),
  [231] = {.count = 1, .reusable = true}, SHIFT(264),
  [233] = {.count = 1, .reusable = false}, REDUCE(sym__primary_expression, 1, .production_id = 1),
  [235] = {.count = 1, .reusable = true}, REDUCE(sym__primary_expression, 1, .production_id = 1),
  [237] = {.count = 1, .reusable = false}, SHIFT(174),
  [239] = {.count = 1, .reusable = false}, SHIFT(299),
  [241] = {.count = 1, .reusable = true}, SHIFT(37),
  [243] = {.count = 1, .reusable = true}, SHIFT(16),
  [245] = {.count = 1, .reusable = true}, SHIFT(22),
  [247] = {.count = 1, .reusable = true}, SHIFT(39),
  [249] = {.count = 1, .reusable = true}, SHIFT(2),
  [251] = {.count = 1, .reusable = true}, SHIFT(17),
  [253] = {.count = 1, .reusable = true}, SHIFT(15),
  [255] = {.count = 1, .reusable = true}, SHIFT(23),
  [257] = {.count = 1, .reusable = true}, SHIFT(25),
  [259] = {.count = 1, .reusable = true}, SHIFT(32),
  [261] = {.count = 1, .reusable = true}, SHIFT(5),
  [263] = {.count = 1, .reusable = true}, SHIFT(7),
  [265] = {.count = 1, .reusable = true}, SHIFT(14),
  [267] = {.count = 1, .reusable = true}, SHIFT(19),
  [269] = {.count = 1, .reusable = true}, SHIFT(3),
  [271] = {.count = 1, .reusable = true}, SHIFT(21),
  [273] = {.count = 1, .reusable = true}, SHIFT(18),
  [275] = {.count = 1, .reusable = true}, SHIFT(26),
  [277] = {.count = 1, .reusable = true}, SHIFT(29),
  [279] = {.count = 1, .reusable = true}, SHIFT(6),
  [281] = {.count = 1, .reusable = true}, SHIFT(8),
  [283] = {.count = 1, .reusable = true}, SHIFT(10),
  [285] = {.count = 1, .reusable = true}, SHIFT(9),
  [287] = {.count = 1, .reusable = true}, SHIFT(27),
  [289] = {.count = 1, .reusable = true}, SHIFT(31),
  [291] = {.count = 1, .reusable = true}, SHIFT(20),
  [293] = {.count = 1, .reusable = true}, SHIFT(11),
  [295] = {.count = 1, .reusable = true}, SHIFT(24),
  [297] = {.count = 1, .reusable = true}, SHIFT(13),
  [299] = {.count = 1, .reusable = true}, SHIFT(12),
  [301] = {.count = 1, .reusable = true}, SHIFT(41),
  [303] = {.count = 1, .reusable = true}, SHIFT(30),
  [305] = {.count = 1, .reusable = true}, SHIFT(33),
  [307] = {.count = 1, .reusable = true}, SHIFT(4),
  [309] = {.count = 1, .reusable = true}, SHIFT(34),
  [311] = {.count = 1, .reusable = true}, SHIFT(35),
  [313] = {.count = 1, .reusable = true}, SHIFT(38),
  [315] = {.count = 1, .reusable = true}, SHIFT(40),
  [317] = {.count = 1, .reusable = true}, SHIFT(36),
  [319] = {.count = 1, .reusable = true}, SHIFT(28),
  [321] = {.count = 1, .reusable = true}, SHIFT(282),
  [323] = {.count = 1, .reusable = true}, SHIFT(263),
  [325] = {.count = 1, .reusable = true}, SHIFT(948),
  [327] = {.count = 1, .reusable = true}, SHIFT(260),
  [329] = {.count = 1, .reusable = true}, SHIFT(262),
  [331] = {.count = 1, .reusable = true}, SHIFT(932),
  [333] = {.count = 1, .reusable = false}, REDUCE(sym_expression_list, 3),
  [335] = {.count = 1, .reusable = true}, REDUCE(sym_expression_list, 3),
  [337] = {.count = 1, .reusable = false}, SHIFT(546),
  [339] = {.count = 1, .reusable = false}, REDUCE(sym_expression_list, 2),
  [341] = {.count = 1, .reusable = true}, REDUCE(sym_expression_list, 2),
  [343] = {.count = 1, .reusable = true}, REDUCE(sym_expression_statement, 2),
  [345] = {.count = 1, .reusable = true}, REDUCE(sym_expression_statement, 3),
  [347] = {.count = 1, .reusable = false}, SHIFT(504),
  [349] = {.count = 1, .reusable = true}, SHIFT(116),
  [351] = {.count = 1, .reusable = true}, SHIFT(160),
  [353] = {.count = 1, .reusable = true}, SHIFT(983),
  [355] = {.count = 1, .reusable = false}, SHIFT(311),
  [357] = {.count = 1, .reusable = false}, SHIFT(511),
  [359] = {.count = 1, .reusable = true}, SHIFT(288),
  [361] = {.count = 1, .reusable = false}, SHIFT(343),
  [363] = {.count = 1, .reusable = true}, SHIFT(533),
  [365] = {.count = 1, .reusable = false}, SHIFT(621),
  [367] = {.count = 1, .reusable = true}, SHIFT(150),
  [369] = {.count = 1, .reusable = true}, SHIFT(383),
  [371] = {.count = 1, .reusable = true}, SHIFT(110),
  [373] = {.count = 1, .reusable = false}, SHIFT(383),
  [375] = {.count = 1, .reusable = false}, SHIFT(308),
  [377] = {.count = 1, .reusable = true}, SHIFT(687),
  [379] = {.count = 1, .reusable = true}, SHIFT(489),
  [381] = {.count = 1, .reusable = true}, SHIFT(979),
  [383] = {.count = 1, .reusable = true}, SHIFT(578),
  [385] = {.count = 1, .reusable = true}, SHIFT(969),
  [387] = {.count = 1, .reusable = false}, SHIFT(469),
  [389] = {.count = 1, .reusable = true}, SHIFT(151),
  [391] = {.count = 1, .reusable = true}, REDUCE(sym_for_in_clause, 7, .production_id = 84),
  [393] = {.count = 1, .reusable = false}, SHIFT(482),
  [395] = {.count = 1, .reusable = false}, REDUCE(sym_for_in_clause, 7, .production_id = 84),
  [397] = {.count = 1, .reusable = false}, SHIFT(620),
  [399] = {.count = 1, .reusable = true}, REDUCE(sym_for_in_clause, 6, .production_id = 75),
  [401] = {.count = 1, .reusable = false}, REDUCE(sym_for_in_clause, 6, .production_id = 75),
  [403] = {.count = 1, .reusable = true}, REDUCE(sym_for_in_clause, 6, .production_id = 74),
  [405] = {.count = 1, .reusable = false}, REDUCE(sym_for_in_clause, 6, .production_id = 74),
  [407] = {.count = 1, .reusable = true}, REDUCE(sym_for_in_clause, 5, .production_id = 59),
  [409] = {.count = 1, .reusable = false}, REDUCE(sym_for_in_clause, 5, .production_id = 59),
  [411] = {.count = 1, .reusable = true}, SHIFT(976),
  [413] = {.count = 1, .reusable = true}, REDUCE(sym__expression, 1),
  [415] = {.count = 1, .reusable = true}, SHIFT(104),
  [417] = {.count = 1, .reusable = false}, SHIFT(530),
  [419] = {.count = 1, .reusable = false}, SHIFT(562),
  [421] = {.count = 1, .reusable = true}, SHIFT(556),
  [423] = {.count = 1, .reusable = false}, REDUCE(sym__expression, 1),
  [425] = {.count = 1, .reusable = false}, SHIFT(555),
  [427] = {.count = 1, .reusable = true}, SHIFT(977),
  [429] = {.count = 1, .reusable = false}, SHIFT(552),
  [431] = {.count = 1, .reusable = false}, SHIFT(560),
  [433] = {.count = 1, .reusable = false}, SHIFT(551),
  [435] = {.count = 1, .reusable = false}, SHIFT(550),
  [437] = {.count = 1, .reusable = false}, SHIFT(556),
  [439] = {.count = 1, .reusable = true}, SHIFT(509),
  [441] = {.count = 1, .reusable = true}, SHIFT(246),
  [443] = {.count = 1, .reusable = true}, SHIFT(990),
  [445] = {.count = 1, .reusable = true}, SHIFT(499),
  [447] = {.count = 1, .reusable = true}, SHIFT(953),
  [449] = {.count = 1, .reusable = true}, SHIFT(584),
  [451] = {.count = 1, .reusable = true}, SHIFT(580),
  [453] = {.count = 1, .reusable = true}, SHIFT(173),
  [455] = {.count = 1, .reusable = true}, SHIFT(501),
  [457] = {.count = 1, .reusable = true}, SHIFT(166),
  [459] = {.count = 1, .reusable = true}, SHIFT(496),
  [461] = {.count = 1, .reusable = true}, SHIFT(993),
  [463] = {.count = 1, .reusable = true}, SHIFT(311),
  [465] = {.count = 1, .reusable = false}, SHIFT(189),
  [467] = {.count = 1, .reusable = true}, REDUCE(sym__primary_expression, 1),
  [469] = {.count = 1, .reusable = false}, REDUCE(sym__primary_expression, 1),
  [471] = {.count = 1, .reusable = true}, SHIFT(570),
  [473] = {.count = 1, .reusable = true}, SHIFT(498),
  [475] = {.count = 1, .reusable = true}, REDUCE(aux_sym_concatenated_string_repeat1, 2),
  [477] = {.count = 1, .reusable = false}, REDUCE(aux_sym_concatenated_string_repeat1, 2),
  [479] = {.count = 2, .reusable = true}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(703),
  [482] = {.count = 1, .reusable = true}, SHIFT(975),
  [484] = {.count = 1, .reusable = true}, SHIFT(164),
  [486] = {.count = 1, .reusable = true}, REDUCE(sym_concatenated_string, 2),
  [488] = {.count = 1, .reusable = false}, REDUCE(sym_concatenated_string, 2),
  [490] = {.count = 1, .reusable = true}, REDUCE(sym_unary_operator, 2, .production_id = 7),
  [492] = {.count = 1, .reusable = false}, REDUCE(sym_unary_operator, 2, .production_id = 7),
  [494] = {.count = 1, .reusable = true}, REDUCE(sym_binary_operator, 3, .production_id = 19),
  [496] = {.count = 1, .reusable = false}, REDUCE(sym_binary_operator, 3, .production_id = 19),
  [498] = {.count = 1, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2),
  [500] = {.count = 1, .reusable = false}, REDUCE(aux_sym_comparison_operator_repeat1, 2),
  [502] = {.count = 1, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 3),
  [504] = {.count = 1, .reusable = false}, REDUCE(aux_sym_comparison_operator_repeat1, 3),
  [506] = {.count = 1, .reusable = true}, REDUCE(sym_string, 2),
  [508] = {.count = 1, .reusable = false}, REDUCE(sym_string, 2),
  [510] = {.count = 1, .reusable = true}, SHIFT(326),
  [512] = {.count = 1, .reusable = true}, SHIFT(692),
  [514] = {.count = 1, .reusable = true}, REDUCE(sym_string, 3),
  [516] = {.count = 1, .reusable = false}, REDUCE(sym_string, 3),
  [518] = {.count = 1, .reusable = false}, SHIFT(287),
  [520] = {.count = 1, .reusable = true}, REDUCE(sym_yield, 1),
  [522] = {.count = 1, .reusable = true}, REDUCE(sym_dictionary_comprehension, 4, .production_id = 26),
  [524] = {.count = 1, .reusable = false}, REDUCE(sym_dictionary_comprehension, 4, .production_id = 26),
  [526] = {.count = 1, .reusable = true}, SHIFT(480),
  [528] = {.count = 1, .reusable = true}, SHIFT(589),
  [530] = {.count = 1, .reusable = true}, REDUCE(sym_call, 2, .production_id = 9),
  [532] = {.count = 1, .reusable = false}, REDUCE(sym_call, 2, .production_id = 9),
  [534] = {.count = 1, .reusable = true}, SHIFT(581),
  [536] = {.count = 1, .reusable = true}, REDUCE(sym_list_comprehension, 4, .production_id = 26),
  [538] = {.count = 1, .reusable = false}, REDUCE(sym_list_comprehension, 4, .production_id = 26),
  [540] = {.count = 1, .reusable = true}, REDUCE(sym_set, 5),
  [542] = {.count = 1, .reusable = false}, REDUCE(sym_set, 5),
  [544] = {.count = 1, .reusable = true}, REDUCE(sym_try_statement, 4, .production_id = 31),
  [546] = {.count = 1, .reusable = false}, REDUCE(sym_try_statement, 4, .production_id = 31),
  [548] = {.count = 1, .reusable = false}, SHIFT(1028),
  [550] = {.count = 1, .reusable = false}, SHIFT(253),
  [552] = {.count = 1, .reusable = false}, SHIFT(1036),
  [554] = {.count = 1, .reusable = true}, SHIFT(991),
  [556] = {.count = 1, .reusable = true}, SHIFT(485),
  [558] = {.count = 1, .reusable = true}, REDUCE(sym_subscript, 6, .production_id = 56),
  [560] = {.count = 1, .reusable = false}, REDUCE(sym_subscript, 6, .production_id = 56),
  [562] = {.count = 1, .reusable = true}, SHIFT(973),
  [564] = {.count = 1, .reusable = true}, SHIFT(170),
  [566] = {.count = 1, .reusable = true}, REDUCE(sym_tuple, 3),
  [568] = {.count = 1, .reusable = false}, REDUCE(sym_tuple, 3),
  [570] = {.count = 1, .reusable = true}, REDUCE(sym_parenthesized_expression, 3),
  [572] = {.count = 1, .reusable = false}, REDUCE(sym_parenthesized_expression, 3),
  [574] = {.count = 1, .reusable = true}, REDUCE(sym_dictionary, 4),
  [576] = {.count = 1, .reusable = false}, REDUCE(sym_dictionary, 4),
  [578] = {.count = 1, .reusable = true}, SHIFT(962),
  [580] = {.count = 1, .reusable = true}, SHIFT(582),
  [582] = {.count = 1, .reusable = true}, REDUCE(sym_list, 5),
  [584] = {.count = 1, .reusable = false}, REDUCE(sym_list, 5),
  [586] = {.count = 1, .reusable = true}, SHIFT(165),
  [588] = {.count = 1, .reusable = true}, REDUCE(sym_argument_list, 2),
  [590] = {.count = 1, .reusable = false}, REDUCE(sym_argument_list, 2),
  [592] = {.count = 1, .reusable = true}, SHIFT(495),
  [594] = {.count = 1, .reusable = true}, REDUCE(sym_attribute, 3, .production_id = 20),
  [596] = {.count = 1, .reusable = false}, REDUCE(sym_attribute, 3, .production_id = 20),
  [598] = {.count = 1, .reusable = true}, REDUCE(sym_set_comprehension, 4, .production_id = 26),
  [600] = {.count = 1, .reusable = false}, REDUCE(sym_set_comprehension, 4, .production_id = 26),
  [602] = {.count = 1, .reusable = true}, REDUCE(sym_dictionary, 2),
  [604] = {.count = 1, .reusable = false}, REDUCE(sym_dictionary, 2),
  [606] = {.count = 1, .reusable = true}, REDUCE(sym_dictionary, 5),
  [608] = {.count = 1, .reusable = false}, REDUCE(sym_dictionary, 5),
  [610] = {.count = 1, .reusable = true}, REDUCE(sym_argument_list, 5),
  [612] = {.count = 1, .reusable = false}, REDUCE(sym_argument_list, 5),
  [614] = {.count = 1, .reusable = false}, SHIFT(295),
  [616] = {.count = 1, .reusable = true}, REDUCE(sym_raise_statement, 1),
  [618] = {.count = 1, .reusable = true}, REDUCE(sym_subscript, 4, .production_id = 42),
  [620] = {.count = 1, .reusable = false}, REDUCE(sym_subscript, 4, .production_id = 42),
  [622] = {.count = 1, .reusable = true}, SHIFT(573),
  [624] = {.count = 1, .reusable = true}, SHIFT(967),
  [626] = {.count = 1, .reusable = true}, REDUCE(sym_list, 2),
  [628] = {.count = 1, .reusable = false}, REDUCE(sym_list, 2),
  [630] = {.count = 1, .reusable = true}, REDUCE(sym_generator_expression, 4, .production_id = 26),
  [632] = {.count = 1, .reusable = false}, REDUCE(sym_generator_expression, 4, .production_id = 26),
  [634] = {.count = 1, .reusable = true}, REDUCE(sym_tuple, 2),
  [636] = {.count = 1, .reusable = false}, REDUCE(sym_tuple, 2),
  [638] = {.count = 1, .reusable = true}, REDUCE(sym_argument_list, 4),
  [640] = {.count = 1, .reusable = false}, REDUCE(sym_argument_list, 4),
  [642] = {.count = 1, .reusable = true}, REDUCE(sym_argument_list, 3),
  [644] = {.count = 1, .reusable = false}, REDUCE(sym_argument_list, 3),
  [646] = {.count = 1, .reusable = true}, REDUCE(sym_subscript, 5, .production_id = 56),
  [648] = {.count = 1, .reusable = false}, REDUCE(sym_subscript, 5, .production_id = 56),
  [650] = {.count = 1, .reusable = true}, REDUCE(sym_set, 4),
  [652] = {.count = 1, .reusable = false}, REDUCE(sym_set, 4),
  [654] = {.count = 1, .reusable = true}, REDUCE(sym_try_statement, 5, .production_id = 50),
  [656] = {.count = 1, .reusable = false}, REDUCE(sym_try_statement, 5, .production_id = 50),
  [658] = {.count = 1, .reusable = true}, REDUCE(sym_tuple, 5),
  [660] = {.count = 1, .reusable = false}, REDUCE(sym_tuple, 5),
  [662] = {.count = 1, .reusable = true}, SHIFT(172),
  [664] = {.count = 1, .reusable = true}, SHIFT(958),
  [666] = {.count = 1, .reusable = true}, REDUCE(sym_list, 3),
  [668] = {.count = 1, .reusable = false}, REDUCE(sym_list, 3),
  [670] = {.count = 1, .reusable = true}, SHIFT(156),
  [672] = {.count = 1, .reusable = true}, REDUCE(sym_tuple, 4),
  [674] = {.count = 1, .reusable = false}, REDUCE(sym_tuple, 4),
  [676] = {.count = 1, .reusable = true}, REDUCE(sym_set, 3),
  [678] = {.count = 1, .reusable = false}, REDUCE(sym_set, 3),
  [680] = {.count = 1, .reusable = true}, REDUCE(sym_list, 4),
  [682] = {.count = 1, .reusable = false}, REDUCE(sym_list, 4),
  [684] = {.count = 1, .reusable = false}, SHIFT(1006),
  [686] = {.count = 1, .reusable = false}, SHIFT(276),
  [688] = {.count = 1, .reusable = false}, SHIFT(1005),
  [690] = {.count = 1, .reusable = true}, REDUCE(sym_dictionary, 3),
  [692] = {.count = 1, .reusable = false}, REDUCE(sym_dictionary, 3),
  [694] = {.count = 1, .reusable = false}, SHIFT(317),
  [696] = {.count = 1, .reusable = true}, REDUCE(sym_subscript, 5, .production_id = 42),
  [698] = {.count = 1, .reusable = false}, REDUCE(sym_subscript, 5, .production_id = 42),
  [700] = {.count = 1, .reusable = true}, SHIFT(199),
  [702] = {.count = 1, .reusable = true}, SHIFT(486),
  [704] = {.count = 1, .reusable = true}, SHIFT(502),
  [706] = {.count = 1, .reusable = true}, SHIFT(473),
  [708] = {.count = 1, .reusable = true}, SHIFT(478),
  [710] = {.count = 1, .reusable = true}, SHIFT(158),
  [712] = {.count = 1, .reusable = true}, REDUCE(sym_return_statement, 1),
  [714] = {.count = 1, .reusable = true}, REDUCE(sym_slice, 2),
  [716] = {.count = 1, .reusable = true}, SHIFT(236),
  [718] = {.count = 1, .reusable = true}, REDUCE(sym_slice, 1),
  [720] = {.count = 1, .reusable = true}, SHIFT(244),
  [722] = {.count = 1, .reusable = true}, SHIFT(184),
  [724] = {.count = 1, .reusable = true}, SHIFT(190),
  [726] = {.count = 1, .reusable = true}, SHIFT(493),
  [728] = {.count = 1, .reusable = true}, REDUCE(aux_sym__parameters_repeat1, 2, .production_id = 36),
  [730] = {.count = 1, .reusable = true}, SHIFT(494),
  [732] = {.count = 1, .reusable = true}, SHIFT(148),
  [734] = {.count = 1, .reusable = true}, SHIFT(492),
  [736] = {.count = 1, .reusable = true}, SHIFT(479),
  [738] = {.count = 1, .reusable = true}, SHIFT(152),
  [740] = {.count = 1, .reusable = true}, SHIFT(639),
  [742] = {.count = 1, .reusable = true}, REDUCE(sym__parameters, 1, .production_id = 8),
  [744] = {.count = 1, .reusable = true}, SHIFT(180),
  [746] = {.count = 1, .reusable = true}, SHIFT(629),
  [748] = {.count = 1, .reusable = true}, SHIFT(567),
  [750] = {.count = 1, .reusable = true}, SHIFT(579),
  [752] = {.count = 1, .reusable = true}, SHIFT(594),
  [754] = {.count = 1, .reusable = true}, SHIFT(583),
  [756] = {.count = 1, .reusable = true}, SHIFT(595),
  [758] = {.count = 1, .reusable = true}, SHIFT(596),
  [760] = {.count = 1, .reusable = true}, SHIFT(186),
  [762] = {.count = 1, .reusable = true}, SHIFT(588),
  [764] = {.count = 1, .reusable = true}, SHIFT(177),
  [766] = {.count = 1, .reusable = true}, SHIFT(586),
  [768] = {.count = 1, .reusable = true}, REDUCE(sym_if_statement, 4, .production_id = 29),
  [770] = {.count = 1, .reusable = false}, REDUCE(sym_if_statement, 4, .production_id = 29),
  [772] = {.count = 1, .reusable = false}, SHIFT(322),
  [774] = {.count = 1, .reusable = false}, REDUCE(sym_if_statement, 6, .production_id = 61),
  [776] = {.count = 1, .reusable = true}, REDUCE(sym_if_statement, 6, .production_id = 61),
  [778] = {.count = 1, .reusable = false}, SHIFT(352),
  [780] = {.count = 1, .reusable = true}, REDUCE(sym_print_statement, 4, .production_id = 13),
  [782] = {.count = 1, .reusable = true}, REDUCE(sym_print_statement, 4, .production_id = 12),
  [784] = {.count = 1, .reusable = true}, REDUCE(aux_sym_try_statement_repeat1, 2),
  [786] = {.count = 1, .reusable = false}, REDUCE(aux_sym_try_statement_repeat1, 2),
  [788] = {.count = 2, .reusable = false}, REDUCE(aux_sym_try_statement_repeat1, 2), SHIFT_REPEAT(253),
  [791] = {.count = 1, .reusable = true}, REDUCE(sym_if_statement, 5, .production_id = 46),
  [793] = {.count = 1, .reusable = false}, REDUCE(sym_if_statement, 5, .production_id = 46),
  [795] = {.count = 1, .reusable = true}, REDUCE(sym_slice, 3),
  [797] = {.count = 1, .reusable = true}, REDUCE(sym_if_statement, 5, .production_id = 43),
  [799] = {.count = 1, .reusable = false}, REDUCE(sym_if_statement, 5, .production_id = 43),
  [801] = {.count = 1, .reusable = true}, REDUCE(sym_print_statement, 3, .production_id = 4),
  [803] = {.count = 1, .reusable = true}, REDUCE(sym_print_statement, 3),
  [805] = {.count = 1, .reusable = true}, REDUCE(sym_slice, 4),
  [807] = {.count = 2, .reusable = false}, REDUCE(aux_sym_try_statement_repeat1, 2), SHIFT_REPEAT(276),
  [810] = {.count = 1, .reusable = false}, SHIFT(547),
  [812] = {.count = 1, .reusable = true}, SHIFT(169),
  [814] = {.count = 1, .reusable = false}, SHIFT(576),
  [816] = {.count = 1, .reusable = true}, SHIFT(56),
  [818] = {.count = 1, .reusable = false}, SHIFT(296),
  [820] = {.count = 1, .reusable = true}, SHIFT(563),
  [822] = {.count = 1, .reusable = false}, SHIFT(622),
  [824] = {.count = 1, .reusable = true}, SHIFT(157),
  [826] = {.count = 1, .reusable = true}, SHIFT(503),
  [828] = {.count = 1, .reusable = true}, SHIFT(111),
  [830] = {.count = 1, .reusable = false}, SHIFT(503),
  [832] = {.count = 1, .reusable = false}, SHIFT(325),
  [834] = {.count = 1, .reusable = true}, SHIFT(685),
  [836] = {.count = 1, .reusable = false}, REDUCE(sym__simple_statements, 2),
  [838] = {.count = 1, .reusable = true}, REDUCE(sym__simple_statements, 2),
  [840] = {.count = 1, .reusable = true}, REDUCE(sym_block, 2),
  [842] = {.count = 1, .reusable = false}, REDUCE(sym_block, 2),
  [844] = {.count = 1, .reusable = false}, REDUCE(sym__simple_statements, 3),
  [846] = {.count = 1, .reusable = true}, REDUCE(sym__simple_statements, 3),
  [848] = {.count = 1, .reusable = false}, REDUCE(sym_block, 1),
  [850] = {.count = 1, .reusable = true}, REDUCE(sym_block, 1),
  [852] = {.count = 1, .reusable = false}, REDUCE(sym__simple_statements, 4),
  [854] = {.count = 1, .reusable = true}, REDUCE(sym__simple_statements, 4),
  [856] = {.count = 1, .reusable = true}, SHIFT(87),
  [858] = {.count = 1, .reusable = true}, REDUCE(aux_sym_if_statement_repeat1, 2, .production_id = 63),
  [860] = {.count = 1, .reusable = false}, REDUCE(aux_sym_if_statement_repeat1, 2, .production_id = 63),
  [862] = {.count = 2, .reusable = false}, REDUCE(aux_sym_if_statement_repeat1, 2, .production_id = 63), SHIFT_REPEAT(322),
  [865] = {.count = 2, .reusable = false}, REDUCE(aux_sym_if_statement_repeat1, 2, .production_id = 63), SHIFT_REPEAT(352),
  [868] = {.count = 1, .reusable = false}, REDUCE(sym_except_clause, 6, .production_id = 92),
  [870] = {.count = 1, .reusable = true}, REDUCE(sym_except_clause, 6, .production_id = 92),
  [872] = {.count = 1, .reusable = false}, REDUCE(sym_except_clause, 5),
  [874] = {.count = 1, .reusable = true}, REDUCE(sym_except_clause, 5),
  [876] = {.count = 1, .reusable = false}, REDUCE(sym_except_clause, 4, .production_id = 82),
  [878] = {.count = 1, .reusable = true}, REDUCE(sym_except_clause, 4, .production_id = 82),
  [880] = {.count = 1, .reusable = false}, REDUCE(sym_except_clause, 4),
  [882] = {.count = 1, .reusable = true}, REDUCE(sym_except_clause, 4),
  [884] = {.count = 1, .reusable = false}, REDUCE(sym_except_clause, 3, .production_id = 69),
  [886] = {.count = 1, .reusable = true}, REDUCE(sym_except_clause, 3, .production_id = 69),
  [888] = {.count = 1, .reusable = true}, REDUCE(sym_except_clause, 7),
  [890] = {.count = 1, .reusable = false}, REDUCE(sym_except_clause, 7),
  [892] = {.count = 1, .reusable = true}, REDUCE(sym_for_statement, 7, .production_id = 80),
  [894] = {.count = 1, .reusable = false}, REDUCE(sym_for_statement, 7, .production_id = 80),
  [896] = {.count = 1, .reusable = false}, REDUCE(sym_for_statement, 8, .production_id = 85),
  [898] = {.count = 1, .reusable = true}, REDUCE(sym_for_statement, 8, .production_id = 85),
  [900] = {.count = 1, .reusable = true}, REDUCE(sym_for_statement, 6, .production_id = 67),
  [902] = {.count = 1, .reusable = false}, REDUCE(sym_for_statement, 6, .production_id = 67),
  [904] = {.count = 1, .reusable = false}, REDUCE(sym_try_statement, 6, .production_id = 50),
  [906] = {.count = 1, .reusable = true}, REDUCE(sym_try_statement, 6, .production_id = 50),
  [908] = {.count = 1, .reusable = true}, REDUCE(sym_for_statement, 7, .production_id = 77),
  [910] = {.count = 1, .reusable = false}, REDUCE(sym_for_statement, 7, .production_id = 77),
  [912] = {.count = 1, .reusable = true}, REDUCE(sym_elif_clause, 4, .production_id = 29),
  [914] = {.count = 1, .reusable = false}, REDUCE(sym_elif_clause, 4, .production_id = 29),
  [916] = {.count = 1, .reusable = false}, REDUCE(sym_elif_clause, 5, .production_id = 43),
  [918] = {.count = 1, .reusable = true}, REDUCE(sym_elif_clause, 5, .production_id = 43),
  [920] = {.count = 1, .reusable = true}, REDUCE(aux_sym_if_statement_repeat1, 1, .production_id = 44),
  [922] = {.count = 1, .reusable = false}, REDUCE(aux_sym_if_statement_repeat1, 1, .production_id = 44),
  [924] = {.count = 1, .reusable = false}, REDUCE(sym_while_statement, 5, .production_id = 48),
  [926] = {.count = 1, .reusable = true}, REDUCE(sym_while_statement, 5, .production_id = 48),
  [928] = {.count = 1, .reusable = false}, REDUCE(sym_try_statement, 5, .production_id = 31),
  [930] = {.count = 1, .reusable = true}, REDUCE(sym_try_statement, 5, .production_id = 31),
  [932] = {.count = 1, .reusable = true}, REDUCE(sym_while_statement, 4, .production_id = 30),
  [934] = {.count = 1, .reusable = false}, REDUCE(sym_while_statement, 4, .production_id = 30),
  [936] = {.count = 2, .reusable = true}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(687),
  [939] = {.count = 1, .reusable = false}, REDUCE(sym_else_clause, 3, .production_id = 31),
  [941] = {.count = 1, .reusable = true}, REDUCE(sym_else_clause, 3, .production_id = 31),
  [943] = {.count = 1, .reusable = false}, REDUCE(sym_else_clause, 4, .production_id = 50),
  [945] = {.count = 1, .reusable = true}, REDUCE(sym_else_clause, 4, .production_id = 50),
  [947] = {.count = 1, .reusable = true}, SHIFT(989),
  [949] = {.count = 1, .reusable = true}, SHIFT(108),
  [951] = {.count = 1, .reusable = false}, SHIFT(543),
  [953] = {.count = 1, .reusable = true}, SHIFT(542),
  [955] = {.count = 1, .reusable = true}, SHIFT(541),
  [957] = {.count = 1, .reusable = true}, SHIFT(540),
  [959] = {.count = 1, .reusable = true}, SHIFT(543),
  [961] = {.count = 1, .reusable = true}, SHIFT(952),
  [963] = {.count = 1, .reusable = true}, SHIFT(538),
  [965] = {.count = 1, .reusable = true}, SHIFT(537),
  [967] = {.count = 1, .reusable = true}, SHIFT(536),
  [969] = {.count = 1, .reusable = true}, SHIFT(534),
  [971] = {.count = 1, .reusable = false}, SHIFT(541),
  [973] = {.count = 1, .reusable = true}, SHIFT(528),
  [975] = {.count = 1, .reusable = true}, SHIFT(233),
  [977] = {.count = 1, .reusable = false}, REDUCE(sym_with_statement, 4, .production_id = 32),
  [979] = {.count = 1, .reusable = true}, REDUCE(sym_with_statement, 4, .production_id = 32),
  [981] = {.count = 1, .reusable = true}, REDUCE(sym_class_definition, 5, .production_id = 53),
  [983] = {.count = 1, .reusable = false}, REDUCE(sym_class_definition, 5, .production_id = 53),
  [985] = {.count = 1, .reusable = false}, REDUCE(sym_function_definition, 6, .production_id = 70),
  [987] = {.count = 1, .reusable = true}, REDUCE(sym_function_definition, 6, .production_id = 70),
  [989] = {.count = 1, .reusable = false}, REDUCE(sym_try_statement, 6, .production_id = 31),
  [991] = {.count = 1, .reusable = true}, REDUCE(sym_try_statement, 6, .production_id = 31),
  [993] = {.count = 1, .reusable = false}, REDUCE(sym_finally_clause, 3, .production_id = 69),
  [995] = {.count = 1, .reusable = true}, REDUCE(sym_finally_clause, 3, .production_id = 69),
  [997] = {.count = 1, .reusable = false}, REDUCE(sym_while_statement, 6, .production_id = 68),
  [999] = {.count = 1, .reusable = true}, REDUCE(sym_while_statement, 6, .production_id = 68),
  [1001] = {.count = 1, .reusable = false}, REDUCE(sym_function_definition, 6, .production_id = 66),
  [1003] = {.count = 1, .reusable = true}, REDUCE(sym_function_definition, 6, .production_id = 66),
  [1005] = {.count = 1, .reusable = false}, REDUCE(sym_with_statement, 6, .production_id = 65),
  [1007] = {.count = 1, .reusable = true}, REDUCE(sym_with_statement, 6, .production_id = 65),
  [1009] = {.count = 1, .reusable = false}, REDUCE(sym_with_statement, 6, .production_id = 64),
  [1011] = {.count = 1, .reusable = true}, REDUCE(sym_with_statement, 6, .production_id = 64),
  [1013] = {.count = 1, .reusable = false}, REDUCE(sym_if_statement, 6, .production_id = 62),
  [1015] = {.count = 1, .reusable = true}, REDUCE(sym_if_statement, 6, .production_id = 62),
  [1017] = {.count = 1, .reusable = false}, REDUCE(sym_if_statement, 6, .production_id = 60),
  [1019] = {.count = 1, .reusable = true}, REDUCE(sym_if_statement, 6, .production_id = 60),
  [1021] = {.count = 1, .reusable = false}, REDUCE(sym_class_definition, 5, .production_id = 54),
  [1023] = {.count = 1, .reusable = true}, REDUCE(sym_class_definition, 5, .production_id = 54),
  [1025] = {.count = 1, .reusable = false}, REDUCE(sym_function_definition, 5, .production_id = 52),
  [1027] = {.count = 1, .reusable = true}, REDUCE(sym_function_definition, 5, .production_id = 52),
  [1029] = {.count = 1, .reusable = false}, REDUCE(sym_with_statement, 5, .production_id = 51),
  [1031] = {.count = 1, .reusable = true}, REDUCE(sym_with_statement, 5, .production_id = 51),
  [1033] = {.count = 1, .reusable = false}, REDUCE(sym_while_statement, 5, .production_id = 49),
  [1035] = {.count = 1, .reusable = true}, REDUCE(sym_while_statement, 5, .production_id = 49),
  [1037] = {.count = 1, .reusable = true}, REDUCE(sym_if_statement, 5, .production_id = 45),
  [1039] = {.count = 1, .reusable = false}, REDUCE(sym_if_statement, 5, .production_id = 45),
  [1041] = {.count = 1, .reusable = false}, REDUCE(sym_with_statement, 5, .production_id = 47),
  [1043] = {.count = 1, .reusable = true}, REDUCE(sym_with_statement, 5, .production_id = 47),
  [1045] = {.count = 1, .reusable = false}, REDUCE(sym_class_definition, 4, .production_id = 34),
  [1047] = {.count = 1, .reusable = true}, REDUCE(sym_class_definition, 4, .production_id = 34),
  [1049] = {.count = 1, .reusable = false}, REDUCE(sym_if_statement, 7, .production_id = 76),
  [1051] = {.count = 1, .reusable = true}, REDUCE(sym_if_statement, 7, .production_id = 76),
  [1053] = {.count = 1, .reusable = false}, REDUCE(sym_with_statement, 7, .production_id = 78),
  [1055] = {.count = 1, .reusable = true}, REDUCE(sym_with_statement, 7, .production_id = 78),
  [1057] = {.count = 1, .reusable = false}, REDUCE(sym_function_definition, 7, .production_id = 79),
  [1059] = {.count = 1, .reusable = true}, REDUCE(sym_function_definition, 7, .production_id = 79),
  [1061] = {.count = 1, .reusable = false}, REDUCE(sym_for_statement, 7, .production_id = 81),
  [1063] = {.count = 1, .reusable = true}, REDUCE(sym_for_statement, 7, .production_id = 81),
  [1065] = {.count = 1, .reusable = false}, REDUCE(sym_class_definition, 6, .production_id = 71),
  [1067] = {.count = 1, .reusable = true}, REDUCE(sym_class_definition, 6, .production_id = 71),
  [1069] = {.count = 1, .reusable = false}, REDUCE(sym_decorated_definition, 2, .production_id = 10),
  [1071] = {.count = 1, .reusable = true}, REDUCE(sym_decorated_definition, 2, .production_id = 10),
  [1073] = {.count = 1, .reusable = false}, REDUCE(sym_try_statement, 7, .production_id = 50),
  [1075] = {.count = 1, .reusable = true}, REDUCE(sym_try_statement, 7, .production_id = 50),
  [1077] = {.count = 1, .reusable = false}, REDUCE(sym_finally_clause, 4),
  [1079] = {.count = 1, .reusable = true}, REDUCE(sym_finally_clause, 4),
  [1081] = {.count = 1, .reusable = false}, REDUCE(sym_function_definition, 7, .production_id = 83),
  [1083] = {.count = 1, .reusable = true}, REDUCE(sym_function_definition, 7, .production_id = 83),
  [1085] = {.count = 1, .reusable = true}, REDUCE(sym_function_definition, 9, .production_id = 91),
  [1087] = {.count = 1, .reusable = false}, REDUCE(sym_function_definition, 9, .production_id = 91),
  [1089] = {.count = 1, .reusable = true}, REDUCE(sym_for_statement, 9, .production_id = 90),
  [1091] = {.count = 1, .reusable = false}, REDUCE(sym_for_statement, 9, .production_id = 90),
  [1093] = {.count = 1, .reusable = false}, REDUCE(sym_for_statement, 8, .production_id = 86),
  [1095] = {.count = 1, .reusable = true}, REDUCE(sym_for_statement, 8, .production_id = 86),
  [1097] = {.count = 1, .reusable = true}, REDUCE(sym_function_definition, 8, .production_id = 89),
  [1099] = {.count = 1, .reusable = false}, REDUCE(sym_function_definition, 8, .production_id = 89),
  [1101] = {.count = 1, .reusable = true}, REDUCE(sym_for_statement, 8, .production_id = 88),
  [1103] = {.count = 1, .reusable = false}, REDUCE(sym_for_statement, 8, .production_id = 88),
  [1105] = {.count = 1, .reusable = true}, REDUCE(sym_function_definition, 8, .production_id = 87),
  [1107] = {.count = 1, .reusable = false}, REDUCE(sym_function_definition, 8, .production_id = 87),
  [1109] = {.count = 1, .reusable = true}, SHIFT(321),
  [1111] = {.count = 1, .reusable = true}, SHIFT(968),
  [1113] = {.count = 1, .reusable = true}, SHIFT(102),
  [1115] = {.count = 1, .reusable = false}, SHIFT(535),
  [1117] = {.count = 1, .reusable = true}, SHIFT(539),
  [1119] = {.count = 1, .reusable = true}, SHIFT(531),
  [1121] = {.count = 1, .reusable = true}, SHIFT(544),
  [1123] = {.count = 1, .reusable = true}, SHIFT(535),
  [1125] = {.count = 1, .reusable = true}, SHIFT(954),
  [1127] = {.count = 1, .reusable = true}, SHIFT(545),
  [1129] = {.count = 1, .reusable = true}, SHIFT(558),
  [1131] = {.count = 1, .reusable = true}, SHIFT(559),
  [1133] = {.count = 1, .reusable = true}, SHIFT(561),
  [1135] = {.count = 1, .reusable = false}, SHIFT(531),
  [1137] = {.count = 1, .reusable = true}, SHIFT(523),
  [1139] = {.count = 1, .reusable = true}, SHIFT(240),
  [1141] = {.count = 1, .reusable = false}, SHIFT(351),
  [1143] = {.count = 2, .reusable = true}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(685),
  [1146] = {.count = 1, .reusable = false}, SHIFT(610),
  [1148] = {.count = 1, .reusable = true}, SHIFT(610),
  [1150] = {.count = 1, .reusable = false}, SHIFT(132),
  [1152] = {.count = 1, .reusable = false}, SHIFT(554),
  [1154] = {.count = 1, .reusable = true}, SHIFT(132),
  [1156] = {.count = 1, .reusable = false}, SHIFT(349),
  [1158] = {.count = 1, .reusable = false}, SHIFT(611),
  [1160] = {.count = 1, .reusable = false}, REDUCE(sym_variables, 3),
  [1162] = {.count = 1, .reusable = true}, SHIFT(611),
  [1164] = {.count = 1, .reusable = false}, REDUCE(sym_variables, 2),
  [1166] = {.count = 1, .reusable = false}, SHIFT(519),
  [1168] = {.count = 1, .reusable = false}, SHIFT(553),
  [1170] = {.count = 1, .reusable = true}, SHIFT(519),
  [1172] = {.count = 1, .reusable = false}, SHIFT(429),
  [1174] = {.count = 1, .reusable = false}, SHIFT(549),
  [1176] = {.count = 1, .reusable = true}, SHIFT(429),
  [1178] = {.count = 1, .reusable = false}, SHIFT(127),
  [1180] = {.count = 1, .reusable = true}, SHIFT(127),
  [1182] = {.count = 1, .reusable = false}, SHIFT(436),
  [1184] = {.count = 1, .reusable = true}, SHIFT(436),
  [1186] = {.count = 1, .reusable = false}, SHIFT(421),
  [1188] = {.count = 1, .reusable = true}, SHIFT(421),
  [1190] = {.count = 1, .reusable = false}, SHIFT(521),
  [1192] = {.count = 1, .reusable = true}, SHIFT(521),
  [1194] = {.count = 1, .reusable = false}, SHIFT(423),
  [1196] = {.count = 1, .reusable = true}, SHIFT(423),
  [1198] = {.count = 1, .reusable = false}, SHIFT(424),
  [1200] = {.count = 1, .reusable = true}, SHIFT(424),
  [1202] = {.count = 1, .reusable = false}, SHIFT(426),
  [1204] = {.count = 1, .reusable = true}, SHIFT(426),
  [1206] = {.count = 1, .reusable = false}, SHIFT(520),
  [1208] = {.count = 1, .reusable = true}, SHIFT(520),
  [1210] = {.count = 1, .reusable = false}, SHIFT(427),
  [1212] = {.count = 1, .reusable = true}, SHIFT(427),
  [1214] = {.count = 1, .reusable = false}, SHIFT(431),
  [1216] = {.count = 1, .reusable = true}, SHIFT(431),
  [1218] = {.count = 1, .reusable = false}, SHIFT(432),
  [1220] = {.count = 1, .reusable = true}, SHIFT(432),
  [1222] = {.count = 1, .reusable = false}, SHIFT(518),
  [1224] = {.count = 1, .reusable = true}, SHIFT(518),
  [1226] = {.count = 1, .reusable = false}, SHIFT(510),
  [1228] = {.count = 1, .reusable = true}, SHIFT(510),
  [1230] = {.count = 1, .reusable = false}, SHIFT(125),
  [1232] = {.count = 1, .reusable = true}, SHIFT(125),
  [1234] = {.count = 1, .reusable = true}, SHIFT(306),
  [1236] = {.count = 1, .reusable = true}, REDUCE(sym_comparison_operator, 2),
  [1238] = {.count = 1, .reusable = false}, REDUCE(sym_comparison_operator, 2),
  [1240] = {.count = 1, .reusable = false}, SHIFT(410),
  [1242] = {.count = 1, .reusable = true}, SHIFT(410),
  [1244] = {.count = 1, .reusable = false}, SHIFT(131),
  [1246] = {.count = 1, .reusable = true}, SHIFT(131),
  [1248] = {.count = 1, .reusable = false}, SHIFT(133),
  [1250] = {.count = 1, .reusable = true}, SHIFT(133),
  [1252] = {.count = 1, .reusable = false}, SHIFT(134),
  [1254] = {.count = 1, .reusable = true}, SHIFT(134),
  [1256] = {.count = 1, .reusable = false}, SHIFT(529),
  [1258] = {.count = 1, .reusable = true}, SHIFT(529),
  [1260] = {.count = 1, .reusable = false}, SHIFT(135),
  [1262] = {.count = 1, .reusable = true}, SHIFT(135),
  [1264] = {.count = 1, .reusable = false}, SHIFT(136),
  [1266] = {.count = 1, .reusable = true}, SHIFT(136),
  [1268] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(556),
  [1271] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(977),
  [1274] = {.count = 2, .reusable = false}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(556),
  [1277] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(509),
  [1280] = {.count = 1, .reusable = false}, SHIFT(514),
  [1282] = {.count = 1, .reusable = true}, SHIFT(514),
  [1284] = {.count = 1, .reusable = false}, SHIFT(515),
  [1286] = {.count = 1, .reusable = true}, SHIFT(515),
  [1288] = {.count = 1, .reusable = false}, SHIFT(129),
  [1290] = {.count = 1, .reusable = true}, SHIFT(129),
  [1292] = {.count = 1, .reusable = false}, SHIFT(516),
  [1294] = {.count = 1, .reusable = true}, SHIFT(516),
  [1296] = {.count = 1, .reusable = false}, SHIFT(128),
  [1298] = {.count = 1, .reusable = true}, SHIFT(128),
  [1300] = {.count = 1, .reusable = false}, SHIFT(526),
  [1302] = {.count = 1, .reusable = true}, SHIFT(526),
  [1304] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(541),
  [1307] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(952),
  [1310] = {.count = 2, .reusable = false}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(541),
  [1313] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(528),
  [1316] = {.count = 1, .reusable = true}, REDUCE(sym_expression_list, 1),
  [1318] = {.count = 1, .reusable = true}, SHIFT(97),
  [1320] = {.count = 1, .reusable = true}, SHIFT(336),
  [1322] = {.count = 1, .reusable = true}, SHIFT(337),
  [1324] = {.count = 1, .reusable = true}, SHIFT(341),
  [1326] = {.count = 1, .reusable = true}, REDUCE(aux_sym_assert_statement_repeat1, 2),
  [1328] = {.count = 1, .reusable = true}, SHIFT(98),
  [1330] = {.count = 1, .reusable = true}, REDUCE(sym_expression_statement, 1),
  [1332] = {.count = 1, .reusable = true}, REDUCE(sym_named_expression, 3, .production_id = 16),
  [1334] = {.count = 1, .reusable = true}, REDUCE(sym_not_operator, 2, .production_id = 4),
  [1336] = {.count = 1, .reusable = true}, REDUCE(sym_lambda, 3, .production_id = 15),
  [1338] = {.count = 1, .reusable = true}, REDUCE(sym_await, 2),
  [1340] = {.count = 1, .reusable = true}, REDUCE(sym_conditional_expression, 5),
  [1342] = {.count = 1, .reusable = true}, REDUCE(sym_lambda, 4, .production_id = 40),
  [1344] = {.count = 1, .reusable = true}, REDUCE(sym_boolean_operator, 3, .production_id = 19),
  [1346] = {.count = 1, .reusable = true}, SHIFT(513),
  [1348] = {.count = 1, .reusable = true}, REDUCE(sym_variables, 1),
  [1350] = {.count = 1, .reusable = true}, REDUCE(aux_sym_variables_repeat1, 2),
  [1352] = {.count = 1, .reusable = true}, SHIFT(96),
  [1354] = {.count = 2, .reusable = true}, REDUCE(aux_sym_assert_statement_repeat1, 2), SHIFT_REPEAT(319),
  [1357] = {.count = 1, .reusable = true}, SHIFT(99),
  [1359] = {.count = 1, .reusable = true}, SHIFT(272),
  [1361] = {.count = 1, .reusable = true}, SHIFT(123),
  [1363] = {.count = 1, .reusable = true}, SHIFT(124),
  [1365] = {.count = 1, .reusable = true}, REDUCE(sym__right_hand_side, 1),
  [1367] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(531),
  [1370] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(954),
  [1373] = {.count = 2, .reusable = false}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(531),
  [1376] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(523),
  [1379] = {.count = 1, .reusable = false}, SHIFT(783),
  [1381] = {.count = 1, .reusable = true}, SHIFT(178),
  [1383] = {.count = 1, .reusable = false}, SHIFT(211),
  [1385] = {.count = 1, .reusable = false}, SHIFT(784),
  [1387] = {.count = 1, .reusable = true}, SHIFT(290),
  [1389] = {.count = 1, .reusable = true}, SHIFT(251),
  [1391] = {.count = 1, .reusable = true}, SHIFT(312),
  [1393] = {.count = 1, .reusable = true}, SHIFT(304),
  [1395] = {.count = 1, .reusable = false}, SHIFT(759),
  [1397] = {.count = 1, .reusable = true}, SHIFT(927),
  [1399] = {.count = 1, .reusable = false}, SHIFT(214),
  [1401] = {.count = 1, .reusable = false}, SHIFT(760),
  [1403] = {.count = 1, .reusable = false}, SHIFT(868),
  [1405] = {.count = 1, .reusable = false}, SHIFT(203),
  [1407] = {.count = 1, .reusable = false}, SHIFT(856),
  [1409] = {.count = 1, .reusable = true}, REDUCE(sym__parameters, 2, .production_id = 1),
  [1411] = {.count = 1, .reusable = false}, SHIFT(810),
  [1413] = {.count = 1, .reusable = true}, REDUCE(sym__parameters, 3, .production_id = 1),
  [1415] = {.count = 1, .reusable = false}, SHIFT(806),
  [1417] = {.count = 1, .reusable = true}, SHIFT(327),
  [1419] = {.count = 1, .reusable = true}, SHIFT(329),
  [1421] = {.count = 1, .reusable = true}, SHIFT(316),
  [1423] = {.count = 1, .reusable = true}, REDUCE(sym__parameters, 2, .production_id = 8),
  [1425] = {.count = 1, .reusable = true}, REDUCE(sym__parameters, 2),
  [1427] = {.count = 1, .reusable = true}, REDUCE(sym__parameters, 3),
  [1429] = {.count = 1, .reusable = true}, REDUCE(sym__parameters, 3, .production_id = 8),
  [1431] = {.count = 1, .reusable = true}, SHIFT(222),
  [1433] = {.count = 1, .reusable = true}, SHIFT(301),
  [1435] = {.count = 1, .reusable = true}, SHIFT(970),
  [1437] = {.count = 1, .reusable = true}, SHIFT(508),
  [1439] = {.count = 1, .reusable = true}, SHIFT(575),
  [1441] = {.count = 1, .reusable = true}, SHIFT(209),
  [1443] = {.count = 1, .reusable = true}, SHIFT(497),
  [1445] = {.count = 1, .reusable = true}, SHIFT(223),
  [1447] = {.count = 1, .reusable = true}, SHIFT(185),
  [1449] = {.count = 1, .reusable = true}, SHIFT(566),
  [1451] = {.count = 1, .reusable = true}, SHIFT(218),
  [1453] = {.count = 1, .reusable = true}, SHIFT(224),
  [1455] = {.count = 1, .reusable = true}, SHIFT(569),
  [1457] = {.count = 1, .reusable = true}, SHIFT(195),
  [1459] = {.count = 1, .reusable = true}, SHIFT(488),
  [1461] = {.count = 1, .reusable = true}, SHIFT(155),
  [1463] = {.count = 1, .reusable = true}, SHIFT(200),
  [1465] = {.count = 1, .reusable = true}, SHIFT(592),
  [1467] = {.count = 1, .reusable = true}, SHIFT(112),
  [1469] = {.count = 1, .reusable = true}, SHIFT(476),
  [1471] = {.count = 1, .reusable = true}, SHIFT(208),
  [1473] = {.count = 1, .reusable = true}, SHIFT(484),
  [1475] = {.count = 1, .reusable = true}, SHIFT(114),
  [1477] = {.count = 1, .reusable = true}, SHIFT(175),
  [1479] = {.count = 1, .reusable = true}, SHIFT(113),
  [1481] = {.count = 1, .reusable = true}, SHIFT(221),
  [1483] = {.count = 1, .reusable = true}, SHIFT(182),
  [1485] = {.count = 1, .reusable = true}, REDUCE(sym__comprehension_clauses, 1),
  [1487] = {.count = 1, .reusable = true}, SHIFT(292),
  [1489] = {.count = 1, .reusable = true}, REDUCE(sym__expression_within_for_in_clause, 1),
  [1491] = {.count = 1, .reusable = true}, REDUCE(sym__comprehension_clauses, 2),
  [1493] = {.count = 1, .reusable = true}, REDUCE(aux_sym__comprehension_clauses_repeat1, 2),
  [1495] = {.count = 2, .reusable = true}, REDUCE(aux_sym__comprehension_clauses_repeat1, 2), SHIFT_REPEAT(292),
  [1498] = {.count = 2, .reusable = true}, REDUCE(aux_sym__comprehension_clauses_repeat1, 2), SHIFT_REPEAT(970),
  [1501] = {.count = 2, .reusable = true}, REDUCE(aux_sym__comprehension_clauses_repeat1, 2), SHIFT_REPEAT(508),
  [1504] = {.count = 1, .reusable = true}, REDUCE(sym_for_in_clause, 5, .production_id = 74),
  [1506] = {.count = 1, .reusable = true}, SHIFT(106),
  [1508] = {.count = 1, .reusable = true}, REDUCE(aux_sym_for_in_clause_repeat1, 2),
  [1510] = {.count = 2, .reusable = true}, REDUCE(aux_sym_for_in_clause_repeat1, 2), SHIFT_REPEAT(227),
  [1513] = {.count = 1, .reusable = true}, REDUCE(sym_for_in_clause, 6, .production_id = 84),
  [1515] = {.count = 1, .reusable = true}, SHIFT(103),
  [1517] = {.count = 1, .reusable = true}, SHIFT(1033),
  [1519] = {.count = 1, .reusable = true}, SHIFT(1030),
  [1521] = {.count = 1, .reusable = true}, SHIFT(1019),
  [1523] = {.count = 1, .reusable = true}, REDUCE(sym_list_splat, 2),
  [1525] = {.count = 1, .reusable = true}, SHIFT(984),
  [1527] = {.count = 1, .reusable = true}, SHIFT(1016),
  [1529] = {.count = 1, .reusable = true}, SHIFT(1013),
  [1531] = {.count = 1, .reusable = true}, REDUCE(sym_if_clause, 2),
  [1533] = {.count = 1, .reusable = true}, REDUCE(sym_for_in_clause, 4, .production_id = 59),
  [1535] = {.count = 1, .reusable = true}, SHIFT(107),
  [1537] = {.count = 1, .reusable = true}, REDUCE(sym_for_in_clause, 5, .production_id = 75),
  [1539] = {.count = 1, .reusable = true}, SHIFT(105),
  [1541] = {.count = 1, .reusable = true}, SHIFT(201),
  [1543] = {.count = 1, .reusable = true}, SHIFT(198),
  [1545] = {.count = 1, .reusable = true}, SHIFT(168),
  [1547] = {.count = 2, .reusable = false}, REDUCE(aux_sym_string_repeat1, 2), SHIFT_REPEAT(309),
  [1550] = {.count = 2, .reusable = false}, REDUCE(aux_sym_string_repeat1, 2), SHIFT_REPEAT(674),
  [1553] = {.count = 1, .reusable = false}, SHIFT_EXTRA(),
  [1555] = {.count = 2, .reusable = true}, REDUCE(aux_sym_string_repeat1, 2), SHIFT_REPEAT(674),
  [1558] = {.count = 1, .reusable = true}, REDUCE(aux_sym_string_repeat1, 2),
  [1560] = {.count = 1, .reusable = false}, SHIFT(309),
  [1562] = {.count = 1, .reusable = false}, SHIFT(674),
  [1564] = {.count = 1, .reusable = true}, SHIFT(674),
  [1566] = {.count = 1, .reusable = true}, SHIFT(140),
  [1568] = {.count = 1, .reusable = true}, SHIFT(183),
  [1570] = {.count = 1, .reusable = true}, SHIFT(188),
  [1572] = {.count = 1, .reusable = true}, SHIFT(564),
  [1574] = {.count = 1, .reusable = true}, SHIFT(686),
  [1576] = {.count = 1, .reusable = true}, SHIFT(808),
  [1578] = {.count = 1, .reusable = true}, SHIFT(922),
  [1580] = {.count = 1, .reusable = true}, SHIFT(243),
  [1582] = {.count = 1, .reusable = true}, REDUCE(sym_print_statement, 2, .production_id = 4),
  [1584] = {.count = 2, .reusable = true}, REDUCE(aux_sym_dotted_name_repeat1, 2), SHIFT_REPEAT(988),
  [1587] = {.count = 1, .reusable = true}, REDUCE(aux_sym_dotted_name_repeat1, 2),
  [1589] = {.count = 1, .reusable = true}, REDUCE(sym_type, 1),
  [1591] = {.count = 1, .reusable = false}, SHIFT(707),
  [1593] = {.count = 1, .reusable = true}, SHIFT(773),
  [1595] = {.count = 1, .reusable = false}, SHIFT(974),
  [1597] = {.count = 1, .reusable = true}, SHIFT(319),
  [1599] = {.count = 1, .reusable = true}, REDUCE(sym_assert_statement, 2),
  [1601] = {.count = 1, .reusable = false}, SHIFT(678),
  [1603] = {.count = 1, .reusable = true}, SHIFT(678),
  [1605] = {.count = 1, .reusable = true}, SHIFT(532),
  [1607] = {.count = 1, .reusable = true}, SHIFT(988),
  [1609] = {.count = 1, .reusable = true}, REDUCE(sym_dotted_name, 1),
  [1611] = {.count = 1, .reusable = false}, SHIFT(694),
  [1613] = {.count = 1, .reusable = true}, SHIFT(694),
  [1615] = {.count = 1, .reusable = true}, SHIFT(470),
  [1617] = {.count = 1, .reusable = true}, SHIFT(193),
  [1619] = {.count = 1, .reusable = true}, SHIFT(487),
  [1621] = {.count = 1, .reusable = true}, SHIFT(762),
  [1623] = {.count = 1, .reusable = true}, SHIFT(750),
  [1625] = {.count = 1, .reusable = true}, SHIFT(873),
  [1627] = {.count = 1, .reusable = true}, REDUCE(sym_lambda_within_for_in_clause, 4, .production_id = 40),
  [1629] = {.count = 1, .reusable = true}, REDUCE(sym_exec_statement, 4, .production_id = 6),
  [1631] = {.count = 1, .reusable = false}, SHIFT(695),
  [1633] = {.count = 1, .reusable = true}, SHIFT(695),
  [1635] = {.count = 1, .reusable = true}, SHIFT(819),
  [1637] = {.count = 1, .reusable = true}, SHIFT(144),
  [1639] = {.count = 1, .reusable = true}, SHIFT(574),
  [1641] = {.count = 1, .reusable = true}, SHIFT(471),
  [1643] = {.count = 1, .reusable = true}, SHIFT(820),
  [1645] = {.count = 1, .reusable = true}, REDUCE(sym_pair, 3, .production_id = 41),
  [1647] = {.count = 1, .reusable = true}, REDUCE(sym_dictionary_splat, 2),
  [1649] = {.count = 1, .reusable = true}, SHIFT(207),
  [1651] = {.count = 1, .reusable = true}, REDUCE(sym_dotted_name, 2),
  [1653] = {.count = 1, .reusable = true}, REDUCE(sym_lambda_within_for_in_clause, 3, .production_id = 15),
  [1655] = {.count = 1, .reusable = true}, SHIFT(143),
  [1657] = {.count = 1, .reusable = true}, SHIFT(490),
  [1659] = {.count = 1, .reusable = true}, SHIFT(216),
  [1661] = {.count = 1, .reusable = true}, SHIFT(593),
  [1663] = {.count = 1, .reusable = false}, SHIFT(675),
  [1665] = {.count = 1, .reusable = true}, SHIFT(675),
  [1667] = {.count = 1, .reusable = true}, SHIFT(137),
  [1669] = {.count = 1, .reusable = true}, SHIFT(354),
  [1671] = {.count = 1, .reusable = true}, SHIFT(353),
  [1673] = {.count = 1, .reusable = true}, REDUCE(sym_typed_default_parameter, 5, .production_id = 72),
  [1675] = {.count = 1, .reusable = true}, REDUCE(sym_typed_default_parameter, 5, .production_id = 73),
  [1677] = {.count = 1, .reusable = true}, SHIFT(987),
  [1679] = {.count = 1, .reusable = true}, SHIFT(286),
  [1681] = {.count = 1, .reusable = true}, REDUCE(aux_sym_print_statement_repeat1, 2, .production_id = 4),
  [1683] = {.count = 2, .reusable = true}, REDUCE(aux_sym_dotted_name_repeat1, 2), SHIFT_REPEAT(987),
  [1686] = {.count = 1, .reusable = true}, SHIFT(248),
  [1688] = {.count = 1, .reusable = true}, SHIFT(475),
  [1690] = {.count = 1, .reusable = true}, REDUCE(aux_sym_list_repeat1, 2),
  [1692] = {.count = 1, .reusable = true}, REDUCE(sym_with_item, 1, .production_id = 5),
  [1694] = {.count = 1, .reusable = true}, SHIFT(348),
  [1696] = {.count = 1, .reusable = true}, REDUCE(aux_sym_decorated_definition_repeat1, 2),
  [1698] = {.count = 2, .reusable = true}, REDUCE(aux_sym_decorated_definition_repeat1, 2), SHIFT_REPEAT(924),
  [1701] = {.count = 1, .reusable = true}, REDUCE(sym_chevron, 2),
  [1703] = {.count = 1, .reusable = true}, REDUCE(sym_default_parameter, 3, .production_id = 16),
  [1705] = {.count = 1, .reusable = true}, REDUCE(aux_sym_subscript_repeat1, 2),
  [1707] = {.count = 1, .reusable = true}, SHIFT(342),
  [1709] = {.count = 1, .reusable = true}, SHIFT(84),
  [1711] = {.count = 1, .reusable = true}, SHIFT(334),
  [1713] = {.count = 1, .reusable = true}, SHIFT(71),
  [1715] = {.count = 1, .reusable = true}, REDUCE(sym_default_parameter, 3, .production_id = 38),
  [1717] = {.count = 1, .reusable = false}, SHIFT(339),
  [1719] = {.count = 1, .reusable = false}, REDUCE(sym_format_specifier, 2),
  [1721] = {.count = 1, .reusable = false}, SHIFT(754),
  [1723] = {.count = 1, .reusable = false}, REDUCE(sym_interpolation, 5),
  [1725] = {.count = 1, .reusable = true}, REDUCE(sym_interpolation, 5),
  [1727] = {.count = 1, .reusable = true}, REDUCE(sym_slice, 5),
  [1729] = {.count = 1, .reusable = true}, REDUCE(sym_raise_statement, 3, .production_id = 14),
  [1731] = {.count = 1, .reusable = true}, REDUCE(sym_yield, 3),
  [1733] = {.count = 1, .reusable = true}, REDUCE(sym_with_item, 3, .production_id = 33),
  [1735] = {.count = 1, .reusable = true}, REDUCE(aux_sym_argument_list_repeat1, 2),
  [1737] = {.count = 1, .reusable = true}, SHIFT(253),
  [1739] = {.count = 1, .reusable = true}, SHIFT(1036),
  [1741] = {.count = 1, .reusable = true}, SHIFT(809),
  [1743] = {.count = 1, .reusable = true}, REDUCE(sym__import_list, 2, .production_id = 3),
  [1745] = {.count = 1, .reusable = true}, REDUCE(sym_keyword_argument, 3, .production_id = 16),
  [1747] = {.count = 1, .reusable = true}, REDUCE(sym_keyword_argument, 3, .production_id = 38),
  [1749] = {.count = 1, .reusable = true}, REDUCE(aux_sym_tuple_repeat1, 2),
  [1751] = {.count = 1, .reusable = true}, SHIFT(276),
  [1753] = {.count = 1, .reusable = true}, SHIFT(1005),
  [1755] = {.count = 1, .reusable = false}, REDUCE(sym_interpolation, 3),
  [1757] = {.count = 1, .reusable = true}, REDUCE(sym_interpolation, 3),
  [1759] = {.count = 1, .reusable = true}, REDUCE(sym__import_list, 3, .production_id = 11),
  [1761] = {.count = 2, .reusable = false}, REDUCE(aux_sym_format_specifier_repeat1, 2), SHIFT_REPEAT(339),
  [1764] = {.count = 1, .reusable = false}, REDUCE(aux_sym_format_specifier_repeat1, 2),
  [1766] = {.count = 2, .reusable = false}, REDUCE(aux_sym_format_specifier_repeat1, 2), SHIFT_REPEAT(754),
  [1769] = {.count = 1, .reusable = false}, REDUCE(sym_interpolation, 4),
  [1771] = {.count = 1, .reusable = true}, REDUCE(sym_interpolation, 4),
  [1773] = {.count = 1, .reusable = true}, REDUCE(sym_raise_statement, 4, .production_id = 28),
  [1775] = {.count = 1, .reusable = true}, SHIFT(745),
  [1777] = {.count = 1, .reusable = true}, SHIFT(995),
  [1779] = {.count = 1, .reusable = true}, REDUCE(sym__import_list, 1, .production_id = 3),
  [1781] = {.count = 1, .reusable = true}, REDUCE(sym__parameters, 1),
  [1783] = {.count = 1, .reusable = true}, SHIFT(631),
  [1785] = {.count = 1, .reusable = true}, SHIFT(280),
  [1787] = {.count = 1, .reusable = true}, SHIFT(310),
  [1789] = {.count = 1, .reusable = true}, REDUCE(sym__parameters, 1, .production_id = 1),
  [1791] = {.count = 1, .reusable = true}, SHIFT(630),
  [1793] = {.count = 1, .reusable = true}, SHIFT(274),
  [1795] = {.count = 1, .reusable = true}, SHIFT(323),
  [1797] = {.count = 1, .reusable = false}, REDUCE(sym_format_specifier, 1),
  [1799] = {.count = 1, .reusable = false}, SHIFT(735),
  [1801] = {.count = 1, .reusable = true}, SHIFT(60),
  [1803] = {.count = 1, .reusable = true}, REDUCE(sym_decorator, 4, .production_id = 35),
  [1805] = {.count = 2, .reusable = true}, REDUCE(aux_sym_list_repeat1, 2), SHIFT_REPEAT(230),
  [1808] = {.count = 1, .reusable = true}, SHIFT(281),
  [1810] = {.count = 1, .reusable = true}, SHIFT(61),
  [1812] = {.count = 1, .reusable = true}, SHIFT(782),
  [1814] = {.count = 1, .reusable = true}, SHIFT(986),
  [1816] = {.count = 1, .reusable = true}, SHIFT(63),
  [1818] = {.count = 1, .reusable = false}, REDUCE(sym_import_prefix, 1),
  [1820] = {.count = 1, .reusable = true}, SHIFT(803),
  [1822] = {.count = 2, .reusable = true}, REDUCE(aux_sym__import_list_repeat1, 2, .production_id = 22), SHIFT_REPEAT(894),
  [1825] = {.count = 1, .reusable = true}, REDUCE(aux_sym__import_list_repeat1, 2, .production_id = 22),
  [1827] = {.count = 1, .reusable = true}, SHIFT(347),
  [1829] = {.count = 1, .reusable = true}, SHIFT(77),
  [1831] = {.count = 1, .reusable = true}, REDUCE(sym_decorator, 3),
  [1833] = {.count = 1, .reusable = true}, REDUCE(sym_exec_statement, 5, .production_id = 6),
  [1835] = {.count = 1, .reusable = true}, REDUCE(sym_typed_parameter, 3, .production_id = 39),
  [1837] = {.count = 1, .reusable = true}, SHIFT(303),
  [1839] = {.count = 1, .reusable = true}, SHIFT(81),
  [1841] = {.count = 1, .reusable = true}, SHIFT(231),
  [1843] = {.count = 1, .reusable = true}, REDUCE(sym_print_statement, 3, .production_id = 12),
  [1845] = {.count = 1, .reusable = true}, SHIFT(707),
  [1847] = {.count = 1, .reusable = true}, SHIFT(632),
  [1849] = {.count = 1, .reusable = true}, SHIFT(624),
  [1851] = {.count = 1, .reusable = true}, SHIFT(229),
  [1853] = {.count = 1, .reusable = true}, REDUCE(sym_print_statement, 3, .production_id = 13),
  [1855] = {.count = 2, .reusable = true}, REDUCE(aux_sym_print_statement_repeat1, 2, .production_id = 27), SHIFT_REPEAT(324),
  [1858] = {.count = 1, .reusable = true}, REDUCE(aux_sym_print_statement_repeat1, 2, .production_id = 27),
  [1860] = {.count = 1, .reusable = true}, SHIFT(1035),
  [1862] = {.count = 1, .reusable = true}, REDUCE(sym_nonlocal_statement, 3),
  [1864] = {.count = 1, .reusable = true}, SHIFT(344),
  [1866] = {.count = 1, .reusable = true}, REDUCE(aux_sym__import_list_repeat1, 2, .production_id = 21),
  [1868] = {.count = 1, .reusable = true}, REDUCE(sym_nonlocal_statement, 2),
  [1870] = {.count = 1, .reusable = true}, SHIFT(753),
  [1872] = {.count = 1, .reusable = true}, REDUCE(sym__import_list, 2, .production_id = 11),
  [1874] = {.count = 1, .reusable = true}, SHIFT(57),
  [1876] = {.count = 1, .reusable = true}, SHIFT(346),
  [1878] = {.count = 1, .reusable = true}, SHIFT(205),
  [1880] = {.count = 2, .reusable = true}, REDUCE(aux_sym_global_statement_repeat1, 2), SHIFT_REPEAT(1035),
  [1883] = {.count = 1, .reusable = true}, REDUCE(aux_sym_global_statement_repeat1, 2),
  [1885] = {.count = 1, .reusable = true}, SHIFT(883),
  [1887] = {.count = 1, .reusable = true}, REDUCE(sym_global_statement, 2),
  [1889] = {.count = 1, .reusable = true}, REDUCE(sym_global_statement, 3),
  [1891] = {.count = 1, .reusable = true}, SHIFT(52),
  [1893] = {.count = 1, .reusable = true}, REDUCE(sym_assert_statement, 3),
  [1895] = {.count = 1, .reusable = true}, SHIFT(58),
  [1897] = {.count = 1, .reusable = false}, REDUCE(aux_sym_import_prefix_repeat1, 2),
  [1899] = {.count = 2, .reusable = true}, REDUCE(aux_sym_import_prefix_repeat1, 2), SHIFT_REPEAT(803),
  [1902] = {.count = 1, .reusable = true}, SHIFT(245),
  [1904] = {.count = 1, .reusable = true}, REDUCE(sym_print_statement, 2),
  [1906] = {.count = 1, .reusable = true}, REDUCE(aux_sym__parameters_repeat1, 2, .production_id = 37),
  [1908] = {.count = 2, .reusable = true}, REDUCE(aux_sym_assert_statement_repeat1, 2), SHIFT_REPEAT(332),
  [1911] = {.count = 1, .reusable = true}, REDUCE(aux_sym__parameters_repeat1, 2),
  [1913] = {.count = 2, .reusable = true}, REDUCE(aux_sym__parameters_repeat1, 2), SHIFT_REPEAT(645),
  [1916] = {.count = 2, .reusable = true}, REDUCE(aux_sym_argument_list_repeat1, 2), SHIFT_REPEAT(130),
  [1919] = {.count = 1, .reusable = false}, REDUCE(sym_relative_import, 1),
  [1921] = {.count = 1, .reusable = true}, SHIFT(126),
  [1923] = {.count = 1, .reusable = true}, REDUCE(sym_assignment, 3, .production_id = 17),
  [1925] = {.count = 1, .reusable = true}, SHIFT(146),
  [1927] = {.count = 1, .reusable = true}, SHIFT(217),
  [1929] = {.count = 1, .reusable = true}, SHIFT(219),
  [1931] = {.count = 1, .reusable = true}, SHIFT(220),
  [1933] = {.count = 1, .reusable = true}, SHIFT(275),
  [1935] = {.count = 1, .reusable = true}, SHIFT(67),
  [1937] = {.count = 1, .reusable = true}, SHIFT(93),
  [1939] = {.count = 1, .reusable = true}, SHIFT(94),
  [1941] = {.count = 1, .reusable = true}, SHIFT(937),
  [1943] = {.count = 1, .reusable = true}, SHIFT(785),
  [1945] = {.count = 1, .reusable = true}, SHIFT(159),
  [1947] = {.count = 1, .reusable = true}, SHIFT(89),
  [1949] = {.count = 1, .reusable = true}, SHIFT(273),
  [1951] = {.count = 1, .reusable = true}, SHIFT(206),
  [1953] = {.count = 1, .reusable = true}, SHIFT(101),
  [1955] = {.count = 1, .reusable = true}, SHIFT(66),
  [1957] = {.count = 1, .reusable = true}, SHIFT(65),
  [1959] = {.count = 1, .reusable = true}, SHIFT(76),
  [1961] = {.count = 1, .reusable = true}, REDUCE(sym_aliased_import, 3, .production_id = 23),
  [1963] = {.count = 1, .reusable = true}, SHIFT(196),
  [1965] = {.count = 2, .reusable = true}, REDUCE(aux_sym_tuple_repeat1, 2), SHIFT_REPEAT(241),
  [1968] = {.count = 1, .reusable = true}, SHIFT(91),
  [1970] = {.count = 1, .reusable = true}, SHIFT(635),
  [1972] = {.count = 1, .reusable = true}, SHIFT(638),
  [1974] = {.count = 1, .reusable = true}, SHIFT(194),
  [1976] = {.count = 1, .reusable = true}, SHIFT(642),
  [1978] = {.count = 1, .reusable = true}, SHIFT(72),
  [1980] = {.count = 1, .reusable = true}, SHIFT(213),
  [1982] = {.count = 1, .reusable = true}, SHIFT(517),
  [1984] = {.count = 1, .reusable = true}, SHIFT(268),
  [1986] = {.count = 1, .reusable = true}, SHIFT(1031),
  [1988] = {.count = 2, .reusable = true}, REDUCE(aux_sym_subscript_repeat1, 2), SHIFT_REPEAT(252),
  [1991] = {.count = 1, .reusable = true}, SHIFT(641),
  [1993] = {.count = 1, .reusable = true}, SHIFT(92),
  [1995] = {.count = 1, .reusable = true}, SHIFT(256),
  [1997] = {.count = 1, .reusable = true}, SHIFT(625),
  [1999] = {.count = 1, .reusable = true}, SHIFT(215),
  [2001] = {.count = 1, .reusable = true}, SHIFT(571),
  [2003] = {.count = 1, .reusable = true}, SHIFT(634),
  [2005] = {.count = 1, .reusable = true}, SHIFT(202),
  [2007] = {.count = 2, .reusable = true}, REDUCE(aux_sym_with_statement_repeat1, 2), SHIFT_REPEAT(275),
  [2010] = {.count = 1, .reusable = true}, REDUCE(aux_sym_with_statement_repeat1, 2),
  [2012] = {.count = 1, .reusable = true}, SHIFT(204),
  [2014] = {.count = 1, .reusable = true}, SHIFT(161),
  [2016] = {.count = 1, .reusable = true}, SHIFT(118),
  [2018] = {.count = 1, .reusable = true}, SHIFT(755),
  [2020] = {.count = 1, .reusable = true}, SHIFT(293),
  [2022] = {.count = 1, .reusable = true}, REDUCE(sym_raise_statement, 2),
  [2024] = {.count = 1, .reusable = true}, SHIFT(64),
  [2026] = {.count = 1, .reusable = true}, SHIFT(51),
  [2028] = {.count = 2, .reusable = true}, REDUCE(aux_sym__simple_statements_repeat1, 2), SHIFT_REPEAT(95),
  [2031] = {.count = 1, .reusable = true}, REDUCE(aux_sym__simple_statements_repeat1, 2),
  [2033] = {.count = 1, .reusable = false}, REDUCE(sym_format_expression, 3),
  [2035] = {.count = 2, .reusable = true}, REDUCE(aux_sym_dictionary_repeat1, 2), SHIFT_REPEAT(212),
  [2038] = {.count = 1, .reusable = true}, REDUCE(aux_sym_dictionary_repeat1, 2),
  [2040] = {.count = 2, .reusable = true}, REDUCE(aux_sym__import_list_repeat1, 2, .production_id = 22), SHIFT_REPEAT(849),
  [2043] = {.count = 2, .reusable = true}, REDUCE(aux_sym_variables_repeat1, 2), SHIFT_REPEAT(565),
  [2046] = {.count = 1, .reusable = true}, SHIFT(115),
  [2048] = {.count = 1, .reusable = true}, SHIFT(210),
  [2050] = {.count = 1, .reusable = true}, SHIFT(176),
  [2052] = {.count = 1, .reusable = true}, SHIFT(90),
  [2054] = {.count = 2, .reusable = true}, REDUCE(aux_sym__parameters_repeat1, 2), SHIFT_REPEAT(644),
  [2057] = {.count = 1, .reusable = true}, SHIFT(340),
  [2059] = {.count = 1, .reusable = true}, REDUCE(sym_exec_statement, 2, .production_id = 6),
  [2061] = {.count = 1, .reusable = true}, SHIFT(54),
  [2063] = {.count = 1, .reusable = true}, SHIFT(119),
  [2065] = {.count = 1, .reusable = true}, SHIFT(192),
  [2067] = {.count = 1, .reusable = true}, SHIFT(472),
  [2069] = {.count = 1, .reusable = true}, SHIFT(100),
  [2071] = {.count = 1, .reusable = true}, SHIFT(777),
  [2073] = {.count = 1, .reusable = true}, SHIFT(522),
  [2075] = {.count = 1, .reusable = true}, SHIFT(284),
  [2077] = {.count = 1, .reusable = true}, SHIFT(964),
  [2079] = {.count = 1, .reusable = true}, SHIFT(512),
  [2081] = {.count = 1, .reusable = true}, REDUCE(sym_variables, 2),
  [2083] = {.count = 1, .reusable = true}, REDUCE(sym_continue_statement, 1),
  [2085] = {.count = 1, .reusable = true}, REDUCE(sym_yield, 2),
  [2087] = {.count = 1, .reusable = true}, SHIFT(623),
  [2089] = {.count = 1, .reusable = true}, REDUCE(sym_future_import_statement, 6, .production_id = 57),
  [2091] = {.count = 1, .reusable = true}, REDUCE(sym_parameters, 3),
  [2093] = {.count = 1, .reusable = true}, REDUCE(sym_import_statement, 2, .production_id = 2),
  [2095] = {.count = 1, .reusable = true}, REDUCE(sym_import_from_statement, 6, .production_id = 58),
  [2097] = {.count = 1, .reusable = true}, REDUCE(sym_wildcard_import, 1),
  [2099] = {.count = 1, .reusable = true}, REDUCE(sym_break_statement, 1),
  [2101] = {.count = 1, .reusable = true}, REDUCE(sym_delete_statement, 2),
  [2103] = {.count = 1, .reusable = true}, SHIFT(74),
  [2105] = {.count = 1, .reusable = true}, SHIFT(278),
  [2107] = {.count = 1, .reusable = true}, REDUCE(sym_parameters, 2),
  [2109] = {.count = 1, .reusable = true}, REDUCE(sym_return_statement, 2),
  [2111] = {.count = 1, .reusable = true}, REDUCE(sym_pass_statement, 1),
  [2113] = {.count = 1, .reusable = true}, SHIFT(70),
  [2115] = {.count = 1, .reusable = true}, SHIFT(271),
  [2117] = {.count = 1, .reusable = true}, REDUCE(sym_parenthesized_list_splat, 3),
  [2119] = {.count = 1, .reusable = true}, REDUCE(sym_import_from_statement, 4, .production_id = 25),
  [2121] = {.count = 1, .reusable = true}, SHIFT(79),
  [2123] = {.count = 1, .reusable = true}, SHIFT(255),
  [2125] = {.count = 1, .reusable = true}, REDUCE(sym_assignment, 5, .production_id = 55),
  [2127] = {.count = 1, .reusable = true}, REDUCE(sym_future_import_statement, 4, .production_id = 24),
  [2129] = {.count = 1, .reusable = true}, SHIFT(50),
  [2131] = {.count = 1, .reusable = true}, SHIFT(259),
  [2133] = {.count = 1, .reusable = true}, REDUCE(sym_augmented_assignment, 3, .production_id = 19),
  [2135] = {.count = 1, .reusable = true}, REDUCE(sym_assignment, 3, .production_id = 18),
  [2137] = {.count = 1, .reusable = true}, SHIFT(549),
  [2139] = {.count = 1, .reusable = true}, SHIFT(553),
  [2141] = {.count = 1, .reusable = true}, SHIFT(59),
  [2143] = {.count = 1, .reusable = true}, SHIFT(585),
  [2145] = {.count = 1, .reusable = true}, SHIFT(254),
  [2147] = {.count = 1, .reusable = true}, SHIFT(154),
  [2149] = {.count = 1, .reusable = true}, SHIFT(587),
  [2151] = {.count = 1, .reusable = true}, SHIFT(345),
  [2153] = {.count = 1, .reusable = true}, SHIFT(679),
  [2155] = {.count = 1, .reusable = true}, SHIFT(919),
  [2157] = {.count = 1, .reusable = true}, SHIFT(590),
  [2159] = {.count = 1, .reusable = true}, SHIFT(591),
  [2161] = {.count = 1, .reusable = true}, SHIFT(568),
  [2163] = {.count = 1, .reusable = true}, SHIFT(577),
  [2165] = {.count = 1, .reusable = true}, SHIFT(524),
  [2167] = {.count = 1, .reusable = true}, SHIFT(307),
  [2169] = {.count = 1, .reusable = true}, REDUCE(sym_lambda_parameters, 1),
  [2171] = {.count = 1, .reusable = true}, SHIFT(744),
  [2173] = {.count = 1, .reusable = true}, SHIFT(162),
  [2175] = {.count = 1, .reusable = true}, SHIFT(554),
  [2177] = {.count = 1, .reusable = true}, SHIFT(235),
  [2179] = {.count = 1, .reusable = true}, SHIFT(483),
  [2181] = {.count = 1, .reusable = true}, SHIFT(481),
  [2183] = {.count = 1, .reusable = true}, SHIFT(477),
  [2185] = {.count = 1, .reusable = true}, SHIFT(491),
  [2187] = {.count = 1, .reusable = true}, SHIFT(916),
  [2189] = {.count = 1, .reusable = true}, SHIFT(756),
  [2191] = {.count = 1, .reusable = true}, SHIFT(708),
  [2193] = {.count = 1, .reusable = true}, SHIFT(500),
  [2195] = {.count = 1, .reusable = true}, SHIFT(335),
  [2197] = {.count = 1, .reusable = true},  ACCEPT_INPUT(),
  [2199] = {.count = 1, .reusable = true}, SHIFT(838),
  [2201] = {.count = 1, .reusable = true}, REDUCE(sym_relative_import, 2),
  [2203] = {.count = 1, .reusable = true}, SHIFT(225),
  [2205] = {.count = 1, .reusable = true}, SHIFT(68),
  [2207] = {.count = 1, .reusable = true}, SHIFT(142),
  [2209] = {.count = 1, .reusable = true}, SHIFT(73),
  [2211] = {.count = 1, .reusable = true}, SHIFT(163),
  [2213] = {.count = 1, .reusable = true}, SHIFT(147),
  [2215] = {.count = 1, .reusable = true}, SHIFT(49),
  [2217] = {.count = 1, .reusable = true}, SHIFT(171),
  [2219] = {.count = 1, .reusable = true}, SHIFT(88),
  [2221] = {.count = 1, .reusable = true}, SHIFT(86),
  [2223] = {.count = 1, .reusable = true}, SHIFT(85),
  [2225] = {.count = 1, .reusable = true}, SHIFT(283),
  [2227] = {.count = 1, .reusable = true}, SHIFT(83),
  [2229] = {.count = 1, .reusable = true}, SHIFT(285),
  [2231] = {.count = 1, .reusable = true}, SHIFT(80),
  [2233] = {.count = 1, .reusable = true}, SHIFT(53),
  [2235] = {.count = 1, .reusable = true}, SHIFT(895),
  [2237] = {.count = 1, .reusable = true}, SHIFT(791),
  [2239] = {.count = 1, .reusable = true}, SHIFT(798),
  [2241] = {.count = 1, .reusable = true}, SHIFT(917),
  [2243] = {.count = 1, .reusable = true}, SHIFT(55),
  [2245] = {.count = 1, .reusable = true}, SHIFT(82),
  [2247] = {.count = 1, .reusable = true}, SHIFT(834),
  [2249] = {.count = 1, .reusable = true}, SHIFT(69),
  [2251] = {.count = 1, .reusable = true}, SHIFT(933),
  [2253] = {.count = 1, .reusable = true}, SHIFT(736),
  [2255] = {.count = 1, .reusable = true}, SHIFT(913),
  [2257] = {.count = 1, .reusable = true}, SHIFT(921),
  [2259] = {.count = 1, .reusable = true}, SHIFT(238),
  [2261] = {.count = 1, .reusable = true}, SHIFT(915),
  [2263] = {.count = 1, .reusable = true}, SHIFT(765),
  [2265] = {.count = 1, .reusable = true}, SHIFT(78),
  [2267] = {.count = 1, .reusable = true}, SHIFT(75),
  [2269] = {.count = 1, .reusable = true}, SHIFT(914),
  [2271] = {.count = 1, .reusable = true}, SHIFT(912),
  [2273] = {.count = 1, .reusable = true}, SHIFT(266),
  [2275] = {.count = 1, .reusable = true}, SHIFT(265),
  [2277] = {.count = 1, .reusable = true}, SHIFT(885),
  [2279] = {.count = 1, .reusable = true}, SHIFT(62),
};

void *tree_sitter_python_external_scanner_create(void);
void tree_sitter_python_external_scanner_destroy(void *);
bool tree_sitter_python_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_python_external_scanner_serialize(void *, char *);
void tree_sitter_python_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef _WIN32
#define extern __declspec(dllexport)
#endif

extern const TSLanguage *tree_sitter_python(void) {
  static TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .symbol_metadata = ts_symbol_metadata,
    .parse_table = (const unsigned short *)ts_parse_table,
    .small_parse_table = (const uint16_t *)ts_small_parse_table,
    .small_parse_table_map = (const uint32_t *)ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .lex_modes = ts_lex_modes,
    .symbol_names = ts_symbol_names,
    .public_symbol_map = ts_symbol_map,
    .alias_sequences = (const TSSymbol *)ts_alias_sequences,
    .field_count = FIELD_COUNT,
    .field_names = ts_field_names,
    .field_map_slices = (const TSFieldMapSlice *)ts_field_map_slices,
    .field_map_entries = (const TSFieldMapEntry *)ts_field_map_entries,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_identifier,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .external_scanner = {
      (const bool *)ts_external_scanner_states,
      ts_external_scanner_symbol_map,
      tree_sitter_python_external_scanner_create,
      tree_sitter_python_external_scanner_destroy,
      tree_sitter_python_external_scanner_scan,
      tree_sitter_python_external_scanner_serialize,
      tree_sitter_python_external_scanner_deserialize,
    },
  };
  return &language;
}
